mui.init();
/**沉浸式重置header**/
immersiveById("header");
//获得slider插件对象
var gallery = mui('.mui-slider');
gallery.slider({
  interval:5000//自动轮播周期，若为0则不自动播放，默认为0；
});

//监听mui-scroll-wrapper实现透明度随滑动变化
if (mui.os.ios || mui.os.ipad || mui.os.iphone) {
	var scrolls = mui('.mui-scroll-wrapper').scroll({
		indicators: false
	});
	mui('.mui-bar-transparent').transparent({
		scroll:scrolls, // mui-scroll-wrapper是array就记得写下标
		offset: 100     //滑动最大长度，透明度达到100%
	});
}else{
	mui('.mui-bar-transparent').transparent({
		offset: 100     //滑动最大长度，透明度达到100%
	});
}

/***************项目刷新****************/
mui.init({
	pullRefresh: {
		container: '#pullre',
		down: {
			//callback: pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			callback: pullUpRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});


/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		var appElement = document.querySelector('[ng-controller=shopController]');
		//获取$scope变量
		var $scope = angular.element(appElement).scope();
		$scope.currentPage = 1; //页码
		$scope.loadMore();
		$scope.sliderFlag = false;
		
		mui('#pullre').pullRefresh().endPulldownToRefresh(true); //refresh completed
		mui('#pullre').pullRefresh().refresh(true);
	}, 500);
}

//上拉加载更多
function pullUpRefresh() {
	setTimeout(function() {
		var appElement = document.querySelector('[ng-controller=shopController]');
    var $scope = angular.element(appElement).scope(); 
    $scope.currentPage++;
		$scope.loadMore();
		mui('#pullre').pullRefresh().endPullupToRefresh($scope.sliderFlag );
	}, 500);
}

// 监听mui-scroll-wrapper滑动
//var pageY = 120;
//var scroll = mui('.mui-scroll-wrapper').scroll();
//document.querySelector('.mui-scroll-wrapper' ).addEventListener('scroll', function (e ) {
//  var scrolly = Math.abs(scroll.y);
//  if( scrolly <= pageY) {
//      $("#top").addClass("vh");
//      $("#bot").removeClass("vh");
//  }else{
//      $("#top").removeClass("vh");
//      $("#bot").addClass("vh");
//  }
//})

/**搜索**/
function search(val) {
	  if( isNull(val) ){
		  mui.toast("请输入商品名称！");
		  return;
	  }
	  var appElement = document.querySelector('[ng-controller=shopController]');
    var $scope = angular.element(appElement).scope(); 
    $scope.currentPage = 1;
		$scope.search(val);
}

/**收藏**/
$("#collect").on("tap",function () {
	  var appElement = document.querySelector('[ng-controller=shopController]');
    var $scope = angular.element(appElement).scope(); 
	  $scope.collect();
})

/**查询排序**/
$(".dp-dl .dp-dt").on("tap",function(){
	$(".dp-dt-act").removeClass("dp-dt-act");
	if( !$(this).hasClass("dp-dt-act") ){
		  $(this).addClass("dp-dt-act");
	}
	
	if( $(this).attr("id") == "PRICE" ){
		if( $(this).hasClass("sort-icon") || $(this).hasClass("sort-down-icon") ){
			$(this).removeClass("sort-icon");
			$(this).removeClass("sort-down-icon");
			$(this).addClass("sort-up-icon");
			$(this).attr("flag",1);
		}else if( $(this).hasClass("sort-up-icon") ){
			$(this).removeClass("sort-up-icon");
			$(this).addClass("sort-down-icon");
			$(this).attr("flag",0);
		}
	}else{
		$("#PRICE").removeClass("sort-up-icon").removeClass("sort-down-icon").addClass("sort-icon");
	}
	
	var appElement = document.querySelector('[ng-controller=shopController]');
  var $scope = angular.element(appElement).scope(); 
  $scope.currentPage = 1;
	$scope.loadMore();
});
