var uploadImg = uploadImg || {};
uploadImg.prototype={
	maxLen:9,       //最大上传数量
	maxH:800,
	maxW:800,
    imgArr:[],      //图片数组
    isPush:true,    //是否存入图片数组
	isUpload:true,  //是否上传
	uploadPath:"appUploadImg/imgBase64.do",//上传接口
	reset:true,     //重置数据
	flag:0,         //拍照类型：0、拍照；1、相册
	
	//检测数据
	isNull:function(ele){
		if( ele != null && ele != undefined )
			return false;
		else 
		    return true;
	},
	
    init:function(param){
    	if( param && !uploadImg.prototype.isNull(param.maxLen) ){
    		uploadImg.prototype.maxLen = param.maxLen;
    	}
    	if( param && !uploadImg.prototype.isNull(param.maxH)){
    		uploadImg.prototype.maxH = param.maxH;
    	}
    	if( param && !uploadImg.prototype.isNull(param.maxW) ){
    		uploadImg.prototype.maxW = param.maxW;
    	}
    	if( param && !uploadImg.prototype.isNull(param.isPush) ){
    		uploadImg.prototype.isPush = param.isPush;
    	}
    	if( param && !uploadImg.prototype.isNull(param.isUpload) ){
    		uploadImg.prototype.isUpload = param.isUpload;
    	}
    	if( param && !uploadImg.prototype.isNull(param.uploadPath) ){
    		uploadImg.prototype.uploadPath = param.uploadPath;
    	}
    	if( param && !uploadImg.prototype.isNull(param.callback) ){
    		uploadImg.prototype.callback = param.callback;
    	}
    	
    	if( param && !uploadImg.prototype.isNull(param.reset) ){
    		uploadImg.prototype.reset = param.reset;
    	}
    	
    	if( uploadImg.prototype.reset == true ){
    		if (mui.os.plus) {
				var a = [{
					title: "拍照"
				}, {
					title: "从手机相册选择"
				}];
				plus.nativeUI.actionSheet({
					title: "上传图片",
					cancel: "取消",
					buttons: a
				}, function(b) { /*actionSheet 按钮点击事件*/ 
					switch (b.index) {
						case 0:
							break;
						case 1:
							uploadImg.prototype.getImage(); /*拍照*/
							break;
						case 2:
							uploadImg.prototype.galleryImg();/*打开相册*/
							break;
						default:
							break;
					}
				})
			}
    	}
    },
    
    //拍照
    getImage:function() {
    	uploadImg.prototype.flag = 0;
		var c = plus.camera.getCamera();
		c.captureImage(function(e) {
			plus.io.resolveLocalFileSystemURL(e, function(entry) {
				//图片
				var s = entry.toLocalURL() + "?version=" + new Date().getTime();
				if( uploadImg.prototype.isUpload == true ){
					uploadImg.prototype.uploadHead(s,0); /*上传图片*/
				}else{
				    uploadImg.prototype.callback(s);
				    if( uploadImg.prototype.isPush == true ){
						uploadImg.prototype.imgArr.push(s);
					}
				}
				
			}, function(e) {
				console.log("读取拍照文件错误：" + e.message);
			});
		}, function(s) {
			console.log("error" + s);
		}, {
			//filename: "_doc/head.png"
		})
	},
   
    //本地相册选择
	galleryImg:function() {
		uploadImg.prototype.flag = 1;
		plus.gallery.pick(function(file) {
			plus.io.resolveLocalFileSystemURL(file,function(entry){
				//图片：entry.toLocalURL()
				if( uploadImg.prototype.isUpload == true ){
					uploadImg.prototype.uploadHead(entry.toLocalURL(),1); /*上传图片*/
				}else{
				    uploadImg.prototype.callback(entry.toLocalURL());
				    if( uploadImg.prototype.isPush == true ){
						uploadImg.prototype.imgArr.push(entry.toLocalURL());
					}
				}
				
			})
		}, function(error) {
			console.log("galleryBtn error: " + JSON.stringify(error));
		}, {
			filter: 'image',
			multiple: false
		}) 
	},
	
	//上传头像图片
	uploadHead:function(imgPath,flag) { 
		var waiting = plus.nativeUI.showWaiting();
		setTimeout(function () {
			waiting.close(); 
		},3000)
		var Orientation = null;  
		console.log("imgPath = " + imgPath);
		
		var image = new Image();
		image.src = imgPath;  
	    image.onload = function() { 
	    	if(flag==0){
	    		//获取照片方向角属性，用户旋转控制 
		        EXIF.getData(image, function() {  
		            EXIF.getAllTags(this);   
		            Orientation = EXIF.getTag(this, 'Orientation');  
		            var imgData =uploadImg.prototype.getBase64ImageConvert(Orientation,image); 
		            REQUEST_POST(
						uploadImg.prototype.uploadPath,
						{"img":imgData},
						function(data){  
							waiting.close(); 
							console.log("上传成功:"+JSON.stringify(data));
							//上传成功返回
							if( data && data.code == "01" ){
								console.log(JSON.stringify(data.msg));
								if( uploadImg.prototype.isPush == true ){
									uploadImg.prototype.imgArr.push(data.result);
								}
								uploadImg.prototype.callback(data.result);
							}else{
								mui.toast("上传失败!");
							}
						},function(data){
							console.log("上传失败:"+JSON.stringify(data));
						}
					);  
		        }); 
	    	}else{
	    		var imgData = uploadImg.prototype.getBase64Image(image); 
				REQUEST_POST(
					uploadImg.prototype.uploadPath,
					{"img":imgData},
					function(data){
						waiting.close(); 
						console.log("上传成功:"+JSON.stringify(data));
						//上传成功返回
						if( data && data.code == "01" ){
							console.log(JSON.stringify(data.msg));
							if( uploadImg.prototype.isPush == true ){
								uploadImg.prototype.imgArr.push(data.result);
							}
							uploadImg.prototype.callback(data.result);
						}else{
							mui.toast("上传失败!");
						} 
					},function(data){
						console.log(JSON.stringify(data));
					}
				); 
	    	} 
		} 
	}, 

	getBase64ImageConvert:function(Orientation,img) {  
		var canvas = document.createElement("canvas"); 
		var width = img.width;  
        var height = img.height;   
        console.log("getBase64ImageConvert:width="+width+"<>height="+height)
//      if (img.width > img.height && img.width > 100) {  
//          width = 500;  
//          height = width * img.height / img.width;  
//      } else if (img.height > img.width && img.height > 100) {  
//          height = 500;  
//          width = height * img.width / img.height;  
//      }  
        
        // 宽度等比例缩放 *= 
        var MAX_HEIGHT = uploadImg.prototype.maxH;
        var MAX_WIDTH = uploadImg.prototype.maxW;
        if( height > width && height > MAX_HEIGHT ) { 
			width *= MAX_HEIGHT/height; 
			height = MAX_HEIGHT; 
		}else if( width > height && width > MAX_WIDTH ){
			height *= MAX_WIDTH/width; 
			width = MAX_WIDTH; 
		}

		canvas.width = width;   /*设置新的图片的宽度*/
		canvas.height = height; /*设置新的图片的长度*/
		var ctx = canvas.getContext("2d"); 
		ctx.drawImage(img, 0, 0, width, height);
        var base64 = null;  
        //修复ios 
       if (navigator.userAgent.match(/iphone/i)) { 
             console.log('iphone'); 
            //如果方向角不为1，都需要进行旋转  
            if(Orientation != "" && Orientation != 1){  
                var degree = 1 * 90 * Math.PI / 180;
                ctx.rotate(degree); 
                ctx.drawImage(img, 0, -width,height,width); 
            } 
            base64 = canvas.toDataURL("image/png", 0.8); 
        }else if (navigator.userAgent.match(/Android/i)) {// 修复android 
            base64 = canvas.toDataURL("image/png", 0.8); 
        }else{ 
            base64 = canvas.toDataURL("image/png", 0.8); 
        } 
        return base64.replace("data:image/png;base64,", ""); 
	},  
   			
	getBase64Image:function(img) { 
		var canvas = document.createElement("canvas");
		var width = img.width;
		var height = img.height; 
		console.log("getBase64Image:width="+width+"<>height="+height)
//		if (width > height) {
//			if (width > 100) {
//				height = Math.round(height *= 100 / width);
//				//width = 500;
//			}
//		} else {
//			if (height > 100) {
//				width = Math.round(width *= 100 / height);
//				//height = 500;
//			}
//		}
//		height = 500;
//		width = 500;

        // 宽度等比例缩放 *= 
        var MAX_HEIGHT = uploadImg.prototype.maxH;
        var MAX_WIDTH = uploadImg.prototype.maxW;
        if( height > width && height > MAX_HEIGHT ) { 
			width *= MAX_HEIGHT/height; 
			height = MAX_HEIGHT; 
		}else if( width > height && width > MAX_WIDTH ){
			height *= MAX_WIDTH/width; 
			width = MAX_WIDTH; 
		}
		
		canvas.width = width;   //设置新的图片的宽度
		canvas.height = height; //设置新的图片的长度
		var ctx = canvas.getContext("2d");
		ctx.drawImage(img, 0, 0, width, height); //绘图
		var dataURL = canvas.toDataURL("image/png", 0.8); 
		return dataURL.replace("data:image/png;base64,", "");
	},
	
	clearImgArr:function(path,flag) {
		if( flag == true ){
			uploadImg.prototype.imgArr = [];
		}else{
			var index = jQuery.inArray(path,uploadImg.prototype.imgArr);
			if( index >= 0 ){
				uploadImg.prototype.imgArr.splice(index,1);
			}
		}
	},
	
	callback:function(path) {
		setImgData(path);
	}
		
}
//$(function(){
//  var my = uploadImg.prototype;
//  my.init();             
//});