var actApp=angular.module('actApp',[]); 
var pageSize=5;
var token=localStorage.getItem("token");

actApp.controller('indexController',function($scope,$http){   
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;  
	 //当前页数
    $scope.currentPage = 1; 
    $scope.pageSize=pageSize; 
    $scope.param=0; 
    $scope.flg=0; 
    $scope.direct=0; //0表示第一次，1表示下拉刷新，2表示上滑加载更多
	
	$scope.loadMore=function(data,flag,direct){  
		var pd;
		//关闭遮罩层
		var d1=$(".mui-backdrop");
		d1.hide();
		if(direct<2){//表示第一次进页面或只显示第一页
			$scope.currentPage = 1; 
			if(flag>0){
				$scope.param=data; 
                $scope.flg=flag;
				if(flag==1){
					var d2=$("#act-type-div");
					d2.hide();  
					pd={"ACTIVITY_TYPE":data,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
				}else if(flag==2){
					var d3=$("#new-act-div"); 
					d3.hide();   
					pd={"CREATE_DATE":data,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
				}  
			}else{//第一次进页面且无参数
				pd={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
			}
		}else if(direct==2){//2表示上滑加载更多
			$scope.currentPage++; 
			if(flag>0){
				if($scope.param==data){//判断是否换了参数查询
				
				}else{
					$scope.currentPage=1; 
				}
				$scope.param=data; 
                $scope.flg=flag;
				if(flag==1){
					var d2=$("#act-type-div");
					d2.hide();  
					pd={"ACTIVITY_TYPE":data,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
				}else if(flag==2){
					var d3=$("#new-act-div"); 
					d3.hide();   
					pd={"CREATE_DATE":data,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
				}  
			}else{//第一次进页面且无参数
				pd={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
			}
		} 
		angularPost($http,
			"appActivity/queryByParam.do",
			{token:token,pa:pd},
			function(data){
				console.log("查询成功！"); 
				if(data.data!=null&&data.data!=''){
					$scope.actList=data.data;
					$scope.listSize=1;
				}else{
					$scope.listSize=0;
				} 
				
				setTimeout(function () {
			    	reLazyLoad();
			    },1000)
		},function(){
			console.log("失败");
		});  
	} 
	 
	$scope.firstLoad=function(data,flag,direct){ 
		angularPost($http,
			"appActivity/indexInfo.do",
			{token:token,pa:{"currentPage":$scope.currentPage,"pageSize":$scope.pageSize}},
			function(data){
				console.log("查询成功！"); 
				$scope.typeList=data.data.typeList; 
				if(data.data.actList!=null&&data.data.actList!=''&&data.data.actList!=undefined){
					$scope.actList=data.data.actList; 
					$scope.listSize=1; 
				}else{
					$scope.listSize=0; 
				} 
				setTimeout(function () {
			    	reLazyLoad();
			    },600)
				
				var pics=data.data.piclist; //轮换大图 
				$scope.piclist=pics;   
			    angular.forEach(pics,function(data,index){ 
			    	if(index==0){
			    	   $scope.firstPic=data;
			    	} 
			    	if(index==(pics.length-1)){
			    	   $scope.lastPic=data;
			    	}  
			    });  
			    setTimeout(function () {
			    	imgLoad();
			    },500)
			},function(){
				console.log("失败");
			}
		);
	}
	 // 默认第一次加载数据
    $scope.firstLoad($scope.param,$scope.flg,$scope.direct);  
});

actApp.controller('actDetailController',function($scope,$http){  
	$scope.imgPath =imgPath;
	$scope.appimgPath =appimgPath; 
	var actId=getToUrlParams(); 
	//var actId=localStorage.getItem("ID"); 
	angularPost($http,
		"appActivity/queryById.do",
		{token:token,pa:{ID:actId}},
		function(data){
			console.log("查询成功！"); 
			console.log(JSON.stringify(data.data.activity));  
			$scope.honorlist=data.data.honorlist;  
			$scope.honorCount=data.data.honorCount; 
			$scope.userlist=data.data.userlist; 
			$scope.levellist=data.data.levellist; 
			$scope.actDetail=data.data.activity;  
			if(data.data.activity.keyWords!=null&&data.data.activity.keyWords!=""&&data.data.activity.keyWords!=undefined){
				$scope.keys=data.data.activity.keyWords; 
			}
		},function(){
			console.log("失败");
		}
	);  
	
	$scope.applyActivity=function(data){   
    	angularPost($http,
			"appActivity/addActUser.do",
			{token:token,pa:{ACTIVITY_ID:data}},
			function(data){
				if(data.errcode=='01'){
					applymsg(data.errmsg);
				    console.log(data.errmsg);  
				}else{
					applymsg(data.errmsg);
					console.log(data.errmsg);
				}
			},function(data){
				applymsg(data.errmsg);
				console.log(data.errmsg);
			} 
			
    	);
	}
	
	$scope.actCollect=function(data){ 
    	angularPost($http,
			"appConllection/saveCollection.do",
			{token:token,pa:{OBJECT_ID:data,TYPE:"ACTIVITY"}},
			function(data){
				if(data.errcode=='01'){
//					colmsg(data.errmsg);
					console.log(data.errmsg);
				}else{
//					colmsg(data.errmsg);
				    console.log(data.errmsg);
				} 
			},function(){ 
				console.log(data.errmsg);
			} 
    	);
	}
	
	//删除活动 
	$scope.delActivity = function (data) { 
		angularPost($http,
		"appActivity/delActivity.do",
		{token:token,pa:{"ID":data}},
		function(data){
			console.log("删除活动成功！");  
			delmsg("删除成功！");
		},function(){
			delmsg("删除失败！");
			console.log("失败");
		}); 
	}
	$scope.validUser=function(id){
		angularPost($http,
		"appActivity/validUser.do",
		{token:token,pa:{"ID":id}},
		function(data){
			console.log("验证是否为自己！");  
			msgInfo(id,data.data.isSelf); 
		},function(){ 
			console.log("失败");
		}); 
	}
});

/*actApp.controller('addActController',function($scope,$http){  
	$scope.imgPath =imgPath;
	$scope.appimgPath =appimgPath; 
	var actId=localStorage.getItem("ACT_ID");
	 
	if(actId !=null && actId !='' && actId!=undefined){
		localStorage.removeItem("ACT_ID");
		//localStorage.setItem("ACT_ID",null);
	} 
	angularPost($http,
		"appActivity/queryActType.do", 
		{token:token,pa:{ID:actId}},
		function(data){ 
			$scope.typeList=data.data.typeList; 
			$scope.citiyList=data.data.citiyList;  
			$scope.pa=data.data.activity; 
		},function(){
			console.log("失败");
		}
	);  
	
	//新增项目信息 
	$scope.addActivity = function() {
		var img=localStorage.getItem("IMG_PATH"); 
		if(img!=null&&img!=''&&img!=undefined){
			localStorage.removeItem("IMG_PATH");
		} 
		var pa=$scope.pa;
		var startdate=$("#startdate").val();  
		var enddate=$("#enddate").val();  
		if((startdate!=null||startdate!=""||startdate!=undefined)&&(enddate!=null||enddate!=""||enddate!=undefined)){
			pa["START_DATE"]=startdate;
			pa["END_DATE"]=enddate; 
			pa["ACTIVITY_IMG"]=img; 
			if($scope.actForm.$valid){ 
			    angularPost($http,
				"appActivity/addActivity.do", 
				{token:token,pa:pa},
				function(data){
					if(data.errcode=='01'){
						console.log("新增活动成功！"); 
					    localStorage.setItem("ACTIVITY_ID",data.data);
					    msg();
						//toUrl('activityHonor.html'); 
					}else{
						console.log("新增活动失败！"); 
					}
					
				},function(){
					console.log("失败");
				});
			}else{ 
		    } 
		}else{ 
		} 
	} 
	
	//修改项目信息 
	$scope.editActivity = function() {  
		var img=localStorage.getItem("IMG_PATH"); 
		if(img!=null&&img!=''&&img!=undefined){
			localStorage.removeItem("IMG_PATH");
		} 
		var pa=$scope.pa;
		var startdate=$("#startdate").val();  
		var enddate=$("#enddate").val();  
		if((startdate!=null||startdate!=""||startdate!=undefined)&&(enddate!=null||enddate!=""||enddate!=undefined)){
			pa["START_DATE"]=startdate;
			pa["END_DATE"]=enddate; 
			pa["ACTIVITY_IMG"]=img; 
			if($scope.actForm.$valid){ 
			    angularPost($http,
				"appActivity/addActivity.do",
				{token:token,pa:pa},
				function(data){
					if(data.errcode=='01'){
						console.log("修改活动成功！"); 
					    localStorage.setItem("ACTIVITY_ID",data.data); 
					}else{
						console.log("修改活动失败！"); 
					} 
				},function(){
					console.log("失败");
				});
			}else{ 
		    } 
		}else{ 
		} 
	} 
}); 

actApp.controller('addActHonorController',function($scope,$http){
	$scope.imgPath =imgPath;
	$scope.appimgPath =appimgPath; 
    var actId=localStorage.getItem("ACTIVITY_ID");  
    var hId=localStorage.getItem("HONOR_ID");
    if(hId == undefined || hId == "" || hId==null ){
    	
    }else{ 
    	angularPost($http,
		"appHonor/queryById.do",
		{token:token,pa:{ID:hId}},
		function(data){
			 $scope.pa=data.data;
		},function(){
			console.log("失败");
		}); 
    }
	//新增嘉宾信息 
	$scope.addHonor = function() {   
		var img=localStorage.getItem("IMG_PATH"); 
		if(img!=null&&img!=''&&img!=undefined){
			localStorage.removeItem("IMG_PATH");
		}
		var id="";
		if($scope.pa.ID!=null&&$scope.pa.ID!=''&&$scope.pa.ID!=undefined){
			id=$scope.pa.ID;
		}
		var param={"ID":id,"ACTIVITY_ID":actId,"NAME":$scope.pa.NAME,"SEX":$scope.pa.SEX,"AGE":$scope.pa.AGE,"COMPANY_NAME":$scope.pa.COMPANY_NAME,"POSITION":$scope.pa.POSITION,"IMG_PATH":img};
	    angularPost($http,
		"appHonor/addHonor.do",
		{token:token,pa:param},
		function(data){
			console.log("新增活动成功！");  
			msg();
			//toUrl('activityHonor.html'); 
		},function(){
			console.log("失败");
		}); 
	}  
}); 
*/

/*function   formatDate(now)   {     
  	var   year=now.getYear();     
  	var   month=now.getMonth()+1;     
  	var   date=now.getDate();     
  	var   hour=now.getHours();     
  	var   minute=now.getMinutes();     
  	var   second=now.getSeconds();     
  	return   year+"-"+month+"-"+date+"   "+hour+":"+minute+":"+second;     
}     
    */    

