mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var dpApp=angular.module('dpApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

dpApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    var data=getToUrlParams();
	$scope.initLoad=function(nadata){ 
		var SHOP_NAME = null;
		var CATEGORY_ID = null;
		if( isNull(nadata) ){
			CATEGORY_ID = checkNull(data.id);
			SHOP_NAME = checkNull(data.name); 
		}else{
			SHOP_NAME = checkNull(nadata); 
		}
		var param = {"SHOP_NAME":SHOP_NAME,"CATEGORY_ID":CATEGORY_ID,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		//接口参数
		
		var InterfaceId = "2017125";
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	var isClick = false;
    function initData(data) {
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    	}else{
    		/**计算图片宽高**/
    		var win_width = $(window).width();
			var div_width = (win_width-15)/2;
			var img_width = div_width-10;
			
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		var img = getDefaultImage(d.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
		    	dataList += '<div class="cy-li" id='+d.COMPANY_ID+' style="width:'+div_width+'px;">'
						+ '<div class="cy-li-img" style="height:'+img_width+'px;"><img src="'+img+'" alt=""></div>'
						+ '<div class="cy-li-text">'
							+ '<div class="cy-li-top">'+checkNull(d.SHOP_NAME)+'</div>'
							+ '<div class="cy-li-bottom">'
								+ '<div class="cy-li-bottom-left">'+checkNull(d.CATE_NAME)+'</div>'
								+ '<div class="cy-li-bottom-right">'+checkNull(d.LEVEL_NAME)+'</div>'
							+ '</div>'
						+ '</div>'
				dataList += '</div>';
	    	})
	    	img();
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			
			//详情页
			$(".cy-li").on("tap",function(){ 
				var id = this.getAttribute("id");
			    if( isNull(id) ){
			    	mui.toast("该公司店铺暂未建设！");
			    	return;
			    }
				if( isClick == true ) return;
			    isClick = true;
			    /**公司详情页**/
			    var param = {"CY_ID":id};
				toUrl("gongsixq.html",param);
				setTimeout(function () {
					isClick = false;
				},500);
			});
			
    	}
    }
    
    
    

}); 




