var gsApp=angular.module('gsxqApp',[]);
var token=localStorage.getItem("token");
gsApp.controller('indexController',function($scope,$http){  
	var cyid=getToUrlParams(); 
	var catid=cyid.CY_ID;
	$scope.initLoad=function(){  
		var param={"COMPANY_ID":catid};
	    angularPost($http,  
	    {
			InterfaceId: '2017102',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回行业的名称list,二级行业的名称*/
			/*hangyelist行业list,
			 * 返回参数：ID,NAME,PID
			 * 
			 * zhylist子类list
			 * 返回参数：ID,PID,NAME
			 * */
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result);
			if( res ){
				$scope.xq=res;
				$scope.shop = res.shop;//店铺信息
				$scope.products = res.prods;//商品信息
				var pre = $('<pre>'+checkNull($scope.xq.DEVELOPE_HISTORY)+'</pre>');
	    		$("#fzlc").html(pre);
	    		var zyyw=$('<pre>'+checkNull($scope.xq.PRIMARY_SERVICE)+'</pre>');
	    		$("#yw").html(zyyw);
	    		var qywh=$('<pre>'+checkNull($scope.xq.BUSINESS_SULTURE)+'</pre>');
	    		$("#wh").html(qywh);
	    		$scope.rongyu=$scope.xq.honors;
	    		
	    		/**logo**/
	    		if( res && res.shop ){
	    			var img = getDefaultImage(res.shop.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
	    			$("#logo").attr("src",img);
	    		}
	    		
	    		//商品
	    		var prods = res.prods || [];
	    		initData(prods);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var isTouch = false;
    function initData(data) {
    	var pros = '';
		$.each(data, function(i,d) {
			var img = getDefaultImage(d.PROD_HEAD,"../../images/60x60.gif",imgPath);
			pros += '<div id="'+d.ID+'" class="swiper-slide"><div class="dp-img-li"><img src="'+img+'" alt=""></div></div>';
		});
		$(".swiper-wrapper").append(pros);
		
		/**商品滑动初始化**/
		var swiper = new Swiper('.swiper-container', {
		    //scrollbarHide: true,      //下划线
		    slidesPerView: 'auto',    
		    centeredSlides: false,    //内容是否居中显示
		    spaceBetween: 10,         //间隔 
		    grabCursor: true          //聚焦手势
		});
		
		/**商品详情页**/
		$(".swiper-wrapper .swiper-slide").on("tap",function () {
			if( isTouch == true ) return;
			isTouch = true;
			
			//店铺ID
			var shop_id = $(".mui-table-view").attr("id");
			setStorage("SHOP_ID",shop_id);
			//商品ID
			var id = this.getAttribute("id");
			setStorage("PROD_ID",id);
			toUrl("commodity.html");
			
			setTimeout(function () {
				isTouch = false;
			},500);
		})
    }
}); 