mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var ddApp=angular.module('ddApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

ddApp.controller('dindanController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    
	$scope.initLoad=function(data){ 
		var namedata="";
		if(data!=null&&data!=''&&data!=undefined){
			namedata=data;
		}else{
			namedata=null;
		}
		//接口参数
		var param={"SHOP_NAME":namedata,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"PROD_NAME":namedata,"USER_ID":userInfo.userid};
		
		var InterfaceId = "2017133";
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
	var isClick = false;//进入页面避免多次点击；
	var isTouch = false;//按钮点击避免多次点击.
    function initData(data) {
    	var obj = [
    	{
    		"ORDER_ID":"816008a4d3c841f39508910ca3917245",
    		"ORDER_STATU":"00",
    		"PROD_ID":"d609609b1910498180f8162971a74a58",
    		"PROD_PRICE":1.00,
    		"TOTAL_PRICE":1.00,
    		"SHOP_NAME":"华中地板",
    		"CREATE_DATE":1499918443000,
    		"PROD_NAME":"iphone7 p",
    		"SHOP_ID":"0waMEnIS",
    		"PROD_HEAD":"c8d4f8493f964e27adcc233e0178e3ed.png",
    		"PROD_SKUINFO":"d609609b1910498180f8162971a74a58,银色,32G",
    		"PROD_NUM":1},
    		{"ORDER_ID":"f0a25295eefb4d1a8bc186f83b1fff86","ORDER_STATU":"00","PROD_ID":"d609609b1910498180f8162971a74a58","PROD_PRICE":1.00,"TOTAL_PRICE":1.00,"SHOP_NAME":"华中地板","CREATE_DATE":1499917934000,"PROD_NAME":"iphone7 p","SHOP_ID":"0waMEnIS","PROD_HEAD":"c8d4f8493f964e27adcc233e0178e3ed.png","PROD_SKUINFO":"d609609b1910498180f8162971a74a58,银色,32G","PROD_NUM":1},{"ORDER_ID":"760043c0b3c144bb8d33e074db69524a","ORDER_STATU":"00","PROD_ID":"d609609b1910498180f8162971a74a58","PROD_PRICE":1.00,"TOTAL_PRICE":1.00,"SHOP_NAME":"华中地板","CREATE_DATE":1499858410000,"PROD_NAME":"iphone7 p","SHOP_ID":"0waMEnIS","PROD_HEAD":"c8d4f8493f964e27adcc233e0178e3ed.png","PROD_SKUINFO":"d609609b1910498180f8162971a74a58,银色,32G","PROD_NUM":1},{"ORDER_ID":"844d5a89a6994376a26cdfeb6da7f6c8","ORDER_STATU":"00","PROD_ID":"d609609b1910498180f8162971a74a58","PROD_PRICE":1.00,"TOTAL_PRICE":1.00,"SHOP_NAME":"华中地板","CREATE_DATE":1499857824000,"PROD_NAME":"iphone7 p","SHOP_ID":"0waMEnIS","PROD_HEAD":"c8d4f8493f964e27adcc233e0178e3ed.png","PROD_SKUINFO":"d609609b1910498180f8162971a74a58,红色,32G","PROD_NUM":1},{"ORDER_ID":"8360f3a38f3d46ccb3943043d24d4e5a","ORDER_STATU":"00","PROD_ID":"d609609b1910498180f8162971a74a58","PROD_PRICE":1.00,"TOTAL_PRICE":6.00,"SHOP_NAME":"华中地板","CREATE_DATE":1499857644000,"PROD_NAME":"iphone7 p","SHOP_ID":"0waMEnIS","PROD_HEAD":"c8d4f8493f964e27adcc233e0178e3ed.png","PROD_SKUINFO":"d609609b1910498180f8162971a74a58,红色,128","PROD_NUM":6},{"ORDER_ID":"6586a40f7e794dbd8f15148229174f83","ORDER_STATU":"00","PROD_ID":"d609609b1910498180f8162971a74a58","PROD_PRICE":1.00,"TOTAL_PRICE":6.00,"SHOP_NAME":"华中地板","CREATE_DATE":1499857634000,"PROD_NAME":"iphone7 p","SHOP_ID":"0waMEnIS","PROD_HEAD":"c8d4f8493f964e27adcc233e0178e3ed.png","PROD_SKUINFO":"d609609b1910498180f8162971a74a58,红色,128","PROD_NUM":6},{"ORDER_ID":"f5a99d2b04b14d1d8f5d639807e4a19b","ORDER_STATU":"00","PROD_ID":"d609609b1910498180f8162971a74a58","PROD_PRICE":1.00,"TOTAL_PRICE":1.00,"SHOP_NAME":"华中地板","CREATE_DATE":1499857457000,"PROD_NAME":"iphone7 p","SHOP_ID":"0waMEnIS","PROD_HEAD":"c8d4f8493f964e27adcc233e0178e3ed.png","PROD_SKUINFO":"d609609b1910498180f8162971a74a58,黑色,32G","PROD_NUM":1}];
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    	}else{
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		//sku信息（商品规格组合）
	    		var sku = checkNull(d.PROD_SKUINFO);
	    		var index = sku.indexOf(",");
	    		if( index >= 0 ){
	    			sku = sku.substring(index+1);
	    		}
	    		
	    		//商品状态：00已下单，01代付款,02代发货03,已发货,04已完成,20已取消
	    		var statu = d.ORDER_STATU;
	    		var statusStr = getOrderStatus(statu);
	    		var hover = statu == "04" ? "hover" : "";
	    		var img = getDefaultImage(d.PROD_HEAD,"../../images/60x60.gif",imgPath);
	    		var port = getDefaultImage(d.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
    			dataList += '<div id="'+d.ORDER_ID+'" class="pj-li">'
							+ '<div id="'+d.SHOP_ID+'" class="pj-li-dm f-box">'
							    + '<div class="f1 wb-a slogo" style="background: url('+port+') left 5px top 5px no-repeat;background-size: 16px 16px;">'
								    + '<span class="mlr-10">'+d.SHOP_NAME+'</span>'
								    + '<span class="mui-icon mui-icon-arrowright clo-c9"></span>'
							    +'</div>'
							    + '<div class="clo-jy fs-14 plr-5">'+statusStr+'</div>'
							+ '</div>'
							+ '<div id="'+d.PROD_ID+'" class="pj-li-sh">'
								+ '<div class="pj-li-sh-img">'
									+ '<img src="'+img+'" >'
								+ '</div>'
								+ '<div class="pj-li-sh-nr">'
									+ '<div class="pj-li-sh-nr-l">'
										+ '<div class="pj-li-sh-nr-l-t">'+checkNull(d.PROD_NAME)+'</div>'
										+ '<div class="pj-li-sh-nr-l-b">规格：'+sku+'</div>'
									+ '</div>'
									+ '<div class="pj-li-sh-nr-r">'
										+ '<div class="pj-li-sh-nr-r-t">¥'+checkNull(d.PROD_PRICE)+'</div>'
										+ '<div class="pj-li-sh-nr-r-b">X'+checkNull(d.PROD_NUM)+'</div>'
									+ '</div>'
								+ '</div>'
							+ '</div>'
							+ '<div class="pj-li-hj">'
								+ '<div class="pj-li-hj-l">共'+checkNull(d.PROD_NUM)+'件商品 合计<span> ¥ '+checkNull(d.TOTAL_PRICE)+'</span></div>';
								if( statu == "00" ){
									dataList +=  '<div oid="'+d.ORDER_ID+'" class="orderbtn cancel">取消订单</div>'
								}else if( statu == "04" ){
									dataList +=  '<div oid="'+d.ORDER_ID+'" class="orderbtn delete">删除订单</div>'
									         + '<div pid="'+d.PROD_ID+'" oid="'+d.ORDER_ID+'" class="pj-li-hj-r '+hover+'">去评价</div>';
								}else if( statu == "05" ){
									dataList +=  '<div oid="'+d.ORDER_ID+'" class="orderbtn delete">删除订单</div>';
								}
							dataList += '</div>'
				   dataList += '</div>';
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			/**进入店铺**/
			$(".pj-li-dm").on("tap",function () {
				if( isClick == true ) return;
				isClick = true;
				
				setStorage("SHOP_ID",this.getAttribute("id"));
				toUrl("dp-index.html");
				setTimeout(function () {
					isClick = false;
				},500);
			})
			
			/**进入详情**/
			$(".pj-li-sh").on("tap",function () {
				if( isClick == true ) return;
				isClick = true;
				
				setStorage("PROD_ID",this.getAttribute("id"));
				toUrl("commodity.html");
				setTimeout(function () {
					isClick = false;
				},500);
			})
			
			/**进入评价**/
			$(".pj-li-hj-r.hover").on("tap",function () {
				if( isClick == true ) return;
				isClick = true;
				
				var param = {"ORDER_ID":this.getAttribute("oid"),"PRODUCT_ID":this.getAttribute("pid")};
				toUrl("fb-pingjia.html",param);
				setTimeout(function () {
					isClick = false;
				},500);
			})
			
			/**取消订单**/
			$(".orderbtn.cancel").on("tap",function () {
				if( isTouch == true ) return;
				isTouch = true;
				
				var id = this.getAttribute("oid");
				var btnArray = ['确定', '取消']; 
		        mui.confirm('确定取消该条订单？', '温馨提示', btnArray, function(e) { 
		            if (e.index == 0) { 
		            	$scope.doSth(id,"20");
		            }else{
		            	isTouch = false;
		            }
		        });
			})
			
			/**删除订单**/
			$(".orderbtn.delete").on("tap",function () {
				if( isTouch == true ) return;
				isTouch = true;
				var id = this.getAttribute("oid");
				var btnArray = ['确定', '取消']; 
		        mui.confirm('确定删除该条订单？', '温馨提示', btnArray, function(e) { 
		            if (e.index == 0) { 
		            	$scope.doSth(id,"30");
		            }else{
		            	isTouch = false;
		            }  
		        });
			})
    	}
    }
    
    /**取消、删除订单**/
    $scope.doSth=function(id,status){ 
		//接口参数
		var param={"ORDER_ID":id,"STATUS":status};
		var InterfaceId = "2017148";
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			isTouch = false;
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    if( res && res.code == "200" ){
		    	mui.toast("操作成功");
		    	$("#"+id).remove();
		    }else{
		    	mui.toast("操作失败");
		    }
		},function(data){
			isTouch = false;
			console.log("操作失败");
			if( data ){
				mui.toast(data.msg);
			}
		});  
	} 
}); 

