var jyApp=angular.module('searchApp',[]);  
var token=localStorage.getItem("token");
var pageSize=8;

jyApp.controller('searchController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = true;//上拉下滑加载参数
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017047',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initWords(res);
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
	function initWords(data) {
		var li = '';
		$.each(data, function(i,d) {
			li += '<div class="hot-li">'+d.NAME+'</div>';
		});
		$("#sousuo").find(".hot-name").append(li);
		
		$(".hot-li").on("tap",function(){ 
			var val = this.innerHTML;
			if( !isNull(val) ){
				search(val);
			}
		}); 
		
	}
	
	$scope.search=function(val){ 
		//接口参数
		var param={"USER_ID":null,"PROJECT_NAME":val,"CITY":null,"PROJECT_STAGE_ID":null,"PROJECT_TYPE_ID":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		param.DISTINGUISH = 2;//epc项目
		setStorage("searchParam",JSON.stringify(param));
		console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017144',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initData(res);
		},function(){
			console.log("失败");
		});  
	}
    
    //数据加载
    var isClick = false;
    function initData(data) {
    	if( !data || data.length < pageSize ){
    		$scope.sliderFlag = true;
    	}
    	var stageType = "";//项目阶段样式
    	var dataList = '';
    	$.each(data,function(i,d) {
    		if( d == null ) return;
	            var user_id=d.USER_ID;
	    	    var create_by=d.CREATE_BY;
	    	    var pro_img="../../images/60x60.gif";
	    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
	    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
		    	}
		    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
		    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
		    	}
		    	//项目图片
		    	var imgs = d.imgs || [];
		    	//项目阶段编码
		    	var bm = d.BIANMA;
		    	stageType = bm == "51" ? "list-li-type-orange" : bm == "60" ? "list-li-type-gules" : bm == "62" ? "list-li-type-green" : bm == "64" ? "list-li-type-violet" : bm == "66" ? "list-li-type-blue" :"list-li-type-orange";
	    		//项目状态
	    		var str = getProStatus(d);
	    		dataList += '<div id="'+d.ID+'" flag="'+d.IS_RESOURCE+'" class="pro_content">';
			 		dataList += '<div class="list-li">'
			 		            + ' <div class="f-box">'
									+ '<div class="list-li-left"><img src="'+pro_img+'" alt=""></div>'
									+ '<div class="list-li-right">'
										+ '<div class="list-li-right-t">'
											+ '<div class="list-li-title">'+d.PROJECT_NAME+'</div>'
											+ '<div class="list-li-ico"></div>'
											+ '<div class="list-li-icon" val="1">'
											+ '</div>'
										+ '</div>'
										+ '<div class="list-li-right-c">'
											+ '<div class="list-li-type">'
												+ '<span class="'+stageType+'">'+d.STAGE_NAME+'</span>'
											+ '</div>'
											+ '<div class="list-li-price">¥'+d.START_PRICE+'万</div>'
										+ '</div>'
										+ '<div class="list-li-right-b">'
											+ '<div class="list-li-one">'
												+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
												+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
												+ '<div class="list-li-red">'+str+'</div>'
											+ '</div>'
										+ '</div>'
									+ '</div>'					
								+ '</div>'
								+ getStart(checkInt(d.STAR_LEVEL))
							+ '</div>';
				dataList += '</div>';
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .pro_content").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			setStorage("PRO_ID",this.getAttribute("id"));
			var flag = this.getAttribute("flag");
			if( flag == "1" ){
				toUrl("../Transaction/require.html");
			}else{
				toUrl("../Transaction/details.html");
			}
			setTimeout(function () {
				isClick = false;
			},500);	
		});
  }

}); 
