mui.plusReady(function() {
	if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
        plus.nativeUI.closeWaiting();
        mui.toast("网络异常！");
        return;
    }
});

var serverPath="http://jianlian.shanghai-cu.com/jlApi/"; 
function REQUEST_POST(method, params, successCB, errorCB) {
	serverPath="http://jianlian.shanghai-cu.com/jlApi/";
	if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
        mui.toast("网络异常！");
        return;
    }
	console.log(serverPath + method+JSON.stringify(params));
	$.ajax({
		url: serverPath + method,
		async: false,
		data: params,
		type: "post",
		dataType: 'json',
		success: function(resp) {  
			mui.plusReady(function() {
				plus.nativeUI.closeWaiting();
			});
			switch (resp.code){
				case "success":
					console.info("[" + method + "]" + JSON.stringify(resp));
					successCB(resp.data);
					break;
				case "true":
					console.info("[" + method + "]" + JSON.stringify(resp));
					successCB(resp);
					break; 
				case "01":
					console.info("[" + method + "]" + JSON.stringify(resp));
					successCB(resp);
					break;
				default:
					console.error("[" + method + "]" + JSON.stringify(resp));
					errorCB(resp);
					break;
			}
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) { 
			mui.plusReady(function() {
				plus.nativeUI.closeWaiting();
			});
			console.error(textStatus);
			console.error(XMLHttpRequest);
			console.error("HTTP ERROR");
			errorCB();
		}
	});
}

function REQUEST_GET(method, params, successCB, errorCB) {
	$.ajax({
		url: serverPath + method,
		async: false,
		data: params,
		type: "get",
		dataType: 'json',
		success: function(resp) {
			mui.plusReady(function() {
				plus.nativeUI.closeWaiting();
			});
			switch (resp.code){
				case "success":
					successCB(resp.data);
					break;
				case "01":
					successCB(resp.data);
					break;
				case "02":
					console.log("没有找到相关数据");
					errorCB();
					break;
				case "03":
					console.log("参数错误");
					errorCB();
					break;
				case "04":
					console.log("操作失败");
					errorCB();
					break;
				case "07":
					console.log("请求过期");
					errorCB();
					break;
				case "08":
					console.log("拒绝请求");
					errorCB();
					break;
				case "09":
					console.log("未知错误");
					errorCB();
					break;
				default:
					errorCB();
					break;
			}
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			mui.plusReady(function() {
				plus.nativeUI.closeWaiting();
			});
			errorCB();
		}
	});
}

function plusReady(){  
 	var types={};
 	types[plus.networkinfo.CONNECTION_UNKNOW]="Unknown connection"; 
    types[plus.networkinfo.CONNECTION_NONE] = "None connection";
    types[plus.networkinfo.CONNECTION_ETHERNET]="Ethernet connection" 
    types[plus.networkinfo.CONNECTION_WIFI]="WiFi connection";
    types[plus.networkinfo.CONNECTION_CELL2G]="Cellular 2G connection"; 
    types[plus.networkinfo.CONNECTION_CELL3G] = "Cellular 3G connection";
    types[plus.networkinfo.CONNECTION_CELL4G] = "Cellular 4G connection";
    console.log("Network: " + types[plus.networkinfo.getCurrentType()] );
 }
 
 if(window.plus){ 
 　   plusReady();
 }else{ 
 　　 document.addEventListener("plusready",plusReady,false); 
 } 
 

function ajax(method, params, successCB, errorCB) { 
	if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
        mui.toast("网络异常！");
        return;
    }
	console.log(serverPath + method+JSON.stringify(params));
	$.ajax({
		url: serverPath + method,
		async: false,
		data: params,
		type: "post",
		dataType: 'json',
		success: function(resp) {  
			successCB(resp);
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) { 
			console.error(textStatus);
			console.error(XMLHttpRequest);
			console.error("HTTP ERROR");
			errorCB();
		}
	});
}