var jianlianApp=angular.module('JLApp',['ngSanitize']);
var token=localStorage.getItem("token");
var pageSize=8;

jianlianApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath =imgPath;
	$scope.appimgPath =appimgPath; 
	
	//分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;//上拉下滑加载参数
    
	$scope.initLoad=function(){ 
		var param=null;
	    angularPost($http,  
	    {
			InterfaceId: '20170104',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("首页查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			
			//1、建联快报
			var hot = res.hotMadia || [];
			$scope.hotMadia = hot;
			
			//2、查询首页轮换大图
			var pics=res.firRots || [];
			if( pics.length > 0 ){
				$scope.piclist=pics;
				$scope.firstPic=pics[0];
				$scope.lastPic=pics[pics.length-1];
				/**轮播图懒加载**/
		        imgLoad();
		        
		        setTimeout(function(){
					$(".picture-href").on("tap",function(){   
						var url = this.getAttribute("url");
						if( isNull(url)||url=='#' ){  
							mui.toast("暂无链接！");
						}else{   
							toUrl(url);
						} 
					});
				},1000);
			}
				 
			if( res && res.pros ){
				initData(res.pros,0);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    $scope.loadMessage=function(){ 
    	var param = {};
    	angularPost($http,  
	    {
			InterfaceId: '2017103',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			if( res ){
				$scope.message=res;
				if($scope.message.counts>0){  
					$('#sk').attr('src','../../images/myren/21.png');
				}else if($scope.message.counts==0){
					$('#sk').attr('src','../../images/myren/xiaoxi3.png');
				}
			}
		},function(){
			console.log("失败");
		}); 
		
	}
    
    $scope.loadMore=function(){ 
		//接口参数
		var param={"USER_ID":null,"PROJECT_NAME":null,"CITY":null,"PROJECT_STAGE_ID":null,"PROJECT_TYPE_ID":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017034',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initData(res,1);
		},function(){
			console.log("失败");
		});  
	}
    
    //数据加载
    var isClick = false;
    function initData(data,type) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var stageType = "";//项目阶段样式
    	var dataList = '';
    	$.each(data,function(i,d) {
    		if( d == null ) return;
    		if( isNull(d.USER_ID) && isNull(d.PROJECT_CONTENT) ){
    			var ad_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    			dataList += '<div ad="1" link="'+checkNull(d.LINK_URL)+'" class="pro_content">'
	    			            + '<div class="list-dd">'
									+ '<div class="list-dd-img"><img src="'+ad_img+'" alt=""></div>'
										+ '<div class="list-dt-text">'
											+ '<div class="list-dd-type">'
												+ '<span class="list-dd-type-blue">广告</span>'
											+ '</div>'
											+ '<div class="list-dd-time">'+checkNull(d.TITLE)+'</div>'
											+ '<div class="list-dd-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
										+ '</div>'
									+ '</div>'
				            + '</div>';		
    		}else{
	            var user_id=d.USER_ID;
	    	    var create_by=d.CREATE_BY;
	    	    var pro_img="../../images/60x60.gif";
	    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
	    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
		    	}
		    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
		    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
		    	}
		    	//项目图片
		    	var imgs = d.imgs || [];
		    	//项目阶段编码
		    	var bm = d.BIANMA;
		    	stageType = bm == "13" ? "list-li-type-orange" : bm == "14" ? "list-li-type-gules" : bm == "15" ? "list-li-type-green" : bm == "16" ? "list-li-type-violet" : bm == "83" ? "list-li-type-blue" : "" ;
	    		//项目状态
	    		var str = getProStatus(d);
	    		dataList += '<div id="'+d.ID+'" flag="'+d.IS_RESOURCE+'" class="pro_content">';
					if( i == 3 ){
				        dataList += '<div class="list-dt">'
										+ '<div class="list-dt-name">'
											+ '<div class="list-dt-title">'+d.PROJECT_NAME+'</div>';
											if( d.IS_HOT == "1" ){
											    dataList += '<div class="list-li-ico"></div>'
															+ '<div class="list-li-icon" val="1">'
																+ '<img src="../../images/editorimg/gold.png" alt="">'
															+ '</div>';
											}
										dataList += '</div>';
										
										if( !imgs || imgs.length == 0  ){
											dataList += '<div class="list-dt-img"><img src="'+pro_img+'" alt=""></div>';
										}else{
											dataList += '<div class="list-db-img">';
											$.each(imgs, function(j,img) {
												var n_img="../../images/60x60.gif";
									    	    if( !isNull(user_id) ){//app端发布的项目
									    		   n_img=getDefaultImage(img.IMG_PATH,"../../images/60x60.gif");
										    	}
										    	if( !isNull(create_by) ){//后台发布的项目
										    	   n_img = getDefaultImage(img.IMG_PATH,"../../images/60x60.gif",imgPath);
										    	}
												dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
											});
											dataList += '</div>';
										}
										
										dataList += '<div class="list-dt-text">'
											+ '<div class="list-li-type">'
												+ '<span class="'+stageType+'">'+d.STAGE_NAME+'</span>'
											+ '</div>'
											+ '<div class="list-dt-price">¥'+d.START_PRICE+'万</div>'
											+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
											+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
											+ '<div class="list-li-red">'+str+'</div>'
										+ '</div>'
										+ getStart(checkInt(d.STAR_LEVEL))
									+ '</div>';
					}else{
						if( d.IS_RESOURCE == "1" && imgs.length > 1 ){
							dataList += '<div class="list-dt">'
										+ '<div class="list-dt-name">'
											+ '<div class="list-dt-title">'+d.PROJECT_NAME+'</div>';
											if( d.IS_HOT == "1" ){
											    dataList += '<div class="list-li-ico"></div>'
															+ '<div class="list-li-icon" val="1">'
																+ '<img src="../../images/editorimg/gold.png" alt="">'
															+ '</div>';
											}
										dataList += '</div>';
										
										dataList += '<div class="list-db-img">';
										$.each(imgs, function(j,img) {
											var n_img="../../images/60x60.gif";
								    	    if( !isNull(user_id) ){//app端发布的项目
								    		   n_img=getDefaultImage(img.IMG_PATH,"../../images/60x60.gif");
									    	}
									    	if( !isNull(create_by) ){//后台发布的项目
									    	   n_img = getDefaultImage(img.IMG_PATH,"../../images/60x60.gif",imgPath);
									    	}
											dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
										});
										dataList += '</div>';
										
										dataList += '<div class="list-dt-text">'
														+ '<div class="list-li-type">'
															+ '<span class="'+stageType+'">'+d.STAGE_NAME+'</span>'
														+ '</div>'
														+ '<div class="list-dt-price">¥'+d.START_PRICE+'万</div>'
														+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
														+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
														+ '<div class="list-li-red">'+str+'</div>'
													+ '</div>'
													+ getStart(checkInt(d.STAR_LEVEL))
												+ '</div>';
						}else{
					 		dataList += '<div class="list-li">'
					 		            + ' <div class="f-box">'
											+ '<div class="list-li-left"><img src="'+pro_img+'" alt=""></div>'
											+ '<div class="list-li-right">'
												+ '<div class="list-li-right-t">'
													+ '<div class="list-li-title">'+d.PROJECT_NAME+'</div>'
													+ '<div class="list-li-ico"></div>'
													+ '<div class="list-li-icon" val="1">'
													+ '</div>'
												+ '</div>'
												+ '<div class="list-li-right-c">'
													+ '<div class="list-li-type">'
														+ '<span class="'+stageType+'">'+d.STAGE_NAME+'</span>'
													+ '</div>'
													+ '<div class="list-li-price">¥'+d.START_PRICE+'万</div>'
												+ '</div>'
												+ '<div class="list-li-right-b">'
													+ '<div class="list-li-one">'
														+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
														+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
														+ '<div class="list-li-red">'+str+'</div>'
													+ '</div>'
												+ '</div>'
											+ '</div>'					
										+ '</div>'
										+ getStart(checkInt(d.STAR_LEVEL))
									+ '</div>';
						}			
					}
				dataList += '</div>';
			}
    	})
    	
		if( $scope.currentPage == 1 ){
			if( type == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#proList").html(dataList);
			}
		}else{
			if( type == 1 ){
				$("#dataList").append(dataList);
			}else{
				$("#proList").append(dataList);
			}
		}
		
		//朋友圈详情页
		$(".pro_content").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			var ad = this.getAttribute("ad");
			if( isNull(ad) ){
				setStorage("PRO_ID",this.getAttribute("id"));
				var flag = this.getAttribute("flag");
				if( flag == "1" ){
					toUrl("../../html/Transaction/require.html");
				}else{
					toUrl("../../html/Transaction/details.html");
				}
			}else{
				//var linkUrl = this.getAttribute("link");
				mui.toast("暂无广告页！");
			}	
			setTimeout(function () {
				isClick = false;
			},500);
		});
    }
});

jianlianApp.controller('searchIndexController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath; 
	
	var data=getToUrlParams();
	if( isNull(data) ){
		msg("没有输入参数！");
		return;
	}
	var param = {"TITLE":data};
	$scope.search=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170103',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			if( res ){
				$scope.prolist=res.prolist;  
				$scope.madlist=res.madlist;  
				$scope.actList=res.actList;  
				$scope.keyWords=res.keyWords;  
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.search();   
});







