mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var qkApp=angular.module('qkApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

qkApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017065',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    	}else{
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		var img = getDefaultImage(d.COVER_PATH,"../../../images/60x60.gif");
	    		dataList += '<div id="'+d.ID+'" path="'+d.QK_PATH+'" class="listdiv">'
							+ '<div class="zuoimg">'
								+ '<img class="tuimg" src="'+img+'"/>'
							+ '</div>'
							+ '<div class="wezilist">'
								+ '<div class="wtile">'+d.TITLE+'</div>'
								+ '<div class="wjian">'+d.ABOUT+'</div>'
								+ '<div class="qs">第'+d.VERSION+'期</div>'
							+ '</div>'
						+ '</div>';
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			$("#dataList .listdiv").on("tap",function(){ 
				var param = {
					"QK_ID":this.getAttribute("id"),
					"PATH":this.getAttribute("path")
			    }
				var page = "yuedu.html";
				var wv = plus.webview.getWebviewById(page);  
				if( wv ){
					toUrl(page,param,true);
				}else{
					toUrl(page,param,false);
				}
			});
    	}
    }
}); 


qkApp.controller('qkxqController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
	$scope.initLoad=function(){ 
		//接口参数
		var param = getToUrlParams();
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017066',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    	}else{
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		if( isImg(d.name) ){
	    			var img = getDefaultImage(d.name,"../../../images/60x60.gif");
		    		dataList += '<div class="swiper-slide">'
				            	 + '<img class="swiper-lazy imgdx" data-src="'+img+'"/>'
				            	 + '<div class="swiper-lazy-preloader"></div>'
				             + '</div>';
	    		}
	    	})
	    	$("#dataList").html(dataList);
	    	
		    var mySwiper = new Swiper('.swiper-container',{  
	            pagination: '.swiper-pagination',
	            direction: 'horizontal',
	//	        paginationType:'fraction',
		        loop: false,  
		        lazyLoading : true,
	//          prevButton:'.swiper-button-prev',前一个按钮
	//			nextButton:'.swiper-button-next',下一个按钮
				paginationType : 'progress',
				paginationProgressRender: function (swiper, progressbarClass) {
				    return '<span class="' + progressbarClass + '"></span>';
				}
	        });
    	}
    }
});