mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var wdApp=angular.module('wdApp',[]);
var token=localStorage.getItem("token"); 
var userId=localStorage.getItem("userId"); 
var pageSize=10;

wdApp.controller('indexController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;  
	$scope.currentPage=1;
	$scope.pageSize=pageSize; 
	
	$scope.loadDown=function(){//下拉刷新   
	 	$scope.currentPage=1;
		var param={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"USER_ID":null,"TITLE":null};
	    angularPost($http,  
	    {
			InterfaceId: '2017017',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result);
			$scope.sliderFlag=false;
			var html='';
			for(var i=0;i<res.length;i++){
			  	var wtid=res[i].ID;
			  	var uid=res[i].USER_ID;
			  	var userImg=res[i].IMG; 
			  	var img=res[i].IMG_PATH;
			  	var title=res[i].TITLE;
			  	var topName=res[i].TOPIC_NAME
			  	var contents=res[i].DESCRIPTION;
			  	if(contents!=''&&contents!=undefined&&contents!=null){
			  		var content=getRemoveTagsStr(contents);
			  		
			  	}else{
			  		var content=contents;
			  	}
			  	var agreeCount=res[i].AGREE_COUNT;
			  	var commCount=res[i].COMMENT_COUNT;
			  	html+='<div class="wenda-list" wenda_id="'+wtid+'">';
			  	html+='<div class="wdlist-lis1">';
			  	if(userImg!=null&&userImg!=''&&userImg!=undefined){
			  		if(userImg.indexOf('http://')>=0){
						html+='<a><img uid="'+uid+'" class="wdlist1-img" src="'+userImg+'"/></a>';
					}else{
						html+='<a><img uid="'+uid+'" class="wdlist1-img" src="'+$scope.appimgPath+userImg+'"/></a>';
					}  
			  	}else{
			  		html+='<a><img uid="'+uid+'" class="wdlist1-img" src="../../../images/myren/moren.jpg"/></a>';
			  	} 
			  	html+='<span class="wd-lzsise">来自话题：'+topName+'</span>';
			  	html+='</div>';
			  	html+='<div id="wd-detial" wtid="'+wtid+'"><h3 class="wenda-tou">'+title+'</h3>';
			  	if(img!=null&&img!=''&&img!=undefined){
			  		html+='<img class="we-img" src="'+$scope.appimgPath+img+'" data-preview-src="" data-preview-group="'+i+'"  data-content=""/>'; 
			  	}
			  	if(content!=null&&content!=''&&content!=undefined){
			  		html+='<div class="we-jl">'+content+'</div>';
			  	} 
			  	html+='<div class="wed-bom">';
			  	html+='<p class="we-p">'+agreeCount+'&nbsp;&nbsp;&nbsp;赞同&nbsp;&nbsp;·&nbsp;&nbsp;'+commCount+'&nbsp;&nbsp;&nbsp;评论</p>';
			  	html+='</div></div></div>';  
			} 
			$("#wd-list").html(html); 
			initUser();
			initDetail();
		},function(){
			console.log("失败");
		});  
	}  
	
	$scope.loadUp=function(){//上拉加载更多  
		$scope.currentPage++;
		var param={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"USER_ID":null,"TITLE":null};
	    angularPost($http,  
	    {
			InterfaceId: '2017017',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result);
			if(res.length <$scope.pageSize){
				$scope.sliderFlag=true;
			}else{
				$scope.sliderFlag=false;
			} 
			var html='';
			for(var i=0;i<res.length;i++){
			  	var wtid=res[i].ID;
			  	var uid=res[i].USER_ID;
			  	var userImg=res[i].IMG;
			  	var img=res[i].IMG_PATH;
			  	var title=res[i].TITLE;
			  	var contents=res[i].DESCRIPTION;
			  	if(contents!=''&&contents!=undefined&&contents!=null){
			  		var content=getRemoveTagsStr(contents);
			  		
			  	}else{
			  		var content=contents;
			  	}
			  	var agreeCount=res[i].AGREE_COUNT;
			  	var commCount=res[i].COMMENT_COUNT;
			  	html+='<div class="wenda-list" wenda_id="'+wtid+'">';
			  	html+='<div class="wdlist-lis1">';
			  	if(userImg!=null&&userImg!=''&&userImg!=undefined){
			  		if(userImg.indexOf('http://')>=0){
						html+='<a><img uid="'+uid+'" class="wdlist1-img" src="'+userImg+'"/></a>';
					}else{
						html+='<a><img uid="'+uid+'" class="wdlist1-img" src="'+$scope.appimgPath+userImg+'"/></a>';
					}  
			  	}else{
			  		html+='<a><img uid="'+uid+'" class="wdlist1-img" src="../../../images/1-lp.png"/></a>';
			  	} 
			  	html+='<span class="wd-lzsise">来自话题：建联</span>';
			  	html+='</div>';
			  	html+='<div id="wd-detial" wtid="'+wtid+'"><h3 class="wenda-tou">'+title+'</h3>';
			  	if(img!=null&&img!=''&&img!=undefined){
			  		html+='<img class="we-img" src="'+$scope.appimgPath+img+'" data-preview-src="" data-preview-group="'+i+'"  data-content=""/>'; 
			  	}
			  	if(content!=null&&content!=''&&content!=undefined){
			  		html+='<div class="we-jl">'+content+'</div>';
			  	} 
			  	html+='<div class="wed-bom">';
			  	html+='<p class="we-p">'+agreeCount+'&nbsp;&nbsp;&nbsp;赞同&nbsp;&nbsp;·&nbsp;&nbsp;'+commCount+'&nbsp;&nbsp;&nbsp;评论</p>';
			  	html+='</div></div></div>';  
			} 
			$("#wd-list").append(html); 
			initUser();
			initDetail();
		},function(){
			console.log("失败");
		});  
	} 
	
	function initUser(){
		mui(".wdlist-lis1").on("tap",".wdlist1-img",function(){
			var uid=this.getAttribute("uid"); 
        	var pame={"USER_ID":uid};
        	if(uid==userId){
        		toUrl("../../../html/wode/my.html",pame,false);
        	}else{
        		toUrl("../../../html/wode/other.html",pame,false);
        	} 
		}) 
	}
	
	function initDetail(){  
		mui(".wenda-list").on('tap','#wd-detial h3',function(){
			var id=this.parentNode.getAttribute("wtid");   
            var page="detail.html"; 
            var wv = plus.webview.getWebviewById(page);  
			toUrl(page,id,false); 
	    });  
	    
	    mui(".wenda-list").on('tap','#wd-detial .we-jl',function(){
			var id=this.parentNode.getAttribute("wtid");   
            var page="detail.html"; 
            var wv = plus.webview.getWebviewById(page);  
			toUrl(page,id,false); 
	    }); 
	    
	    mui(".wenda-list").on('tap','#wd-detial .wed-bom',function(){
			var id=this.parentNode.getAttribute("wtid");   
            var page="detail.html"; 
            var wv = plus.webview.getWebviewById(page);  
			toUrl(page,id,false); 
	    });
	    
	    mui(".wenda-list").on('tap','#wd-detial .we-p',function(){
			var id=this.parentNode.getAttribute("wtid");   
            var page="detail.html"; 
            var wv = plus.webview.getWebviewById(page);  
			toUrl(page,id,false); 
	    });
	}

    $scope.loadDown();//加载首页列表数据
}); 

wdApp.controller('addWtController',function($scope,$http){ 
	$scope.initLoad=function(){//加载初始化数据
		var param=null;
	    angularPost($http,  
	    {
			InterfaceId: '2017027',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			$scope.bqs=angular.fromJson(data.result); 
			setTimeout(function () {
				$("#ul").find("li").on("tap",function () { 
			    	if( $(this).hasClass("hover") ){
			    		$(this).removeClass("hover");
			    	}else{
			    		$(this).addClass("hover");
			    	}
			    })
			},500)
		},function(){
			console.log("失败");
		});  
	}  
	$scope.addWenTi=function(title,img,content,bqs){//新增问题 
		var param={"TITLE":title,"DESCRIPTION":content,"IMG_PATH":img,"USER_ID":userId,"bqs":bqs};
	    angularPost($http,  
	    {
			InterfaceId: '2017018',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result);  
			var res=angular.fromJson(data.result); 
			if(res.code==200){ 
				localStorage.removeItem("IMG_PATH");
				mui.toast("新增问题成功！"); 
				addSuccess();
			}else{
				mui.toast("新增问题失败！");
			}
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();//获取初始化数据
}); 

wdApp.controller('searchIndexController',function($scope,$http){  
	$scope.currentPage=1;
	$scope.pageSize=pageSize; 
	$scope.title=getToUrlParams(); 
	$scope.loadDown=function(){//下拉刷新   
	 	$scope.currentPage=1; 
		var param={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"USER_ID":null,"TITLE":$scope.title};
	    angularPost($http,  
	    {
			InterfaceId: '2017017',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result);
			$scope.sliderFlag=false;
			var html='';
			for(var i=0;i<res.length;i++){
			  	var wtid=res[i].ID; 
			  	var title=res[i].TITLE;  
			  	var agreeCount=res[i].AGREE_COUNT; 
			  	html+='<div class="question bb-c9">';
			  	html+='<div wtid="'+wtid+'" class="question-title to_detail">'+title+'</div>';
			  	html+='<div class="question-label f-box">';
			  	html+='<div wtid="'+wtid+'" class="question-pl to_detail">评论</div>';
			  	html+='<div class="question-zt">·<span>'+agreeCount+'</span>赞同</div>';
			  	html+='</div></div>';   
			} 
			$("#search_list").html(html);  
			initDetail();
		},function(){
			console.log("失败");
		});  
	}  
	
	$scope.loadUp=function(){//上拉加载更多  
		$scope.currentPage++; 
	    var param={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"USER_ID":null,"TITLE":$scope.title};
	    angularPost($http,  
	    {
			InterfaceId: '2017017',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result);
			if(res.length<$scope.pageSize){
				$scope.sliderFlag=true;
			}else{
				$scope.sliderFlag=false;
			} 
			var html='';
			for(var i=0;i<res.length;i++){
			  	var wtid=res[i].ID; 
			  	var title=res[i].TITLE;  
			  	var agreeCount=res[i].AGREE_COUNT; 
			  	html+='<div class="question bb-c9">';
			  	html+='<div wtid="'+wtid+'" class="question-title to_detail">'+title+'</div>';
			  	html+='<div class="question-label f-box">';
			  	html+='<div wtid="'+wtid+'" class="question-pl to_detail">评论</div>';
			  	html+='<div class="question-zt">·<span>'+agreeCount+'</span>赞同</div>';
			  	html+='</div></div>';   
			} 
			$("#search_list").append(html);  
			initDetail();
		},function(){
			console.log("失败");
		});  
	}  
	
	function initDetail(){  
		mui(".question").on('tap','.to_detail',function(){
			var id=this.getAttribute("wtid");   
            var page="detail.html"; 
            var wv = plus.webview.getWebviewById(page);
            if(wv!=null){
            	toUrl(page,id,true); 
            }else{
            	toUrl(page,id,false); 
            } 
	   });  
	}

    $scope.loadDown();//加载首页列表数据
}); 

wdApp.controller('addHdController',function($scope,$http){  
	var wtid=getToUrlParams();  
	$scope.addHuida=function(content){//上拉加载更多    
	    var param={"WT_ID":wtid,"USER_ID":userId,"CONTENT":content};
	    angularPost($http,  
	    {
			InterfaceId: '2017022',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			if(res.code==200){  
				mui.toast("发表回答成功！"); 
				addSuccess();
			}else{
				mui.toast("发表回答失败！"); 
			}
		},function(){
			console.log("失败");
		});  
	}   
});  