var wodeApp=angular.module('wodeApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

wodeApp.controller('wodeController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	$scope.currentPage=1;       //页码
	$scope.currentPage0=1;      //页码
	$scope.currentPage1=1;      //页码
	$scope.currentPage2=1;      //页码
	$scope.sliderFlag0 = false; //滑动标识
	$scope.sliderFlag1 = false; //滑动标识
	$scope.sliderFlag2 = false; //滑动标识
	$scope.pageIndex=0;         //当前选项
	$scope.pageSize=pageSize;   //页面尺寸
	
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    $scope.loadMore=function(){
    	var InterfaceId = "";
		var param = {"USER_ID":userInfo.userid,"currentPage":$scope.currentPage0,"pageSize":$scope.pageSize};
		if( $scope.pageIndex == 0 ){//提问：2017017
			$scope.currentPage = $scope.currentPage0;
			InterfaceId = "2017017";
			param = {"USER_ID":userInfo.userid,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"TITLE":null};
		}else if( $scope.pageIndex == 1 ){//回答：2017020
			$scope.currentPage = $scope.currentPage1;
			InterfaceId = "2017030";
			param = {"USER_ID":userInfo.userid,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		}else if( $scope.pageIndex == 2 ){//关注：2017025
			$scope.currentPage = $scope.currentPage2;
			InterfaceId = "2017025";
			param = {"USER_ID":userInfo.userid,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		}else{
			mui.toast("请求参数错误！");
			return;
		}
		console.log("param:"+JSON.stringify(param));
	
	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res &&　res.length > 0 ){
				initData(res);
			}else{
				if( $scope.pageIndex == 0 ){//提问
					$scope.sliderFlag0 = true;
				}else if( $scope.pageIndex == 1 ){//回答
					$scope.sliderFlag1 = true;
				}else if( $scope.pageIndex == 2 ){//关注
					$scope.sliderFlag2 = true;
				}
			}
		},function(){
			console.log("查询失败");
		});
	}
    //加载页码数据
	$scope.loadMore();//页码、数据类型
    
    var isClick = false;
    function initData(data){
    	var dataList = '';
    	$.each(data,function (i,d) {
    		dataList += '<li id="'+d.ID+'" class="mui-table-view-cell">'
			            + '<div class="mui-table">'
			                + '<div class="mui-table-cell mui-col-xs-10">'
			                    + '<h4 class="mui-ellipsis">'+d.TITLE+'</h4>';
			                    if( !isNull(d.IMG_PATH) ){
			                    	dataList += '<img src="'+getDefaultImage(d.IMG_PATH,"../../../images/60x60.gif")+'"/>'
			                    }
			                    dataList += '<h5>'+checkNull(d.DESCRIPTION)+'</h5>'
			                    + '<p class="mui-h6 mui-ellipsis">'+timeStamp2String(d.CREATE_DATE,"ymdhm")+'</p>'
			                + '</div>'
			            + '</div>'
			        + '</li>';
    	})
		if( $scope.currentPage == 1 ){
			$("#item"+($scope.pageIndex+1)+"mobile ul").html(dataList);
		}else{
			$("#item"+($scope.pageIndex+1)+"mobile ul").append(dataList);
		}
		
		$("#item"+($scope.pageIndex+1)+"mobile ul").find("li").on('tap',function(){
			if( isClick ){return;}
			isClick = true;
			var id=this.getAttribute("id");   
            var page="detail.html"; 
            var wv = plus.webview.getWebviewById(page);
            if(wv!=null){
            	toUrl(page,id,true); 
            }else{
            	toUrl(page,id,false); 
            } 
            setTimeout(function () {
            	isClick = false;
            },1000)
	    });
    }
    
}); 
