var jyApp=angular.module('checkApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('checkController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;//上拉下滑加载参数
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(obj){ 
		//接口参数
		var param={"USER_ID":null,"PROJECT_NAME":null,"CITY":null,"PROJECT_STAGE_ID":null,"PROJECT_TYPE_ID":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		if( obj ){//传参
			if( !isNull(obj.ADDR) ){
				param.CITY = obj.ADDR;
			}
			if( !isNull(obj.PROJECT_TYPE_ID) ){
				param.PROJECT_TYPE_ID = obj.PROJECT_TYPE_ID;
			}
			if( !isNull(obj.PROJECT_STAGE_ID) ){
				param.PROJECT_STAGE_ID = obj.PROJECT_STAGE_ID;
			}
		}
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017034',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
//			if( res.length == 0 ){
//				$scope.sliderFlag = true;
//			}else{
				initData(res);
//			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    $scope.initConditions=function(){ 
		//接口参数
		var param={};
	    angularPost($http,  
	    {
			InterfaceId: '2017041',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			var res = angular.fromJson(data.result); 
			console.log("条件:"+JSON.stringify(res));
			
			initConditions(res);
			
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initConditions();
    
    //数据加载
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {
            var user_id=d.USER_ID;
    	    var create_by=d.CREATE_BY;
    	    var pro_img="";
    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
	    	}
	    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
	    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
	    	}
    		dataList += '<div id="'+d.ID+'" flag="'+d.IS_RESOURCE+'" class="ct-a">';
    				if( d.IS_RESOURCE == "1" ){
    					dataList += '<p>'+d.PROJECT_NAME+'</p>'
				                 + '<div class="text">'+d.PROJECT_CONTENT+'</div>';
					}else{
					    dataList += '<div class="shoucang">'
						 			+ '<div class="shoucang_img">'
						 				+ '<img src="'+pro_img+'"/>'
						 			+ '</div>'
						 			+ '<div class="shoucang_name">'
						 			+ '<p>'+d.PROJECT_NAME+'</p>'
						 			+ '<div class="text">'+d.PROJECT_CONTENT+'</div>'
						 			+ '</div>'
				 		         + '</div>';
					}
					dataList += '<div class="conet-btom">'
								+ '<div class="bto-1">'+d.STAGE_NAME+'</div>'
								+ '<div class="bto-1"><span class="bto-1-num">'+d.START_PRICE+'</span>万</div>'
								+ '<div class="bto-1">已参与<span class="bto-1-time">'+checkInt(d.TOTAL_BIDDER)+'</span>人</div>'
								+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(d.CREATE_DATE)+'</span></div>'
							+ '</div>'
						+ '</div>';
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
				$scope.sliderFlag = true;
			}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .ct-a").on("tap",function(){ 
			setStorage("PRO_ID",this.getAttribute("id"));
			var flag = this.getAttribute("flag");
			if( flag == "1" ){
				toUrl("need_detail.html");
			}else{
				toUrl("details.html");
			}
		});
   }
    
    //获取接口参数
    $scope.loadMore=function() {
    	//接口参数
    	var obj = {};
    	var city = $('.Regional').find('span').text();
    	var cityId = $('.Regional').attr("cityId");
		var typeId = $('.Brand').attr("typeId");
		var stageId = $('.Sort').attr("stageId");
		obj.ADDR = isNull(cityId)?null:city;
		obj.PROJECT_STAGE_ID = isNull(stageId)?null:stageId;
		obj.PROJECT_TYPE_ID = isNull(typeId)?null:typeId;
		$scope.initLoad(obj);
    }
    
    //条件加载
    function initConditions(data) {
    	if( data  ){
    		//城市
    		var areas = data.areas;
    		var areasList = '';//省份
    		var cityList = '';//城市
    		$.each(areas, function(i,d) {
    			areasList = '<a class="mui-control-item" href="#content'+d.id+'">'+d.areaname+'</a>';
    			$("#areasList").append(areasList);
    			
    			var citys = d.citys;
    			cityList = '<div id="content'+d.id+'" class="mui-control-content">'
								+ '<ul class="mui-table-view">';
				if( citys && citys.length > 0 ){
					//北京:110000、天津:120000、上海：310000、重庆：500000
					if(d.areacode == "110000"||
					    d.areacode == "120000"||
					    d.areacode == "310000"||
					    d.areacode == "500000" ){
						cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+d.areaname+'</li>'
					}else{
						$.each(citys,function (j,city) {
							cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+city.areaname+'</li>';
						})
					}
				}else{
					cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+d.areaname+'</li>'
				}
				cityList += '</ul></div>';
				$("#cityList").append(cityList);
    		});
    		
    		//城市选择
    		$('.Regional-val').on('click', function() {
    			$("#cityList .mui-active").removeClass(".mui-active");
    			$(this).parent().parent().addClass(".mui-active");
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Regional').find('span').text(val);
				$('.Regional').attr("cityId",this.getAttribute("id"));
				$('.Regional').find('i').css('top', '25%');
				$('.Regional').find('i').css('border-style', 'solid dashed dashed dashed');
				$('.Regional').find('i').css('border-color', '#555 transparent transparent transparent');
				$('.Regional').find('i').attr('wd', '1');
				$("#Regional").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    		//类型
    		var types = data.types;
    		var typesList = '';
    		var typeContent = '';
    		$.each(types, function(i,d) {
    			typesList = '<a class="mui-control-item" href="#con'+d.ID+'">'+d.NAME+'</a>'
    			$("#typesList").append(typesList);
    			
    			var lxs = d.lxs;
    			if( lxs && lxs.length > 0 ){
					typeContent = '<div id="con'+d.ID+'" class="mui-control-content">'
							+ '<ul class="mui-table-view">';
					$.each(lxs,function (j,lx) {
						typeContent += '<li id="'+lx.ID+'" class="mui-table-view-cell Brand-val">'+lx.NAME+'</li>';
			        })
					typeContent += '</ul></div>';	
    			}else{
    				typeContent = '<div id="con'+d.ID+'" class="mui-control-content">'
									+ '<ul class="mui-table-view">'
										+ '<li id="'+d.ID+'" class="mui-table-view-cell Brand-val">'+d.NAME+'</li>'
									+ '</ul>'
								+ '</div>';	
    			}
				
				$("#typeContent").append(typeContent);
    		});
    		
    		//类型选择
    		$('.Brand-val').on('click', function() {
    			$("#typeContent .mui-active").removeClass("mui-active");
    			$(this).parent().parent().addClass("mui-active");
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Brand').find('span').text(val);
				$('.Brand').attr("typeId",this.getAttribute("id"));
				$('.Brand').find('i').css('top', '25%');
				$('.Brand').find('i').css('border-style', 'solid dashed dashed dashed');
				$('.Brand').find('i').css('border-color', '#555 transparent transparent transparent');
				$('.Brand').find('i').attr('wd', '1');
				$("#Brand").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    		//阶段
    		var stages = data.stages;
    		var stagesList = '';
    		$.each(stages, function(i,d) {
    			stagesList = '<li id="'+d.BIANMA+'" class="mui-table-view-cell Sort-val">'+d.NAME+'</li>';
    			$("#stagesList").append(stagesList);
    		});
    		
    		//阶段选择
    		$('.Sort-val').on('click', function() {
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Sort').find('span').text(val);
				$('.Sort').attr("stageId",this.getAttribute("id"));
				$(".Sort").find('i').css('top', '25%');
				$(".Sort").find('i').css('border-style', 'solid dashed dashed dashed');
				$(".Sort").find('i').css('border-color', '#555 transparent transparent transparent');
				$(".Sort").find('i').attr('wd', '1');
				$("#Sort").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    	}
    }
}); 
