var jyApp=angular.module('coopApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('coopController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //用户信息
    var userInfo = getObjStorage("loginUser") || {};
    //项目ID
    var PRO_ID = getStorage("PRO_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":checkNull(userInfo.userid),
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017062',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				var pro = res.pro;
			    $("#PROJECT_NAME").text(checkNull(pro.PROJECT_NAME))
			    var name = checkNull(pro.GROUP_NAME) == "" ? checkNull(pro.PROJECT_NAME) : pro.GROUP_NAME;
				if( verifyUserInfo() ){
					if( res.isCy == "1" ){
						if( $(".coo-b.s_2").hasClass("disp") ){
							$(".coo-b.s_2").attr("groupId",pro.ID);
							$(".coo-b.s_2").attr("groupName",name);
							$(".coo-b.s_2").removeClass("disp");
						}
					}else{
						if( $(".coo-b.s_1").hasClass("disp") ){
							$(".coo-b.s_1").attr("groupId",pro.ID);
							$(".coo-b.s_1").attr("groupName",name);
							$(".coo-b.s_1").removeClass("disp");
						}
					}
				}else{
					if( $(".coo-b.login").hasClass("disp") ){
						$(".coo-b.login").removeClass("disp");
					}
				}
				
			}else {
				var param = getToUrlParams();
				$("#PROJECT_NAME").text(checkNull(param.pro_name));
				if( verifyUserInfo() ){
					if( $(".coo-b.s_0").hasClass("disp") ){
						$(".coo-b.s_0").removeClass("disp");
					}
				}else{
					if( $(".coo-b.login").hasClass("disp") ){
						$(".coo-b.login").removeClass("disp");
					}
				}
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    //参与讨论群组
    $scope.joinGroup=function(param){ 
		//接口参数
		param.USER_ID = userInfo.userid;
		param.IS_ADMIN = 0;
		param.IS_APPUSER = 1;
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017037',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				$(".coo-b").each(function(i,d) {
					if( $(d).hasClass("s_2") ){
						$(d).removeClass("disp");
					}else{
						if( !$(d).hasClass("disp") ){
							$(d).addClass("disp");
						}
					}
				})
				setTimeout(function () {
					mui.openWindow({
						id: 'message_talk_info',
						url: '../chat/message_talk_info.html',
						extras: {
							targetId: param.PRO_ID,
							targetName: checkNull(param.GROUP_NAME)
						},
						waiting:{
							autoShow:false
						}
					});
				},50)
			}
		},function(){
			console.log("失败");
		});  
	}
    
}); 
