var jyApp=angular.module('detailApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('detailController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    
    //用户信息
    var userInfo = getObjStorage("loginUser") || {}; 
    //项目ID
    var PRO_ID = getStorage("PRO_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":checkNull(userInfo.userid),
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017035',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    $scope.addView=function(){ 
    	if( isNull(userInfo.userid) ){
    		return;
    	}
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017040',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("操作成功！"+data.result); 
		},function(){
			console.log("失败");
		});  
	}  
    $scope.addView();
    
    //收藏
    var isCollect = false;
    $scope.collect=function(){ 
    	if( isNull(userInfo.userid) ){
    		var btnArray = ['确认', '取消']; 
			mui.confirm('您还未登录，请先登录', '温馨提示', btnArray, function(e) { 
                if (e.index == 0) { 
                	var login = plus.webview.getWebviewById("login");
	            	if( login ){
	            		login.show();
	            	}else{
	            		mui.openWindow({
							url: "../../login.html",
							id: "login"
						});
	            	}
                }
                setTimeout(function () {
	                isCollect = false;
	            },500); 
            }); 
    		return;
    	}
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"OBJECT_ID":PRO_ID,
			"TYPE":"PROJECT"
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017006',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			isCollect = false;
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			
			if( res.code == "200" ){
				if( $("#collectBtn").attr("flag") == "0" ){
	    			$("#collectBtn").attr("flag","1");//0、未收藏，1、已收藏
		    		$("#collectBtn").find("img").attr("src","../../images/collect_jy.png");
		    	}else{
		    		$("#collectBtn").attr("flag","0");
		    		$("#collectBtn").find("img").attr("src","../../images/editorimg/xing.png");
		    	}
				mui.toast("操作成功");
			}else{
				mui.toast("操作失败");
			}
		},function(){
			console.log("操作失败");
		});  
	}
    
     //参与
    var isPartin = false;
    $scope.partin=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));
		
	    angularPost($http,  
	    {
			InterfaceId: '2017036',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			isPartin = false;
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			if( res.code == "200" ){
				if( $("#partinBtn").attr("flag") == "0" ){
	    			$("#partinBtn").attr("flag","1");//0、未参与，1、已参与
		    		$("#partinBtn").find("span").text("取消参与");
		    	}else{
		    		$("#partinBtn").attr("flag","0");//0、未参与，1、已参与
		    		$("#partinBtn").find("span").text("我要参与");
		    	}
				mui.toast("操作成功");
			}else{
				mui.toast("操作失败");
			}
			
		},function(){
			console.log("操作失败");
		});  
	}
    
    //判断会员的三证信息是否已经审核通过 
    $scope.queryCerts=function(){ 
		//接口参数
		var param={"USER_ID":userInfo.userid}; 
	    angularPost($http,  
	    {
			InterfaceId: '2017099',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){  
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if(res!=null){
				if(res.STATUS=='01'){
					mui.toast("三证审核中，请等待！");
				}else if(res.STATUS=='02'){
					mui.toast("三证审核未通过，请重新上传！");
					isPartin = false;
					toUrl("../wode/zj_sanzheng.html");
				}else{//三证审核通过，可以参与项目
					$scope.partin(); 
				}
			}else{
				mui.toast("请上传三证信息！");
				isPartin = false;
				toUrl("../wode/zj_sanzheng.html");
			} 
		},function(){
			console.log("查询三证信息失败！");
		});  
	}
    
    function initData(data) {
    	$("nav").removeClass("dp-n");
    	//收藏
    	if( data.isCollect == "1" ){
    		$("#collectBtn").attr("flag","1");
    		$("#collectBtn").find("img").attr("src","../../images/collect_jy.png");
    	}
    	
    	//交易状态
    	var dueStatus = data.DUE_STATUS;
    	var status = data.STATUS;
    	if( status == "4" ){
    		if( !verifyUserInfo() ){//未登录状态，获取参与项目缓存信息
    			var proParam = getObjStorage("proParam") || [];//未登录缓存参与项目信息
    			var isCy = false;
    			$.each(proParam, function(i,d) {
    				if( d.PRO_ID == PRO_ID ){
	    		        isCy = true;
    				}
    			});
    			
    			if( isCy == true ){//已参与
    				resetStatus(1);
    			}else{
    				if( dueStatus == "0" ){//项目截止
			    		$("#partinBtn").addClass("btn-bg-0");//btn-bg-0不能点击
					    $("#partinBtn").find("span").text("已截止");
			    	}
    			}
    		}else{
    			if( data.isBid == "1" ){//已参与
		    		resetStatus(1);
		    	}else{
		    		if( dueStatus == "0" ){//项目截止
			    		$("#partinBtn").addClass("btn-bg-0");//btn-bg-0不能点击
					    $("#partinBtn").find("span").text("已截止");
			    	}
		    	}
    		}
    		
//  		if( data.isBid != "1" && parseInt(data.PART_COUNT) <= parseInt(data.TOTAL_BIDDER) ){
//	    		$("#partinBtn").addClass("btn-bg-0");//btn-bg-0不能点击
//	    	    $("#partinBtn").find("span").text("人数已达上限");
//	    	}
    	}else if( status == "5" ){//项目确认中
    		$("#partinBtn").addClass("btn-bg-0");//btn-bg-0不能点击
	    	$("#partinBtn").find("span").text("确认中");
    	}else if( status == "6" ){//交易完成
    		$("#partinBtn").addClass("btn-bg-0");
	    	$("#partinBtn").find("span").text("交易完成");
    	}else if( status == "1" ){//审核中
    		$("#partinBtn").addClass("btn-bg-0");
	    	$("#partinBtn").find("span").text("审核中");
    	}else if( status == "3" ){//等待分配
    		$("#partinBtn").addClass("btn-bg-0");
	    	$("#partinBtn").find("span").text("等待分配");
    	}
    	
        //项目详情
    	$("#pro_name").text(data.PROJECT_NAME);
    	$("#pro_date").text(timeStamp2String(data.RELEASE_DATE, "ymd"));
    	$("#pro_addr").text(data.CITY);
    	
    	//项目概况
    	$("#pro_modify_date").text(timeStamp2String(data.MODIFY_DATE, "ymd"));
    	$("#pro_cycle").text(timeStamp2String(data.START_DATE,"ym")+" 至 "+timeStamp2String(data.DUE_DATE,"ym"));
    	$("#pro_cate").text(data.CATE_NAME);
    	$("#pro_type").text(data.LX_NAME);
    	$("#pro_level").text(data.PRO_LEVEL_NAME);
    	$("#requir_level").text(data.BID_NAME); 
    	$("#total_bidder").text(data.TOTAL_BIDDER); 
    	$("#pro_floor").text(data.BUILD_LAYERS);
    	$("#pro_floor_area").text(data.BUILD_AREA);
    	$("#pro_area").text(data.FLOOR_AREA);
    	$("#pro_valuation").text(data.START_PRICE);
        var pre = $('<pre>'+checkNull(data.PROJECT_CONTENT)+'</pre>');
    	$("#pro_describe").html(pre);
    	pre = $('<pre>'+checkNull(data.AVAILABLE_MATERIALS)+'</pre>');
    	$("#pro_material").html(pre);
    	var user_id=data.USER_ID;
    	var create_by=data.CREATE_BY;
    	//封面
		var pro_img="../../images/60x60.gif";
    	if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
	    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif");
    	}
    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
	    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif",imgPath);	 
    	} 
		var imgHtml = '<div id="COVERPATH" class="upload-img">'
		             + '<img src="'+pro_img+'" data-preview-src="" data-preview-group="1"  data-content="封面"/>'
					 + '<div class="del"></div>'
				+ '</div>';
		$("#COVER_PATH").html(imgHtml);	
    	//图片 
    	var imgs = data.imgs;
    	var imgHtml = '';
    	if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
    		$.each(imgs, function(i,d) { 
	    		var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
	    		imgHtml += '<div><img src="'+img+'" data-preview-src="" data-preview-group="2"  data-content="" /></div>';
	    	});
    	}
    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
    		$.each(imgs, function(i,d) { 
	    		var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
	    		imgHtml += '<div><img src="'+img+'" data-preview-src="" data-preview-group="2"  data-content="" /></div>';
	    	});
    	} 
    	$("#pro_img").html(imgHtml);
    	
    	//项目联系人
    	var phone=data.MANAGER_PHONE;
    	if( !isNull(phone) ){
    		$("#contact_name").text(data.MANAGER_NAME);
    		var manager_phone=phone.replace(/(\d{3})\d{4}(\d{4})/, '$1****$2');
    	    $("#contact_phone").text(manager_phone); 
    	    $('.cnt span').text(phone);
    	    $("#contact").removeClass("dp-n");
    	}
    	
    	//项目动态
    	var sches = data.sches;
    	var schesHtml = '';
    	$.each(sches, function(i,d) {
    		if( i < (sches.length-1) ){
    			schesHtml += '<li id="'+d.ID+'">'
							+ '<i class="title-list"></i>'
							+ '<span class="but-list"></span>'
							+ '<p>'+checkNull(d.DESCRIPTION)+'</p>'
						+ '</li>';
    		}else{
    			schesHtml += '<li id="'+d.ID+'">'
							+ '<i class="title-first"></i>'
							+ '<span class="but-first"></span>'									
							+ '<p>'+checkNull(d.DESCRIPTION)+'</p>'
						+ '</li>';
    		}
    	});
    	$("#schesList").append(schesHtml);
    	
    	//收藏
		$("#collectBtn").on("tap",function(){
			if( isCollect == true ){return;};//接口访问中
			isCollect = true;
			$scope.collect();   
		})
		
		//参与
		var orderLevel = data.BID_REQUIREMENTS;//竞标要求
		var USER_ID = data.USER_ID;//发布人
		var cateId = data.CATEGORY_ID;
		$("#partinBtn").on("tap",function(){
			if( $("#partinBtn").hasClass("btn-bg-0") ){return;}//交易确认中或已完成
			if( isPartin == true ){return;}//接口访问中
			isPartin = true;
			//if( userInfo.userid == USER_ID ){
				//mui.toast("不能参与自己的项目！");
				//return;
			//}
			if( isNull(cateId) == false ){
				if( isNull(userInfo.CATEGORY_ID) == true ){
					isPartin = false;
					mui.toast("请完善公司行业信息！");
					return;
				}else if( cateId != userInfo.CATEGORY_ID && userInfo.userid != USER_ID ){
					isPartin = false;
					mui.toast("您的行业与该项目不符合！");
					return;
				}
			}
			if( isNull(userInfo.VIP_LEVEL) || userInfo.VIP_LEVEL == "02" || checkInt(userInfo.VIP_LEVEL) < checkInt(orderLevel) ){
				isPartin = false;
				mui.toast("您的等级与竞标要求不符合！");
				return;
			}
			$scope.queryCerts();   
		})
    }
    
}); 
