var jyApp=angular.module('modifyApp',[]);  
var token=localStorage.getItem("token");

jyApp.controller('modifyController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    //项目ID
    var PRO_ID = getStorage("PRO_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017035',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
			
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    //城市及类型
	$scope.initConditions=function(){ 
		//接口参数
		var param=null;
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017045',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			var res = angular.fromJson(data.result); 
			console.log("查询成功！"+JSON.stringify(res));
			
			//地区、类型
			initConditions(res);
			
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initConditions();  
    
    $scope.addOrder=function(param){ 
		//接口参数
		param.USER_ID = userInfo.userid;
		param.PRO_ID = PRO_ID;
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017038',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("下单成功！"+data.result);
			var res = angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("下单成功");
				
				//重新加载项目详情页
				var page = plus.webview.getWebviewById("details_status.html");
				page.evalJS("reloadData()");
				
				//重新加载项目管理页面
				var index = plus.webview.getWebviewById("xmtz.html");
				if( index ){
					index.evalJS("pulldownRefresh()");
				}
				
				//重新加载已发布项目页面
				var release = plus.webview.getWebviewById("jy-yifabu.html");
				if( release ){
					release.evalJS("pulldownRefresh('#"+PRO_ID+"')");
				}
				
				setTimeout(function () {
					mui.back();
				},1600)
			}else{
				mui.toast("下单失败");
			}
		},function(){
			console.log("下单失败");
		});  
	}  
    
    function initConditions(data) {
    	var areas = data.areas
    	if( areas && areas.length > 0 ){
    		$.each(areas,function (i,d) {
    			if( d.value == "110000"||
				    d.value == "120000"||
				    d.value == "310000"||
				    d.value == "500000" ){
				    	d.children = [{"text":d.text,"value":d.value}];
				}
    		})
    	}
		cityPicker.setData(areas);
		var showCityPickerButton = document.getElementById('CITY');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker.show(function(items) {
				if( items.length > 1 ){
					showCityPickerButton.innerText = items[1].text;
				}else{
					showCityPickerButton.innerText = items[0].text;
				}
				showCityPickerButton.setAttribute("flag","1");
                
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
		
		typePicker.setData(data.types);
		var showTypePickerButton = document.getElementById('PROJECT_TYPE_ID');
		showTypePickerButton.addEventListener('tap', function(event) {
			typePicker.show(function(items) {
				if( items.length > 1 ){
					showTypePickerButton.innerText = items[1].text;
				    showTypePickerButton.setAttribute("typeId",items[1].value);
				}else{
					showTypePickerButton.innerText = items[0].text;
				    showTypePickerButton.setAttribute("typeId",items[0].value);
				}
				
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
		
		category.setData(data.cates);
		var showCatePickerButton = document.getElementById('CATEGORY_ID');
		showCatePickerButton.addEventListener('tap', function(event) {
			category.show(function(items) {
				if( items.length > 1 ){
					showCatePickerButton.innerText = items[1].text;
				    showCatePickerButton.setAttribute("cateId",items[1].value);
				}else{
					showCatePickerButton.innerText = items[0].text;
				    showCatePickerButton.setAttribute("cateId",items[0].value);
				}
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
    }
    
    function initData(data) {
        //项目详情
    	$("#PROJECT_NAME").val(data.PROJECT_NAME);
    	$("#CITY").text(data.CITY);
    	$("#CITY").attr("flag","1");
    	$("#ADDR").val(data.ADDR);
    	$("#START_DATE").text(timeStamp2String(data.START_DATE, "ymd"));
    	$("#START_DATE").attr("flag","1");
    	$("#DUE_DATE").text(timeStamp2String(data.DUE_DATE, "ymd"));
    	$("#DUE_DATE").attr("flag","1");
    	var user_id=data.USER_ID;
    	var create_by=data.CREATE_BY;
    	//封面
    	if( !isNull(data.COVER_PATH) ){
    		//var img = getDefaultImage(data.COVER_PATH,"../../images/60x60.gif");
    		var pro_img="";
	    	if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
		    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif");
	    	}
	    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
		    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif",imgPath);	 
	    	} 
    		$("#COVER_PATH").hide();
			var imgHtml = '<div id="COVERPATH" class="upload-img" path="'+data.COVER_PATH+'">'
			             + '<img src="'+pro_img+'" data-preview-src="" data-preview-group="1"  data-content="封面"/>'
						 + '<div class="del"></div>'
					+ '</div>';
			$("#COVER_PATH").before(imgHtml);	
			
			$("#COVERPATH").find(".del").on("tap",function () {
				//清除页面元素
				$(this).parent().remove();
				$("#COVER_PATH").show();
			})
    	}
    	
    	//项目概况
    	$("#PART_COUNT").val(data.PART_COUNT);
    	$("#CATEGORY_ID").text(checkNull(data.CATE_NAME));
    	$("#CATEGORY_ID").attr("cateId",data.CATEGORY_ID);
    	$("#PROJECT_TYPE_ID").text(checkNull(data.NAME));
    	$("#PROJECT_TYPE_ID").attr("typeId",data.PROJECT_TYPE_ID);
    	$("#BUILD_LAYERS").val(data.BUILD_LAYERS);
    	$("#BUILD_AREA").val(data.BUILD_AREA);
    	$("#FLOOR_AREA").val(data.FLOOR_AREA);
    	$("#START_PRICE").val(data.START_PRICE);
    	$("#RESOURCE").val(data.RESOURCE);
    	$("#PROJECT_CONTENT").val(checkNull(data.PROJECT_CONTENT));
    	$("#AVAILABLE_MATERIALS").val(checkNull(data.AVAILABLE_MATERIALS));
    	//图片
    	var imgs = data.imgs;
    	var imgHtml = '';
    	$.each(imgs, function(i,d) {
	    	var pro_img="";
	    	if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
		    	pro_img= getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
	    	}
	    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
		    	pro_img= getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);	 
	    	} 
    		my.imgArr.push(d.IMG_PATH);
    		imgHtml += '<div path="'+d.IMG_PATH+'" class="upload-img">'
    		             + '<img src="'+pro_img+'" data-preview-src="" data-preview-group="2"  data-content=""/>'
						 + '<div class="del"></div>'
					+ '</div>';
    	});
    	$(".xm-ls .add-img").before(imgHtml);
    	
    	$(".xm-ls .upload-img").find(".del").on("tap",function () {
			//清除uploadImg数组中img
			var path = $(this).parent().attr("path");
			my.clearImgArr(path);//清除图片
			//清除页面元素
			$(this).parent().remove();
		})
    }
    
}); 
