var jyApp=angular.module('regionApp',[]);  
var token=localStorage.getItem("token");

jyApp.controller('regionController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017042',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    var sArr = [];//订阅数组
    function initData(data) {
		if( data && data.length > 0 ){
    		//城市
    		var areasList = '';//省份
    		var cityList = '';//城市
    		var active = '';
    		$.each(data, function(i,d) {
    			var checked = '';
    			active = i == 0 ? 'mui-active':'';
    			if( !isNull(d.DQ_ID) ){
    				checked = 'checked="true"';
    				sArr.push({"DQ_ID":d.DQ_ID,"CTYPE":d.areacode,"PTYPE":d.parentid,"FLAG":"1"});
    			}
    			areasList = '<a class="mui-control-item '+active+'" href="#content'+d.id+'">'+d.areaname+'</a>';
    			$("#segmentedControls").append(areasList);
    			
    			var citys = d.citys;
    			cityList = '<div id="content'+d.id+'" class="mui-control-content '+active+'">'
								+ '<ul class="mui-table-view">';
				if( citys && citys.length > 0 ){
					//北京:110000、天津:120000、上海：310000、重庆：500000
					if(d.areacode == "110000"||
					    d.areacode == "120000"||
					    d.areacode == "310000"||
					    d.areacode == "500000" ){
					    cityList += '<li id="'+d.id+'" class="mui-table-view-cell">'+d.areaname+'<span class="mui-pull-right"><input  id="'+d.areacode+'" pid="'+d.parentid+'" dq_id="'+d.DQ_ID+'" '+checked+' type="checkbox" disabled="disabled"></span></li>';	
					}else{
						$.each(citys,function (j,city) {
							if( !isNull(city.DQ_ID) ){
			    				checked = 'checked="true"';
			    				sArr.push({"DQ_ID":city.DQ_ID,"CTYPE":city.areacode,"PTYPE":city.parentid,"FLAG":"1"});
			    			}else{
			    				checked = '';
			    			}
							cityList += '<li id="'+city.id+'" class="mui-table-view-cell">'+city.areaname+'<span class="mui-pull-right"><input  id="'+city.areacode+'" pid="'+city.parentid+'" dq_id="'+city.DQ_ID+'" '+checked+' type="checkbox" disabled="disabled"></span></li>';
						})
					}
				}else{
					cityList += '<li id="'+d.id+'" class="mui-table-view-cell">'+d.areaname+'<span class="mui-pull-right"><input  id="'+d.areacode+'" pid="'+d.parentid+'" dq_id="'+d.DQ_ID+'" '+checked+' type="checkbox" disabled="disabled"></span></li>';
				}
				cityList += '</ul></div>';
				$("#segmentedControlContents").append(cityList);
//				$(".i-checks").iCheck({checkboxClass:"icheckbox_square-green",radioClass:"iradio_square-green",});
    		});
    		
    		$(".mui-table-view").find("li").on("tap", function() {
    			var areacode = $(this).find("input").attr("id");
    			var parentid = $(this).find("input").attr("pid");
    			var DQ_ID = $(this).find("input").attr("DQ_ID");
    			if( $(this).find("input").is(':checked') ){//取消选中
    				$.each(sArr,function (i,d) {//遍历订阅数组
    					if( d.CTYPE == areacode ){//订阅数组中存在当前城市
    						if( d.FLAG == 1 ){//FLAG=1:已订阅
    							d.FLAG = 0;//重置FLAG=0：不再订阅
    						}else{//FLAG=0:未订阅
    							sArr.splice(i,1);//删除订阅数组中订阅城市。
    						}
    					}
    				})
    				$(this).find("input").prop("checked",false);
    			}else{//选中
    				if( sArr.length > 0 ){//未订阅过
    					var isDy = false;
    					$.each(sArr,function (i,d) {//遍历订阅数组
	    					if( d.CTYPE == areacode ){//订阅数组中存在当前城市
	    						if( d.FLAG == 0 ){//已订阅被取消订阅的城市，重新订阅
	    							d.FLAG = 1;//重置FLAG=1：已订阅
	    							isDy = true;
	    						}
	    					}
	    				})
    					if( !isDy  ){
    						sArr.push({"DQ_ID":DQ_ID,"CTYPE":areacode,"PTYPE":parentid,"FLAG":""});//push到订阅数组中
    					}
    				}else{
    					sArr.push({"DQ_ID":DQ_ID,"CTYPE":areacode,"PTYPE":parentid,"FLAG":""});//push到订阅数组中
    				}
    				$(this).find("input").prop("checked",true);
    			}
			});
    	}	
    }
    
    //添加
    $scope.add=function(obj){ 
		//接口参数
		var param={"USER_ID":userInfo.userid};
		if( obj && obj.dqs != null  ){
			param.dqs = obj.dqs;
		}else{
			return;
		}
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017049',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("订阅成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				//管理订阅
				var page = plus.webview.getWebviewById("subscribe.html");
				var str = '';
				$(".mui-table-view").find("li").each(function (i,d) {
					if( $(this).find("input").is(':checked') ){
						str += $(d).text()+"\/";
					}
				})
				page.evalJS("setText('#sub0','"+str+"')");
				
				//重新加载交易首页
				var index = plus.webview.getWebviewById("html/Transaction/index.html");
				index.evalJS("refreshStop(true,true)");
				
				mui.toast("订阅成功！");
				setTimeout(function () {
					mui.back();
				},1000)
			}else{
				mui.toast("订阅失败！");
			}
			
		},function(){
			console.log("订阅失败");
		});  
	} 
	
    $("#submitBtn").on("tap", function() {
    	if( sArr.length <= 0 ){
    		mui.toast("请选择订阅城市！");
    	}else{
    		var btnArray = ['确定', '取消']; 
			mui.confirm('是否确定订阅？', '提示', btnArray, function(e) { 
	            if (e.index == 0) { 
	                var dqs = {"dqs":sArr};
    		        $scope.add(dqs);
	            }  
	        }); 
    	}
	});
}); 

