var releaseApp=angular.module('releaseApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

releaseApp.controller('releaseController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"USER_ID":userInfo.userid,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017095',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
    //数据加载
    function initData(data) {
    	//已参与
    	var dataList = '';
    	$.each(data,function(i,d) {
    		//IS_RESOURCE
    		var status = d.STATUS;
    		var str = status == 1 ? '待审核' : status == 2 ? '审核失败' : status == 3 ? '审核通过' : status == 4 ? '接单中' : status == 5 ? '已接单' : status == 6 ? '交易完成' : "";
    		var bgClo = status == 1 ? 'btn-bg-2' : status == 2 ? "btn-bg-3" : status == 3 ? "btn-bg-1" : status == 4 ? "btn-bg-1" : status == 5 ? "btn-bg-1" : status == 6 ? "btn-bg-1" : "";
    		
    		var user_id=d.USER_ID;
    	    var create_by=d.CREATE_BY;
    	    var pro_img="";
    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
	    	}
	    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
	    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
	    	}
    		dataList += '<div id="'+d.ID+'" status="'+status+'" flag="'+d.IS_RESOURCE+'" class="ct-a">';
			if( d.IS_RESOURCE == "1" ){
				dataList += '<div class="f-box">'
				 			    + '<div class="f1 f-beyond mr-25">'+d.PROJECT_NAME+'</div>'
				 			    + '<div class="parallelogram '+bgClo+'"><div>'+str+'</div></div>'
				 			 + '</div>'
				             + '<div class="text">'+d.PROJECT_CONTENT+'</div>';
			}else{
				dataList += '<div class="shoucang">'
				 			+ '<div class="shoucang_img">'
				 				+ '<img src="'+pro_img+'"/>'
				 			+ '</div>'
				 			+ '<div class="shoucang_name">'
					 			+ '<div class="f-box">'
					 			   + '<div class="f1 f-beyond mr-25">'+d.PROJECT_NAME+'</div>'
					 			   + '<div class="parallelogram '+bgClo+'"><div>'+str+'</div></div>'
					 			+ '</div>'
					 			+ '<div class="text">'+d.PROJECT_CONTENT+'</div>'
				 			+ '</div>'
		 		        + '</div>';
			}
			dataList += '<div class="conet-btom">'
						+ '<div class="bto-1">'+d.STAGE_NAME+'</div>'
						+ '<div class="bto-1"><span class="bto-1-num">'+d.START_PRICE+'</span>万</div>'
						+ '<div class="bto-1">已参与<span class="bto-1-time">'+checkInt(d.TOTAL_BIDDER)+'</span>人</div>'
						+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(d.CREATE_DATE)+'</span></div>'
					 + '</div>'
				+ '</div>';
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
				$scope.sliderFlag = true;
			}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .ct-a").on("tap",function(){ 
			setStorage("PRO_ID",this.getAttribute("id"));
			var flag = this.getAttribute("flag");
			if( this.getAttribute("status") == "2" ){
				if( flag == "1" ){
					toUrl("need_details.html");
				}else{
					toUrl("details_status.html");
				}
			}else{
				if( flag == "1" ){
					toUrl("need_detail.html");
				}else{
					toUrl("details.html");
				}
			}
		});
  }
}); 
