var jyApp=angular.module('scApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('wdscController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017031',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
	//收藏
    $scope.collect=function(id){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"OBJECT_ID":id,
			"TYPE":"PROJECT"
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017006',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			
			if( res.code == "200" ){
				$("#"+id).remove();
				mui.toast("操作成功");
			}else{
				mui.toast("操作失败");
			}
		},function(){
			console.log("操作失败");
		});  
	}
    
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {
		    dataList += '<div id="'+d.ID+'" class="gongchen-coent">'
							+ '<p>'+d.PROJECT_NAME+'</p>'
							+ '<div class="conet-btom">'
								+ '<div class="bto-1">'+timeStamp2String(d.COLLECT_DATE,"ymd")+'</div>'
								+ '<div class="bto-2">取消收藏</div>'
							+ '</div>'
						+ '</div>';		
    	})
    	
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .gongchen-coent").on("tap",function(){ 
			setStorage("PRO_ID",this.getAttribute("id"));
			toUrl("details.html");
		});
		
		//收藏
		$("#dataList").find(".gongchen-coent .bto-2").on("tap",function(){ 
			$scope.collect(this.parentNode.parentNode.getAttribute("id"));
			event.stopPropagation();
            event.preventDefault();
		});
		
    }
}); 
