var jyApp=angular.module('stageApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('stageController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017044',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    var sArr = [];//订阅数组
    function initData(data) {
		if( data && data.length > 0 ){
    		var dataList = '';//阶段
    		var active = '';
    		$.each(data, function(i,d) {
    			var checked = '';
    			active = i == 0 ? 'mui-active':'';
    			if( !isNull(d.JD_ID) ){
    				checked = 'checked="true"';
    				sArr.push({"JD_ID":d.JD_ID,"BIANMA":d.BIANMA,"FLAG":"1"});
    			}
			    dataList += '<li id="'+d.id+'" class="mui-table-view-cell">'+d.NAME+'<span class="mui-pull-right"><input  id="'+d.BIANMA+'" jd_id="'+d.JD_ID+'" '+checked+' type="checkbox" disabled="disabled"></span></li>';
    		});
    		$("#dataList").append(dataList);
    		
    		$(".mui-table-view").find("li").on("tap", function() {
    			var BIANMA = $(this).find("input").attr("id");
    			var JD_ID = $(this).find("input").attr("jd_id");
    			if( $(this).find("input").is(':checked') ){//取消选中
    				$.each(sArr,function (i,d) {//遍历订阅数组
    					if( d.BIANMA == BIANMA ){//订阅数组中存在当前城市
    						if( d.FLAG == 1 ){//FLAG=1:已订阅
    							d.FLAG = 0;//重置FLAG=0：不再订阅
    						}else{//FLAG=0:未订阅
    							sArr.splice(i,1);//删除订阅数组中订阅城市。
    						}
    					}
    				})
    				$(this).find("input").prop("checked",false);
    			}else{//选中
    				if( sArr.length > 0 ){//未订阅过
    					var isDy = false;
    					$.each(sArr,function (i,d) {//遍历订阅数组
	    					if( d.BIANMA == BIANMA ){//订阅数组中存在当前城市
	    						if( d.FLAG == 0 ){//已订阅被取消订阅的城市，重新订阅
	    							d.FLAG = 1;//重置FLAG=1：已订阅
	    							isDy = true;
	    						}
	    					}
	    				})
    					if( !isDy  ){
    						sArr.push({"JD_ID":JD_ID,"BIANMA":BIANMA,"FLAG":""});//push到订阅数组中
    					}
    				}else{
    					sArr.push({"JD_ID":JD_ID,"BIANMA":BIANMA,"FLAG":""});//push到订阅数组中
    				}
    				$(this).find("input").prop("checked",true);
    			}
			});
    	}	
    }
    
    //添加
    $scope.add=function(obj){ 
		//接口参数
		var param={"USER_ID":userInfo.userid};
		if( obj && obj.jds != null  ){
			param.jds = obj.jds;
		}else{
			return;
		}
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017051',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("订阅成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				//管理订阅
				var page = plus.webview.getWebviewById("subscribe.html");
				var str = '';
				$(".mui-table-view").find("li").each(function (i,d) {
					if( $(this).find("input").is(':checked') ){
						str += $(d).text()+"\/";
					}
				})
				page.evalJS("setText('#sub2','"+str+"')");
				
				//重新加载交易首页
				var index = plus.webview.getWebviewById("html/Transaction/index.html");
				index.evalJS("refreshStop(true,true)");
				
				mui.toast("订阅成功！");
				setTimeout(function () {
					mui.back();
				},1000)
			}else{
				mui.toast("订阅失败！");
			}
			
		},function(){
			console.log("订阅失败");
		});  
	} 
	
    $("#submitBtn").on("tap", function() {
    	if( sArr.length <= 0 ){
    		mui.toast("请选择订阅阶段！");
    	}else{
    		var btnArray = ['确定', '取消']; 
			mui.confirm('是否确定订阅？', '提示', btnArray, function(e) { 
	            if (e.index == 0) { 
	                var jds = {"jds":sArr};
    		        $scope.add(jds);
	            }  
	        }); 
    	}
	});
}); 
