var jyApp=angular.module('statusApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('statusController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    //项目ID
    var PRO_ID = getStorage("PRO_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017035',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    $scope.delPro=function(){ 
		//接口参数
		var param={
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017039',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("删除成功！");
				//项目管理删除节点
				var xmtz = plus.webview.getWebviewById("xmtz.html");
				xmtz.evalJS("delObj('"+PRO_ID+"')");
				setTimeout(function () {
					mui.back();
				},1000)
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    
    function initData(data) {
    	//交易状态
    	var status = data.STATUS;
    	var dueStatus = data.DUE_STATUS;
    	var text = "";
    	isAllow = false;
		if( status == "1" ){
    		text = "审核中";
    	}else if( status == "2" ){
    		text = "审核失败";
    		isAllow = true;
    		$(".bar-tab").animate({opacity:1},500).css({flter:"Alpha(Opacity=100)"});
    	}else if( status == "3" ){
    		text = "审核通过";
    	}else if( status == "4" ){
    		text = "已分配";
    		if( dueStatus == "0" ){
	    		text = "已截止";
	    	}
    	}else if( status == "5" ){
    		text = "确认中";
    	}else if( status == "6" ){
    		text = "交易完成";
    	}
    	$("#statusLabel .text").text(text);
    	
        //项目详情
    	$("#pro_name").text(data.PROJECT_NAME);
    	$("#pro_date").text(timeStamp2String(data.RELEASE_DATE, "ymd"));
    	$("#pro_addr").text(data.CITY);
    	
    	//项目概况
    	$("#pro_modify_date").text(timeStamp2String(data.MODIFY_DATE, "ymd"));
    	$("#pro_cycle").text(timeStamp2String(data.START_DATE,"ym")+" 至 "+timeStamp2String(data.DUE_DATE,"ym"));
    	$("#pro_cate").text(data.CATE_NAME);
    	$("#pro_type").text(data.NAME);
    	$("#pro_level").text(data.PROJECT_LEVEL);
    	$("#pro_floor_area").text(data.BUILD_AREA);
    	$("#pro_area").text(data.FLOOR_AREA);
    	$("#pro_valuation").text(data.START_PRICE);
    	var pre = $('<pre>'+checkNull(data.PROJECT_CONTENT)+'</pre>');
    	$("#pro_describe").html(pre);
    	pre = $('<pre>'+checkNull(data.AVAILABLE_MATERIALS)+'</pre>');
    	$("#pro_material").html(pre);
    	var user_id=data.USER_ID;
    	var create_by=data.CREATE_BY;
    	//封面
		var pro_img="";
    	if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
	    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif");
    	}
    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
	    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif",imgPath);	 
    	} 
		var imgHtml = '<div id="COVERPATH" class="upload-img">'
		             + '<img src="'+pro_img+'" data-preview-src="" data-preview-group="1"  data-content="封面"/>'
					 + '<div class="del"></div>'
				+ '</div>';
		$("#COVER_PATH").html(imgHtml);	
    	
    	//图片
    	var imgs = data.imgs;
    	var imgHtml = '';
    	if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
    		$.each(imgs, function(i,d) { 
	    		var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
	    		imgHtml += '<div><img src="'+img+'" data-preview-src="" data-preview-group="2"  data-content="" /></div>';
	    	});
    	}
    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
    		$.each(imgs, function(i,d) { 
	    		var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
	    		imgHtml += '<div><img src="'+img+'" data-preview-src="" data-preview-group="2"  data-content="" /></div>';
	    	});
    	} 
    	$("#pro_img").html(imgHtml);
    	mui.previewImage();
    	//项目联系人
    	var phone=data.MANAGER_PHONE;
    	if( !isNull(phone) ){
    		$("#contact_name").text(data.MANAGER_NAME);
    		var manager_phone=phone.replace(/(\d{3})\d{4}(\d{4})/, '$1****$2');
    	    $("#contact_phone").text(manager_phone); 
    	    $("#contact").removeClass("dp-n");
    	}
    	
    	//项目动态
    	var sches = data.sches;
    	var schesHtml = '';
    	$.each(sches, function(i,d) {
    		if( i < (sches.length-1) ){
    			schesHtml += '<li id="'+d.ID+'">'
							+ '<i class="title-list"></i>'
							+ '<span class="but-list"></span>'
							+ '<p>'+checkNull(d.DESCRIPTION)+'</p>'
						+ '</li>';
    		}else{
    			schesHtml += '<li id="'+d.ID+'">'
							+ '<i class="title-first"></i>'
							+ '<span class="but-first"></span>'									
							+ '<p>'+checkNull(d.DESCRIPTION)+'</p>'
						+ '</li>';
    		}
    	});
    	$("#schesList").append(schesHtml);
    	
    }
}); 
