var jyApp=angular.module('subApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('subController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"USER_ID":userInfo.userid};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017048',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
    //数据加载
    function initData(data) {
    	if( data ){
    		//城市
		    var areas = data.areas;
		    var areaStr = '';
		    $.each(areas,function (i,d) {
		    	if( areaStr.length < 10 ){
		    		areaStr += d.areaname+"\/"; 
		    	}
		    })
		    if( !isNull(areaStr) ){
		    	setText('#sub0',areaStr);
		    }
		    
		    //类型
		    var types = data.types;
		    var typeStr = '';
		    $.each(types,function (i,d) {
		    	if( typeStr.length < 10 ){
		    		typeStr += d.name+"\/"; 
		    	}
		    })
		    if( !isNull(typeStr) ){
			    setText('#sub1',typeStr);
			}
		    
		    //阶段
		    var sches = data.sches;
		    var scheStr = '';
		    $.each(sches,function (i,d) {
		    	if( scheStr.length < 10 ){
		    		scheStr += d.NAME+"\/"; 
		    	}
		    })
		    if( !isNull(scheStr) ){
			    setText('#sub2',scheStr);
			}
		    
		    //行业
		    var cates = data.cates;
		    var cateStr = '';
		    $.each(cates,function (i,d) {
		    	if( cateStr.length < 10 ){
		    		cateStr += d.NAME+"\/"; 
		    	}
		    })
		    if( !isNull(cateStr) ){
			    setText('#sub3',cateStr);
			}
    	}
    }

}); 
