var jyApp=angular.module('viewApp',[]);  
var token=localStorage.getItem("token");
var pageSize=8;

jyApp.controller('viewController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		var InterfaceId = "2017033";
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		var flag = $(".mui-active").attr("flag");
		if( flag == "1" ){//epc
			param.DISTINGUISH = "2";
		}else if( flag == "2" ){//ppp
			InterfaceId = "2017177";
		}
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( flag == "2" ){
				initPpp(res);
			}else{
				initPro(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
    //数据加载
    var isClick = false;
    function initData(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var stageType = "";//项目阶段样式
    	var dataList = '';
    	$.each(data,function(i,d) {
    		if( d == null ) return;
    		if( isNull(d.USER_ID) && isNull(d.PROJECT_CONTENT) ){
    			var ad_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    			dataList += '<div ad="1" link="'+checkNull(d.LINK_URL)+'" class="pro_content">'
	    			            + '<div class="list-dd">'
									+ '<div class="list-dd-img"><img src="'+ad_img+'" alt=""></div>'
										+ '<div class="list-dt-text">'
											+ '<div class="list-dd-type">'
												+ '<span class="list-dd-type-blue">广告</span>'
											+ '</div>'
											+ '<div class="list-dd-time">'+checkNull(d.TITLE)+'</div>'
											+ '<div class="list-dd-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
										+ '</div>'
									+ '</div>'
								+ '</div>'	
				            + '</div>';		
    		}else{
	            var user_id=d.USER_ID;
	    	    var create_by=d.CREATE_BY;
	    	    var pro_img="../../images/60x60.gif";
	    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
	    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
		    	}
		    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
		    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
		    	}
		    	//项目图片
		    	var imgs = d.imgs || [];
		    	//项目阶段编码
		    	var bm = d.BIANMA;
		    	stageType = bm == "13" ? "list-li-type-orange" : bm == "14" ? "list-li-type-gules" : bm == "15" ? "list-li-type-green" : bm == "16" ? "list-li-type-violet" : bm == "83" ? "list-li-type-blue" : "" ;
	    		//项目状态
	    		d.isBid = 1;//已参与
	    		var str = getProStatus(d);
	    		dataList += '<div id="'+d.ID+'" flag="'+d.IS_RESOURCE+'" class="pro_content">';
					if( i === "3" ){//已参与不展示单张大图（zwt）
				        dataList += '<div class="list-dt">'
										+ '<div class="list-dt-name">'
											+ '<div class="list-dt-title">'+d.PROJECT_NAME+'</div>';
											if( d.IS_HOT == "1" ){
											    dataList += '<div class="list-li-ico"></div>'
															+ '<div class="list-li-icon" val="1">'
																+ '<img src="../../images/editorimg/gold.png" alt="">'
															+ '</div>';
											}
										dataList += '</div>';
										
										if( !imgs || imgs.length == 0  ){
											dataList += '<div class="list-dt-img"><img src="'+pro_img+'" alt=""></div>';
										}else{
											dataList += '<div class="list-db-img">';
											$.each(imgs, function(j,img) {
												var n_img="../../images/60x60.gif";
									    	    if( !isNull(user_id) ){//app端发布的项目
									    		   n_img=getDefaultImage(img.IMG_PATH,"../../images/60x60.gif");
										    	}
										    	if( !isNull(create_by) ){//后台发布的项目
										    	   n_img = getDefaultImage(img.IMG_PATH,"../../images/60x60.gif",imgPath);
										    	}
												dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
											});
											dataList += '</div>';
										}
										
										dataList += '<div class="list-dt-text">'
											+ '<div class="list-li-type">'
												+ '<span class="'+stageType+'">'+checkNull(d.STAGE_NAME)+'</span>'
											+ '</div>'
											+ '<div class="list-dt-price">¥'+d.START_PRICE+'万</div>'
											+ '<div class="list-li-num">接单:'+checkInt(d.TOTAL_BIDDER)+'</div>'
											+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
											+ '<div class="list-li-red">'+str+'</div>'
										+ '</div>'
									+ '</div>';
					}else{
						if( d.IS_RESOURCE == "1" && imgs.length > 1 ){
							dataList += '<div class="list-dt">'
										+ '<div class="list-dt-name">'
											+ '<div class="list-dt-title">'+d.PROJECT_NAME+'</div>';
											if( d.IS_HOT == "1" ){
											    dataList += '<div class="list-li-ico"></div>'
															+ '<div class="list-li-icon" val="1">'
																+ '<img src="../../images/editorimg/gold.png" alt="">'
															+ '</div>';
											}
										dataList += '</div>';
										
										dataList += '<div class="list-db-img">';
										$.each(imgs, function(j,img) {
											var n_img="../../images/60x60.gif";
								    	    if( !isNull(user_id) ){//app端发布的项目
								    		   n_img=getDefaultImage(img.IMG_PATH,"../../images/60x60.gif");
									    	}
									    	if( !isNull(create_by) ){//后台发布的项目
									    	   n_img = getDefaultImage(img.IMG_PATH,"../../images/60x60.gif",imgPath);
									    	}
											dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
										});
										dataList += '</div>';
										
										dataList += '<div class="list-dt-text">'
														+ '<div class="list-li-type">'
															+ '<span class="'+stageType+'">'+checkNull(d.STAGE_NAME)+'</span>'
														+ '</div>'
														+ '<div class="list-dt-price">¥'+d.START_PRICE+'万</div>'
														+ '<div class="list-li-num">接单:'+checkInt(d.TOTAL_BIDDER)+'</div>'
														+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
														+ '<div class="list-li-red">'+str+'</div>'
													+ '</div>'
												+ '</div>';
						}else{
				 		    dataList += '<div>'
										+ '<div class="list-li">'
											+ '<div class="list-li-left"><img src="'+pro_img+'" alt=""></div>'
											+ '<div class="list-li-right">'
												+ '<div class="list-li-right-t">'
													+ '<div class="list-li-title">'+d.PROJECT_NAME+'</div>'
													+ '<div class="list-li-ico"></div>'
													+ '<div class="list-li-icon" val="1">'
													+ '</div>'
												+ '</div>'
												+ '<div class="list-li-right-c">'
													+ '<div class="list-li-type">'
														+ '<span class="'+stageType+'">'+checkNull(d.STAGE_NAME)+'</span>'
													+ '</div>'
													+ '<div class="list-li-price">¥'+d.START_PRICE+'万</div>'
												+ '</div>'
												+ '<div class="list-li-right-b">'
													+ '<div class="list-li-one">'
														+ '<div class="list-li-num">接单:'+checkInt(d.TOTAL_BIDDER)+'</div>'
														+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
														+ '<div class="list-li-red">'+str+'</div>'
													+ '</div>'
												+ '</div>'
											+ '</div>'					
										+ '</div>'
									+ '</div>';   
						}		
					}
				dataList += '</div>';
			}
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .pro_content").on("tap",function(){
			if( isClick == true ) return;
			isClick = true;
			
			var ad = this.getAttribute("ad");
			if( isNull(ad) ){
				setStorage("PRO_ID",this.getAttribute("id"));
				var flag = this.getAttribute("flag");
				if( flag == "1" ){
					toUrl("require.html");
				}else{
					toUrl("details.html");
				}
			}else{
				//var linkUrl = this.getAttribute("link");
				mui.toast("暂无广告页！");
			}
			
			setTimeout(function () {
				isClick = false;
			},500);
		});
    }
    
    /**项目**/
    function initPro(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var dataList = '';
    	$.each(data,function(i,d) {
    		var imgs = d.imgs || [];
    		if( d == null ) return;
    		if( isNull(d.USER_ID) && isNull(d.PROJECT_CONTENT) ){//广告
    			var ad_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    			var obj = {"ad_img":ad_img,"ad_link":checkNull(d.LINK_URL),"ad_title":checkNull(d.TITLE),"ad_cdate":getDateDiff(d.CREATE_DATE)};
    			dataList += initAd(obj);
    		}else{
    			//封面
	    	    var pro_img=getImgPath(d.USER_ID,d.CREATE_BY,d.COVER_PATH);
	    		//项目状态
	    		d.isBid = 1;//已参与
	    		var str = getProStatus(d);
	    		var obj = {"id":d.ID,"resource":d.IS_RESOURCE,"pro_img":pro_img,"pro_name":d.PROJECT_NAME,"hot":d.IS_HOT,
		    	    "imgs":imgs,"stageStyle":getStyleByBm(d.BIANMA),"stage_name":d.STAGE_NAME,"price":d.START_PRICE,
		    	    "bidder":checkInt(d.TOTAL_BIDDER),"cdate":getDateDiff(d.CREATE_DATE),"str":str,"uid":d.USER_ID,"cid":d.CREATE_BY};
				if( i === "3" ){//已参与不展示单张大图（zwt）
			        dataList += initSingleBigPic(obj);
				}else{
					if( d.IS_RESOURCE == "1" && imgs.length > 1 ){
						dataList += initManyPic(obj);
					}else{
						//var obj = {"id":d.ID,"resource":d.IS_RESOURCE,"pro_img":pro_img,"pro_name":d.PROJECT_NAME,"stageStyle":stageType,"stage_name":d.STAGE_NAME,"price":d.START_PRICE,"bidder":checkInt(d.TOTAL_BIDDER),"cdate":getDateDiff(d.CREATE_DATE),"str":str};
			 		    dataList += initSinglePic(obj);
					}		
				}
			}
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
	    		dataList = '<div class="default-bg"></div>';
	    	}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .pro_content").on("tap",function(){
			if( isClick == true ) return;
			isClick = true;
			
			var ad = this.getAttribute("ad");
			if( isNull(ad) ){
				setStorage("PRO_ID",this.getAttribute("id"));
				var flag = this.getAttribute("flag");
				if( flag == "1" ){
					toUrl("require.html");
				}else{
					toUrl("details.html");
				}
			}else{
				//var linkUrl = this.getAttribute("link");
				mui.toast("暂无广告页！");
			}
			
			setTimeout(function () {
				isClick = false;
			},500);
		});
    }
    
    /**PPP项目**/
    function initPpp(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var dataList = '';
    	$.each(data,function(i,d) {
    		if( d == null ) return;
    		var imgs = d.imgs || [];
    		var pro_img = imgs.length > 0 ? getImgPath(d.USER_ID,d.CREATE_BY,imgs[0].IMG_PATH) : "";
    		//项目状态
    		d.isBid = 1;//已参与
    		var str = getProStatus(d);
			var obj = {"id":d.ID,"pro_img":pro_img,"pro_name":d.PROJECT_NAME,"stageStyle":getStyleByStage(d.STAGE),"stage_name":checkNull(d.JD),"price":d.TOTAL_INVESTMENT,"bidder":checkInt(d.TOTAL_BIDDER),"cdate":getDateDiff(d.CREATE_DATE),"str":str};
 		    dataList += initSinglePic(obj);
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
	    		dataList = '<div class="default-bg"></div>';
	    	}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .pro_content").on("tap",function(){
			if( isClick == true ) return;
			isClick = true;
			
			setStorage("PRO_ID",this.getAttribute("id"));
			toUrl("../ppp/details.html");
			
			setTimeout(function () {
				isClick = false;
			},500);
		});
    }
    
    /**封面**/
    function getImgPath(uid,cid,path) {
	    var uiduid="../../images/60x60.gif";
	    if( !isNull(uid) ){//app端发布的项目
		   pro_img=getDefaultImage(path,"../../images/60x60.gif");
    	}
    	if( !isNull(cid) ){//后台发布的项目
    	   pro_img = getDefaultImage(path,"../../images/60x60.gif",imgPath);
    	}
    	return pro_img;
    }
    
    /**获取状态样式**/
    function getStyleByBm(bm) {
    	return bm == "13" ? "list-li-type-orange" : bm == "14" ? "list-li-type-gules" : bm == "15" ? "list-li-type-green" : bm == "16" ? "list-li-type-violet" : bm == "83" ? "list-li-type-blue" : 
    	       bm == "51" ? "list-li-type-orange" : bm == "60" ? "list-li-type-gules" : bm == "62" ? "list-li-type-green" : bm == "64" ? "list-li-type-violet" : bm == "66" ? "list-li-type-blue" :"list-li-type-orange";
    }
   
    /****/
   /**获取状态样式**/
    function getStyleByStage(bm) {
    	return bm == "125" ? "list-li-type-orange" : bm == "126" ? "list-li-type-gules" : bm == "127" ? "list-li-type-green" : bm == "128" ? "list-li-type-violet" : bm == "129" ? "list-li-type-blue" : "" ;
    }
    /**广告**/
    function initAd(obj) {
		var dataList = '<div ad="1" link="'+checkNull(obj.ad_link)+'" class="pro_content">'
			            + '<div class="list-dd">'
							+ '<div class="list-dd-img"><img src="'+obj.ad_img+'" alt=""></div>'
								+ '<div class="list-dt-text">'
									+ '<div class="list-dd-type">'
										+ '<span class="list-dd-type-blue">广告</span>'
									+ '</div>'
									+ '<div class="list-dd-time">'+checkNull(obj.ad_title)+'</div>'
									+ '<div class="list-dd-time">'+getDateDiff(obj.ad_cdate)+'</div>'
								+ '</div>'
							+ '</div>'
		            + '</div>';	
		return dataList;            
    }
    
    /**单张大图**/
    function initSingleBigPic (d){
	    var imgs = d.imgs || [];	    
    	var dataList = '<div id="'+d.id+'" flag="'+d.resource+'" class="pro_content">'
		    	        + '<div class="list-dt">'
							+ '<div class="list-dt-name">'
								+ '<div class="list-dt-title">'+d.pro_name+'</div>';
								if( d.hot == "1" ){//优
								    dataList += '<div class="list-li-ico"></div>'
												+ '<div class="list-li-icon" val="1">'
													+ '<img src="../../images/editorimg/gold.png" alt="">'
												+ '</div>';
								}
							dataList += '</div>';
							
							if( !imgs || imgs.length == 0  ){//封面
								dataList += '<div class="list-dt-img"><img src="'+d.pro_img+'" alt=""></div>';
							}else{//多张图片
								dataList += '<div class="list-db-img">';
								$.each(imgs, function(j,img) {
									var n_img=getImgPath(d.uid,d.cid,img.IMG_PATH);
									dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
								});
								dataList += '</div>';
							}
							
							dataList += '<div class="list-dt-text">'
								+ '<div class="list-li-type">'
									+ '<span class="'+d.stageStyle+'">'+d.stage_name+'</span>'
								+ '</div>'
								+ '<div class="list-dt-price">¥'+d.price+'万</div>'
								+ '<div class="list-li-num">接单:'+d.bidder+'</div>'
								+ '<div class="list-li-time">'+d.cdate+'</div>'
								+ '<div class="list-li-red">'+d.str+'</div>'
							+ '</div>';
							+ getStart(checkInt(d.STAR_LEVEL))
						+ '</div>'
					+ '</div>';	
		return dataList;			
    }
    
    /**多张图片**/
    function initManyPic (d) {
    	var imgs = d.imgs || [];
    	var dataList = '<div id="'+d.id+'" flag="'+d.resource+'" class="pro_content">'
		    	        + '<div class="list-dt">'
							+ '<div class="list-dt-name">'
								+ '<div class="list-dt-title">'+d.pro_name+'</div>';
								if( d.hot == "1" ){
								    dataList += '<div class="list-li-ico"></div>'
												+ '<div class="list-li-icon" val="1">'
													+ '<img src="../../images/editorimg/gold.png" alt="">'
												+ '</div>';
								}
							dataList += '</div>';
									
							dataList += '<div class="list-db-img">';
							$.each(imgs, function(j,img) {
								var n_img=getImgPath(d.uid,d.cid,img.IMG_PATH);
								dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
							});
							dataList += '</div>';
									
				            dataList += '<div class="list-dt-text">'
								+ '<div class="list-li-type">'
									+ '<span class="'+d.stageStyle+'">'+d.stage_name+'</span>'
								+ '</div>'
								+ '<div class="list-dt-price">¥'+d.price+'万</div>'
								+ '<div class="list-li-num">接单:'+d.bidder+'</div>'
								+ '<div class="list-li-time">'+d.cdate+'</div>'
								+ '<div class="list-li-red">'+d.str+'</div>'
							+ '</div>'
							+ getStart(checkInt(d.STAR_LEVEL))
					    + '</div>'
					+ '</div>';	
		return dataList;	
    }
    
    /**单张小图**/
    function initSinglePic (d) {
    	var dataList = '<div id="'+d.id+'" flag="'+d.resource+'" class="pro_content">'
	    	            + '<div class="list-li">'
	    	                + ' <div class="f-box">'
								+ '<div class="list-li-left"><img src="'+d.pro_img+'" alt=""></div>'
								+ '<div class="list-li-right">'
									+ '<div class="list-li-right-t">'
										+ '<div class="list-li-title">'+d.pro_name+'</div>'
										+ '<div class="list-li-ico"></div>'
										+ '<div class="list-li-icon" val="1">'
										+ '</div>'
									+ '</div>'
									+ '<div class="list-li-right-c">'
										+ '<div class="list-li-type">'
											+ '<span class="'+d.stageStyle+'">'+d.stage_name+'</span>'
										+ '</div>'
										+ '<div class="list-li-price">¥'+d.price+'万</div>'
									+ '</div>'
									+ '<div class="list-li-right-b">'
										+ '<div class="list-li-one">'
											+ '<div class="list-li-num">接单:'+d.bidder+'</div>'
											+ '<div class="list-li-time">'+d.cdate+'</div>'
											+ '<div class="list-li-red">'+d.str+'</div>'
										+ '</div>'
									+ '</div>'
								+ '</div>'					
							+ '</div>'
							+ getStart(checkInt(d.STAR_LEVEL))
						+ '</div>'; 
					+ '</div>';	
		return dataList;
    }
}); 
