var releaseApp=angular.module('releaseApp',[]);  
var token=localStorage.getItem("token");
var pageSize=8;

releaseApp.controller('releaseController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"USER_ID":userInfo.userid,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017095',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res ){
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
    //数据加载
    var isClick = false;
    function initData(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var stageType = "";//项目阶段样式
    	var dataList = '';
    	$.each(data,function(i,d) {
    		if( d == null ) return;
    		if( isNull(d.USER_ID) && isNull(d.PROJECT_CONTENT) ){
    			var ad_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    			dataList += '<div ad="1" link="'+checkNull(d.LINK_URL)+'" class="pro_content">'
	    			            + '<div class="list-dd">'
									+ '<div class="list-dd-img"><img src="'+ad_img+'" alt=""></div>'
										+ '<div class="list-dt-text">'
											+ '<div class="list-dd-type">'
												+ '<span class="list-dd-type-blue">广告</span>'
											+ '</div>'
											+ '<div class="list-dd-time">'+checkNull(d.TITLE)+'</div>'
											+ '<div class="list-dd-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
										+ '</div>'
									+ '</div>'
								+ '</div>'	
				            + '</div>';		
    		}else{
	    		//IS_RESOURCE
	    		var status = d.STATUS;
	    		var bgClo = status == 1 ? 'btn-bg-2' : status == 2 ? "btn-bg-3" : status == 3 ? "btn-bg-1" : status == 4 ? "btn-bg-1" : status == 5 ? "btn-bg-1" : status == 6 ? "btn-bg-1" : "";
	    		
	            var user_id=d.USER_ID;
	    	    var create_by=d.CREATE_BY;
	    	    var pro_img="../../images/60x60.gif";
	    	    if( !isNull(user_id) ){//app端发布的项目
	    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
		    	}
		    	if( !isNull(create_by) ){//后台发布的项目
		    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
		    	}
		    	//项目图片
		    	var imgs = d.imgs || [];
		    	//项目阶段编码
		    	var bm = d.BIANMA;
		    	stageType = bm == "13" ? "list-li-type-orange" : bm == "14" ? "list-li-type-gules" : bm == "15" ? "list-li-type-green" : bm == "16" ? "list-li-type-violet" : bm == "83" ? "list-li-type-blue" : "" ;
	    		//项目状态
	    		var str = getProStatus(d);
	    		dataList += '<div id="'+d.ID+'" status="'+status+'" flag="'+d.IS_RESOURCE+'" class="pro_content">';
					if( i === "3" ){//已发布不展示单张大图（zwt）
				        dataList += '<div class="list-dt">'
										+ '<div class="list-dt-name">'
											+ '<div class="list-dt-title">'+d.PROJECT_NAME+'</div>';
											if( d.IS_HOT == "1" ){
											    dataList += '<div class="list-li-ico"></div>'
															+ '<div class="list-li-icon" val="1">'
																+ '<img src="../../images/editorimg/gold.png" alt="">'
															+ '</div>';
											}
										dataList += '</div>';
										
										if( !imgs || imgs.length == 0  ){
											dataList += '<div class="list-dt-img"><img src="'+pro_img+'" alt=""></div>';
										}else{
											dataList += '<div class="list-db-img">';
											$.each(imgs, function(j,img) {
												var n_img="../../images/60x60.gif";
									    	    if( !isNull(user_id) ){//app端发布的项目
									    		   n_img=getDefaultImage(img.IMG_PATH,"../../images/60x60.gif");
										    	}
										    	if( !isNull(create_by) ){//后台发布的项目
										    	   n_img = getDefaultImage(img.IMG_PATH,"../../images/60x60.gif",imgPath);
										    	}
												dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
											});
											dataList += '</div>';
										}
										
										dataList += '<div class="list-dt-text">'
														+ '<div class="list-li-type">'
															+ '<span class="'+stageType+'">'+checkNull(d.STAGE_NAME)+'</span>'
														+ '</div>'
														+ '<div class="list-dt-price">¥'+d.START_PRICE+'万</div>'
														+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
														+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
														+ '<div class="list-li-red '+bgClo+'">'+str+'</div>'
													+ '</div>'
													+ getStart(checkInt(d.STAR_LEVEL))
												+ '</div>';
					}else{
						if( d.IS_RESOURCE == "1" && imgs.length > 1 ){
							dataList += '<div class="list-dt">'
										+ '<div class="list-dt-name">'
											+ '<div class="list-dt-title">'+d.PROJECT_NAME+'</div>';
											if( d.IS_HOT == "1" ){
											    dataList += '<div class="list-li-ico"></div>'
															+ '<div class="list-li-icon" val="1">'
																+ '<img src="../../images/editorimg/gold.png" alt="">'
															+ '</div>';
											}
										dataList += '</div>';
										
										dataList += '<div class="list-db-img">';
										$.each(imgs, function(j,img) {
											var n_img="../../images/60x60.gif";
								    	    if( !isNull(user_id) ){//app端发布的项目
								    		   n_img=getDefaultImage(img.IMG_PATH,"../../images/60x60.gif");
									    	}
									    	if( !isNull(create_by) ){//后台发布的项目
									    	   n_img = getDefaultImage(img.IMG_PATH,"../../images/60x60.gif",imgPath);
									    	}
											dataList += '<div class="list-db-img-li"><img src="'+n_img+'" alt=""></div>';
										});
										dataList += '</div>';
										
										dataList += '<div class="list-dt-text">'
														+ '<div class="list-li-type">'
															+ '<span class="'+stageType+'">'+checkNull(d.STAGE_NAME)+'</span>'
														+ '</div>'
														+ '<div class="list-dt-price">¥'+d.START_PRICE+'万</div>'
														+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
														+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
														+ '<div class="list-li-red '+bgClo+'">'+str+'</div>'
													+ '</div>'
													+ getStart(checkInt(d.STAR_LEVEL))
												+ '</div>';
						}else{
					 		dataList += '<div class="list-li">'
					 		            + ' <div class="f-box">'
											+ '<div class="list-li-left"><img src="'+pro_img+'" alt=""></div>'
											+ '<div class="list-li-right">'
												+ '<div class="list-li-right-t">'
													+ '<div class="list-li-title">'+d.PROJECT_NAME+'</div>'
													+ '<div class="list-li-ico"></div>'
													+ '<div class="list-li-icon" val="1">'
													+ '</div>'
												+ '</div>'
												+ '<div class="list-li-right-c">'
													+ '<div class="list-li-type">'
														+ '<span class="'+stageType+'">'+checkNull(d.STAGE_NAME)+'</span>'
													+ '</div>'
													+ '<div class="list-li-price">¥'+d.START_PRICE+'万</div>'
												+ '</div>'
												+ '<div class="list-li-right-b">'
													+ '<div class="list-li-one">'
														+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
														+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
														+ '<div class="list-li-red '+bgClo+'">'+str+'</div>'
													+ '</div>'
												+ '</div>'
											+ '</div>'					
										+ '</div>'
										+ getStart(checkInt(d.STAR_LEVEL))
									+ '</div>';        
						}
					}	
				dataList += '</div>';
			}
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
	    		dataList = '<div class="default-bg"></div>';
	    	}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .pro_content").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			var ad = this.getAttribute("ad");
			if( isNull(ad) ){
				setStorage("PRO_ID",this.getAttribute("id"));
				var flag = this.getAttribute("flag");
				if( this.getAttribute("status") == "2" ){
					if( flag == "1" ){
						toUrl("require_edit.html");
					}else{
						toUrl("details_status.html");
					}
				}else{
					if( flag == "1" ){
						toUrl("require.html");
					}else{
						toUrl("details.html");
					}
				}
			}else{
				//var linkUrl = this.getAttribute("link");
				mui.toast("暂无广告页！");
			}
			
			setTimeout(function () {
				isClick = false;
			},500);
		});
	}	
}); 
