var myApp = angular.module('app', ['ngRoute']);
var user;
myApp.controller('AppCtrl', function($scope) {
	user = JSON.parse(localStorage.user);
	$scope.NAME = user.NAME;
//	$scope.HEADER = user.HEADER;
});

function routeConfig($routeProvider) {
	$routeProvider.when("/", {
		controller: courCtrl,
		templateUrl: 'html/course.html'
	}).when("/course/chat/:groupid", {
		controller: courChatCtrl,
//		templateUrl: 'html/coursechat.html'
		templateUrl: 'html/chat.html'
	}).when("/course", {
		controller: courCtrl,
		templateUrl: 'html/course.html'
	}).when("/course/info/:groupid", {
		controller: courInfoCtrl,
		templateUrl: 'html/courseinfo.html'
	}).when("/replay/tail", {
		controller: replayTailCtrl,
		templateUrl: 'html/replaytail.html'
	}).otherwise({
		controller: mainCtrl,
		redirectTo: '/'
	});
}

myApp.config(routeConfig);

function mainCtrl($scope) {
	widthTheam();
	//获取课程列表
	REQUEST_POST("/appClazz/list.do",{APPTOKEN:user.TOKEN},function(resp){
		$scope.clazzs = resp;
	},function(resp){
		
	});
}

function courCtrl($scope) {
	widthTheam();
	//获取课程列表
	REQUEST_POST("/appClazz/list.do",{APPTOKEN:user.TOKEN},function(resp){
		$scope.clazzs = resp;
	},function(resp){
		
	});
}

function courChatCtrl($scope,$routeParams) {
	miniWidthTheam();
//	IM.EV_searchGroups('gg801343401','',function(resp){
//		 
//	});

	IM.EV_getGroupDetail('gg801310091',function(resp){
		console.log("群组信息:" + JSON.stringify(resp));
	});

//	IM.EV_getGroupDetail($routeParams.groupid,function(resp){
//		console.log("群组成员:" + JSON.stringify(resp));
//	});
	
//	IM.EV_createGroup('语文001',"1");

//	IM.EV_sendTextMsg("测试消息","gg801343401");
}

function courInfoCtrl($scope,$routeParams) {
	miniWidthTheam();
	$scope.groupid = $routeParams.groupid;
//	IM.EV_joinGroup("gg801343401");
}

function replayTailCtrl($scope){
	
}

function miniWidthTheam() {
	$("html").removeClass("sidebar-l3");
	$("html").addClass("sidebar-l1");
	$("#sidebar-menu").attr("class", "sidebar left sidebar-size-1 sidebar-mini-reveal sidebar-offset-0 sidebar-visible-desktop sidebar-visible-mobile sidebar-skin-dark");
	$(window).trigger('resize');
}

function widthTheam() {
	$("html").removeClass("sidebar-l1");
	$("html").addClass("sidebar-l3");
	$("#sidebar-menu").attr("class", "sidebar left sidebar-size-3 sidebar-offset-0 sidebar-visible-desktop sidebar-visible-mobile sidebar-skin-dark");
	$(window).trigger('resize');
}

$(function() {
	//菜单点击效果
	$("#sidebar-menu li").click(function() {
		if(!$(this).hasClass("hasSubmenu")){
			$("#sidebar-menu").find(".active").removeClass('active');
			$(this).addClass("active");
			if($(this).parent().parent().hasClass("hasSubmenu")){
				$(this).parent().parent().addClass("active");
			}
		}
	});
});

/***********UTIL***************/
function isEmpty(da){
	if(da == null || da == "" || da == undefined){
		return true;
	}else{
		return false;
	}
}
