var jlApp=angular.module('jlApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jlApp.controller('applyController',function($scope,$http){ 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"SE_ID":null};
	    angularPost($http,  
	    {
			InterfaceId: '2017171',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    function initData(data) {
    	if( data ){
	    	typePicker.setData(data.types);
			var showTypePickerButton = document.getElementById('TYPE');
			showTypePickerButton.addEventListener('tap', function(event) {
				typePicker.show(function(items) {
					showTypePickerButton.innerText = items[0].text;
					showTypePickerButton.setAttribute("type",items[0].value);
				});
			}, false);
		}
    }
    
    /**提交**/
	$scope.submit=function(param){ 
		//用户信息
        var userInfo = getObjStorage("loginUser") || {};
		param.USER_ID = userInfo.userid;
	    angularPost($http,  
	    {
			InterfaceId: '2017158',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("提交成功！");
				setTimeout(function () {
					mui.back();
				},500);
			}else{
				mui.toast("提交失败！");
			}
		},function(){
			console.log("提交失败");
		});  
	} 
}); 
