var jlApp=angular.module('jlApp',[]);  
var pageSize=10;

jlApp.controller('enterController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token");
        var userInfo = getObjStorage("loginUser") || {}; 
        
        var SETTLED_TYPE = $(".mui-active").attr("flag");
		//接口参数
		var param={
			"SETTLED_TYPE":checkInt(SETTLED_TYPE),
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017156',
			"STATUS":"03",
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result);
			initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data || data.length < pageSize ){
    		$scope.sliderFlag = true;
    	}
    	var dataList = '';
    	$.each(data,function(i,d) {
    		var SETTLED_NAME = d.SETTLED_TYPE == 1 ? "创业者" : "企业";
    		var NAME = d.SETTLED_TYPE == 1 ? checkNull(d.PROJECT_NAME) : checkNull(d.ENTERPRISE_NAME);
    		var pro_img = "../../images/60x60.gif";
    		if( !isNull(d.USER_ID) ){
    			pro_img = getDefaultImage(d.LOGO,"../../images/60x60.gif");
    		}
    		if( !isNull(d.CREATE_BY) ){
    			pro_img = getDefaultImage(d.LOGO,"../../images/60x60.gif",imgPath);
    		}
			dataList += '<li id="'+d.ID+'" type="'+d.SETTLED_TYPE+'" class="mui-table-view-cell mui-media my-li">'
						+ '<a href="javascript:;">'
							+ '<img class="mui-media-object mui-pull-left" src="'+pro_img+'">'
							+ '<div class="mui-media-body">'
								+ '<div class="mui-ellipsis-2 my-li-name">'+NAME+'</div>'
								+ '<div class="mui-table my-li-text">'
									+ '<div class="mui-table-cell mui-col-xs-6">'
										+ '<span class="mui-h6">'+SETTLED_NAME+'</span>'
									+ '</div>'
									+ '<div class="mui-table-cell mui-col-xs-6">'
										+ '<span class="mui-h6">'+timeStamp2String(d.AUDIT_DATE, "ymd")+'</span>'
									+ '</div>'
								+ '</div>'
							+ '</div>'
						+ '</a>'
					+ '</li>';
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		$("#dataList li").on("tap",function(){ 
			var type = this.getAttribute("type");
			setStorage("RZ_ID",this.getAttribute("id"));
			if( type == "1" ){
				toUrl("park-details-person.html");
			}else{
				toUrl("park-details.html");
			}
		});
    }
    
}); 
 