var jlApp=angular.module('jlApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jlApp.controller('releaseController',function($scope,$http){ 
	//项目ID
    var CYY_ID = getStorage("CYY_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"IN_ID":CYY_ID};
	    angularPost($http,  
	    {
			InterfaceId: '2017168',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    function initData(data) {
    	if( data ){
    		var blStr = data.BELONG == "01" ? "产业园": data.BELONG == "02" ? "工业园": data.BELONG == "03" ? "孵化园":"";
    		data.blStr = blStr;
    		$scope.park = data;
	    	typePicker.setData(data.types);
			var showTypePickerButton = document.getElementById('TYPE');
			showTypePickerButton.addEventListener('tap', function(event) {
				typePicker.show(function(items) {
					showTypePickerButton.innerText = items[0].text;
					showTypePickerButton.setAttribute("type",items[0].value);
				});
			}, false);
			
			category.setData(data.levels);
			var showCatePickerButton = document.getElementById('LEVEL');
			showCatePickerButton.addEventListener('tap', function(event) {
				category.show(function(items) {
					showCatePickerButton.value = items[0].text;
					showCatePickerButton.setAttribute("level",items[0].value);
				});
			}, false);
			
			var imgArr = data.imgs || [];
			if( imgArr.length >= maxlen ){
				$(".renwu-dl-val .add-img").addClass("dp-n");
			}
			$.each(imgArr, function(i,d) {
				var imgSrc = d.IMG_PATH;
				my.imgArr.push(imgSrc);
				var img = '<div class="upload-img" path="'+imgSrc+'" >'
			             + '<img src="'+appimgPath+imgSrc+'" data-preview-src="" data-preview-group="2"  data-content="group2_No3"/>'
						 + '<div class="del"></div>'
					+ '</div>';
			    $("#COVER_PATH").before(img);
			});
			
			$(".renwu-dl-val .upload-img").find(".del").on("tap",function () {
				var path = $(this).parent().attr("path");
				my.clearImgArr(path);//清除图片
				if( my.imgArr.length < maxlen && $(".renwu-dl-val .add-img").hasClass("dp-n") ){
					$(".renwu-dl-val .add-img").removeClass("dp-n");
				}
				//清除页面元素
				$(this).parent().remove();
			})
		}
    }
    
    /**提交**/
	$scope.submit=function(param){ 
		//用户信息
        var userInfo = getObjStorage("loginUser") || {};
		param.USER_ID = userInfo.userid;
		param.IN_ID = CYY_ID;
		console.log("提交参数！"+JSON.stringify(param)); 
	    angularPost($http,  
	    {
			InterfaceId: '2017162',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("提交成功！");
				//刷新我的页面
				var my = plus.webview.getWebviewById("my-release.html");
				my.evalJS("pulldownRefresh()");
				
				//关闭修改详情页
				var page = plus.webview.currentWebview().opener();
				page.close();
				
				//关闭当前页面
				setTimeout(function () {
					mui.back();
				},1600);
			}else{
				mui.toast("提交失败！");
			}
		},function(){
			console.log("提交失败");
		});  
	} 
}); 
