var jlApp=angular.module('jlApp',[]);  
var pageSize=10;

jlApp.controller('serviceController',function($scope,$http){ 
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token");
        var userInfo = getObjStorage("loginUser") || {}; 
		//接口参数
		var param={
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017160',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result);
			if( res ){
				initLx(res.fulx);
				initData(res.products);
			}
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
	$scope.loadMore=function(){ 
		var token=localStorage.getItem("token");
		var bianma = $(".active").attr("BIANMA");
		//接口参数
		var param={
			"JOIN_CLASS":checkNull(bianma),
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017167',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result);
			if( res ){
				initData(res.products);
			}
		},function(){
			console.log("失败");
		});  
	} 
	
	/**导航栏**/
	function initLx(data) {
		var lxList = '';
    	$.each(data,function(i,d) {
    		var active = i == 0 ? "active" : "";
			lxList += '<div BIANMA="'+d.BIANMA+'" class="park-title-li '+active+'">'+checkNull(d.NAME)+'</div>';
    	})
		$("#lxList").html(lxList);
		
		$("#lxList .park-title-li").on("tap",function () {
			if( !$(this).hasClass("active") ){
				$(".active").removeClass("active");
				$(this).addClass("active");
				pulldownRefresh();
			}
		})
    }
	
	/**old**/
    function initData2(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var dataList = '';
    	$.each(data,function(i,d) {
			dataList += '<div class="park-list-ul">'
							+ '<div class="park-list-li">'
								+ '<div class="park-list-name">'+checkNull(d.COMPANY_NAME)+'</div>'
								+ '<div class="park-list-time">'+timeStamp2String(d.TO_EXAMINE_DATE, "ymd")+'</div>'
							+ '</div>'
						+ '</div>';
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
    }
    
    var isClick = false;
    function initData(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var dataList = '';
    	$.each(data,function(i,d) {
    		var pro_img = "../../images/60x60.gif";
    		if( !isNull(d.USER_ID) ){
    			pro_img = getDefaultImage(d.LOGO,"../../images/60x60.gif");
    		}
    		if( !isNull(d.CREATE_BY) ){
    			pro_img = getDefaultImage(d.LOGO,"../../images/60x60.gif",imgPath);
    		}
			dataList += '<li id="'+d.ID+'" class="mui-table-view-cell mui-media my-li">'
						+ '<a href="javascript:;">'
							+ '<img class="mui-media-object mui-pull-left" src="'+pro_img+'">'
							+ '<div class="mui-media-body">'
								+ '<div class="mui-ellipsis-2 my-li-name">'+checkNull(d.COMPANY_NAME)+'</div>'
								+ '<div class="mui-table my-li-text">'
									+ '<div class="mui-table-cell mui-col-xs-6">'
										+ '<span class="mui-h6">'+checkNull(d.TYPE_NAME)+'</span>'
									+ '</div>'
									+ '<div class="mui-table-cell mui-col-xs-6">'
										+ '<span class="mui-h6">'+timeStamp2String(d.AUDIT_DATE, "ymd")+'</span>'
									+ '</div>'
								+ '</div>'
							+ '</div>'
						+ '</a>'
					+ '</li>';
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		$("#dataList li").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			setStorage("SE_ID",this.getAttribute("id"));
			toUrl("service-details.html");
			
			setTimeout(function () {
				isClick = false;
			},500)
		});
    }
    
}); 
 