var jlApp=angular.module('jlApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jlApp.controller('settledController',function($scope,$http){ 
	//项目ID
    var RZ_ID = getStorage("RZ_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"RZ_ID":RZ_ID};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017157',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    function initData(data) {
    	if( data ){
    		var cont = data.cont || {};
    		/**入驻类别**/
    		var sType = cont.SETTLED_TYPE;
    		showContent(sType);
    		var rzStr = sType == 1 ? "个人" : "企业";
    		if( sType == 1 ){
    			/**创业性质**/
    			var hover01 = cont.NATURE == "01" ? "hover" : "";
    			var hover02 = cont.NATURE == "02" ? "hover" : "";
    			cont.hover01 = hover01;
    			cont.hover02 = hover02;
    		}
    		/**头像**/
	    	var pro_img = getDefaultImage(cont.LOGO,"../../images/60x60.gif");
	    	cont.LOGO = pro_img;
	    	/**入驻类别名称**/
	    	cont.rzStr = rzStr;
	    	$scope.cont = cont;
    	}
    }
	/**提交**/
	$scope.submit=function(param){ 
		//用户信息
        var userInfo = getObjStorage("loginUser") || {};
		param.USER_ID = userInfo.userid;
		param.RZ_ID = RZ_ID;
	    angularPost($http,  
	    {
			InterfaceId: '2017154',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("提交成功！");
				//刷新我的页面
				var my = plus.webview.getWebviewById("my-release.html");
				my.evalJS("pulldownRefresh()");
				
				//关闭修改详情页
				var page = plus.webview.currentWebview().opener();
				page.close();
				
				//关闭当前页面
				setTimeout(function () {
					mui.back();
				},500);
			}else{
				mui.toast("提交失败！");
			}
		},function(){
			console.log("提交失败");
		});  
	} 
    
}); 
