var pppApp=angular.module('detailApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

pppApp.controller('detailController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    
    //用户信息
    var userInfo = getObjStorage("loginUser") || {}; 
    //项目ID
    var PRO_ID = getStorage("PRO_ID");  
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":checkNull(userInfo.userid),
			"PID":PRO_ID
		}; 
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017170',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			if( res ){
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    //收藏
    var isCollect = false;
    $scope.collect=function(){ 
    	if( isNull(userInfo.userid) ){
    		var btnArray = ['确认', '取消']; 
			mui.confirm('您还未登录，请先登录', '温馨提示', btnArray, function(e) { 
                if (e.index == 0) { 
                	var login = plus.webview.getWebviewById("login");
	            	if( login ){
	            		login.show();
	            	}else{
	            		mui.openWindow({
							url: "../../login.html",
							id: "login"
						});
	            	}
                }
                setTimeout(function () {
	                isCollect = false;
	            },500);  
            }); 
    		return;
    	}
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"OBJECT_ID":PRO_ID,
			"TYPE":"PPP"
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017006',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			isCollect = false;
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			
			if( res.code == "200" ){
				if( $("#collectBtn").attr("flag") == "0" ){
	    			$("#collectBtn").attr("flag","1");//0、未收藏，1、已收藏
		    		$("#collectBtn").addClass("hover");
		    	}else{
		    		$("#collectBtn").attr("flag","0");
		    		$("#collectBtn").removeClass("hover");
		    	}
				mui.toast("操作成功");
			}else{
				mui.toast("操作失败");
			}
		},function(){
			console.log("操作失败");
		});  
	}
    
     //参与
    var isPartin = false; 
    //未登录取消参与
    $scope.cancel=function(param){  
    	param.USER_ID=checkNull(userInfo.userid);  
    	console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017185',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			isPartin = false;
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				if(param.USER_ID!=null&&param.USER_ID!=undefined&&param.USER_ID!=''){
					if( $("#partinBtn").attr("flag") == "0" ){
			    		resetStatus(1);
			    		toUrl("status.html");
			    	}else{
			    		resetStatus(0);
			    	}
				}else{//未登录取消参与交易 
					var proParam = getObjStorage("proParam") || [];
					$.each(proParam, function(i,p) {
						if( p ){
							if( p.PID == param.PID ){
								proParam.splice(i,1);
							}
						}
					});
					setStorage("proParam",proParam);
					setTimeout(function () {
						resetStatus(0);
					},1000);
				}
				mui.toast("取消成功！");
			}else{
				mui.toast("取消失败！");
			}
		},function(){
			console.log("提交失败！");
		});  
	}  
    
    function initData(data) {
    	$(".btn-body").removeClass("dp-n");
    	//收藏
    	if( data.isCollect == "1" ){
    		$("#collectBtn").attr("flag","1");
    		$("#collectBtn").addClass("hover");
    	}
    	
    	//交易状态
    	var dueStatus = data.DUE_STATUS;
		var status = data.STATUS;
    	if( status == "4" ){
    		if( !verifyUserInfo() ){//未登录状态，获取参与项目缓存信息
    			var proParam = getObjStorage("proParam") || [];//未登录缓存参与项目信息
    			var isCy = false;
    			$.each(proParam, function(i,d) {
    				if( d.PID == PRO_ID ){
	    		        isCy = true;
    				}
    			});
    			
    			if( isCy == true ){//已参与
    				resetStatus(1);
    			}else{
    				if( dueStatus == "0" ){//项目截止
			    		$("#partinBtn").addClass("btn-bg-0");//btn-bg-0不能点击
					    $("#partinBtn").find("span").text("已截止");
			    	}
    			}
    		}else{
    			if( data.isBid == "1" ){//已参与
		    		resetStatus(1);
		    	}else{
		    		if( dueStatus == "0" ){//项目截止
			    		$("#partinBtn").addClass("btn-bg-0");//btn-bg-0不能点击
					    $("#partinBtn").find("span").text("已截止");
			    	}
		    	}
    		}
    	}else if( status == "5" ){//项目确认中
    		$("#partinBtn").addClass("btn-bg-0");//btn-bg-0不能点击
	    	$("#partinBtn").find("span").text("确认中");
    	}else if( status == "6" ){//交易完成
    		$("#partinBtn").addClass("btn-bg-0");
	    	$("#partinBtn").find("span").text("交易完成");
    	}else if( status == "1" ){//审核中
    		$("#partinBtn").addClass("btn-bg-0");
	    	$("#partinBtn").find("span").text("审核中");
    	}else if( status == "3" ){//等待分配
    		$("#partinBtn").addClass("btn-bg-0");
	    	$("#partinBtn").find("span").text("等待分配");
    	}
    	
        $("#pro_name").attr("uid",data.USER_ID);
    	$("#pro_name").text(data.PROJECT_NAME);
    	$("#startdate").text(timeStamp2String(data.START_DATE, "ymd")); 
    	$("#pro_city").text(data.CITY);
    	$("#pro_cate").text(data.SSHY);
    	$("#pro_totalInvestment").text(data.TOTAL_INVESTMENT+"万"); 
    	$("#total_bidder").text(data.TOTAL_BIDDER+"人"); 
    	$("#pro_qualification").text(data.COM_LEVEL);
    	$("#pro_level").text(data.JIBIE);
    	$("#pro_term").text(data.TERM+"年");
    	$("#pro_mode").text(data.MODE);
        var pre = $('<pre class="wb-a wb-w of-h">'+checkNull(data.CONTENT)+'</pre>');
    	$("#pro_content").html(pre); 
    	pre = $('<pre class="wb-a wb-w of-h">'+checkNull(data.RANGE)+'</pre>');
    	$("#pro_range").html(pre);
    	/**缩放按钮展示隐藏**/
    	textScaling();
    	
    	
    	var user_id=data.USER_ID;
    	var create_by=data.CREATE_BY; 
    	//图片 
    	var imgs = data.imgs || [];  
    	var imgHtml = '';
    	var cover_img='';
    	
		$.each(imgs, function(i,d) { 
			var id = i == 0 ? ' id="COVERPATH" ' : "";
			var ask = i == 0 ? "ask" : "";
    		var img = "../../images/60x60.gif";
    		if( !isNull(user_id) ){//app端发布的项目 
    			img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif"); 
    		}else if( !isNull(create_by) ){//后台发布的项目
    			img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    		}
    		console.log(img);
    		if(i==0){
    			cover_img=img;
    		}
    		imgHtml += '<div class="details-img-li" onclick="addimg(this)">'
						+ '<img '+id+' src="'+img+'" alt="">'
						+ '<div class="details-img-li-ask '+ask+'"></div>'
					+ '</div>';
    	}); 
		$("#selected_img").attr("src",cover_img); 
    	$("#pro_img").html(imgHtml);
    	$("#pro_name").attr("cover",cover_img);
    	//项目联系人
    	var phone=data.MANAGER_PHONE;
    	if( !isNull(phone) ){
    		$("#MANAGER_PHONE").attr("phone",phone);
    	}
    	
    	//项目动态
    	var sches = data.sches;
    	$.each(sches, function(i,d) { 
    		if( !isNull(d.SCHEDULE) ){
    			if( i < sches.length-1 ){
	    			$("#schedule_"+d.SCHEDULE).addClass("jindu-green"); 
	    			$("#schedule_"+d.SCHEDULE).find(".sche-date").addClass("cl-g"); 
	    		}else if( i == sches.length-1 ){
	    			$("#schedule_"+d.SCHEDULE).addClass("jindu-orange"); 
	    			$("#schedule_"+d.SCHEDULE).find(".sche-date").addClass("cl-o"); 
	    		}
	    		$("#schedule_"+d.SCHEDULE).find(".details-jindu-li-2").text(checkNull(d.DESCRIPTION));
	    		$("#schedule_"+d.SCHEDULE).find(".sche-date").text(checkNull(timeStamp2String(d.DATE, "ymd")));
    		}
    	});
    	
    	//收藏
		$("#collectBtn").on("tap",function(){
			if( isCollect == true ){return;};//接口访问中
			isCollect = true;
			$scope.collect();   
		})
		
		//参与 
		var USER_ID = data.USER_ID;//发布人 
		$("#partinBtn").on("tap",function(){
			if( $("#partinBtn").hasClass("btn-bg-0") ){return;}//交易确认中或已完成
			if( verifyUserInfo() ){//登录状态
				
                if( $("#partinBtn").attr("flag") == "1" ){
                	if( isPartin == true ){return;}//接口访问中
			        isPartin = true;
		    		//$scope.partin();
		    		var param={
						"USER_ID":userInfo.userid,
						"PID":PRO_ID
					};
		    		$scope.cancel(param);
		    	}else{ 
		    		var flag = USER_ID == userInfo.userid ? true :false; 
				    if( flag == true ){//当前用户是该项目发布人，进入下单流程
				    	toUrl("status_my.html");
				    }else{
				    	toUrl("jycy.html");
				    }
		    	}
			}else{//未登录状态
				var param = null;
				var proParam = getObjStorage("proParam") || [];
    			$.each(proParam, function(i,d) {
    				if( d.PID == PRO_ID ){
    					param = d;
    					return;
    				}
    			});
    	        if( param != null ){
    	        	if( isPartin == true ){return;}//接口访问中
			        isPartin = true;
    	        	$scope.cancel(param);
    	        }else{
    	        	toUrl("jycy.html");
    	        } 
			}
		})
    }
    
}); 
