var pppApp=angular.module('pppApp',[]);  
var token=localStorage.getItem("token");
var pageSize=8;

pppApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;//上拉下滑加载参数
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(obj){ 
		//接口参数
		var param={"USER_ID":null,"PROJECT_NAME":null,"CITY":null,"STAGE":null,"INDUSTRY":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		if( obj ){//传参
			if( !isNull(obj.CITY) ){
				param.CITY = obj.CITY;
			}
			if( !isNull(obj.INDUSTRY) ){
				param.INDUSTRY = obj.INDUSTRY;
			}
			if( !isNull(obj.STAGE) ){
				param.STAGE = obj.STAGE;
			}
		} 
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017169',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
	    	initData(res);
		},function(){
			console.log("失败");
		});  
	}   
    
    $scope.initConditions=function(){ 
		//接口参数
		var param={"USER_ID":null,"PROJECT_NAME":null,"CITY":null,"STAGE":null,"INDUSTRY":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
	    angularPost($http,  
	    {
			InterfaceId: '2017182',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			var res = angular.fromJson(data.result); 
			console.log("条件:"+JSON.stringify(res.pros));
			if( res ){
				initConditions(res);
				initData(res.pros);
			}
			
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initConditions();
    
    //数据加载
    var isClick = false;
    function initData(data) {
    	if( !data || data.length < pageSize ){
    		$scope.sliderFlag = true;
    	}
    	var stageType = "";//项目阶段样式
    	var dataList = ''; 
    	$.each(data,function(i,d) {
    		if( d == null ) return;
	            var user_id=d.USER_ID;
	    	    var create_by=d.CREATE_BY;
	    	    var pro_img="../../images/60x60.gif";
	    	    if(!isNull(user_id)){//app端发布的项目
	    		   pro_img=getDefaultImage(d.IMGS,"../../images/60x60.gif");
		    	}else if(!isNull(create_by)){//后台发布的项目
		    	   pro_img = getDefaultImage(d.IMGS,"../../images/60x60.gif",imgPath);
		    	}  
		    	//项目阶段编码
		    	var bm = d.STAGE; 
		    	stageType = bm == "125" ? "list-li-type-orange" : bm == "126" ? "list-li-type-gules" : bm == "127" ? "list-li-type-green" : bm == "128" ? "list-li-type-violet" : bm == "129" ? "list-li-type-blue" : "" ;
	    		//项目状态
	    		var str = getProStatus(d); 
	    		dataList += '<div id="'+d.ID+'" class="pro_content">';
			 		dataList += '<div>'
								+ '<div class="list-li">'
									+ '<div class="list-li-left"><img src="'+pro_img+'" alt=""></div>'
									+ '<div class="list-li-right">'
										+ '<div class="list-li-right-t">'
											+ '<div class="list-li-title">'+d.PROJECT_NAME+'</div>'
											+ '<div class="list-li-ico"></div>'
											+ '<div class="list-li-icon" val="1">'
											+ '</div>'
										+ '</div>'
										+ '<div class="list-li-right-c">'
											+ '<div class="list-li-type">'
												+ '<span class="'+stageType+'">'+d.JD+'</span>'
											+ '</div>'
											+ '<div class="list-li-price">¥'+d.TOTAL_INVESTMENT+'万</div>'
										+ '</div>'
										+ '<div class="list-li-right-b">'
											+ '<div class="list-li-one">'
												+ '<div class="list-li-num">参与:'+checkInt(d.TOTAL_BIDDER)+'</div>'
												+ '<div class="list-li-time">'+getDateDiff(d.CREATE_DATE)+'</div>'
												+ '<div class="list-li-red">'+str+'</div>'
											+ '</div>'
										+ '</div>'
									+ '</div>'					
								+ '</div>'
							+ '</div>';
				dataList += '</div>';
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//PPP详情页
		$("#dataList .pro_content").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			setStorage("PRO_ID",this.getAttribute("id")); 
			toUrl("details.html"); 
			setTimeout(function () {
				isClick = false;
			},500);
		});
   }
    
    //获取接口参数
    $scope.loadMore=function() {
    	//接口参数
    	var obj = {};
    	var city = $('.title-l').find('span').text();
    	var cityId = $('.title-l').attr("cityId");
		var typeId = $('.title-c').attr("typeId");
		var stageId = $('.title-r').attr("stageId");
		obj.CITY = isNull(cityId)?null:city;
		obj.STAGE = isNull(stageId)?null:stageId;
		obj.INDUSTRY = isNull(typeId)?null:typeId; 
		$scope.initLoad(obj);
    }
    
    //条件加载
    function initConditions(data) {
    	if( data  ){
    		//城市
    		var areas = data.areas;
    		var areasList = '';//省份
    		var cityList = '';//城市
    		$.each(areas, function(i,d) {
    			areasList = '<a class="mui-control-item" href="#content'+d.id+'">'+d.areaname+'</a>';
    			$("#ask-1-title").append(areasList);
    			
    			var citys = d.citys;
    			cityList = '<div id="content'+d.id+'" class="mui-control-content">'
								+ '<ul class="mui-table-view">'; 
				if( citys && citys.length > 0 ){
					//北京:110000、天津:120000、上海：310000、重庆：500000
					if(d.areacode == "110000"||
					    d.areacode == "120000"||
					    d.areacode == "310000"||
					    d.areacode == "500000" ){
						cityList += '<li id="'+d.id+'" class="mui-table-view-cell">'+d.areaname+'</li>'
					}else{
						$.each(citys,function (j,city) {
							cityList += '<li id="'+d.id+'" class="mui-table-view-cell">'+city.areaname+'</li>';
						})
					}
				}else{
					cityList += '<li id="'+d.id+'" class="mui-table-view-cell">'+d.areaname+'</li>'
				}
				cityList += '</ul></div>';
				$("#ask-1-content").append(cityList);
    		});
    		
    		//城市选择
    		$('.ask-1 .mui-table-view-cell').on('tap', function() {
				var val = $(this).text();
				val = val.length <= 5 ? val : val.substring(0,4)+"...";
				$('.title-l').find('span').text(val);
				$('.title-l').attr("cityId",this.getAttribute("id"));
				$('.title-l').find('i').removeClass('nd-icon');
				$('.title-l').find('i').addClass('wd-icon');
				$('.title-l').find('i').attr('wd', '1');
				$(".ask-1").hide();
				$(".ask").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			}) 
    	 
    		
    		//阶段
    		var stages = data.stages; 
    		var stagesList = '';
    		$.each(stages, function(i,d) { 
    			stagesList = '<a id="'+d.BIANMA+'" class="mui-control-item " href="#cnt0">'+d.NAME+'</a>';
    			$("#ask-3-title").append(stagesList);
    		});
    		
    		//阶段选择
    		$('.ask-3 .mui-control-item').on('tap', function() {
				var val = $(this).text();
				val = val.length <= 5 ? val : val.substring(0,4)+"...";
				$('.title-r').find('span').text(val);
				$('.title-r').attr("stageId",this.getAttribute("id"));
				$('.title-r').find('i').removeClass('nd-icon');
				$('.title-r').find('i').addClass('wd-icon');
				$('.title-r').find('i').attr('wd', '1');
				$(".ask-3").hide();
				$(".ask").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    		//类型
    		var types = data.types;
    		var typesList = ''; 
    		$.each(types, function(i,d) {
    			typesList = '<a id="'+d.BIANMA+'" class="mui-control-item" href="#con'+d.BIANMA+'">'+d.NAME+'</a>'
    			$("#ask-2-title").append(typesList); 
    		});
    		
    		//类型选择
    		$('.ask-2 .mui-control-item').on('tap', function() {
				var val = $(this).text();
				val = val.length <= 5 ? val : val.substring(0,4)+"...";
				$('.title-c').find('span').text(val);
				$('.title-c').attr("typeId",this.getAttribute("id"));
				$('.title-c').find('i').removeClass('nd-icon');
				$('.title-c').find('i').addClass('wd-icon');
				$('.title-c').find('i').attr('wd', '1');
				$(".ask-2").hide();
				$(".ask").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    	}
    }
}); 
