var fbzyApp=angular.module('fbzyApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");

fbzyApp.controller('fbzyController',function($scope,$http){  
	//查询个人荣誉
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170100',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){  
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result);
			initData(res);
			console.log("res:"+JSON.stringify(res));
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();
    
    function initData(res){
    	if(res.length>0){
			var html='';
		    for(var i=0;i<res.length;i++){ 
				var RESOURCE = res[i].RESOURCE;  
				var num=i+1;  
				html+='<div class="form_border" num='+num+'>';
					html+='<div class="form_border_val"><input value="'+RESOURCE+'" class="form_border_input" id="form_border_input'+num+'" type="text" placeholder="请填写资源"></div>';
					html+='<div class="form_border_name"><span>20</span></div>';
					html+='<div class="fb_icon"><span class="mui-icon mui-icon-closeempty"></span></div>';
				html+='</div>';
		    }  
			$('#resource-con').html(html);
			$('.fb_icon').on('tap',function(){
					$(this).parent().remove();
				
			})
		}
    	 
    	$('#form_add').on('tap',function(){
			var num =parseInt($('.form_border').length)+1;
			if (num==6) {mui.toast('最多只能添加5个'); return;}
			var html=''
			html+='<div class="form_border" num='+num+'>';
				html+='<div class="form_border_val"><input class="form_border_input" id="form_border_input'+num+'" type="text" placeholder="请填写资源"></div>';
				html+='<div class="form_border_name"><span>20</span></div>';
				html+='<div class="fb_icon"><span class="mui-icon mui-icon-closeempty"></span></div>';
			html+='</div>';
			$('#new_add').before(html);

			$('.fb_icon').on('tap',function(){
					$(this).parent().remove();
			})
			var name= '#form_border_input'+num;
			$(name).on('focus',function(){
				$(this).attr('placeholder','');
			})
			$(name).on('blur',function(){
				$(this).attr('placeholder','请填写资源');
			})
			$(name).bind('input propertychange',function(){
				var curLength = $(this).val().length;
				if(curLength > 20) {
					var val = $(this).val().substr(0, 20);
					$(this).val(val);
					$(this).parent().next().find('span').text(0);
				} else {
					$(this).parent().next().find('span').text(20 - $(this).val().length);
				}
			})
		})
    }
	
	/*
	 *传给后台参数
	 *说明：发布资源
	 *参数：USER_ID:userId，资源名称：RESOURCE	 
	 */
	//var	param={"USER_ID":"userId","fbzy":[{"RESOURCE":RESOURCE},{"RESOURCE":RESOURCE},{"RESOURCE":RESOURCE},{"RESOURCE":RESOURCE},{"RESOURCE":RESOURCE}]};
	$scope.addzy=function(param){  
		param.USER_ID = userId;
	    angularPost($http,  
	    {
			InterfaceId: '20170517004',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("发布资源成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("发布资源成功");
				var page = plus.webview.getWebviewById("my.html");
				page.evalJS("zyCallback("+JSON.stringify(param.fbzy)+",0)");
				setTimeout(function () {
					mui.back();
				},1600)
			}else{
				mui.toast("发布资源失败");
			}
		},function(){
			console.log("失败");
		});  
	}  
}); 