var fpxxApp=angular.module('fpxxApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");

fpxxApp.controller('fpxxController',function($scope,$http){  
	$scope.initLoad=function(){  
		//订单信息
		var payParam = getObjStorage("payParam");
		if( isNull(payParam.ID) ){
			mui.toast("未获取到订单信息！");
			return;
		}
		var param = {"ORDER_ID":payParam.ID};
	    angularPost($http,  
	    {
			InterfaceId: '2017112',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				initData(res.invoice);
			}
		},function(){
			console.log("查询失败");
		});  
	} 
	$scope.initLoad();
	
	function initData (data) {
		if( checkNull(data.ID) != null ){
			$("#INVOICE_ID").val(data.ID);
			$("#TAX_NO").val(checkNull(data.TAX_NO));
			$("#COMPANY_NAME").val(checkNull(data.COMPANY_NAME));
			if( checkNull(data.TYPE) == "00" ){
				$("#NAME").val(checkNull(data.NAME));
				$("#PHONE").val(checkNull(data.PHONE));
				$("#ADDR").val(checkNull(data.ADDR));
				if( checkNull(data.IS_EXPRESS) == "00" ){
					$('.kuaidi').show();
					$('input[name="IS_EXPRESS"]').each(function (i,d) {
						if( this.value == data.IS_EXPRESS ){
							$(this).attr("checked","checked");
						}else{
							$(this).removeAttr("checked");
						}
					});
				}
			}else{
				$("#EMAIL").val(checkNull(data.EMAIL));
				$(".xinxi-li button").each(function (i,d) {
					if( $(this).attr("flag") == "01" ){
						$("#elec").removeClass("dp-n");
						$("#paper").addClass("dp-n");
						if( !$(this).hasClass("mui-btn-success") ){
							$(this).addClass("mui-btn-success");
						}
					}else{
						$("#paper").removeClass("dp-n");
						$("#elec").addClass("dp-n");
						if( $(this).hasClass("mui-btn-success") ){
							$(this).removeClass("mui-btn-success");
						}
					}
				}); 
			}
			
		}
		
	}
	 /*
	 *说明：新增、修改发票信息
	 *参数：INVOICE_ID,USER_ID,ORDER_ID,COMPANY_NAME,ADDR,NAME,PHONE,IS_EXPRESS,FEE,IS_PAY	 
	 */
	$scope.editFpxx=function(param){  
		param.USER_ID = userId;
		console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017111',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("提交成功");
				var page = plus.webview.currentWebview().opener(); 
				page.evalJS("editText('"+param.TYPE+"')");
				setTimeout(function () {
					mui.back();
				},500)
			}else{
				mui.toast("提交失败");
			}
		},function(){
			console.log("提交失败");
		});  
	}  
	
	/*
	 *说明：删除发票信息
	 *参数：ID
	 */
	$scope.delFpxx=function(param){  
		console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017113',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("取消成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("取消成功");
				var page = plus.webview.currentWebview().opener(); 
				page.evalJS("editText('"+param.TYPE+"')");
				setTimeout(function () {
					mui.back();
				},500)
			}else{
				mui.toast("取消失败");
			}
		},function(){
			console.log("取消失败");
		});  
	} 
}); 
