var xggsApp=angular.module('xggsApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");
xggsApp.controller('xggsController',function($scope,$http){  
	//公司信息查询
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017092',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 
			 * 参数：
			 * 公司名称:REAL_NAME，
			 * logo：LOGO，
			 * 公司职位：POSITION，
			 * 公司地址：ADDR，
			 * 行业：NAME,
			 * 公司简介：DESCRIPTION，
			 * 公司官网：INTERNET_PATH
			 * 
			 * */
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData (data) {
    	if( data ){
    		if( data.areas ){
    			var areas = data.areas
		    	if( areas && areas.length > 0 ){
		    		$.each(areas,function (i,d) {
		    			if( d.value == "110000"||
						    d.value == "120000"||
						    d.value == "310000"||
						    d.value == "500000" ){
						    	d.children = [{"text":d.text,"value":d.value}];
						}
		    		})
		    	}
				cityPicker.setData(areas);
				var showCityPickerButton = document.getElementById('ADDR');
				showCityPickerButton.addEventListener('tap', function(event) {
					cityPicker.show(function(items) {
						if( items.length > 1 ){
							showCityPickerButton.innerText = items[1].text;
						}else{
							showCityPickerButton.innerText = items[0].text;
						}
						showCityPickerButton.setAttribute("flag","1");
		                
						//返回 false 可以阻止选择框的关闭
						//return false;
					});
				}, false);
    		}
    		if( data.cates ){
    			catePicker.setData(data.cates);
				var showCatePickerButton = document.getElementById('CATEGORY_ID');
				showCatePickerButton.addEventListener('tap', function(event) {
					catePicker.show(function(items) {
						if(items[1].text!=null&&items[1].text!=''&&items[1].text!=undefined){
							showCatePickerButton.setAttribute("cate",items[1].value);
							showCatePickerButton.innerText = items[1].text;
						}else{
							showCatePickerButton.setAttribute("cate",items[0].value);
							showCatePickerButton.innerText = items[0].text;
						}
						//返回 false 可以阻止选择框的关闭
						//return false;
					});
				}, false);
    		}
    		
            var com = data.com;
            if( com ){
            	$("#COMPANY_NAME").val(checkNull(com.COMPANY_NAME));
	    		$("#POSITION").val(checkNull(com.POSITION));
	    		$("#INTERNET_PATH").val(checkNull(com.INTERNET_PATH));
	    		$("#DESCRIPTION").val(checkNull(com.DESCRIPTION));
	    		if( !isNull(com.ADDR) ){
	    			$("#ADDR").text(com.ADDR);
	    			$("#ADDR").attr("flag","1");
	    		}
	    		if( !isNull(com.NAME) ){
	    			$("#CATEGORY_ID").text(com.NAME);
	    			$("#CATEGORY_ID").attr("cate",com.CATEGORY_ID);
	    		}
            }
    		
    	}
    }
    
    //修改公司信息
    $scope.submit=function(param){ 
    	param.USER_ID = userId;
	    angularPost($http,  
	    {
			InterfaceId: '20170515005',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 
			 * 参数：
			 * 公司名称:REAL_NAME，
			 * logo：LOGO，
			 * 公司职位：POSITION，
			 * 公司地址：ADDR，
			 * 行业：NAME,
			 * 公司简介：DESCRIPTION，
			 * 公司官网：INTERNET_PATH
			 * 
			 * */
			console.log("修改成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("修改成功！");
				//重置页面数据
				var index = plus.webview.getWebviewById("html/wode/index.html");
				if( index ){
					index.evalJS("reloadData("+JSON.stringify(param)+")");
				}
				var my = plus.webview.getWebviewById("my.html");
				if( my ){
					my.evalJS("reloadData("+JSON.stringify(param)+")");
				}
				var gongs = plus.webview.getWebviewById("wd_gongsi.html");
				if( gongs ){
					gongs.evalJS("reloadData("+JSON.stringify(param)+")");
				}
				
				//重置缓存数据
				var userInfo = getObjStorage("loginUser"); 
				userInfo.COMPANY_NAME = param.COMPANY_NAME;
				userInfo.POSITION = param.POSITION;
				userInfo.CATEGORY_ID = param.CATEGORY_ID;
				setStorage("loginUser",userInfo);
				//刷新金融页面个人信息
				var wv = plus.webview.getWebviewById("template/finance/index.html");  
				if(wv!=null){
					wv.evalJS("initData()");
				}
				setTimeout(function () {
					mui.back();
				},500)
			}else{
				mui.toast("修改失败！");
			}
		},function(){
			console.log("修改失败");
		});  
	}  
    
}); 