var jfApp=angular.module('jfApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId"); 
var pageSize=10;

jfApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(){ 
		//接口参数
		//我的积分列表（分页）
		var param={
			"USER_ID":userId,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};

	    angularPost($http,  
	    {
			InterfaceId: '20170516001',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回参数
			 *jfcount积分总数
			 *
			 * 
			 * wdjflist，我的积分
			 * 参数：积分描述：POINT_TYPE，时间：DATE，积分：POINTS
			 * */
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			$scope.jfcount=res.TOTALPOINTS;
			var jflist=angular.fromJson(res.POLIST);
		    initData(jflist);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
    		var dataList = '';
	    	$.each(data,function(i,d) {
		    		dataList += '<div class="jfcont">'
									+'<div class="jfleft">'
										+'<div class="jfwz1">'+d.DESCRIPTION+'</div>'
										+'<div class="jfrq">'+d.DATE+'</div>'
									+'</div>'
									+'<div class="jfshu">'+d.POINTS+'</div>'
						dataList += '</div>';
							
//	    				dataList += '<div class="t-a">'
//	    	    				+'<div class="ct-a" id="'+d.ID+'">'
//			      				+ '<p>'+d.PROJECT_NAME+'</p>'
//								+ '<div class="text">'+d.PROJECT_CONTENT+'</div>'
//								+ '<div class="conet-btom">'
//									+ '<div class="bto-1">'+d.STAGE_NAME+'</div>'
//									+ '<div class="bto-1"><span class="bto-1-num">'+d.START_PRICE+'</span>万</div>'
//									+ '<div class="bto-2">已参与<span class="bto-1-num">'+checkInt(d.TOTAL_BIDDER)+'</span>人</div>'
//									+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(d.CREATE_DATE)+'</span></div>'
//								+ '</div>'
//									+'</div>';
//								if( d.IS_HOT == "1" ){
//								dataList += '<div class="you">'
//											  + '<span>优</span>'
//											+ '</div>';
//									}
//			      			dataList += '</div>';
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
    	}
		
    }
}); 