var xiaoxApp=angular.module('wdxxApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;
var userId=localStorage.getItem("userId");
xiaoxApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(){ 
		//我的消息
		//接口参数
		var param={
			//我的消息
			"USER_ID":userId,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '20170516005',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回参数，根据日期的月份进行分组，属于同一个月份的放一起
			 * 参数：日期:CREATE_DATE,状态：STATUS,通知内容：PRICE，描述：DESCRIPTION
			 * 
			 * 
			 * 
			 * */
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result);
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
    		var dataList = '';
	    	$.each(data,function(j,n) {
	    		var time=n.MONTHGROUP;
			    var news=n.NEWS;
			    dataList += '<div class="xiaoxi_month fs-18 clo-50 bg-f">'+time+'</div>';
				    if( news && news.length > 0  ){
				    	$.each(news,function(i,d) {
				    	    dataList += '<div class="xiaoxi bg-f"  style="border-top:1px solid #F2F2F2;">';
								dataList += '<div class="xiaoxi_list pl" id="'+d.ID+'">';
									dataList += '<div class="xiaoxi_list_box">';
									if(d.TABLE_NAME == "project"){
										dataList += '<div class="xx_title fl fs-16 clo-50 dian">项目审核';
										if(d.IS_READ==0){
											dataList += '<div class="hondian"></div>';
										}
										dataList += '</div>';
									}else if(d.TABLE_NAME == "certificates"){
										dataList += '<div class="xx_title fl fs-16 clo-50 dian">证书审核';
										if(d.IS_READ==0){
											dataList += '<div class="hondian"></div>';
										}
										dataList += '</div>';
									}else if(d.TABLE_NAME == "orders"){
										dataList += '<div class="xx_title fl fs-16 clo-50 dian">支付消息';
										if(d.IS_READ==0){
											dataList += '<div class="hondian"></div>';
										}
										dataList += '</div>';
									}else if(d.TABLE_NAME == "activity"){
										dataList += '<div class="xx_title fl fs-16 clo-50 dian">活动审核';
										if(d.IS_READ==0){
											dataList += '<div class="hondian"></div>';
										}
										dataList += '</div>';
									}else{
										dataList += '<div class="xx_title fl fs-16 clo-50 dian">消息推送';
										if(d.IS_READ==0){
											dataList += '<div class="hondian"></div>';
										}
										dataList += '</div>';
									}
									
									dataList += '<div class="xx_time fr fs-14 clo-9">'+checkNull(d.CREATE_DATE)+'</div>';
									dataList += '</div>';
									dataList += '<div class="xx_center fs-16 clo-50">'+checkNull(d.CONTENT)+'</div>';
									if( d.STATUS == "02" && !isNull(d.DESCRIPTION) ){
										dataList += '<div class="xx_yuanyin fs-16 clo-50">'+d.DESCRIPTION+'</div>';
									}
									
									if(d.TABLE_NAME == "project"){
										if(d.STATUS == "01"){
											dataList += '<div class="bstn ongoing">待审核</div>';
										}else if(d.STATUS == "02"){
											dataList += '<div class="bstn failing" pid="'+d.OBJECT_ID+'">审核未通过</div>';
										}else if(d.STATUS == "03"){
											dataList += '<div class="bstn win">审核通过</div>';
										}else if(d.STATUS == "04"){
											dataList += '<div class="bstn ongoing">接单中</div>';
										}else if(d.STATUS == "05"){
											dataList += '<div class="bstn win">已接单</div>';
										}else if(d.STATUS == "06"){
											dataList += '<div class="bstn win">交易完成</div>';
										}
									}else if(d.TABLE_NAME == "certificates"){
										if(d.STATUS == "01"){
											dataList += '<div class="bstn ongoing">审核中</div>';
										}else if(d.STATUS == "02"){
											dataList += '<div class="bstn failing" cerid="'+d.OBJECT_ID+'">未通过</div>';
										}else if(d.STATUS == "03"){
											dataList += '<div class="bstn win">审核成功</div>';
										}
									}else if(d.TABLE_NAME == "orders"){
										if(d.STATUS == "01"){
											dataList += '<div class="bstn zf-daizhifu" orid="'+d.OBJECT_ID+'">待支付</div>';
										}else if(d.STATUS == "02"){
											dataList += '<div class="bstn failing" orid="'+d.OBJECT_ID+'">支付失败</div>';
										}else if(d.STATUS == "03"){
											dataList += '<div class="bstn zf-chenggong">支付成功</div>';
										}else if(d.STATUS == "04"){
											dataList += '<div class="bstn zf-tuikuan">退款</div>';
										}
									}else if(d.TABLE_NAME == "activity"){
										if(d.STATUS == "01"){
											dataList += '<div class="bstn ongoing">审核中</div>';
										}else if(d.STATUS == "02"){
											dataList += '<div class="bstn failing" actid="'+d.OBJECT_ID+'">审核失败</div>';
										}else if(d.STATUS == "03"){
											dataList += '<div class="bstn win">审核成功</div>';
										}
									}
								dataList += '</div>';
							dataList += '</div>';
						})
				    }
	    		dataList += '</div>';
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			$(".bstn").on("tap",function(){
				var pid=this.getAttribute("pid"); 
				var cerid=this.getAttribute("cerid"); 
				var orid=this.getAttribute("orid"); 
				var actid=this.getAttribute("actid"); 
				if(pid!=null&&pid!=''&&pid!=undefined){
					$scope.upkan(pid);
					var deetaid=setStorage("PRO_ID",pid); 
					toUrl("../../html/Transaction/details_status.html",deetaid,false);  
				}else if(cerid!=null&&cerid!=''&&cerid!=undefined){
					$scope.upkan(cerid);
					toUrl("zhengjian.html",cerid,false);  
				}else if(orid!=null&&orid!=''&&orid!=undefined){
					$scope.upkan(orid);
					toUrl("zhifu.html",orid,false);  
				}else if(actid!=null&&actid!=''&&actid!=undefined){
//					toUrl("huodong.html",pid,false);  
				}
			});
			
			$(".pl").on("tap",function(){
				var kid=this.getAttribute("id"); 
				$scope.upkan(kid);
			});
			
    	}
		
    }
    
  	$scope.upkan=function(data){
		//改成已读
		var kl=data;
		var param={"nos":[{NO_ID:data}]};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017098',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("修改成功！"+data.result); 
			var res=angular.fromJson(data.result);
			if(res.code==200){
				$("#"+kl+" .hondian").hide();
			}
			
		},function(){
			console.log("失败");
		});  
	} 
	
	
});
 
