var zfApp=angular.module('wdzfApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;
var userId=localStorage.getItem("userId");
zfApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
	$scope.initLoad=function(){ 
		//接口参数
		//我的支付列表
		var param={
			//我的支付
			"USER_ID":userId,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '20170516002',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回参数
			 *gzcylist，关注当前城市建联全部成员
			 * 参数：用户id:userid,用户头像：img,公司名称：COMPANY_NAME，职务：POSITION
			 * */
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initNewData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    var isTap = false;
    function initData(data) {
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		if(d.STATUS == "01"){
					dataList += '<div class="daizhifu bg-f">';
				}else if(d.STATUS == "02"){
					dataList += '<div class="daizhifu bg-f">';
				}else{
					dataList += '<div class="pay bg-f">';
				}
					dataList += '<p class="pay_title fs-16">'+d.EVENT+'</p>';
						dataList +='<div class="pay_time">';
							if(d.STATUS == "01"){
								dataList += '<i><img src="../../html/wode/images/icon/zhuangtai2.png"/></i>';
							}else if(d.STATUS == "02"){
								dataList += '<i><img src="../../html/wode/images/icon/zhuangtai3.png"/></i>';
							}else if(d.STATUS == "03"){
								dataList += '<i><img src="../../html/wode/images/icon/zhuangtai4.png"/></i>';
							}else if(d.STATUS == "04"){
								dataList += '<i><img src="../../html/wode/images/icon/zhuangtai3.png"/></i>';
							}else{
								dataList += '<i><img src="../../images/60x60.gif"/></i>';
							}
							
							if(d.STATUS == "01"){
								dataList += '<p>待支付</p>';
							}else if(d.STATUS == "02"){
								dataList += '<p>支付失败</p>';
							}else if(d.STATUS == "03"){
								dataList += '<p>支付成功</p>';
							}else if(d.STATUS == "04"){
								dataList += '<p>退款</p>';
							}else{
								dataList += '<p></p>';
							}
							
						dataList += '<span >￥'+d.PRICE+'</span>';
						dataList += '<p class="pay_day ta-r">'+d.DATE+'</p>';
						dataList +='</div>';
						
						if(d.STATUS == "01"){
							dataList += '<div id="'+d.ID+'" types="'+d.TYPE+'" class="btn fs-14">去支付</div>';
						}else if(d.STATUS == "02"){
							dataList += '<div id="'+d.ID+'" types="'+d.TYPE+'" class="btn fs-14">去支付</div>';
						}else if(d.STATUS == "03"){
							dataList += '<div id="'+d.ID+'" types="'+d.TYPE+'" ></div>';
						}else if(d.STATUS == "04"){
							dataList += '<div id="'+d.ID+'" types="'+d.TYPE+'" ></div>';
						}
					dataList += '</div>';
	    					
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			//支付
			$(".daizhifu .fs-14").on('tap',function(){  
			  	if( isTap == true ){return;};
			  	isTap = true;
			    var zfid=this.getAttribute('id'); 
			    var ty=this.getAttribute('types');
			    setStorage("orderID",zfid);
			    var page="";
			    if(ty=="01"){ 
			    	page="zhifu.html";
			    	var wv = plus.webview.getWebviewById(page);  
					if(wv!=null){//判断页面是否已经存在，若存在则刷新，若不存在则不刷新 
						toUrl(page,zfid,true);
					}else{ 
						toUrl(page,zfid,false);
					}
			    }else{
			    	//page="../../html/Alliance_ring/Club/zhifu.html";
			        $scope.getPayParam(zfid);
			    }
			    setTimeout(function () {
			    	isTap = false;
			    },500)
			});
    	}
    }
    
	$scope.getPayParam=function(orderId){  
		var param={"USER_ID":userId,"ID":orderId};
	    console.log("订单查询参数:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '20170516003',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			topay(res);
		},function(){
			console.log("失败");
		});  
	}
	
	function topay(data) {
		if( data ){ 
			setStorage("payParam",data);
	    	var page="../../html/Alliance_ring/Club/zhifu.html";
	    	var wv = plus.webview.getWebviewById(page);  
			if(wv!=null){//判断页面是否已经存在，若存在则刷新，若不存在则不刷新 
				toUrl(page,"",true);
			}else{ 
				toUrl(page,"",false);
			}
	    }else{
	    	mui.toast("获取支付参数失败！");
	    }
	}
	
	/****************************/
	/**根据编码获取状态**/
	function getStatusStr(status) {
		var styleStr = status == "01" ? "card-icon-01" : status == "02" ? "card-icon-02" : status == "06" ? "card-icon-04" : "card-icon-03";
		var str = status == "01" ? "待支付" : status == "02" ? "支付失败" : status == "03" ? "支付成功" : status == "04" ? "退款中" : status == "05" ? "已退款" : status == "06" ? "已作废" : status == "07" ? "索要发票" : "";
		return {"str":str,"styleStr":styleStr};
	}
	
	/**根据TYPE获取支付类型**/
	function getPayType(type) {//支付类型（01：支付会费 02：参与活动费用）
		var str = type == "01" ? "升级入会费用" : type == "02" ? "参与活动费用" : "";
		return str;
	}
	
	function payHtml(d) {
		var html = '';
		if( d ){
			var status = d.STATUS;
			var obj = getStatusStr(status);
			var cdate = checkNull(d.DATE);
			var dateStr = cdate.length > 11 ? cdate.substring(0,11) : cdate;
			
			/**底部按钮**/
			var footerHtml = '';
			if( status == "01" ){
				footerHtml = '<div class="footer bt-f2">' 
				               + '<span oid="'+d.ID+'" types="'+d.TYPE+'" class="card-btn pay">立即支付</span>'
				           + '</div>';    
			}else if( status == "02" ){
				footerHtml = '<div class="footer bt-f2">' 
				               + '<span oid="'+d.ID+'" types="'+d.TYPE+'" class="card-btn pay">重新支付</span>'
				           + '</div>';    
			}else if( status == "03"  ){//&& checkNull(d.UP_STATUS) == "03"
				footerHtml = '<div class="footer bt-f2">' 
				               + '<span oid="'+d.ID+'" class="card-btn invoice">索要发票</span>'
				           + '</div>';    
			}
			
			html = '<div id="'+d.ID+'" class="card">'
			    	+ '<div class="card-header">'
			    		+ '<div class="left '+obj.styleStr+'">'
			    			+ '<span>'+getPayType(d.TYPE)+'</span>'
			    		+ '</div>'
			    		+ '<div class="right">'+checkNull(obj.str)+'</div>'
			    	+ '</div>'
			    	+ '<div class="card-content">'
			    		+ '<span>'+checkNull(d.EVENT)+'</span>'
			    	+ '</div>'
			    	+ '<div class="card-footer">'
			    		+ '<div class="footer">'
			    			+ '<span>金额：'+d.PRICE+'元</span>'
			    			+ '<span>'+dateStr+'</span>'
			    		+ '</div>'
			    		+ footerHtml
			    	+ '</div>'
			    + '</div>';
		}
		return html;	    
	}
	
	function initNewData(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	
		var dataList = '';
    	$.each(data,function(i,d) {
    		dataList += payHtml(d);			
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//支付
		$(".footer .card-btn.pay").on('tap',function(){  
		  	if( isTap == true ){return;};
		  	isTap = true;
		  	
		    var zfid=this.getAttribute('oid'); 
		    var ty=this.getAttribute('types');
		    setStorage("orderID",zfid);
		    
		    if(ty=="01"){ 
		    	var page="zhifu.html";
		    	toUrl(page,zfid);
		    }else{
		        $scope.getPayParam(zfid);
		    }
		    
		    setTimeout(function () {
		    	isTap = false;
		    },500)
		});
		
		//索要发票
		$(".footer .card-btn.invoice").on('tap',function(){  
		  	if( isTap == true ){return;};
		  	isTap = true;
		  	
		    var zfid=this.getAttribute('oid'); 
		    var page="invoice.html";
		    toUrl(page,zfid);
		    
		    setTimeout(function () {
		    	isTap = false;
		    },500)
		});
	}
}); 
 