var scApp=angular.module('scApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;
var userId=localStorage.getItem("userId");
scApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
	$scope.currentPage=1;       //页码
	$scope.currentPage0=1;      //页码
	$scope.currentPage1=1;      //页码
	$scope.currentPage2=1;      //页码
	$scope.currentPage3=1;      //页码
	$scope.sliderFlag0 = false; //滑动标识
	$scope.sliderFlag1 = false; //滑动标识
	$scope.sliderFlag2 = false; //滑动标识
	$scope.sliderFlag3 = false; //滑动标识
	$scope.pageIndex=0;         //当前选项
	$scope.pageSize=pageSize;   //页面尺寸
	
    $scope.loadMore=function(){
    	var InterfaceId = "2017090";
		var param = {"USER_ID":userId,"TYPE":"JL_APP_MEDIA","pageSize":$scope.pageSize};
		if( $scope.pageIndex == 0 ){//新闻
			$scope.currentPage = $scope.currentPage0;
			param.TYPE = "JL_APP_MEDIA";
		}else if( $scope.pageIndex == 1 ){//项目
			$scope.currentPage = $scope.currentPage1;
			param.TYPE = "PROJECT";
		}else if( $scope.pageIndex == 2 ){//店铺
			$scope.currentPage = $scope.currentPage2;
			param.TYPE = "JL_DP_SHOP";
		}else if( $scope.pageIndex == 3 ){//PPP
			$scope.currentPage = $scope.currentPage3;
			param.TYPE = "PPP";
		}else{
			mui.toast("请求参数错误！");
			return;
		}
		param.currentPage = $scope.currentPage;
		console.log("param:"+JSON.stringify(param));
	
	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res &&　res.length > 0 ){
				initData(res);
			}else{
				if( $scope.pageIndex == 0 ){
					$scope.sliderFlag0 = true;
				}else if( $scope.pageIndex == 1 ){
					$scope.sliderFlag1 = true;
				}else if( $scope.pageIndex == 2 ){
					$scope.sliderFlag2 = true;
				}else if( $scope.pageIndex == 3 ){
					$scope.sliderFlag3 = true;
				}
			}
		},function(){
			console.log("查询失败");
		});
	}
    
    //加载页码数据
	$scope.loadMore();//页码、数据类型
    
    var isClick = false;
    function initData(data){
    	var dataList = '';
    	$.each(data,function (i,d) {
    		var str = '';
    		if( $scope.pageIndex == 0 ){//新闻
				str = newsHtml(d);
			}else if( $scope.pageIndex == 1 ){//项目
				str = prosHtml(d);
			}else if( $scope.pageIndex == 2 ){//店铺
				str = shopsHtml(d);
			}else if( $scope.pageIndex == 3 ){//PPP
				str = pppHtml(d);
			}
    		dataList += str;
    	})
		if( $scope.currentPage == 1 ){
			$("#item"+($scope.pageIndex+1)+"mobile").find(".dataList").html(dataList);
		}else{
			$("#item"+($scope.pageIndex+1)+"mobile").find(".dataList").append(dataList);
		}
		
        //点击图片进入新闻
		$(".shoucang_left").on("tap",function(){
			if( isClick == true ) return;
		    isClick = true;
		    
			var MID_ID=this.getAttribute("mid"); 
	    	toUrl("../Alliance_ring/Information/zixundetails.html",MID_ID,false);  
	    	
	    	setTimeout(function () {
				isClick = false;
			},500);
		});
		
		//点击图片进入项目详情
		$(".c-c-a").on("tap",function(){ 
			if( isClick == true ) return;
		    isClick = true;
		    
			setStorage("PRO_ID",this.getAttribute("pid"));
			var mark = this.getAttribute("mark");//0、项目,1、PPP
			if( mark == "1" ){
				toUrl("../ppp/details.html");
			}else{
				var flag = this.getAttribute("flag");//0、项目,1、需求
				if( flag == "1" ){
					toUrl("../Transaction/require.html");
				}else{
					toUrl("../Transaction/details.html");
				}
			}
			
			setTimeout(function () {
				isClick = false;
			},500);
		});
		
		//店铺
		$(".cy-li").on("tap",function(){ 
			var id = this.getAttribute("id");
		    if( isNull(id) ){
		    	mui.toast("该公司店铺暂未建设！");
		    	return;
		    }
			if( isClick == true ) return;
		    isClick = true;
		    /**公司详情页**/
		    var param = {"CY_ID":id};
			toUrl("../chanye/gongsixq.html",param);
			setTimeout(function () {
				isClick = false;
			},500);
		});
    }
    
    /**新闻**/
    function newsHtml(obj) {
    	var dataList = '';
    	if( obj ){
    	    var pro_img = getDefaultImage(obj.IMGS,"../../images/60x60.gif",imgPath);
    		dataList += '<div class="shoucang_cont">'
			              + '<div class="shoucang_left" mid="'+obj.ID+'">'
			                  + '<img src="'+pro_img+'"/>'
			              + '</div>'
			              + '<div class="shoucang_right">'
			                  + '<div class="shoucang_biaoti">'+checkNull(obj.TITLE)+'</div>'
							  + '<div class="shoucang_fu">'
							      + '<div class="shoucang_fu_left">'+checkNull(obj.RESOURCE)+'</div>'
							      + '<div class="shoucang_fu_right"><i class="icon iconfont icon-yanjing"></i><span>'+checkInt(obj.VIEW_COUNT)+'</span></div>'
							  + '</div>'
			              + '</div>'
			          + '</div>'
			          + '<div style="height:1px;width:100%;background:#F2F2F2;"></div>';
    	}
    	return dataList;
    }
    
    /**项目**/
    function prosHtml(obj) {
    	var dataList = '';
    	if( obj ){
			var isRes = obj.IS_RESOURCE;
			var pro_img="";
    	    if( !isNull(obj.USER_ID) ){//app端发布的项目
    		   pro_img=getDefaultImage(obj.COVER_PATH,"../../images/60x60.gif");
	    	}else if( !isNull(obj.CREATE_BY) ){//后台发布的项目
	    	   pro_img = getDefaultImage(obj.COVER_PATH,"../../images/60x60.gif",imgPath);
	    	}
	    	
			dataList += '<div class="c-c-a" pid="'+obj.ID+'" flag="'+isRes+'">';
				if( isRes == "1" ){
					 dataList += '<p class="c-c-a-a">'+checkNull(obj.PROJECT_NAME)+'</p>'
					           + '<div class="c-c-a-b">'+checkNull(obj.PROJECT_CONTENT)+'</div>';
				}else{
					 dataList += '<div class="shoucang">'
							       + '<div class="shoucang_img"><img src="'+pro_img+'"/></div>'
								   + '<div class="shoucang_name">'
									   + '<p class="c-c-a-a">'+checkNull(obj.PROJECT_NAME)+'</p>'
									   + '<div class="c-c-a-b">'+checkNull(obj.PROJECT_CONTENT)+'</div>'
								   + '</div>'
							   + '</div>';
				}
				dataList += '<div class="c-c-a-c">'
					+ '<div class="bto-1">'+checkNull(obj.STAGE_NAME)+'</div>'
					+ '<div class="bto-1"><span class="bto-1-num">'+checkNull(obj.START_PRICE)+'</span>万</div>'
					+ '<div class="bto-2"><span class="bto-1-time">'+checkInt(obj.TOTAL_BIDDER)+'</span>人已参与</div>'
					+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(obj.CREATE_DATE)+'</span></div>'
				+ '</div>';
			dataList += '</div>'
			dataList += '<div style="height:1px;width:100%;background:#F2F2F2;"></div>';
    	}
    	return dataList;
    }
    
    /**店铺**/
    function shopsHtml(obj) {
    	/*计算图片宽高**/
		var win_width = $(window).width();
		var div_width = (win_width-15)/2;
		var img_width = div_width-10;
			
    	var dataList = '';
    	if( obj ){
			var img = getDefaultImage(obj.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
			dataList += '<div id="'+obj.COMPANY_ID+'" class="cy-li" style="width:'+div_width+'px;">'
							+ '<div class="cy-li-img" style="height:'+img_width+'px;"><img src="'+img+'" alt=""></div>'
							+ '<div class="cy-li-text">'
								+ '<div class="cy-li-top">'+checkNull(obj.SHOP_NAME)+'</div>'
								+ '<div class="cy-li-bottom">'
									+ '<div class="cy-li-bottom-left">'+checkNull(obj.CATE_NAME)+'</div>'
									+ '<div class="cy-li-bottom-right">'+checkNull(obj.LEVEL_NAME)+'</div>'
								+ '</div>'
							+ '</div>'
						+ '</div>';
    	}
    	return dataList;
    }
    
    /**ppp项目**/
    function pppHtml(obj) {
    	var dataList = '';
    	if( obj ){
			var pro_img="";
    	    if( !isNull(obj.USER_ID) ){//app端发布的项目
    		   pro_img=getDefaultImage(obj.IMGS,"../../images/60x60.gif");
	    	}else if( !isNull(obj.CREATE_BY) ){//后台发布的项目
	    	   pro_img = getDefaultImage(obj.IMGS,"../../images/60x60.gif",imgPath);
	    	}
	    	
			dataList += '<div class="c-c-a" pid="'+obj.ID+'" mark="1">';
				dataList += '<div class="shoucang">'
						       + '<div class="shoucang_img"><img src="'+pro_img+'"/></div>'
							   + '<div class="shoucang_name">'
								   + '<p class="c-c-a-a">'+checkNull(obj.PROJECT_NAME)+'</p>'
								   + '<div class="c-c-a-b">'+checkNull(obj.PROJECT_CONTENT)+'</div>'
							   + '</div>'
						   + '</div>';
				dataList += '<div class="c-c-a-c">'
					+ '<div class="bto-1">'+checkNull(obj.JD)+'</div>'
					+ '<div class="bto-1"><span class="bto-1-num">'+checkNull(obj.TOTAL_INVESTMENT)+'</span>万</div>'
					+ '<div class="bto-2"><span class="bto-1-time">'+checkInt(obj.TOTAL_BIDDER)+'</span>人已参与</div>'
					+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(obj.CREATE_DATE)+'</span></div>'
				+ '</div>';
			dataList += '</div>'
			dataList += '<div style="height:1px;width:100%;background:#F2F2F2;"></div>';
    	}
    	return dataList;
    }
}); 
 
