var jlApp=angular.module('jlApp',[]);
var token=localStorage.getItem("token");
jlApp.controller('recordController',function($scope,$http){  
	$scope.initLoad=function(){  
		var upid = getToUrlParams();
		if( isNull(upid) ){
			mui.toast("获取申请记录失败！");
			return;
		}
		/**申请记录详情**/
		var param={"UP_ID":upid};
	    console.log(JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017191',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var isClick = false;
    function initData(data) {
    	var dataList = recordHtml(data);
    	$("#dataList").html(dataList);
    	
    	/**申请退款**/
    	$(".mui-card-footer .clo-c9").on("tap",function () {
    		if( isClick == true ) return;
		    isClick = true;
		    
		    setTimeout(function () {
				isClick = false;
			},500);
    	});
    	
    	/**完善信息**/
    	$(".mui-card-footer .clo-jy").on("tap",function () {
    		if( isClick == true ) return;
		    isClick = true;
		    
		    toUrl("audit-info.html");
		    
		    setTimeout(function () {
				isClick = false;
			},500);
    	});
    	
    	/**重新提交**/
    	$(".mui-card-footer .clo-sb").on("tap",function () {
    		if( isClick == true ) return;
		    isClick = true;
		    
		    toUrl("audit-info.html");
		    
		    setTimeout(function () {
				isClick = false;
			},500);
    	});
    }
    
    function recordHtml(data) {
        var html = '';
    	if( data ){
    		var clo = "";//字体颜色
    		var tips = "";//内容
    		var btns = '';//按钮
    		var statusStr = "";//审核状态
    		var status = data.STATUS;
    		if( status == "01" ){//审核中
    			clo = "clo-jy";
    			statusStr = "审核中";
    			tips = checkNull(data.isInCheck);
    			btns = '<button type="button" class="mui-btn mui-btn-outlined clo-jy b-jy">完善信息</button>';
    		}else if( status == "02" ){//审核失败
    			clo = "clo-sb";
    			statusStr = "审核失败";
    			tips = checkNull(data.NOPASS_REASON);
    			btns = '<button type="button" class="mui-btn mui-btn-outlined clo-sb b-sb">重新提交</button>'
    		         + '<button type="button" class="mui-btn mui-btn-outlined clo-c9">申请退款</button>';
    		}else{
    			clo = "clo-c";
    			statusStr = "退款中";
    			tips = checkNull(data.isInCancle);
    			btns = '<button type="button" class="mui-btn mui-btn-outlined clo-c b-c">退款中</button>';
    		}
    		html += '<div class="mui-card">'
						+ '<div class="mui-card-header mui-card-media">'
							+ '<div class="mui-media-body" style="margin-left: 0px;">'
								+ '<div class="f-box">'
									+ '<div class="f1">您申请的会员等级：<span class="'+clo+'">'+checkNull(data.LEVEL_NAME)+'</span></div>'
									+ '<span class="plr-10 '+clo+'">'+statusStr+'</span>'
								+ '</div>'
								+ '<p>申请于 '+timeStamp2String(data.CREATE_DATE,"ymdhm")+'</p>'
							+ '</div>'
						+ '</div>'
						+ '<div class="mui-card-content" >'
							+ '<div class="mui-card-content-inner">'+tips+'</div>'
						+ '</div>'
						+ '<div class="mui-card-footer">'+btns+'</div>'
					+ '</div>';
			return html;		
    	}
    }
    
    //修改所属行业及建联
    $scope.refundMony=function(param){  
    	console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017193',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				var user = getObjStorage("loginUser");
				user.CLAN_ID = param.CLAN_ID;
				user.CATEGORY_ID = param.CATEGORY_ID;
				user.NAME = param.CATENAME;
				setStorage("loginUser",user);
				setTimeout(function () {
					toUrl("jlht.html");
				},50);
			}else{
				mui.toast("提交失败！");
			}
		},function(){
			console.log("提交失败！");
		});  
	}  
	
}); 