var jyApp = angular.module('cityApp', []);
var token = localStorage.getItem("token");
var pageSize = 10;
var userId = localStorage.getItem("userId");
jyApp.controller('indexController', function($scope, $http) {
	$scope.imgPath = imgPath;
	$scope.appimgPath = appimgPath;
	$scope.currentPage = 1;
	$scope.pageSize = pageSize;
	$scope.flag = 0;
	$scope.loadDown = function(flag,name,arcode) { //下拉刷新 
		//城市建联
		$scope.daname=name;
		$scope.arcodes=arcode;
		$scope.currentPage = 1;
		var param = {
			"currentPage": $scope.currentPage,
			"pageSize": $scope.pageSize,
			"NAME": $scope.daname,
			"USER_ID": userId,
			"AREA_CODE":$scope.arcodes
		};
		var inter = null;
		if(flag == 0) {
			inter = '2017075';
		} else {
			inter = '2017076';
		}
		$scope.flag = flag;
		angularPost($http, {
				InterfaceId: inter,
				Token: token,
				params: Encrypt(JSON.stringify(param)),
				md5_str: faultylabs.MD5(JSON.stringify(param)),
				timestamp: ''
			},
			function(data) {
				console.log("查询成功！" + data.result);
				var acts = angular.fromJson(data.result);
				$scope.sliderFlag = false;
				var html = '';
				for(var i = 0; i < acts.length; i++) {
					var jlid = acts[i].ID;
					var jlimg = acts[i].IMG_PATH;
					var jlname = acts[i].NAME;
					var jlcycont = acts[i].MEMBER_COUNT;
					var createby = acts[i].CREATE_BY;
					var jluser = acts[i].UID;
					var userImg = getDefaultImage(jlimg, "images/img/csmoren.jpg", imgPath);
					html += '<div class="cy_list">';
					html += '<div class="cy_tx" cid="' + jlid + '">';
					html += '<div class="cy_size">';
					html += '<img class="cy_img" src="' + userImg + '" />';
					html += '</div>';
					html += '</div>';
					html += '<div class="cy_xinxi">';
					html += '<div class="cy_mc_dj">';
					html += '<div class="cy_mc">';
					html += '<span class="font_size_16 mc_color">' + jlname + '</span>';
					html += '</div>';
					html += '<div class="cy_dj">';
					if(jluser != null && jluser != '' && jluser != undefined) {
						html += '<span class="cy_dj_text color_white font_size_14 background_color_cdc">已关注</span>';
					} else {
						//						html+='<span class="cy_dj_text color_white font_size_14 background_color_cdc"></span>'; 
						html += '<span></span>';
					}
					html += '</div>';
					html += '</div>';
					html += '<div class="cy_gs_zw font_size_14 gs_zw_color">';
					html += '<div class="cy_gs">' + jlcycont + '位成员</div>';
					html += '</div>';
					html += '</div>';
					html += '</div>';
				}
				$("#act_publish").html(html);
				//点击图片进入城市建联详情
				$(".cy_tx").on("tap", function() {
					var clanid = this.getAttribute("cid");
					toUrl("jl_city.html", clanid, false);
				});
			},
			function() {
				console.log("失败");
			});
	}

	$scope.loadUp = function(flag,name,arcode) { //上拉加载更多
		$scope.daname=name;
		$scope.arcodes=arcode;
		$scope.flag = flag;
		var inter = null;
		if(flag == 0) {
			inter = '2017075';
		} else {
			inter = '2017076';
		}
		$scope.currentPage++;
		var param = {
			"currentPage": $scope.currentPage,
			"pageSize": $scope.pageSize,
			"NAME": $scope.daname,
			"AREA_CODE": $scope.arcodes,
			"USER_ID": checkNull(userId)
		};
		angularPost($http, {
				InterfaceId: inter,
				Token: token,
				params: Encrypt(JSON.stringify(param)),
				md5_str: faultylabs.MD5(JSON.stringify(param)),
				timestamp: ''
			},
			function(data) {
				console.log("查询成功！" + data.result);
				var acts = angular.fromJson(data.result);
				if(acts.length < $scope.pageSize) {
					$scope.sliderFlag = true;
				} else {
					$scope.sliderFlag = false;
				}
				var html = '';
				for(var i = 0; i < acts.length; i++) {
					var jlid = acts[i].ID;
					var jlimg = acts[i].IMG_PATH;
					var jlname = acts[i].NAME;
					var jlcycont = acts[i].MEMBER_COUNT;
					var createby = acts[i].CREATE_BY;
					var jluser = acts[i].UID;
					var userImg = getDefaultImage(jlimg, "images/img/csmoren.jpg", imgPath);
					html += '<div class="cy_list">';
					html += '<div class="cy_tx" cid="' + jlid + '">';
					html += '<div class="cy_size">';
					html += '<img class="cy_img" src="' + userImg + '" />';
					html += '</div>';
					html += '</div>';
					html += '<div class="cy_xinxi">';
					html += '<div class="cy_mc_dj">';
					html += '<div class="cy_mc">';
					html += '<span class="font_size_16 mc_color">' + jlname + '</span>';
					html += '</div>';
					html += '<div class="cy_dj">';
					//					if(jluser!=null&&jluser!=''&&jluser!=undefined){
					//						html+='<span class="cy_dj_text color_white font_size_14 background_color_cdc">已关注</span>';
					//					}else{
					//						html+='<span class="cy_dj_text color_white font_size_14 background_color_cdc"></span>'; 
					//					} 
					if(jluser != null && jluser != '' && jluser != undefined) {
						html += '<span class="cy_dj_text color_white font_size_14 background_color_cdc">已关注</span>';
					} else {
						//						html+='<span class="cy_dj_text color_white font_size_14 background_color_cdc"></span>'; 
						html += '<span></span>';
					}
					html += '</div>';
					html += '</div>';
					html += '<div class="cy_gs_zw font_size_14 gs_zw_color">';
					html += '<div class="cy_gs">' + jlcycont + '位成员</div>';
					html += '</div>';
					html += '</div>';
					html += '</div>';
				}
				$("#act_publish").append(html);
			},
			function() {
				console.log("失败");
			});

		//点击图片进入城市建联详情
		$(".cy_tx").on("tap", function() {
			var CLAN_ID = this.getAttribute("cid");
			toUrl("jl_city.html", CLAN_ID, false);
		});
	}
	$scope.loadDown($scope.flag, null, null);

	//   $scope.search=function(name){ 
	//		//人脉搜索
	//		//接口参数
	//		var param={
	//			"currentPage":$scope.currentPage,
	//			"pageSize":$scope.pageSize,
	//			"NAME":$.trim(name),
	//			"USER_ID":userId	
	//		};
	//		console.log("param:"+JSON.stringify(param));
	//
	//	    angularPost($http,  
	//	    {
	//			InterfaceId: '2017075',
	//			Token: token,
	//			params: Encrypt(JSON.stringify(param)), 
	//    		md5_str: faultylabs.MD5(JSON.stringify(param)),
	//			timestamp:''
	//	    },
	//		function(data){ 
	//			/*返回参数
	//			 * 
	//			 * 根据名称查出当前我关注的人
	//			 * 参数：用户id:userid,用户头像：img,公司名称：COMPANY_NAME，职务：POSITION
	//			 * */
	//			console.log("查询成功！"+data.result); 
	//			$scope.res=angular.fromJson(data.result); 
	//		},function(){
	//			console.log("失败");
	//		});  
	//	} 
	$scope.btnare = function() { //上拉加载更多
		var param = null;
		angularPost($http, {
				InterfaceId: '2017115',
				Token: token,
				params: Encrypt(JSON.stringify(param)),
				md5_str: faultylabs.MD5(JSON.stringify(param)),
				timestamp: ''
			},
			function(data) {
				var arelist = angular.fromJson(data.result); 
				$scope.areasfl = angular.fromJson(arelist.areas); 
				setTimeout(function() {
					$('.ask-3 .mui-control-item').on('tap', function() {
						var val = $(this).text();
						var areid=$(this).attr("id");
						$('#xuanchengshi').find('span').text(val);
						$('#xuanchengshi').find('i').removeClass('mui-icon-arrowup');
						$('#xuanchengshi').find('i').addClass('mui-icon-arrowdown');
						$('#xuanchengshi').find('i').attr('wd', '1');
						$(".ask-3").hide();
						$scope.loadDown($scope.flag, null,areid);
					})
				}, 500)

			},
			function() {
				console.log("失败");
			});

	}
});