var sjrhApp=angular.module('sjrhApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");
sjrhApp.controller('sjrhController',function($scope,$http){  
//	升级入会
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017106',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 参数：VIP_LEVEL:会员等级,NAME:等级名称
			 * 
			 * 返回每个等级的集合，钱数
			 * 参数：VIP_LEVEL:会员等级,NAME:等级名称，价格：PRICE
			 * */
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData(data) {
    	//行业
    	if( data && data.cates && checkNull(data.clan.VIP_LEVEL) == "02" ){//普通用户
			catePicker.setData(data.cates);
			var showCatePickerButton = document.getElementById('CATEGORY_ID');
			showCatePickerButton.addEventListener('tap', function(event) {
				catePicker.show(function(items) {
					if(items[1].text!=null&&items[1].text!=''&&items[1].text!=undefined){
						showCatePickerButton.setAttribute("cateId",items[1].value);
						showCatePickerButton.innerText = items[1].text;
					}else{
						showCatePickerButton.setAttribute("cateId",items[0].value);
						showCatePickerButton.innerText = items[0].text;
					}
					$scope.queryVacancy();
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
		}
    	
    	//建联
    	if( data && data.areas && checkNull(data.clan.VIP_LEVEL) == "02" ){//普通用户
    		cityPicker.setData(data.areas);
			var showCityPickerButton = document.getElementById('CLAN_ID');
			showCityPickerButton.addEventListener('tap', function(event) {
				cityPicker.show(function(items) {
					if( items.length > 1 ){
						showCityPickerButton.innerText = items[1].text;
						showCityPickerButton.setAttribute("clanId",items[1].value);
					}else{
						showCityPickerButton.innerText = items[0].text;
						showCityPickerButton.setAttribute("clanId",items[1].value);
					}
					$scope.queryVacancy();
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
    	}
    	
    	//用户信息
        if( data && data.clan ){
        	var clan = data.clan;
        	$("#LEVEL_NAME").text(checkNull(clan.VIP_LEVELNAME));
        	$("#LEVEL_NAME").attr("level",clan.VIP_LEVEL);
        	$("#LEVEL_NAME").attr("flag",clan.VIP);//入会时间是否超过三个月：00、是，01、否。
        	$(".form_list_icon").each(function (i,d) {
        		if( clan.VIP_LEVEL == "02" ){
        			$(this).removeClass("clo-c");
        			$(this).find("input[type='radio']").removeAttr("disabled");
        		}else if( checkInt($(this).attr("level")) > checkInt(clan.VIP_LEVEL) ){
        			$(this).removeClass("clo-c");
        			$(this).find("input[type='radio']").removeAttr("disabled");
        		}
        	})
        	if( clan.VIP_LEVEL != "05" ){
        		$("#submitBtn").removeClass("dp-n");
        	}
        	
        	//行业、建联
        	if( !isNull(clan.CLANNAME) ){
        		$("#CLAN_ID").text(clan.CLANNAME);
        	    $("#CLAN_ID").attr("clanId",clan.CLAN_ID);
        	}
        	if( !isNull(clan.CATENAME) ){
        		$("#CATEGORY_ID").text(clan.CATENAME);
                $("#CATEGORY_ID").attr("cateId",clan.CATEGORY_ID);
        	}
            
            //对应等级空缺人数
            showVacancy(data.vacancy);
        }
    }
    
    //修改所属行业及建联
    $scope.editUCInfo=function(param){  
    	param.USER_ID=userId;
    	console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017107',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				var user = getObjStorage("loginUser");
				user.CLAN_ID = param.CLAN_ID;
				user.CATEGORY_ID = param.CATEGORY_ID;
				user.NAME = param.CATENAME;
				setStorage("loginUser",user);
				setTimeout(function () {
					toUrl("jlht.html");
				},50);
			}else{
				mui.toast("提交失败！");
			}
		},function(){
			console.log("提交失败！");
		});  
	}  
	
	//修改所属行业及建联
    $scope.queryVacancy=function(){
    	var clanId = $("#CLAN_ID").attr("clanId");
	    if( isNull(clanId) ){
			return;
		}
	    var cateId = $("#CATEGORY_ID").attr("cateId");
	    if( isNull(cateId) ){
			return;
		}
    	var param = {"CLAN_ID":clanId,"CATEGORY_ID":cateId};
    	console.log("params:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017108',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			showVacancy(res);
		},function(){
			console.log("查询失败！");
		});  
	}
    
    function showVacancy(data) {
    	if( data ){
    		var mylevel = $("#LEVEL_NAME").attr("level");
	    	$(".form_list_icon").each(function (i,d) {
	    		var level = this.getAttribute("level");
	    		var price = level == "03" ? 8000 : level == "04" ? 10000 : 20000;
	    		var vacancy = level == "03" ? data.VICE_PRE_VACANCY : level == "04" ? data.EXE_VICE_PRE_VACANCY : data.PRESIDENT_VACANCY;
	    		if( checkInt(level) > checkInt(mylevel) ){
	    			if( checkInt(vacancy) == 0 ){
	    				$(this).find(".form_list_val label").text(price+"/年(暂无空缺)");
	    				$(this).find("input[name='radio1']").attr("disabled","disabled");
	    				if( !$(this).hasClass("clo-c") ){
	    					$(this).addClass("clo-c");
	    				}
	    			}else{
	    				$(this).removeClass("clo-c");
	    				$(this).find("input[name='radio1']").removeAttr("disabled");
	    				$(this).find(".form_list_val label").text(price+"/年(空缺 "+vacancy+" 人)");
	    			}
	    		}
	    	})
    	}else{
    		$(".form_list_icon").each(function (i,d) {
    			var level = this.getAttribute("level");
    			if( checkInt(level) > 2 && !$(this).hasClass("clo-c") ){
    				var val = $(this).find(".form_list_val label").text();
    				var index = val.indexOf("(");
    				var tex = index >= 0 ? val.substring(0,index) : val;
    				$(this).find(".form_list_val label").text(tex+"(暂无空缺)");
					$(this).addClass("clo-c");
					$(this).find("input[name='radio1']").removeAttr("checked");
					$(this).find("input[name='radio1']").attr("disabled","disabled");
				}
    		})
    	}
    }
}); 