var xinxApp=angular.module('xinxApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");
xinxApp.controller('xinxController',function($scope,$http){  
	//提交审核信息查询
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170517005',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 参数：姓名:REAL_NAME，公司名称：COMPANY_NAME，公司职位：POSITION，手机号：PHONE，名片：IMG_PATH
			 * 
			 * */
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			initData(res)
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData(data) {
    	if( data ){
    		$("#REAL_NAME").val(checkNull(data.REAL_NAME));
    		$("#COMPANY_NAME").val(checkNull(data.COMPANY_NAME));
    		$("#POSITION").val(checkNull(data.POSITION));
    		$("#PHONE").val(checkNull(data.PHONE));
    		if( !isNull(data.IMG_PATH) ){
    			$("#IMG_PATH").attr("src",getDefaultImage(data.IMG_PATH,"../../images/60x60.gif"));
    			$("#IMG_PATH").attr("path",data.IMG_PATH);
    		}
    	}
    }
    
    $scope.isSubmit = true;//防止多次点击
    $scope.submit=function(param){ 
    	if( $scope.isSubmit == false ){return;}
    	$scope.isSubmit = false;
    	param.USER_ID = userId;
    	
    	//审核信息参数
    	var shrhParam = getObjStorage("shrhParam");
    	param.LEVEL = shrhParam.LEVEL;
    	param.UPGRADE_LEVEL = shrhParam.UPGRADE_LEVEL;
    	param.PRICE_TOPAY = shrhParam.PRICE_TOPAY;
    	//修改提交审核信息
		//接口参数
		//姓名:REAL_NAME，公司名称：COMPANY_NAME，公司职位：POSITION，手机号：PHONE，名片：IMG_PATH
		//var param ={"REAL_NAME":REAL_NAME,"COMPANY_NAME":COMPANY_NAME,"POSITION":POSITION,"PHONE":PHONE,"IMG_PATH":IMG_PATH}
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '20170517006',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			isNext = false;//避免多次提交
			console.log("提交成功！"+data.result);
			var res = angular.fromJson(data.result); 
			if( res.code == "200" ){
				//mui.toast("提交成功");
				$scope.isSubmit = true;
				//delStorage("shrhParam");//清除缓存
				setTimeout(function () {
					var orderInfo = res.orderInfo;
					if( orderInfo && orderInfo.ID ){
					    toUrl("zhifu.html",orderInfo.ID);
					}else{
						mui.toast("获取订单参数失败！");
					}
//					var sjrh = plus.webview.getWebviewById("sjrh.html");
//					sjrh.close();
//					var jlht = plus.webview.getWebviewById("jlht.html");
//					jlht.close();
//					var page = plus.webview.currentWebview;
//					page.close();
				},200)
			}else{
				mui.toast("提交失败");
			}
		},function(){
			console.log("提交失败");
		});  
	}
}); 