var gongsApp=angular.module('gongsApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");
gongsApp.controller('gongsController',function($scope,$http){  
	//公司信息查询
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170515004',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 
			 * 参数：
			 * 公司名称:REAL_NAME，
			 * logo：LOGO，
			 * 公司职位：POSITION，
			 * 公司地址：ADDR，
			 * 行业：NAME,
			 * 公司简介：DESCRIPTION，
			 * 公司官网：INTERNET_PATH
			 * 
			 * */
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData (data) { 
    	if( data ){
    		$("#LOGO").attr("src",getDefaultImage(data.LOGO,"../../images/60x60.gif"));
    		$("#COMPANY_NAME").text(checkNull(data.COMPANY_NAME));
    		$("#POSITION").text(checkNull(data.POSITION));
    		$("#ADDR").text(checkNull(data.ADDR));
    		$("#NAME").text(checkNull(data.NAME));
    		$("#INTERNET_PATH").text(checkNull(data.INTERNET_PATH));
    		$("#DESCRIPTION").text(checkNull(data.DESCRIPTION));
    	}
    }
    
}); 