var wdzjApp=angular.module('wdzjApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");
wdzjApp.controller('zjController',function($scope,$http){  
//	查询证件信息
	var param={"USER_ID":userId};
	//输入参数:USER_ID(用户id)
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170516007',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 
			 * //输出参数:COMPANY_NAME(公司名称)/CERTIFICATE_TYPE(类型)/IMG_PATH(证件路径)
			 * */
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad(); 
    
    function initData(data) {
    	//用户信息
        var userInfo = getObjStorage("loginUser"); 
    	$("#COMPANY_NAME").text(checkNull(userInfo.COMPANY_NAME));
    	if( data ){
    		$.each(data,function (i,d) {
    			var src = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
    			if( d.CERTIFICATE_TYPE == "1" ){
    				$("#sanz").find("img").attr("src",src);
    				$("#sanz").attr("path",d.IMG_PATH);
    			}else if( d.CERTIFICATE_TYPE == "2" ){
    				$("#mingp").find("img").attr("src",src);
    				$("#mingp").attr("path",d.IMG_PATH);
    			}else if( d.CERTIFICATE_TYPE == "3" ){
    				$("#logo").find("img").attr("src",src);
    				$("#logo").attr("path",d.IMG_PATH);
    			}else if( d.CERTIFICATE_TYPE == "4" ){
    				var pathStr = d.IMG_PATH;
    				if( !isNull(pathStr) ){
    					var pathArr = pathStr.split(",");
    					$.each(pathArr, function(j,s) {
    						var otherArr = $("#other .item_body");
    						$(otherArr[j]).find("img").attr("src",getDefaultImage(s,"../../images/60x60.gif"));
    					    $(otherArr[j]).attr("path",s);
    					});
    				}
    			}
    		})
    	}
    }
    
    //上传证件
    $scope.uploadCert=function(param){  
    	param.USER_ID = userId;
	    angularPost($http,  
	    {
			InterfaceId: '20170517001',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 
			 * //输出参数:COMPANY_NAME(公司名称)/CERTIFICATE_TYPE(类型)/IMG_PATH(证件路径)
			 * */
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("上传成功！");
			}else{
				mui.toast("上传失败！");
			}
		},function(){
			console.log("上传失败");
		});  
	}  
}); 

