var zhifApp=angular.module('zhifApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");
var payData=localStorage.getItem("payData");
zhifApp.controller('zhifController',function($scope,$http){  
	//支付
	//参数：用户编号：USER_ID，描述：DESCRIPTION，金额：PRICE
	var orderId = getToUrlParams();
	var param={"USER_ID":userId,"ID":orderId};
	console.log("订单查询参数:"+JSON.stringify(param));
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170516003',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData (data) {
    	if( data ){
    		setStorage("payParam",data);
    		$("#EVENT").text(checkNull(data.EVENT));
    		$("#PRICE").text(checkFloat(data.PRICE));
    		if( checkNull(data.IN_TYPE) == "00" ){
    			$("#getType").text("纸质发票");
    		}else if( checkNull(data.IN_TYPE) == "01"  ){
    			$("#getType").text("电子发票");
    		}
    	}
    }
    
    $scope.submit=function(param){  
    	console.log("确认支付方式"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017109',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("确认成功！");
				//提交信息
				var tjxx = plus.webview.getWebviewById("tj_xinxi.html");
				if( tjxx ){
					tjxx.close();
				}
				//建联合同
				var jlht = plus.webview.getWebviewById("jlht.html");
				if( jlht ){
					jlht.close();
				}
				//会员权益
				var sjqy = plus.webview.getWebviewById("sj-quanyi.html");
				if( sjqy ){
					sjqy.close();
				}
/*				//会员中心
				var hyzx = plus.webview.getWebviewById("hyzx.html");
				if( hyzx ){
					hyzx.close();
				}*/
				//入会升级
				var sjrh = plus.webview.getWebviewById("sjrh.html");
				if( sjrh ){
					sjrh.close();
				}
				setTimeout(function () {
					mui.back();
				},1600);
			}else{
				mui.toast("确认支付方式失败！");
			}
		},function(){
			console.log("失败");
		});  
	}  
    
}); 