var detailApp=angular.module('detailApp',[]);
var token=localStorage.getItem("token"); 

detailApp.controller('detailController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;    
    var ZF_ID =  localStorage.getItem("id"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"ID":ZF_ID};
		console.log("param:"+JSON.stringify(param)); 
	    angularPost($http,  
	    {
			InterfaceId: '2017143',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
     
    function initData(res) { 
    	//交易状态
    	var data = res.cont; 
        //项目详情
    	$("#pro_name").text(data.PRO_NAME);
    	$("#pro_date").text(timeStamp2String(data.PUBLISH_DATE, "ymd"));
    	$("#pro_city").text(data.CITY);
    	
    	//项目概况  
    	$("#pro_type").text(data.TYPE_NAME);
    	$("#pro_subclass").text(data.SUBCLASS);
    	$("#pro_total").text(data.TOTAL_INVESTMENT);
    	$("#pro_person").text(data.INVESTOR); 
    	$("#pro_team").text(data.COOPERATION_MODE); 
    	$("#pro_pay").text(data.INVESTMENT);
    	$("#pro_check").text(data.PRESIDER);
    	$("#pro_future").text(data.MARKET_ANALYSIS);
    	$("#pro_content").text(data.CONTENT); 
    	if(!isNull(data.VIDEO)){
    		$("#pro_video").attr("src",data.VIDEO);
    	}else{
    		$(".vedio").hide();
    	}
    	//封面
		var pro_img="../../images/60x60.gif";  
    	//图片 
    	var imgs = res.imgs;
    	console.log(JSON.stringify(res));
    	var imgHtml = '';  
    	if(imgs!=null&&imgs.length>0){
    		$.each(imgs, function(i,d) { 
				var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
				imgHtml += '<div class="details-img-li">'
				imgHtml +='<img class="img-select" src="'+img+'" />'
				if(i==0){
					imgHtml +='<div class="details-img-li-ask ask"></div>'
				}else{
					imgHtml +='<div class="details-img-li-ask"></div>'
				} 
				imgHtml +='</div>';
		    });
		    var img = getDefaultImage(imgs[0].IMG_PATH,"../../images/60x60.gif",imgPath);
		    $("#selected_img").attr("src",img); 
		    //img();
	   		$("#pictures").html(imgHtml); 
    	} 
    
	    //拨号
		$("#contact").on('tap',function(){
			var phone = res.tel.PHONE; 
			if( !isNull(phone) ){
				var btnArray = ['拨打', '取消']; 
	            mui.confirm('是否拨打 ' + phone + ' ？', '提示', btnArray, function(e) { 
	                if (e.index == 0) { 
	                    plus.device.dial(phone, false); 
	                }  
	            });
			}else{
				mui.toast("暂无联系方式，请稍后重试！");
			} 
		})
		
		 //点击图像放大
		$(".details-img-li").on('tap',function(){
			var url = $(this).find('img').attr('src');
			$('.details-img img').attr('src',url);
			$('.details-img-li-ask').removeClass('ask');
			$(this).find('div').addClass('ask');
			img(); 
		})
	}
}); 
