var zfzsApp=angular.module('zfzsApp',[]);  
var pageSize=8;

zfzsApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    $scope.initRota=function(){ 
		var token=localStorage.getItem("token");
		//接口参数
		var param={
			"ID":null,
			"PRO_NAME":null,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017141',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功："+data.result); 
			var res = angular.fromJson(data.result); 
			if( res ){
				var imgs = res.firRots;
				console.log("轮播图查询成功："+imgs); 
				if( imgs && imgs.length > 0 ){
					$scope.START = imgs[0];
					$scope.END = imgs[imgs.length-1];
				    $scope.imgs = imgs;
				    setTimeout(function () {//懒加载
				    	mui(".mui-slider").imageLazyload({autoDestroy: false,placeholder: '../../images/60x60.gif'});
				    },500);
				}  
				localStorage.setItem("phone",res.tel.PHONE);  
				$scope.types=res.types;
				initData(res.products);
			}
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initRota();
    
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token");
		//接口参数
		var param={
			"ID":null,
			"PRO_NAME":null,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017142',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商城查询成功："+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
    var isClick = false;
    function initData(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}else{  
	    	var dataList = ''; 
	    	$.each(data,function(i,d) {  
		    	var pro_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath); 
	    		dataList += '<div class="list-li" id="'+d.ID+'">' 
						 		+ '<div class="list-li-left">' 
							 			+ '<img src="'+pro_img+'"/>'
							 	+ '</div>'
							 	+ '<div class="list-li-right">'
						 			+ '<div class="list-li-right-t">'
						 				+ '<div class="list-li-title">'+d.PRO_NAME+'</div>'
						 			+ '</div>'
						 			+ '<div class="list-li-right-b">'
						 				+ '<div class="list-li-right-b-l">'+d.TYPE_NAME+'</div>'
						 				+ '<div class="list-li-right-b-r">'+getDateDiff(d.PUBLISH_DATE)+'</div>'
						 			+ '</div>'
						 		+ '</div>'
				 		    + '</div>';  
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			//详情页
			$("#dataList .list-li").on("tap",function(){ 
				var id = this.getAttribute("id");  
				if( isClick == true ) return;
			    isClick = true;
			    /**详情页**/
			    localStorage.setItem("id",id);
				toUrl("government_details.html");
				setTimeout(function () {
					isClick = false;
				},500);
			}); 
    	}
   	} 
}); 
 