var linkApp=angular.module('linkApp',[]);  
var token=localStorage.getItem("token");
var pageSize=16;

linkApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token"); 
		//接口参数
		var param={ 
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param)); 
	    angularPost($http,  
	    {
			InterfaceId: '2017150',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){ 
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) { 
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
    		var dataList = '';
	    	$.each(data,function(i,d) {  
	    		var name=d.COMPANY_NAME; 
	    	    var link=d.LINK; 
		    	//后台发布的项目
		    	var logo = getDefaultImage(d.LOGO,"../../images/60x60.gif",imgPath);
				if(i%4==0){
	    			dataList += '<div class="mui-row">' 
	    		}
    			dataList +='<div class="mui-col-xs-3" lk-link="'+link+'">' 
					+ '<img src="'+logo+'" width="100%">'
		 			+ ' <p>'+name+'</p>'
		 		+ '</div> '
	    		if(i%4==3){
	    			dataList +=	'</div>' 
	    		}
	    		console.log(dataList);
	    	})
	    	if(data.length%4>0){
	    		dataList +=	'</div>' 
	    	}
	    	console.log(dataList);
			if( $scope.currentPage == 1 ){
				$("#company_list").html(dataList);
			}else{
				$("#company_list").append(dataList);
			} 
			
			$("#company_list .mui-col-xs-3").on("tap",function(){ 
				var url=this.getAttribute("lk-link");  
				if(url!=null&&url!=""&&url!=undefined){
					toUrl("link-page.html",url,false);
				}else{
					mui.toast("该企业暂无友情链接！");
				} 
			});
    	} 
    } 
}); 
 
