mui.init();
/**沉浸式重置header**/
immersiveById("header");

//获得slider插件对象
var gallery = mui('.mui-slider');
gallery.slider({
  interval:5000//自动轮播周期，若为0则不自动播放，默认为0；
});

/**初始化图片**/
img();
function img(){
	var win_width = $(window).width();
	var div_width = (win_width-15)/2;
	var img_width = div_width-10;
	$('.cy-li').css('width',div_width);
	$('.cy-li-img').css('height',img_width);
}

//监听mui-scroll-wrapper实现透明度随滑动变化
if (mui.os.ios || mui.os.ipad || mui.os.iphone) {
	var scrolls = mui('.mui-scroll-wrapper').scroll({
		indicators: false
	});
	mui('.mui-bar-transparent').transparent({
		scroll:scrolls, // mui-scroll-wrapper是array就记得写下标
		offset: 100     //滑动最大长度，透明度达到100%
	});
}else{
	mui('.mui-bar-transparent').transparent({
		offset: 100     //滑动最大长度，透明度达到100%
	});
}

//监听touchmove,清除下拉刷新动画
document.body.addEventListener('touchmove', function (event) {
	$(".mui-pull-top-pocket").remove();
}, false);

/***************项目刷新****************/
mui.init({
	pullRefresh: {
		container: '#pullre',
		down: {
			callback: pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			callback: pullUpRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});


/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		var appElement = document.querySelector('[ng-controller=indexController]');
		//获取$scope变量
		var $scope = angular.element(appElement).scope();
		$scope.currentPage = 1; //页码
		$scope.initRota();
		$scope.sliderFlag = false;

		mui('#pullre').pullRefresh().endPulldownToRefresh(true); //refresh completed
		mui('#pullre').pullRefresh().refresh(true);
	}, 500);
}

//上拉加载更多
function pullUpRefresh() {
	setTimeout(function() {
		var appElement = document.querySelector('[ng-controller=indexController]');
	  var $scope = angular.element(appElement).scope(); 
	  $scope.currentPage++;
		$scope.initLoad();
		mui('#pullre').pullRefresh().endPullupToRefresh($scope.sliderFlag); 
	}, 500);
}

/***************点击事件***************/
/**查看更多店铺**/
$(".genduo").on("tap", function() {
	toUrl("hy-fenlei.html");
});
/**点击行业搜索店铺**/
$("#moduleList .cy-dd").on("tap", function() {
	var id = this.getAttribute("id");
	if( isNull(id) ){
		mui.toast("获取行业信息失败，请下拉重试！")
	}else{
		var obj = {"id":id};
		toUrl("cy-sousuo.html",obj);
	}
});
//搜索
function search(data){
	if( !isNull(data) ){
		var obj = {"name":data};
		toUrl("cy-sousuo.html",obj);
	}
}

/*************main页面点击加载**************/
function refreshPage() {
	var appElement = document.querySelector('[ng-controller=indexController]');
  var $scope = angular.element(appElement).scope(); 
  $scope.initRota();
}