mui.init();
/***************项目刷新****************/
mui.init({
	pullRefresh: {
		container: '#pullre',
		down: {
			//callback: pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		},
		up: {
			callback: pullUpRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		}
	}
});

//判断ios、android
if (mui.os.ios || mui.os.ipad || mui.os.iphone) {
	mui.previewImage({
		fun1:function(){
			plus.webview.currentWebview().setStyle({
				top:'0px',
				bottom:'0px'
			});
		},
		fun2:function(){
			plus.webview.currentWebview().setStyle({
				top: "65px",
	            bottom: "50px"
			});
		}
	});
}else{
	mui.previewImage({
		fun1:function(){
			var open = plus.webview.currentWebview().opener();
			open.evalJS("maskLayer(1)");
		},
		fun2:function(){
			var open = plus.webview.currentWebview().opener();
			open.evalJS("maskLayer(0)");
		}
	});
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		var appElement = document.querySelector('[ng-controller=pingjController]');
		//获取$scope变量
		var $scope = angular.element(appElement).scope();
		$scope.currentPage = 1; //页码
		$scope.loadMore();
		$scope.sliderFlag = false;
		
		mui('#pullre').pullRefresh().endPulldownToRefresh(true); //refresh completed
		mui('#pullre').pullRefresh().refresh(true);
	}, 500);
}

//上拉加载更多
function pullUpRefresh() {
	setTimeout(function() {
		var appElement = document.querySelector('[ng-controller=pingjController]');
	    var $scope = angular.element(appElement).scope(); 
	    $scope.currentPage++;
		$scope.loadMore();
		mui('#pullre').pullRefresh().endPullupToRefresh($scope.sliderFlag );
	}, 500);
}

/**查询全部、有图评价**/
$(".sp-head-li").on("tap",function () {
	if( !$(this).hasClass("sp-head-act") ){
		$(".sp-head-act").removeClass("sp-head-act");
		$(this).addClass("sp-head-act");
		pulldownRefresh();
	}
})
