//跳转
mui.init();
$("#backBtn").on("tap",function(){ 
    mui.back(); 
});   

//级联示例
var cityPicker,catePicker;
(function($, doc) {
	//项目城市
	cityPicker = new $.PopPicker({layer: 2});
	//工程类型
	catePicker = new $.PopPicker({layer: 2});
})(mui, document);


/**************拍照****************/
var my = uploadImg.prototype;
$("#IMG_PATH").on("tap",function(){ 
	my.init(); 
}); 

//拍照回调
function setImgData(path) {
	$("#IMG_PATH").attr("src",appimgPath+path);
    $("#IMG_PATH").attr("path",path);
}

/**************完成****************/
var isNext = false;
$("#nextStep").on("tap",function(){ 
	var COMPANY_NAME = $("#COMPANY_NAME").val();
	if( isNull(COMPANY_NAME) ){
		mui.toast("请输入公司名称！");
		return;
	}
	var CLAN_ID = $("#CLAN_ID").attr("clanId");
	if( isNull(CLAN_ID) ){
		mui.toast("请选择所属建联！");
		return;
	}
    var CATEGORY_ID = $("#CATEGORY_ID").attr("cateId");
	if( isNull(CATEGORY_ID) ){
		mui.toast("请选择所属行业！");
		return;
	}
	var phone = $("#phone").val();
	if( isNull(phone) ){
		mui.toast("请输入手机号码");
		return false;
	}else if( !checkReg(phone,4) ){
		mui.toast("请输入正确格式手机号码");
		return false;
	}
	var flag = "0";
	if( !$("#verifyBody").hasClass("dp-n") ){
		flag = $(this).parent().attr("flag");
		var code = $("#code").val();
	    var verifyCode =$("#verifyCode").val();
	    if(isNull(verifyCode)){
			mui.toast("请获取验证码!");
			return false;
		}else if( isNull(code) ){
			mui.toast("请输入验证码!");
			return false;
		}else if( code != verifyCode ){
			mui.toast("验证码错误!");
			return false;
		}else if(phone != $("#btn").attr("phone") ){
			mui.toast("手机号码不一致");
			return false;
		}
	}
	var IMG_PATH = $("#IMG_PATH").attr("path");
	if( isNull(IMG_PATH) ){
		mui.toast("请上传名片！");
		return false;
	}
	
	//避免多次提交
	if( isNext == true ) return;
	isNext = true;
	var param = {"COMPANY_NAME":COMPANY_NAME,"CLAN_ID":CLAN_ID,"CATEGORY_ID":CATEGORY_ID,"PHONE":phone,"IMG_PATH":IMG_PATH};
	if( flag == "0" ){//绑定手机时，判断手机号码是否已注册:0、未注册，1、已注册。
		submitAudit(param);
	}else{
		var tip = "该手机号码已绑定账号，可能会覆盖当前账户信息，确定绑定？";
    	confirmFun(tip,function () {
    		submitAudit(param);
    	});
	}
}); 

function submitAudit(param) {
	var appElement = document.querySelector('[ng-controller=auditController]');
    //获取$scope变量
    var $scope = angular.element(appElement).scope(); 
    $scope.bdPhone(param);
}


//倒计时
function changeNum(timer){ 
    timer --; 
    if( timer <= 0 ){
    	$("#btn").attr("flag","0");
        $("#btn").val("获取验证码"); 
        return;
    }
    $("#btn").val("("+timer+")");
    
    setTimeout(function(){
        changeNum(timer);
    },1000)             
}

//获取短信验证码        
function verifyCode(){
	if( $("#btn").attr("flag") == "1" ){
		return false;
	}
    var phone = $("#phone").val();
    if( !checkReg(phone,4) ){
		if( isNull(phone) ){
			mui.toast("手机号码不能为空");
		}else{
			mui.toast("请输入正确格式手机号码");
		}
		return false;
	}
    
    $("#btn").attr("flag","1");//已提交
    $("#btn").attr("phone",phone);//已提交
    return true;
} 

/**查询绑定手机号码是否已注册**/
function search(data){  
	if( isNull(data) ){
		mui.toast("请输入手机号码！");
		return;
	}else if( !checkReg(data,4) ){
		mui.toast("请输入正确格式手机号码");
		return;
	}
	var param="{'USER_NAME':'"+data+"'}";
	REQUEST_POST(
		"appLogin/loginByPhone.do",
		{"params":param},
		function(data){  
			console.log("success:"+JSON.stringify(data)); 
			if( data.data=="10" || data.data=="20" ){
				$(".form_bottom").attr("flag","1");
			}
		},function(data){
			if( data.code=="15" ){
				$(".form_bottom").attr("flag","1");
			}
			console.log("failure:"+JSON.stringify(data));
		}
	);   
}