var map = map || {};
map.prototype={
	result:{"success":false,"message":"定位失败"},
	init:function(){
		mui.plusReady(function() {
			plus.geolocation.getCurrentPosition(map.prototype.translatePoint, function(e) {
				map.prototype.result.success = false;
	            map.prototype.result.message = e.message;
				mui.toast("异常:" + e.message);
			});
		});
	},
	translatePoint:function(position){
		var longitude =position.coords.longitude;//经度
		var latitude =position.coords.latitude;//纬度
		
		//以指定的经度与纬度创建一个坐标点  
        var po=new BMap.Point(longitude,latitude);  
        //创建一个地理解析器  
        var geocoder=new BMap.Geocoder();  
        //获取位置  
        geocoder.getLocation(po,function(rs){  
            //获取地理组件  
            var addComp=rs.addressComponents;  
            //获取省份  
            var province=addComp.province;  
            //获取城市  
            var city=addComp.city;  
            //获取区县  
            var district=addComp.district;  
            //获取街道  
            var street=addComp.street;  
            //获取街道号  
            var streetNumber=addComp.streetNumber;  
            //province+city+district+street+streetNumber
            
            //经纬度
            map.prototype.result.point = {"lat":latitude,"lng":longitude};
            setStorage("currentPoint",map.prototype.result.point);
            map.prototype.result.province = province;
            map.prototype.result.city = city;
            map.prototype.result.district = district;
            map.prototype.result.street = street;
            map.prototype.result.streetNumber = streetNumber;
            map.prototype.result.detail = province+city+district+street+streetNumber;
            map.prototype.result.success = true;
            map.prototype.result.message = "定位成功";
        });  
	}
}
