function toUrl(toUrl, param, isfresh) {
	// 使用 localStorage 参数传递用
	localStorage.setItem("to_url_param", undefined!=param?JSON.stringify(param):{});
	mui.openWindow({
		url: toUrl,
		id: toUrl,
		/*show: {
			aniShow: 'pop-in'
		},*/
		show:{
			autoShow:true,//页面loaded事件发生后自动显示，默认为true
			aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
			duration:300//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
		}, 
		styles: { 
			popGesture: 'none'
		},
		waiting: {
			autoShow: true 
		},
		extras:param
	}); 
	if(isfresh){ 
		var wobj = plus.webview.getWebviewById(toUrl);  
		if(wobj) wobj.reload(true);
	}
}

function toPage(toUrl) {
	mui.openWindow({
		url: toUrl,
		id: toUrl,
		/*show: {
			aniShow: 'pop-in'
		},*/
		show:{
			autoShow:true,//页面loaded事件发生后自动显示，默认为true
			aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
			duration:300//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
		}, 
		styles: {
			popGesture: 'none'
		},
		waiting: {
			autoShow: false
		}
	});
}

function toFresh(toUrl,isfresh) {
	mui.openWindow({
		url: toUrl,
		id: toUrl,
		/*show: {
			aniShow: 'pop-in'
		},*/
		show:{
			autoShow:true,//页面loaded事件发生后自动显示，默认为true
			aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
			duration:300//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
		}, 
		styles: {//hide
			popGesture: 'none'
		},
		waiting: {
			autoShow: true
		}
	});
	if(isfresh){ 
		var wobj = plus.webview.getWebviewById(toUrl);  
		if(wobj) wobj.reload(true);
	}
}

function toUrl2(id, toUrl, param, isfresh) {
	// 使用 localStorage 参数传递用
	localStorage.setItem("to_url_param", undefined!=param?JSON.stringify(param):{});
	mui.openWindow({
		url: toUrl,
		id: id,
		show:{
			autoShow:true,//页面loaded事件发生后自动显示，默认为true
			aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
			duration:300//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
		}, 
		styles: { 
			popGesture: 'none'
		},
		waiting: {
			autoShow: true 
		},
		extras:param
	});
	if(isfresh){
		var wobj = plus.webview.getWebviewById(id);
		if(wobj) wobj.reload(true);
	}
    
}

function getToUrlParams(){
	var params = localStorage.getItem("to_url_param");  
	if(null!=params && ""!=params){
		params = JSON.parse(params);
	}else{
		params = {};
	}
	return params;
}

/**关闭页面**/
function delView(view) {
	setTimeout(function(){
		plus.webview.hide(view)
	},500)
	
	//关闭认证页面
	setTimeout(function(){
	    plus.webview.close(view);
	},500)
}

/**关闭多余页面**/
function clearSub(flag) {
	//退出时，若当前页面是朋友圈首页，显示精选页面
	var curr = plus.webview.currentWebview();
	if( curr.id.indexOf("Friends/index.html") >= 0 ){
		var page = plus.webview.getWebviewById("html/Alliance_ring/Selected/index.html");
		if( page ){
			page.show();
		}
	}
	
	//刷新交易页面
	var jy = plus.webview.getWebviewById("html/Transaction/index.html");
    if( jy ){
    	jy.evalJS("pulldownRefresh()");
    }
	
	//关闭页面
	var subpages = [];
	if( flag == 0 ){//设置页面退出操作
		//关闭页面
	    subpages = ['shezhi.html', 'html/wode/index.html'];
	}else if( flag == 1 || flag == 2 ){//手机、账密登录页面
		var page = plus.webview.getWebviewById("html/wode/index.html"); 
		if( page ){
			page.evalJS("initUser()");
			page.evalJS("reInitData()");
		}
	}
	$.each(subpages, function(i,d) {
		var page = plus.webview.getWebviewById(d); 
		if( page ){
			page.close();
		}
	});
}

/**判断ios、android**/
function isIos() {
	var isIos = false;//android
	if (mui.os.ios || mui.os.ipad || mui.os.iphone) {
		isIos = true;//ios
	}
	return isIos;
}

/**验证登陆**/
function checkLogin(url) {
	var btnArray = ['确认', '取消']; 
	mui.confirm('您还未登录，请先登录', '温馨提示', btnArray, function(e) { 
        if (e.index == 0) { 
        	var login = plus.webview.getWebviewById("login");
        	if( login ){
        		login.show();
        	}else{
        		mui.openWindow({
					url: url,
					id: "login"
				});
        	}
        }  
    }); 
}

function confirmFun(tip, callback, title, btnArray) {
	if( title==null || title==undefined || title=="" ){
		title = '温馨提示';
	}
	if( btnArray==null || btnArray==undefined ){
		btnArray = ['确认', '取消']; 
	}
	mui.confirm(tip, title, btnArray, function(e) { 
        if (e.index == 0) { 
        	callback();
        }  
    }); 
}