var shopApp=angular.module('shopApp',[]);  
var pageSize=10;

shopApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    $scope.initRota=function(){ 
		var token=localStorage.getItem("token");
		//接口参数
		var param={
			"CATEGORY_ID":null,
			"SHOP_NAME":null,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017124',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商城轮播图查询成功："+data.result); 
			var res = angular.fromJson(data.result); 
			if( res ){
				var imgs = res.firRots;//轮播图
				if( imgs && imgs.length > 0 ){
					$scope.START = imgs[0];
					$scope.END = imgs[imgs.length-1];
				    $scope.imgs = imgs;
				    setTimeout(function () {//懒加载
				    	mui(".mui-slider").imageLazyload({autoDestroy: false,placeholder: '../../images/60x60.gif'});
				    },500);
				    
				    setTimeout(function(){
						$(".mui-slider-item a").on("tap",function(){   
							var url = this.getAttribute("url");
							if( isNull(url)||url=='#' ){  
								mui.toast("暂无链接！");
							}else{   
								toUrl(url);
							} 
						});
					},1000);
				}
				$scope.cates = res.cates;//基本行业
				initData(res.shops);//第一页数据
			}
		},function(){
			console.log("失败");
		});  
	} 
	//$scope.initRota();
    
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token");
		//接口参数
		var param={
			"CATEGORY_ID":null,
			"SHOP_NAME":null,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017125',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商城查询成功："+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	//$scope.initLoad();
	
    var isClick = false;
    function initData(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}else{
    		/**计算图片宽高**/
    		var win_width = screen.width;
			var div_width = (win_width-15)/2;
			var img_width = div_width-10;
			
	    	var dataList = '';
	    	$.each(data,function(i,d) {
    			var img = getDefaultImage(d.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
    			dataList += '<div id="'+d.COMPANY_ID+'" class="cy-li" style="width:'+div_width+'px;">'
								+ '<div class="cy-li-img" style="height:'+img_width+'px;"><img src="'+img+'" alt=""></div>'
								+ '<div class="cy-li-text">'
									+ '<div class="cy-li-top">'+checkNull(d.SHOP_NAME)+'</div>'
									+ '<div class="cy-li-bottom">'
										+ '<div class="cy-li-bottom-left">'+checkNull(d.CATE_NAME)+'</div>'
										+ '<div class="cy-li-bottom-right">'+checkNull(d.LEVEL_NAME)+'</div>'
									+ '</div>'
								+ '</div>'
							+ '</div>';		
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			//详情页
			$("#dataList .cy-li").on("tap",function(){ 
				var id = this.getAttribute("id");
			    if( isNull(id) ){
			    	mui.toast("该公司店铺暂未建设！");
			    	return;
			    }
				if( isClick == true ) return;
			    isClick = true;
			    /**公司详情页**/
			    var param = {"CY_ID":id};
				toUrl("gongsixq.html",param);
				setTimeout(function () {
					isClick = false;
				},500);
			});
    	}
    }
    
}); 
 