mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var flApp=angular.module('flApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

flApp.controller('fleiController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    var isClick = false;
	$scope.initLoad=function(){ 
		//接口参数
		var param=null;
		var InterfaceId = "2017126";
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			$scope.fleilist=res;
			var gslblist=res[0].shops;
		    initData(gslblist);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
    function initData(data) {
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    	}else{
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		var img = getDefaultImage(d.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
				dataList += '<div class="fenlei-ol-li mui-col-xs-4" id="'+d.COMPANY_ID+'">'
							+ '<div class="fenlei-ol-li-img">'
								+ '<img src="'+img+'" >'
							+ '</div>'
							+ '<div class="fenlei-ol-li-name">'+d.SHOP_NAME+'</div>'
						+ '</div>';
	    	})
			$("#dataList").html(dataList);
			
			//详情页
			$(".mui-col-xs-4").on("tap",function(){ 
				var id = this.getAttribute("id");
			    if( isNull(id) ){
			    	mui.toast("该公司店铺暂未建设！");
			    	return;
			    }
				if( isClick == true ) return;
			    isClick = true;
			    /**公司详情页**/
			    var param = {"CY_ID":id};
				toUrl("gongsixq.html",param);
				setTimeout(function () {
					isClick = false;
				},500);
			});
    	}
    }
    
    
   $scope.xzlist=function(data){ 
		//接口参数
		var InterfaceId = "2017125";
		var param = {"CATEGORY_ID":data,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"SHOP_NAME":null};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result);  
//			var gslblist=res[0].shops;
		    dianData(res);
		},function(){
			console.log("失败");
		});  
    }
    
    function dianData(data) {
    	var dataList = '';
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    		if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}
    	}else{
	    	$.each(data,function(i,d) {
	    		var img = getDefaultImage(d.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
				dataList += '<div class="fenlei-ol-li mui-col-xs-4" id="'+d.COMPANY_ID+'">'
							+ '<div class="fenlei-ol-li-img">'
								+ '<img src="'+img+'" >'
							+ '</div>'
							+ '<div class="fenlei-ol-li-name">'+d.SHOP_NAME+'</div>'
						+ '</div>';
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			
			
			//详情页
			$(".mui-col-xs-4").on("tap",function(){ 
				var id = this.getAttribute("id");
			    if( isNull(id) ){
			    	mui.toast("该公司店铺暂未建设！");
			    	return;
			    }
				if( isClick == true ) return;
			    isClick = true;
			    /**公司详情页**/
			    var param = {"CY_ID":id};
				toUrl("gongsixq.html",param);
				setTimeout(function () {
					isClick = false;
				},500);
			});
    	}
    }

}); 

