var shopApp=angular.module('shopApp',[]);
var token=localStorage.getItem("token");
shopApp.controller('fenlController',function($scope,$http){  
	var PROD_ID = getStorage("PROD_ID");
	$scope.initLoad=function(){  
		var param={"PROD_ID":PROD_ID};
	    angularPost($http,  
	    {
			InterfaceId: '2017131',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商品分类查询成功！"+data.result); 
			var res=angular.fromJson(data.result);
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var isTouch = false;
    function initData(data) {
    	if( data ){
    		var prod = data.prod;
    		if( prod ){
    			var headImg = getDefaultImage(prod.PROD_HEAD,"../../images/60x60.gif",imgPath);
    			prod.PROD_HEAD = headImg;
    		}
    		$scope.prod = prod;//商品基本信息
    		var props = data.props;//商品规格
    		var skus = data.skus || [];//规格组合
    		setStorage("PROD_SKUS",skus);
    		setStorage("prod",prod);
    		if( props ){
    			var cateActive = "";
				var cateList = '';
				var selectList = '';//请选择 规格列表
				$.each(props, function(i,d) {
					var name = checkNull(d.PROD_SPEC_NAME);
					selectList += '<span id="'+d.ID+'">'+name+'</span>';
		    		//var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
		    		cateList += '<div class="fenlei-ul">'
								 + '<div class="fenlei-ul-dt">'+name+'</div>'
								 + '<div fid="'+d.ID+'" class="fenlei-ul-dd mui-row">';
								    var psv = d.PROD_SPEC_VALUE;
								    if( !isNull(psv) ){
								    	var cateArr = psv.split(",");
								    	$.each(cateArr, function(j,cate) {
								    		//cateActive = j == 0 ? "fenlei-ul-li-act" : "";
								    		cateList += '<div class="fenlei-ul-li '+cateActive+'">'+cate+'</div>';
								    	});
								    }
								cateList += '</div>'
							 + '</div>';
		    	});
		    	$("#cateList").html(cateList);
		    	$("#selectFirst").after(selectList);
		    	
		    	/**规格选择**/
		    	$(".fenlei-ul .fenlei-ul-li").on("tap",function () {
		    		var fid = $(this).parent().attr("fid");
		    		if( $(this).hasClass("fenlei-ul-li-act") ){//已选中
		    			$(this).removeClass("fenlei-ul-li-act");//去除选中状态
		    			$("#"+fid).show();//取消隐藏选择规格
		    		}else{//未选中
		    			$(this).parent().find(".fenlei-ul-li-act").removeClass("fenlei-ul-li-act");//去除其他选中状态
		    			$(this).addClass("fenlei-ul-li-act");//设置选中状态
		    			$("#"+fid).hide();//隐藏已选择规格
		    		}
		    		isChooseAll();
		    	})
    		}
    	}
    }
    
    $scope.submit=function(param){  
    	//用户信息
        var userInfo = getObjStorage("loginUser") || {}; 
    	param.USER_ID = userInfo.userid;
	    angularPost($http,  
	    {
			InterfaceId: '2017132',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商品分类查询成功！"+data.result); 
			var res=angular.fromJson(data.result);
			if( res && res.code == "200" ){
				mui.toast("下单成功！");
				plus.webview.currentWebview().opener().evalJS("showByFlag(0)");
				plus.webview.currentWebview().hide("slide-out-bottom",200);
				setTimeout(function () {
					toUrl("success.html");
				},100);
			}else{
				mui.toast("下单失败！");
			}
		},function(data){
			console.log("失败");
			if( data ){
				mui.toast(data.msg);
			}
		});  
	}  
}); 