var shopApp=angular.module('shopApp',[]);  
var pageSize=10;

shopApp.controller('pingjController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码:第二页开始
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    var PROD_ID = getStorage("PROD_ID");
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token");
		//接口参数
		var param={"PROD_ID":PROD_ID};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017136',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商品评价查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initPinjia(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
	function initPinjia(data) {
		if( data ){
			$("#counts").text(checkInt(data.counts));
			$("#imgCounts").text(checkInt(data.imgCounts));
			initData(data.comments);
		}
	}
	
	$scope.loadMore=function(){ 
		var token=localStorage.getItem("token");
		var HAS_IMG = $(".sp-head-act").attr("id") == "all" ? null : "01";
		//接口参数
		var param={
			"PROD_ID":PROD_ID,
			"HAS_IMG":HAS_IMG,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017135',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	
    var isClick = false;
    var group_num = 0;//图片分组
    function initData(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}else{
	    	var dataList = '';
	    	$.each(data,function(i,d) {
	    		group_num += i;
	    		//sku信息（商品规格组合）
	    		var sku = checkNull(d.PROD_SKUINFO);
	    		var index = sku.indexOf(",");
	    		if( index >= 0 ){
	    			sku = sku.substring(index+1);
	    		}
	    		//用户头像
	    		var USER_IMG = getDefaultImage(d.USER_IMG,"../../images/myren/moren.jpg");
	    		var tps = d.tps;
				dataList += '<ul class="sp-pj-ul">'
							+ '<li class="sp-pj-li">'
								+ '<div class="sp-pj-li-one">'
								    + '<div class="sp-pj-li-one-img"><img src="'+USER_IMG+'" alt=""></div>'
									+ '<div class="sp-pj-li-one-name">'+checkNull(d.REAL_NAME)+'</div>'
								+ '</div>'
								+ '<div class="sp-pj-li-two">'+checkNull(d.CONTENT)+'</div>';
								if( tps && tps.length > 0 ){
									dataList += '<div class="sp-pj-li-img mui-row">';
									$.each(tps, function(j,tp) {
										var img = getDefaultImage(tp.IMG_PATH,"../../images/60x60.gif");
										dataList += '<div class="li-img mui-col-xs-3"><img src="'+img+'" alt=""  data-preview-src="" data-preview-group="'+group_num+'"  data-content=""></div>';
									});
									dataList += '</div>';
								}
								dataList += '<div class="sp-pj-li-three">'
									+ '<div class="sp-pj-li-three-time">'+timeStamp2String(d.CREATE_DATE, "ymd")+'</div>'
									+ '<div class="sp-pj-li-three-fl f1 f-beyond2">规格：'+sku+'</div>'
								+ '</div>'
							+ '</li>'
						+ '</ul>';			
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			/**重置图片高度**/
			var win_width = $('.li-img').width();
	        $('.li-img').css('height',win_width);
    	}
    }
}); 
 