var shopApp=angular.module('shopApp',[]);
var token=localStorage.getItem("token");
shopApp.controller('shangpController',function($scope,$http){  
	var PROD_ID = getStorage("PROD_ID");
	$scope.initLoad=function(){  
		var param={"PROD_ID":PROD_ID};
	    angularPost($http,  
	    {
			InterfaceId: '2017129',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商品首页查询成功！"+data.result); 
			var res=angular.fromJson(data.result);
	    	initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var isTouch = false;
    function initData(data) {
    	var orderParam = getObjStorage("orderParam") || {};
    	if( data ){
    		/**轮播图片**/
    		rotationImg(data.imgs);
    		//下单参数：1、店铺信息（2）;
    		orderParam.PROD_NO = data.ID;
    		orderParam.EXPRESS_PRICE = "0";
    		orderParam.PROD_GUIGE = "";
    		/**商品内容**/
    		$("#PRO_NAME").text(checkNull(data.PROD_NAME));
    		$("#PRICE").text(checkFloat(data.PRICE));
    		$("#EXPRESS_PRICE").text(checkFloat(data.EXPRESS_PRICE));
    		$("#SALE_N").text(checkInt(data.SALE_N));
    		$("#PRO_ADDR").text(checkNull(data.ADDR));
    		var com_count = checkInt(data.comment_count);
    		$("#COMMENT_NUM").text(com_count);
    		if( com_count > 1 ){
    			$("#viewMore").show();
    		}
    		
    		/**评论**/
    		var com = data.comment;
    		if( com  ){
    			//sku信息（商品规格组合）
	    		var sku = checkNull(com.PROD_SKUINFO);
	    		var index = sku.indexOf(",");
	    		if( index >= 0 ){
	    			sku = sku.substring(index+1);
	    		}
    			var user_img = getDefaultImage(com.USER_IMG,"../../images/myren/moren.jpg");
	    		var comments = '<div class="sp-pj-li-one">'
									+ '<div class="sp-pj-li-one-img">'
										+ '<img src="'+user_img+'" alt="">'
									+ '</div>'
									+ '<div class="sp-pj-li-one-name">'+checkNull(com.REAL_NAME)+'</div>'
								+ '</div>'
								+ '<div class="sp-pj-li-two">'+checkNull(com.CONTENT)+'</div>'
								+ '<div class="sp-pj-li-three">'
									+ '<div class="sp-pj-li-three-time">2017-06-25</div>'
									+ '<div class="sp-pj-li-three-fl">规格：'+sku+'</div>'
								+ '</div>';
				$("#viewMore").before(comments);
    		}else{
    			if( com_count <= 0 ){
    				$("#viewMore").before('<div style="padding:10px 0px;color:gray;text-align: center;font-size: 14px;">暂无评价</div>');
    			}
    		}
    		
    		/**店铺信息**/
    		$scope.shop = data.shop;
    		$("#PRO_COUNT").text(checkInt(data.prod_count));
    		if( data.shop ){
    			//下单参数：2、店铺信息（4）;
    			var tel = data.tel;
    			orderParam.SHOP_ID = data.shop.ID;
    			orderParam.SHOP_ADDRESS = checkNull(data.shop.ADDR);
    			orderParam.SHOP_PHONE = checkNull(tel.PHONE);
    			orderParam.SHOP_USERNAME = checkNull(data.shop.SHOP_NAME);
    			var SHOP_PORTRALT = getDefaultImage(data.shop.SHOP_PORTRALT,"../../images/60x60.gif",imgPath);
    			$("#SHOP_PORTRALT").attr("src",SHOP_PORTRALT);
    			/**设置手机号码**/
				mui.plusReady(function() {
					plus.webview.currentWebview().opener().evalJS("setPhone("+tel.PHONE+")");
				});
    		}
    		//重置订单参数
    		setStorage("orderParam",orderParam);
    	}
    }
    
    /**轮播图片**/
    function rotationImg(imgs) {
		var imgList = '';
		var pointList = '';
		var muiActive = '';
		if( imgs && imgs.length > 0 ){
			var imgEnd = getDefaultImage(imgs[imgs.length-1].IMG_PATH,"../../images/60x60.gif",imgPath);
			imgList += '<div class="mui-slider-item mui-slider-item-duplicate">'
				+ '<a href="#">'
					+ '<img src="../../images/60x60.gif" data-lazyload="'+imgEnd+'">'
				+ '</a>'
			+ '</div>';
			
			$.each(imgs, function(i,d) {
				var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    			/**轮播图片**/
    			imgList += '<div class="mui-slider-item mui-slider-item-duplicate">'
							+ '<a href="#">'
								+ '<img src="../../images/60x60.gif" data-lazyload="'+img+'">'
							+ '</a>'
						+ '</div>';
				/**点**/		
				muiActive = i == 0 ? "mui-active" : "";		
				pointList += '<div class="mui-indicator '+muiActive+'"></div>';
			});
			
			var imgStart = getDefaultImage(imgs[0].IMG_PATH,"../../images/60x60.gif",imgPath);
			imgList += '<div class="mui-slider-item mui-slider-item-duplicate">'
				+ '<a href="#">'
					+ '<img src="../../images/60x60.gif" data-lazyload="'+imgStart+'">'
				+ '</a>'
			+ '</div>';
			
			$("#imgList").html(imgList);
			$("#pointList").html(pointList);
			mui("#slider").slider({interval: 1600});
			setTimeout(function () {
				mui("#slider").imageLazyload({autoDestroy: false,placeholder: '../../images/60x60.gif'});
			},50);
		}
//		else{
//			/**轮播图片**/
//			imgList += '<div class="mui-slider-item mui-slider-item-duplicate">'
//						+ '<a href="#">'
//							+ '<img src="../../images/60x60.gif">'
//						+ '</a>'
//					+ '</div>';
//			/**点**/		
//			pointList += '<div class="mui-indicator mui-active"></div>';
//		}
    }
}); 