var shopApp=angular.module('shopApp',[]);
var token=localStorage.getItem("token");
shopApp.controller('xiangqController',function($scope,$http){  
	var PROD_ID = getStorage("PROD_ID");
	$scope.initLoad=function(){  
		var param={"PROD_ID":PROD_ID};
	    angularPost($http,  
	    {
			InterfaceId: '2017128',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("商品详情查询成功！"+data.result); 
			var res=angular.fromJson(data.result);
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var isTouch = false;
    function initData(data) {
    	if( data ){
    		var imgs = data.imgs;
    		if( imgs ){
    			var imgList = '';
    			$.each(imgs, function(i,d) {
		    		var img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
		    		imgList +='<div class="xq-img-li"><img src="'+img+'" alt=""></div>';
		    	});
		    	$("#imgList").html(imgList);
    		}
    		
    		var prods = [];//data.prods;//取消推荐产品
    		if( prods ){
    			var win_width = $(window).width();
				var div_width = (win_width-10)/3;
				var img_width = div_width-10;
	
    			var proList = '';
    			$.each(prods, function(i,d) {
		    		var img = getDefaultImage(d.PROD_HEAD,"../../images/60x60.gif",imgPath);
		    		proList += '<div id="'+d.ID+'" class="cy-li" style="width:'+div_width+'px">'
								+ '<div class="cy-li-img" style="height:'+img_width+'px"><img src="'+img+'" alt=""></div>'
								+ '<div class="cy-li-text">'
									+ '<div class="cy-li-top">'+checkNull(d.PROD_NAME)+'</div>'
									+ '<div class="cy-li-bottom">'
										+ '<div class="cy-li-bottom-left">¥'+checkFloat(d.PRICE)+'</div>'
										//+ '<div class="cy-li-bottom-right">销量:'+checkInt(d.SALE_N)+'</div>'
									+ '</div>'
								+ '</div>'
							+ '</div>';
		    	});
		    	$("#proList").html(proList);
    		}
    	}
    }
}); 