mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var spApp=angular.module('spApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

spApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    var data=getToUrlParams();
	if( isNull(data) ){
		msg("没有输入参数！");
		return;
	}
	
    //用户信息
//  var userInfo = getObjStorage("loginUser"); 
    
	$scope.initLoad=function(nadata){ 
		if(nadata){
			data=nadata;
		}
		var param = {"PROD_NAME":data,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		//接口参数
		//商品名称
//		var PROD_NAME = $("#search").val();
//		param.PROD_NAME=PROD_NAME;
//		
//		var SALE_N = null;
//		var CREATE_DATE = null;
//		var PRICE = null;
//		var id = $(".dp-dt-act").attr("id");
//		if( id == "SALE_N" ){
//			param.SALE_N=id;
//		}else if( id == "CREATE_DATE" ){
//			param.CREATE_DATE=id;
//		}else if( id == "PRICE" ){
//			var flag = $(".dp-dt-act").attr("flag");
//			param.PRICE=checkInt(flag);
//		}
		
		
		var InterfaceId = "2017139";
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result);  
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	var isClick = false;
    function initData(data) {
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    	}else{
    		/**计算图片宽高**/
    		var win_width = $(window).width();
			var div_width = (win_width-15)/2;
			var img_width = div_width-10;
			
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		var img = getDefaultImage(d.PROD_HEAD,"../../images/60x60.gif",imgPath);
		    	dataList += '<div class="cy-li" id="'+d.ID+'" style="width:'+div_width+'px;">'
						+ '<div class="cy-li-img" style="height:'+img_width+'px;"><img src="'+img+'" alt=""></div>'
						+ '<div class="cy-li-text">'
							+ '<div class="cy-li-top">'+d.PROD_NAME+'</div>'
							+ '<div class="cy-li-bottom">'
								+ '<div class="cy-li-bottom-left">￥'+checkNull(d.PRICE)+'</div>'
								+ '<div class="cy-li-bottom-right">月销'+checkInt(d.SALE_N)+'笔</div>'
							+ '</div>'
						+ '</div>'
				dataList += '</div>';
	    	})
	    	img();
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			//详情页
			$("#dataList .cy-li").on("tap",function(){ 
				if( isClick == true ) return;
			    isClick = true;
			    
			    setStorage("PROD_ID",this.getAttribute("id"));
				toUrl("commodity.html");
				setTimeout(function () {
					isClick = false;
				},500);
			});
			
    	}
    }
    
    
    
    
    $scope.loadMore=function(nadata){ 
		if(nadata){
			data=nadata;
		}
		var param = {"PROD_NAME":data,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		//接口参数
		//商品名称
		var PROD_NAME = data;
		param.PROD_NAME=PROD_NAME;
		
		var SALE_N = null;
		var CREATE_DATE = null;
		var PRICE = null;
		var id = $(".dp-dt-act").attr("id");
		if( id == "SALE_N" ){
			param.SALE_N=id;
		}else if( id == "CREATE_DATE" ){
			param.CREATE_DATE=id;
		}else if( id == "PRICE" ){
			var flag = $(".dp-dt-act").attr("flag");
			param.PRICE=checkInt(flag);
		}
		
		
		var InterfaceId = "2017139";
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initsData(res);
		},function(){
			console.log("失败");
		});  
	} 
    
    var isClick = false;
    function initsData(data) {
    	if( !data || data.length == 0  ){
    		$scope.sliderFlag = true;
    	}else{
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		var img = getDefaultImage(d.PROD_HEAD,"../../images/60x60.gif",imgPath);
		    	dataList += '<div class="cy-li" id="'+d.ID+'">'
						+ '<div class="cy-li-img"><img src="'+img+'" alt=""></div>'
						+ '<div class="cy-li-text">'
							+ '<div class="cy-li-top">'+d.PROD_NAME+'</div>'
							+ '<div class="cy-li-bottom">'
								+ '<div class="cy-li-bottom-left">￥'+checkNull(d.PRICE)+'</div>'
								+ '<div class="cy-li-bottom-right">月销'+checkInt(d.SALE_N)+'笔</div>'
							+ '</div>'
						+ '</div>'
				dataList += '</div>';
	    	})
	    	img();
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			
			//详情页
			$("#dataList .cy-li").on("tap",function(){ 
				if( isClick == true ) return;
			    isClick = true;
			    
			    setStorage("PROD_ID",this.getAttribute("id"));
				toUrl("commodity.html");
				setTimeout(function () {
					isClick = false;
				},500);
			});
			
    	}
    }

}); 




