var myApp = angular.module('app', []);

myApp.controller('AppCtrl', function($scope) {
	
	if(localStorage.user == null || localStorage.user == '' || localStorage.user == undefined){
		$("#loginbtn").show();
		$("#username").hide();
	}else{
		$("#loginbtn").hide();
		$("#username").show();
		$scope.username = JSON.parse(localStorage.user).NAME;
	}
	
	//获取课程列表
	REQUEST_POST("/appClazz/list.do", {

	}, function(resp) {
		var clazzes = new Array();
		for (var i in resp) {
			if (resp[i].GRADE.indexOf("高") >= 0) {
				clazzes[clazzes.length] = resp[i];
			}
		}
		$scope.clazzs = clazzes;
	}, function(resp) {

	});

	//点击报名
	$scope.apply = function() {
		contactUs('apply');
	}
	
	//我的课程
	$scope.myclazz = function(){
		if(localStorage.user == null || localStorage.user == '' || localStorage.user == undefined){
			Form.showLoginPopup();
		}else{
			window.location.href = "main.html";
		}
	}

	//高中，初中
	$scope.getClazzes = function(_type) {
		var clazzes = new Array();
		REQUEST_POST("/appClazz/list.do", {

		}, function(resp) {
			if (_type == '0') { //初中
				for (var i in resp) {
					if (resp[i].GRADE.indexOf("初") >= 0) {
						clazzes[clazzes.length] = resp[i];
					}
				}
			} else if (_type == '1') {
				for (var i in resp) {
					if (resp[i].GRADE.indexOf("高") >= 0) {
						clazzes[clazzes.length] = resp[i];
					}
				}
			}
			$scope.clazzs = clazzes;
		}, function(resp) {

		});
	}

});