mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var clubApp=angular.module('clubApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId"); 
var pageSize=10;

clubApp.controller('indexController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;    
    var param=null;
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017053',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			$scope.rots=angular.fromJson(res.rotations); 
			$scope.acts=angular.fromJson(res.acts);
			
			for(var i=0;i<$scope.acts.length;i++){
				$scope.acts[i].START_DATE=timeStamp2String($scope.acts[i].START_DATE,"ymdhm"); 
			}
			
			angular.forEach($scope.rots,function(data,index){
		    	 console.log(index+"index"+JSON.stringify(data));
		    	if(index==0){
		    	   $scope.firRot=data; 
		    	} 
		    	if(index==($scope.rots.length-1)){
		    	   $scope.lasRot=data; 
		    	}  
		   }); 
		    console.log("查询成功！"+$scope.rots);  
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();    
}); 

//活动详情
clubApp.controller('hdxqController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
	var actid=getToUrlParams(); 
	$scope.loadData=function(){  
		var param={"ACT_ID":actid,"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: '2017055',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result);
			var priceArr = [];
			priceArr.push(checkFloat(res.PRICE));
			priceArr.push(checkInt(res.VIP_PRICE));
			priceArr.push(checkInt(res.VICE_PRE_PRICE));
			priceArr.push(checkInt(res.EXE_VICE_PRE_PRICE));
			priceArr.push(checkInt(res.PRESIDENT_PRICE));
			priceArr = getBubbleSort(priceArr);
			
			res.MIN_PRICE = priceArr[0];
			res.MAX_PRICE = priceArr[priceArr.length-1];
			$scope.act=angular.fromJson(res);   
			$scope.act.START_DATE=timeStamp2String($scope.act.START_DATE,"ymdhm"); 
			$scope.act.END_DATE=timeStamp2String($scope.act.END_DATE,"ymdhm"); 
			if( res.STATUS == "02" ){
				$(".bar-tab").animate({opacity:1},500).css({flter:"Alpha(Opacity=100)"});
			}
		},function(){
			console.log("失败");
		});  
	}   
    $scope.loadData();//加载活动详情数据  
    
    //报名/取消报名
    $scope.bm=function(id,actid){ 
    	if( plus ){
    		plus.nativeUI.showWaiting();
			//最大loading时间
			setTimeout(function() {
				plus.nativeUI.closeWaiting();
			}, 3000)
    	}
    	/**
    	 * bmStatus:
    	 * 支付成功页面调用详情页resetBmStatus()使用。
    	 * */
    	setStorage("bmStatus",id);
		var param={"ACT_ID":actid,"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: '2017067',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res ){
				if( res.code && res.code == "200"  ){
					mui.toast("操作成功！");
					var page = plus.webview.currentWebview().opener();
					if( $(id).attr("flag") == "0" ){
						$(id).attr("flag","1");
						$(id).text("取消报名");
						page.evalJS("bmNum('"+actid+"',0)");
					}else{
						$(id).attr("flag","0");
						$(id).text("报名");
						page.evalJS("bmNum('"+actid+"',1)");
					}
				}else{
					setStorage("payParam",JSON.stringify(res));
					toUrl("zhifu.html");
				}
			}else{
				
			}
		},function(){
			mui.toast("操作成功！");
		});  
	} 
	
	$scope.del=function(actid){ 
		if( isNull(actid) ){
			return;
		}
		var btnArray = ['确定', '取消']; 
		mui.confirm('确定删除活动？', '提示', btnArray, function(e) { 
			if (e.index == 0) {
				if( plus ){
		    		plus.nativeUI.showWaiting();
					//最大loading时间
					setTimeout(function() {
						plus.nativeUI.closeWaiting();
					}, 3000)
		    	}
				var param={"ACT_ID":actid};
			    angularPost($http,  
			    {
					InterfaceId: '2017057',
					Token: token,
					params: Encrypt(JSON.stringify(param)), 
		      		md5_str: faultylabs.MD5(JSON.stringify(param)),
					timestamp:''
			    },
				function(data){   
					console.log("删除成功！"+data.result); 
					var res = angular.fromJson(data.result); 
					if( res ){
						if( res.code && res.code == "200"  ){
							mui.toast("删除成功！");
							var page = plus.webview.currentWebview().opener();
							page.evalJS("reloadHuo('#"+actid+"',0)");
							setTimeout(function () {
								mui.back();
							},200)
						}
					}else{
						
					}
				},function(){
					mui.toast("删除失败！");
				});
			}
        }); 
	} 
});

//发布活动
clubApp.controller('fbController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
//	var param = {
//		"ACT_NAME":,"ACT_CONTENT":,"START_DATE","END_DATE","DUE_DATE",
//		"ACT_IMG","PRICE","VIP_PRICE","VICE_PRE_PRICE","EXE_VICE_PRE_PRICE",
//		"PRESIDENT_PRICE","IS_FREE","FEE_DESCRIPTION","LIMIT_COUNT","SPONSOR",
//		"HEADPHONE","ACT_CITY","ACT_ADDR","STATUS":"01","ACT_TYPE":,
//		"USER_ID","LINK_URL":"","",""
//	}
	
	$scope.initData=function(){  
		var param={};
	    angularPost($http,  
	    {
			InterfaceId: '2017054',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}   
    $scope.initData();//加载活动详情数据
    
    var temp;
    function initData(data) {
    	var viptype = data.viptype;
    	if( viptype && viptype.length>0 ){
    		for ( var i=0; i<viptype.length-1; i++){
	            for (var j=0; j<viptype.length-1-i; j++){
	                if (parseInt(viptype[j].BIANMA) > parseInt(viptype[j+1].BIANMA)){//从大到小是 < ，从小到大是 >
	                    temp = viptype[j];
	                    viptype[j] = viptype[j + 1];
	                    viptype[j + 1] = temp//这三行代码是交换值的常用代码
	                }
	            }
	        }
    		
    		var ele = viptype[1];
    		viptype.splice(1,1);
    		var vipHtml = '';
    		vipHtml += '<div class="mui-input-row mui-checkbox">'
							+ '<label>'+ele.NAME+'</label>'
							+ '<input name="checkbox'+i+'" value="'+ele.BIANMA+'" type="checkbox" checked="true" style="font-size: 14px !important;">'
						+ '</div>';
    		$.each(viptype, function(i,d) {
    			vipHtml += '<div class="mui-input-row mui-checkbox">'
								+ '<label>'+d.NAME+'</label>'
								+ '<input name="checkbox'+i+'" value="'+d.BIANMA+'" type="checkbox" style="font-size: 14px !important;">'
							+ '</div>';
    		});
    		$("#vipList").html(vipHtml);
    	}
    	
    	var areas = data.areas
    	if( areas && areas.length > 0 ){
    		$.each(areas,function (i,d) {
    			if( d.value == "110000"||
				    d.value == "120000"||
				    d.value == "310000"||
				    d.value == "500000" ){
				    	d.children = [{"text":d.text,"value":d.value}];
				}
    		})
    	}
		cityPicker.setData(areas);
		var showCityPickerButton = document.getElementById('CITY');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker.show(function(items) {
				if( items.length > 1 ){
					showCityPickerButton.innerText = items[1].text;
				}else{
					showCityPickerButton.innerText = items[0].text;
				}
				showCityPickerButton.setAttribute("flag","1");
                
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
		
		typePicker.setData(data.actType);
		var showTypePickerButton = document.getElementById('ACT_TYPE');
		showTypePickerButton.addEventListener('tap', function(event) {
			typePicker.show(function(items) {
				if( items.length > 1 ){
					showTypePickerButton.innerText = items[1].text;
				    showTypePickerButton.setAttribute("typeId",items[1].value);
				}else{
					showTypePickerButton.innerText = items[0].text;
				    showTypePickerButton.setAttribute("typeId",items[0].value);
				}
				
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
    }
    
    $scope.addActivity=function(param){
		param.USER_ID = userId;
	    angularPost($http,  
	    {
			InterfaceId: '2017056',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			console.log("发布成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.back();
			}
		},function(){
			console.log("发布失败");
		});  
	} 
});

//场地租赁
clubApp.controller('bakController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;    
    var param=null;
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017063',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			initData(res);
//			[
//			    {"LINK_URL":"","IS_SHOW":1,"ID":"7f6a79057b214306bca14cfd458b578c","CREATE_BY":"f3f22eb3357e44268b7570b26192f279","ISDEL":1,"CREATE_DATE":1481644800000,"IMG_PATH":"b911669fcda8410c8ee6ef7ff08dde5c.jpg","COLUMN_ID":"5a22054364a04599bdd750f7d5f20e8b","TITLE":"首页轮换2"}
//			]
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData(data) {
    	if( data && data.firRots ){
    		var rots = data.firRots;
    		var firstList = '';
    		if( rots.length > 0 ){
    			var img0 = getDefaultImage(rots[rots.length-1].IMG_PATH,"../../../images/60x60.gif",imgPath);
    			firstList += '<div class="mui-slider-item mui-slider-item-duplicate">'
								+ '<a href="#">'
									+ '<img style="height: 180px;" src="'+img0+'">'
								+ '</a>'
							+ '</div>';
				$.each(rots, function(i,d) {
					var img = getDefaultImage(d.IMG_PATH,"../../../images/60x60.gif",imgPath);
	    			firstList += '<div class="mui-slider-item">'
								+ '<a href="#">'
									+ '<img style="height: 180px;" src="'+img+'">'
								+ '</a>'
							+ '</div>';
	    		});	
	    		var img1 = getDefaultImage(rots[0].IMG_PATH,"../../../images/60x60.gif",imgPath);
	    		firstList += '<div class="mui-slider-item mui-slider-item-duplicate">'
								+ '<a href="#">'
									+ '<img style="height: 180px;" src="'+img1+'">'
								+ '</a>'
							+ '</div>';
				$("#firstList").html(firstList);	
				mui("#sliderqq").slider({interval: 4000});
    		}
    	}
    	
    	if( data && data.secRots ){
    		var rots = data.secRots;
    		var secendList = '';
    		if( rots.length > 0 ){
    			var img0 = getDefaultImage(rots[rots.length-1].IMG_PATH,"../../../images/60x60.gif",imgPath);
    			secendList += '<div aid="'+rots[rots.length-1].ID+'" class="mui-slider-item mui-slider-item-duplicate">'
								+ '<a href="#">'
									+ '<img style="height: 150px;" src="'+img0+'">'
								+ '</a>'
							+ '</div>';
				$.each(rots, function(i,d) {
					var img = getDefaultImage(d.IMG_PATH,"../../../images/60x60.gif",imgPath);
	    			secendList += '<div aid="'+d.ID+'" class="mui-slider-item">'
								+ '<a href="#">'
									+ '<img style="height: 150px;" src="'+img+'">'
								+ '</a>'
							+ '</div>';
	    		});	
	    		var img1 = getDefaultImage(rots[0].IMG_PATH,"../../../images/60x60.gif",imgPath);
	    		secendList += '<div aid="'+rots[0].ID+'" class="mui-slider-item mui-slider-item-duplicate">'
								+ '<a href="#">'
									+ '<img style="height: 150px;" src="'+img1+'">'
								+ '</a>'
							+ '</div>';
				$("#secendList").html(secendList);	
				mui("#slider1").slider({interval: 3000});
    		}
    	}
    }
}); 

//场地预订
clubApp.controller('fieldController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;    
    var param=null;
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017068',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    function initData(data) {
    	if( data ){
    		var today = data.today;
    		if( isNull(today) ){
    			var timeStamp = getCurrentTimeStamp();
				today = timeStamp2String(timeStamp, "ymd").replace(/-/g,"/");
    		}else{
    			today = today.replace(/-/g,"/");
    		}
    		$('#myId').jalendar({
				customDay: today, // Format: Year/Month/Day
				color: '#ed145a', // Unlimited Colors
				lang: 'ZN', // Format: English — 'EN', Türkçe — 'TR'
				multi:true,//false:单选，true:多选
                bookArr: data.dateArr//选择日期数组
			});
    		
    		typePicker.setData(data.actType);
			var showTypePickerButton = document.getElementById('ACT_TYPE');
			showTypePickerButton.addEventListener('tap', function(event) {
				typePicker.show(function(items) {
					if( items.length > 1 ){
						showTypePickerButton.value = items[1].text;
					    showTypePickerButton.setAttribute("typeId",items[1].value);
					}else{
						showTypePickerButton.value = items[0].text;
					    showTypePickerButton.setAttribute("typeId",items[0].value);
					}
					
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
    	}
    }
    
    $scope.booking=function(param){  
	    angularPost($http,  
	    {
			InterfaceId: '2017064',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("预订成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("预订成功！");
				setTimeout(function () {
					mui.back();
				},50)
			}
		},function(){
			mui.toast("预订失败！");
		});  
	}
}); 

//获取活动状态
function getStatus(s1,s2){
	var str = '';
	if( s1 == 0 ){
		if( s2 == 0 ){
			str = '<div class="yjz">已结束</div>';
		}else{
			str = '<div class="yjz">已截止</div>';
		}
	}else{
		str = '<div class="bmz">进行中</div>';
	}
	return str;
}

//活动列表
clubApp.controller('listController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;//上拉下滑加载参数
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(obj){ 
		//接口参数
		var param={"ACT_NAME":null,"TYPE":null,"CITY":null,"IS_DUE":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		if( obj ){//传参
			if( !isNull(obj.CITY) ){
				param.CITY = obj.CITY;
			}
			if( !isNull(obj.TYPE) ){
				param.TYPE = obj.TYPE;
			}
			if( !isNull(obj.IS_DUE) ){
				param.IS_DUE = obj.IS_DUE;
			}
		}
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017058',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+JSON.stringify(data.result)); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    $scope.initConditions=function(){ 
		//接口参数
		var param={};
	    angularPost($http,  
	    {
			InterfaceId: '2017052',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			var res = angular.fromJson(data.result); 
			console.log("条件查询:"+JSON.stringify(res));
			initConditions(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initConditions();
    
    //数据加载
    var isTrue = false;//是否设置tap监听
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {
    		var user_id=d.USER_ID;
    	    var create_by=d.CREATE_BY;
    	    var act_img="";
    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
    		   act_img=getDefaultImage(d.ACT_IMG,"../../../images/60x60.gif");
	    	}
	    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
	    	   act_img = getDefaultImage(d.ACT_IMG,"../../../images/60x60.gif",imgPath);
	    	}
    		dataList += '<div class="list-hd">'
						+ '<div class="hdlist">'
							+ '<div class="hdst">'
								+ '<img class="hdimg" src="../../../images/club/hjk.png"/>'
							+ '</div>'
							+ '<div class="hdtitle">'+d.ACT_NAME+'</div>'
						+ '</div>'
						+ '<div><img class="hdtubiao1" src="'+act_img+'"/></div>'
						+ '<div class="conethd" actid="'+d.ID+'">'
							+ '<div class="conettitle">'+d.ACT_CONTENT+'</div>'
							+ '<div class="listhd">'
								+ '<div class="hdtimg">'
									+ '<img class="imgss" src="../../../images/xq/sj.png"/>'
								+ '</div>'
								+ '<div class="hdsj">'+timeStamp2String(d.START_DATE, "ymd")+'</div>'
							+ '</div>'
							+ '<div class="ybm">已报名:<span id="act_'+d.ID+'">'+d.PART_COUNT+'</span></div>'
							+ '<div class="wztb">'
								+ '<div class="wzmg"><img class="wzimg" src="../../../images/xq/zb.png"/></div>'
								+ '<div class="wzconet">'+d.ACT_CITY+" "+d.ACT_ADDR+'</div>'
								+ getStatus(d.DUE_STATUS,d.ACT_STATUS)
							+ '</div>'
						+ '</div>'
					+ '</div>';
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
				$scope.sliderFlag = true;
			}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//详情页
		if( isTrue == false ){
			if( isTrue == true ){return;}
			isTrue = true;
			mui("#dataList").on('tap','.conethd',function(){
	            var id=this.getAttribute("actid");   
	            var page="hdxq.html"; 
	            var wv = plus.webview.getWebviewById(page);  
				if(wv){//判断页面是否已经存在，若存在则刷新，若不存在则不刷新 
					toUrl(page,id,true);
				}else{ 
					toUrl(page,id,false);
				}    
	        });
		}
   }
    
    //获取接口参数
    $scope.loadMore=function() {
    	//接口参数
    	var obj = {};
    	var city = $('.Regional').find('span').text();
    	var cityId = $('.Regional').attr("cityId");
		var typeId = $('.Brand').attr("typeId");
		var stageId = $('.Sort').attr("stageId");
		obj.CITY = isNull(cityId)?null:city;
		obj.IS_DUE = isNull(stageId)?null:stageId;
		obj.TYPE = isNull(typeId)?null:typeId;
		$scope.initLoad(obj);
    }
    
    //条件加载
    function initConditions(data) {
    	if( data  ){
    		//城市
    		var areas = data.areas;
    		var areasList = '';//省份
    		var cityList = '';//城市
    		$.each(areas, function(i,d) {
    			areasList = '<a class="mui-control-item" href="#content'+d.id+'">'+d.areaname+'</a>';
    			$("#areasList").append(areasList);
    			
    			var citys = d.citys;
    			cityList = '<div id="content'+d.id+'" class="mui-control-content">'
								+ '<ul class="mui-table-view">';
				if( citys && citys.length > 0 ){
					//北京:110000、天津:120000、上海：310000、重庆：500000
					if(d.areacode == "110000"||
					    d.areacode == "120000"||
					    d.areacode == "310000"||
					    d.areacode == "500000" ){
						cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+d.areaname+'</li>'
					}else{
						$.each(citys,function (j,city) {
							cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+city.areaname+'</li>';
						})
					}
				}else{
					cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+d.areaname+'</li>'
				}
				cityList += '</ul></div>';
				$("#cityList").append(cityList);
    		});
    		
    		//城市选择
    		$('.Regional-val').on('click', function() {
    			$("#cityList .mui-active").removeClass(".mui-active");
    			$(this).parent().parent().addClass(".mui-active");
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Regional').find('span').text(val);
				$('.Regional').attr("cityId",this.getAttribute("id"));
				$('.Regional').find('i').css('top', '25%');
				$('.Regional').find('i').css('border-style', 'solid dashed dashed dashed');
				$('.Regional').find('i').css('border-color', '#555 transparent transparent transparent');
				$('.Regional').find('i').attr('wd', '1');
				$("#Regional").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    		//类型
    		var types = data.actType;
    		var typesList = '';
    		var typeContent = '';
    		$.each(types, function(i,d) {
    			typesList = '<a class="mui-control-item" href="#con'+d.ZD_ID+'">'+d.NAME+'</a>'
    			$("#typesList").append(typesList);
    			
    			var lxs = d.lxs;
    			if( lxs && lxs.length > 0 ){
					typeContent = '<div id="con'+d.ZD_ID+'" class="mui-control-content">'
							+ '<ul class="mui-table-view">';
					$.each(lxs,function (j,lx) {
						typeContent += '<li id="'+lx.BIANMA+'" class="mui-table-view-cell Brand-val">'+lx.NAME+'</li>';
			        })
					typeContent += '</ul></div>';	
    			}else{
    				typeContent = '<div id="con'+d.ZD_ID+'" class="mui-control-content">'
									+ '<ul class="mui-table-view">'
										+ '<li id="'+d.BIANMA+'" class="mui-table-view-cell Brand-val">'+d.NAME+'</li>'
									+ '</ul>'
								+ '</div>';	
    			}
				
				$("#typeContent").append(typeContent);
    		});
    		
    		//类型选择
    		$('.Brand-val').on('click', function() {
    			$("#typeContent .mui-active").removeClass("mui-active");
    			$(this).parent().parent().addClass("mui-active");
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Brand').find('span').text(val);
				$('.Brand').attr("typeId",this.getAttribute("id"));
				$('.Brand').find('i').css('top', '25%');
				$('.Brand').find('i').css('border-style', 'solid dashed dashed dashed');
				$('.Brand').find('i').css('border-color', '#555 transparent transparent transparent');
				$('.Brand').find('i').attr('wd', '1');
				$("#Brand").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    		//活动状态选择
    		$('.Sort-val').on('click', function() {
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Sort').find('span').text(val);
				$('.Sort').attr("stageId",this.getAttribute("id"));
				$(".Sort").find('i').css('top', '25%');
				$(".Sort").find('i').css('border-style', 'solid dashed dashed dashed');
				$(".Sort").find('i').css('border-color', '#555 transparent transparent transparent');
				$(".Sort").find('i').attr('wd', '1');
				$("#Sort").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    	}
    }
});

//搜索页面
clubApp.controller('searchController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = true;//上拉下滑加载参数
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017061',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initWords(res);
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
	function initWords(data) {
		var li = '';
		$.each(data, function(i,d) {
			li += '<li bm="'+d.BIANMA+'">'+d.NAME+'</li>';
		});
		$("#searchWords").find("ul").append(li);
		
		$("#searchWords").find("ul li").on("tap",function(){ 
			var bm = this.getAttribute("bm");
			if( !isNull(bm) ){
        		var obj = {"TYPE":bm};
        	    $scope.search(obj);
        	}
		}); 
		
	}
	
	$scope.search=function(obj){ 
		//接口参数
		var param={"ACT_NAME":null,"TYPE":null,"CITY":null,"IS_DUE":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
        if( !isNull(obj.ACT_NAME) ){
			param.ACT_NAME = obj.ACT_NAME;
		}
		if( !isNull(obj.TYPE) ){
			param.TYPE = obj.TYPE;
		}
		$("#searchWords").hide();//隐藏搜索热词
	    $("#pullrefresh").show();//隐藏项目列表
		setStorage("searchParam",JSON.stringify(param));
		console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017058',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initData(res);
		},function(){
			console.log("失败");
		});  
	}
    
    //数据加载
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {
    		var user_id=d.USER_ID;
    	    var create_by=d.CREATE_BY;
    	    var act_img="";
    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
    		   act_img=getDefaultImage(d.ACT_IMG,"../../images/60x60.gif");
	    	}
	    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
	    	   act_img = getDefaultImage(d.ACT_IMG,"../../images/60x60.gif",imgPath);
	    	}
    		dataList += '<div class="list-hd">'
						+ '<div class="hdlist">'
							+ '<div class="hdst">'
								+ '<img class="hdimg" src="../../../images/club/hjk.png"/>'
							+ '</div>'
							+ '<div class="hdtitle">'+d.ACT_NAME+'</div>'
						+ '</div>'
						+ '<div><img class="hdtubiao1" src="'+act_img+'"/></div>'
						+ '<div class="conethd" actid="'+d.ID+'">'
							+ '<div class="conettitle">'+d.ACT_CONTENT+'</div>'
							+ '<div class="listhd">'
								+ '<div class="hdtimg">'
									+ '<img class="imgss" src="../../../images/xq/sj.png"/>'
								+ '</div>'
								+ '<div class="hdsj">'+timeStamp2String(d.START_DATE, "ymd")+'</div>'
							+ '</div>'
							+ '<div class="ybm">已报名:<span id="act_'+d.ID+'">'+d.PART_COUNT+'</span></div>'
							+ '<div class="wztb">'
								+ '<div class="wzmg"><img class="wzimg" src="../../../images/xq/zb.png"/></div>'
								+ '<div class="wzconet">'+d.ACT_CITY+" "+d.ACT_ADDR+'</div>'
								+ getStatus(d.DUE_STATUS,d.ACT_STATUS)
							+ '</div>'
						+ '</div>'
					+ '</div>';
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
				$scope.sliderFlag = true;
			}else if( data.length == pageSize ){
				refreshStop(false);//开启滚动
			}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//详情页
		mui("#dataList").on('tap','.conethd',function(){
            var id=this.getAttribute("actid"); 
            var page="hdxq.html"; 
            var wv = plus.webview.getWebviewById(page);  
			if(wv!=null){//判断页面是否已经存在，若存在则刷新，若不存在则不刷新 
				toUrl(page,id,true);
			}else{ 
				toUrl(page,id,false);
			}    
        });
  }

}); 

//我发布的活动
clubApp.controller('hdglController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
	$scope.currentPage=1;
	$scope.pageSize=pageSize;  
	$scope.flag=0;
	$scope.loadDown=function(flag){//下拉刷新 
		$scope.currentPage=1;
		var param={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"USER_ID":userId};
	    var inter=null;
	    if(flag==0){
	    	inter='2017059';
	    }else{
	    	inter='2017060';
	    }
	    $scope.flag=flag;
	    angularPost($http,
	    {
			InterfaceId:inter,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result);  
			var acts=angular.fromJson(data.result); 
			$scope.sliderFlag=false;
			var html='';
		    for(var i=0;i<acts.length;i++){
				var aid = acts[i].ID; 
				var img = acts[i].ACT_IMG; 
				var name = acts[i].ACT_NAME; 
				var userid = acts[i].USER_ID; 
				var createby = acts[i].CREATE_BY; 
				var content = acts[i].ACT_CONTENT;  
				var partcount = acts[i].PART_COUNT;
				var city = acts[i].ACT_CITY;
				var addr = acts[i].ACT_ADDR;
				var actstatus = acts[i].ACT_STATUS;
				var duestatus = acts[i].DUE_STATUS; 
				var status = acts[i].STATUS;
				var starttime=timeStamp2String(acts[i].START_DATE,"ymdhm"); 
				html+='<div id="'+aid+'" class="list-hd">'; 
				html+='<div class="hdlist">'; 
				html+='<div class="hdst"><img class="hdimg" src="../../../images/club/hjk.png"/></div>'; 
				html+='<div class="hdtitle">'+name+'</div>'; 
				html+='</div><div>';  
				if(img!=null&&img!=''&&img!=undefined){
					if(userid!=null&&userid!=""){
						html+='<img class="hdtubiao1" src="'+$scope.appimgPath+img+'"/>'; 
					}else if(createby!=null&&createby!=""){
						html+='<img class="hdtubiao1" src="'+$scope.imgPath+img+'"/>'; 
					} 
				}else{
					html+='<img class="hdtubiao1" src="../../../images/60x60.gif"/>'; 
				}  
				html+='</div><div class="conethd" actid="'+aid+'" status="'+status+'">';  
				html+='<div class="conettitle">'+content+'</div>'; 
				html+='<div class="listhd">';
				html+='<div class="hdtimg"><img class="imgss" src="../../../images/xq/sj.png"/></div>';
				html+='<div class="hdsj">'+starttime+'</div>';
				html+='</div>'; 
				html+='<div class="ybm">已报名:'+partcount+'</div>'; 
				html+='<div class="wztb">'; 
				html+='<div class="wzmg"><img class="wzimg" src="../../../images/xq/zb.png"/></div>'; 
				html+='<div class="wzconet">'+city+addr+'</div>'; 
				if( flag == 0 ){
					if( status == "01" ){
						html+='<div class="yjz">审核中</div>';
					}else if( status == "02" ){
						html+='<div class="yjz">审核失败</div>';
					}else{
						if(actstatus==0){
							html+='<div class="yjz">活动结束</div>';
						}else if(actstatus==1&&duestatus==0){
							html+='<div class="yjz">报名截止</div>';
						}else if(duestatus==1){
							html+='<div class="bmz">报名中</div>';
						} 
					}
				}else{
					if(actstatus==0){
						html+='<div class="yjz">活动结束</div>';
					}else if(actstatus==1&&duestatus==0){
						html+='<div class="yjz">报名截止</div>';
					}else if(duestatus==1){
						html+='<div class="bmz">报名中</div>';
					} 
				}
				html+='</div></div></div>';
			} 
			$("#act_publish").html(html); 
		},function(){
			console.log("失败");
		});  
	}  
	
	$scope.loadUp=function(flag){//上拉加载更多
		$scope.flag=flag;
		var inter=null;
	    if(flag==0){
	    	inter='2017059';
	    }else{
	    	inter='2017060';
	    }
		$scope.currentPage++;
		var param={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize,"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: inter,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result);  
			var acts=angular.fromJson(data.result); 
			if(acts.length <$scope.pageSize){
				$scope.sliderFlag=true;
			}else{
				$scope.sliderFlag=false;
			} 
			var html='';
		    for(var i=0;i<acts.length;i++){
				var aid = acts[i].ID; 
				var img = acts[i].ACT_IMG; 
				var name = acts[i].ACT_NAME; 
				var userid = acts[i].USER_ID; 
				var createby = acts[i].CREATE_BY; 
				var content = acts[i].ACT_CONTENT;  
				var partcount = acts[i].PART_COUNT;
				var city = acts[i].ACT_CITY;
				var addr = acts[i].ACT_ADDR;
				var actstatus = acts[i].ACT_STATUS;
				var duestatus = acts[i].DUE_STATUS; 
				var status = acts[i].STATUS;
				var starttime=timeStamp2String(acts[i].START_DATE,"ymdhm");
				html+='<div class="list-hd">'; 
				html+='<div class="hdlist">'; 
				html+='<div class="hdst"><img class="hdimg" src="../../../images/club/hjk.png"/></div>'; 
				html+='<div class="hdtitle">'+name+'</div>'; 
				html+='</div><div>';  
				if(img!=null&&img!=''&&img!=undefined){
					if(userid!=null&&userid!=""){
						html+='<img class="hdtubiao1" src="'+$scope.appimgPath+img+'"/>'; 
					}else if(createby!=null&&createby!=""){
						html+='<img class="hdtubiao1" src="'+$scope.imgPath+img+'"/>'; 
					} 
				}else{
					html+='<img class="hdtubiao1" src="../../../images/60x60.gif"/>'; 
				}  
				html+='</div><div class="conethd" actid="'+aid+'">';    
				html+='<div class="conettitle">'+content+'</div>'; 
				html+='<div class="listhd">';
				html+='<div class="hdtimg"><img class="imgss" src="../../../images/club/tei.png"/></div>';
				html+='<div class="hdsj">'+starttime+'</div>';
				html+='</div>'; 
				html+='<div class="ybm">已报名:'+partcount+'</div>'; 
				html+='<div class="wztb">'; 
				html+='<div class="wzmg"><img class="wzimg" src="../../../images/club/weizhi.png"/></div>'; 
				html+='<div class="wzconet">'+city+addr+'</div>'; 
				if( flag == 0 ){
					if( status == "01" ){
						html+='<div class="yjz">审核中</div>';
					}else if( status == "02" ){
						html+='<div class="yjz">审核失败</div>';
					}else{
						if(actstatus==0){
							html+='<div class="yjz">活动结束</div>';
						}else if(actstatus==1&&duestatus==0){
							html+='<div class="yjz">报名截止</div>';
						}else if(duestatus==1){
							html+='<div class="bmz">报名中</div>';
						} 
					}
				}else{
					if(actstatus==0){
						html+='<div class="yjz">活动结束</div>';
					}else if(actstatus==1&&duestatus==0){
						html+='<div class="yjz">报名截止</div>';
					}else if(duestatus==1){
						html+='<div class="bmz">报名中</div>';
					} 
				} 
				html+='</div></div></div>';
			} 
			$("#act_publish").append(html);    
		},function(){
			console.log("失败");
		});  
	}   
    $scope.loadDown($scope.flag);//加载首页列表数据 0:表示查询我发布的活动
});  


//编辑活动
clubApp.controller('hdxgController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
	var actid=getToUrlParams(); 
	$scope.loadData=function(){  
		var param={"ACT_ID":actid};
	    angularPost($http,  
	    {
			InterfaceId: '20170102',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result);
			var priceArr = [];
			priceArr.push(checkFloat(res.PRICE));
			priceArr.push(checkInt(res.VIP_PRICE));
			priceArr.push(checkInt(res.VICE_PRE_PRICE));
			priceArr.push(checkInt(res.EXE_VICE_PRE_PRICE));
			priceArr.push(checkInt(res.PRESIDENT_PRICE));
			priceArr = getBubbleSort(priceArr);
			
			res.MIN_PRICE = priceArr[0];
			res.MAX_PRICE = priceArr[priceArr.length-1];
			initData(res);
//			$scope.act=angular.fromJson(res);   
//			$scope.act.START_DATE=timeStamp2String($scope.act.START_DATE,"ymdhm"); 
//			$scope.act.END_DATE=timeStamp2String($scope.act.END_DATE,"ymdhm"); 
			
		},function(){
			console.log("失败");
		});  
	}   
    $scope.loadData();//加载活动详情数据  
    
    function initData(data) {
    	if( data ){
    		//参与等级
    		var viptype = data.viptype;
	    	if( viptype && viptype.length>0 ){
	    		for ( var i=0; i<viptype.length-1; i++){
		            for (var j=0; j<viptype.length-1-i; j++){
		                if (parseInt(viptype[j].BIANMA) > parseInt(viptype[j+1].BIANMA)){//从大到小是 < ，从小到大是 >
		                    temp = viptype[j];
		                    viptype[j] = viptype[j + 1];
		                    viptype[j + 1] = temp//这三行代码是交换值的常用代码
		                }
		            }
		        }
	    		
	    		var ele = viptype[1];
	    		viptype.splice(1,1);
	    		var check = ele.flag == "1" ? 'checked="true"' : '';
	    		var vipHtml =  '<div class="mui-input-row mui-checkbox">'
								+ '<label>'+ele.NAME+'</label>'
								+ '<input name="checkbox'+i+'" value="'+ele.BIANMA+'" type="checkbox" '+check+' style="font-size: 14px !important;">'
							+ '</div>';
	    		$.each(viptype, function(i,d) {
	    			check = d.flag == "1" ? 'checked="true"' : '';
	    			vipHtml += '<div class="mui-input-row mui-checkbox">'
									+ '<label>'+d.NAME+'</label>'
									+ '<input name="checkbox'+i+'" value="'+d.BIANMA+'" type="checkbox" '+check+' style="font-size: 14px !important;">'
								+ '</div>';
	    		});
	    		$("#vipList").html(vipHtml);
	    	}
	    	
	    	//活动城市
	    	var areas = data.areas
	    	if( areas && areas.length > 0 ){
	    		$.each(areas,function (i,d) {
	    			if( d.value == "110000"||
					    d.value == "120000"||
					    d.value == "310000"||
					    d.value == "500000" ){
					    	d.children = [{"text":d.text,"value":d.value}];
					}
	    		})
	    	}
			cityPicker.setData(areas);
			var showCityPickerButton = document.getElementById('CITY');
			showCityPickerButton.addEventListener('tap', function(event) {
				cityPicker.show(function(items) {
					if( items.length > 1 ){
						showCityPickerButton.innerText = items[1].text;
					}else{
						showCityPickerButton.innerText = items[0].text;
					}
					showCityPickerButton.setAttribute("flag","1");
	                
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
			
			//活动类型
			typePicker.setData(data.actType);
			var showTypePickerButton = document.getElementById('ACT_TYPE');
			showTypePickerButton.addEventListener('tap', function(event) {
				typePicker.show(function(items) {
					if( items.length > 1 ){
						showTypePickerButton.innerText = items[1].text;
					    showTypePickerButton.setAttribute("typeId",items[1].value);
					}else{
						showTypePickerButton.innerText = items[0].text;
					    showTypePickerButton.setAttribute("typeId",items[0].value);
					}
					
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
			
			//活动内容
    		var act = data.act;
    		if( act ){
    			$("#ACT_NAME").val(act.ACT_NAME);
    			$("#ACT_CONTENT").val(act.ACT_CONTENT);
    			$("#duedate").text(timeStamp2String(act.DUE_DATE,"ymdhm"));
    			$("#startdate").text(timeStamp2String(act.START_DATE,"ymdhm"));
    			$("#enddate").text(timeStamp2String(act.END_DATE,"ymdhm"));
    			$("#DUE_DATE").val(timeStamp2String(act.DUE_DATE,"ymdhm"));
    			$("#START_DATE").val(timeStamp2String(act.START_DATE,"ymdhm"));
    			$("#END_DATE").val(timeStamp2String(act.END_DATE,"ymdhm"));
    			$("#ACT_TYPE").text(act.TYPE_NAME);
    			$("#ACT_TYPE").attr("typeId",act.ACT_TYPE);
    			$("#CITY").text(act.ACT_CITY);
    			$("#CITY").attr("flag","1");
    			$("#ACT_IMG").attr("src",getDefaultImage(act.ACT_IMG,"../../../images/iconfont-tianjia.png"));
    			$("#ACT_IMG").attr("path",act.ACT_IMG);
    			$("#LIMIT_COUNT").val(act.LIMIT_COUNT);
    			$("#SPONSOR").val(act.SPONSOR);
    			$("#HEADPHONE").val(act.HEADPHONE);
    			$("#ACT_ADDR").val(act.ACT_ADDR);
    			
    			var hdfyData = {};
    			hdfyData.IS_FREE = act.IS_FREE;
				hdfyData.PRICE = act.PRICE;
				hdfyData.VIP_PRICE = act.VIP_PRICE;
				hdfyData.VICE_PRE_PRICE = act.VICE_PRE_PRICE;
				hdfyData.EXE_VICE_PRE_PRICE = act.EXE_VICE_PRE_PRICE;
				hdfyData.PRESIDENT_PRICE = act.PRESIDENT_PRICE;
				hdfyData.FEE_DESCRIPTION = act.FEE_DESCRIPTION;
				setStorage("hdfyData",hdfyData);
    			resetFee(hdfyData);
    		}
    	}
    }
	
	//修改活动
	$scope.addActivity=function(param){
		param.USER_ID = userId;
		param.ACT_ID = actid;
	    angularPost($http,  
	    {
			InterfaceId: '2017056',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			console.log("发布成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("发布成功!");
				//关闭详情页
				var page = plus.webview.currentWebview().opener();
				page.close();
				//刷新列表页
				var wv = plus.webview.getWebviewById("huodong.html");
				if( wv ){
					wv.evalJS("reloadHuo('#"+actid+"',1)");
				}
				setTimeout(function () {
					mui.back();
				},200)
			}else{
				mui.toast("发布失败!");
			}
		},function(){
			console.log("发布失败");
		});  
	} 
});