mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var jxApp=angular.module('jxApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jxApp.controller('indexController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;  
	var param=null;
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017001',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			var firRots = res.firRots || [];
			var secRots = res.secRots || [];
			var firMeds = res.firMeds || [];
			var secMeds = res.secMeds || [];
			$scope.firMeds=firMeds;
			$scope.secMeds=secMeds; 
			//1、轮换大图
			if( firRots.length > 0 ){
				$scope.firRots=firRots; 
				$scope.firRot=firRots[0];
				$scope.lasRot=firRots[firRots.length-1];
			}
			//2、轮换小图
			if( secRots.length > 0 ){
				$scope.secRots=secRots; 
				$scope.firAct=secRots[0];
				$scope.lasAct=secRots[secRots.length-1];
			}
		    console.log("查询成功！"+$scope.firRots);  
		},function(){
			console.log("失败");
		});  
	}  
    //$scope.initLoad();   
}); 

jxApp.controller('mediaIndexController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
	$scope.currentPage=1;
	$scope.pageSize=pageSize; 
	$scope.loadImg=function(){    
	    angularPost($http,  
	    {
			InterfaceId: '2017002',
			Token: token,
			params: Encrypt(JSON.stringify(null)), 
      		md5_str: faultylabs.MD5(JSON.stringify(null)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			$scope.imgs=angular.fromJson(data.result);  
			angular.forEach($scope.imgs,function(data,index){
		    	 console.log(index+"index"+JSON.stringify(data));
		    	if(index==0){
		    	   $scope.firImg=data; 
		    	} 
		    	if(index==($scope.imgs.length-1)){
		    	   $scope.lasImg=data; 
		    	}  
		   });   
		},function(){
			console.log("失败");
		});  
	}  
	
	$scope.loadDown=function(){//下拉刷新 
		$scope.currentPage=1;
		var param={"MORS":2,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
	    angularPost($http,  
	    {
			InterfaceId: '2017003',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result);  
			var medias=angular.fromJson(data.result); 
			$scope.sliderFlag=false;
			var html='';
		    for(var i=0;i<medias.length;i++){
				var mid = medias[i].ID; 
				var img = medias[i].IMGS; 
				var title = medias[i].TITLE;
				var summary = medias[i].SUMMARY;
				var resource = medias[i].RESOURCE;
				var viewcount=medias[i].VIEW_COUNT
				html+='<li class="zixun-list" media_id="'+mid+'">'; 
				html+='<div class="news-list-img">'; 
				if(img!=null&&img!=''&&img!=undefined){ 
					html+='<img src="'+$scope.imgPath+img+'">'; 
				}else{
					html+='<img src="../../../res/img/1-02.jpg" >'; 
				}  
				html+='</div><div class="news-list-title">';  
				if(summary!=null&&summary!=''&&summary!=undefined){
					html+='<h4 class="hcss_1">'+title+'</h4>'; 
					html+='<p class="pyou">'+summary+'</p>'; 
				}else{
					html+='<h4 class="hcss_2">'+title+'</h4>';  
					html+='<p class="pwu"></p>'; 
				} 
				html+='<div class="dibu">';
				html+='<div class="news-list-form">';
				if(resource!=null&&resource!=''&&resource!=undefined){
					html+='<p>转自：<div>'+resource+'</div></p>';
				}else{
					html+='<p>转自：<div></div></p>';
				}
				html+='</div>'; 
				html+='<div class="news-list-num">'+viewcount+'</div>'; 
				html+='</div></li>'; 
			} 
			$("#media-list").html(html); 
		},function(){
			console.log("失败");
		});  
	}  
	
	$scope.loadUp=function(){//上拉加载更多  
		$scope.currentPage++;
		var param={"MORS":2,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
	    angularPost($http,  
	    {
			InterfaceId: '2017003',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result);  
			var medias=angular.fromJson(data.result); 
			if(medias.length <$scope.pageSize){
				$scope.sliderFlag=true;
			}else{
				$scope.sliderFlag=false;
			} 
			var html='';
		    for(var i=0;i<medias.length;i++){
				var mid = medias[i].ID; 
				var img = medias[i].IMGS;
				var title = medias[i].TITLE;
				var summary = medias[i].SUMMARY;
				var resource = medias[i].RESOURCE;
				var viewcount=medias[i].VIEW_COUNT
				html+='<li class="zixun-list" media_id="'+mid+'">'; 
				html+='<div class="news-list-img">'; 
				if(img!=null&&img!=''&&img!=undefined){ 
					html+='<img src="'+$scope.imgPath+img+'">'; 
				}else{
					html+='<img src="../../../res/img/1-02.jpg" >'; 
				} 
				html+='</div><div class="news-list-title">'; 
//				if(summary!=null&&summary!=''&&summary!=undefined){
//					html+='<h4 class="hcss_1">'+title+'</h4>'; 
//					html+='<p>'+summary+'</p>'; 
//				}else{
//					html+='<h4 class="hcss_2">'+title+'</h4>';  
//				} 
//				html+='<div class="news-list-form">'; 
//				html+='<div>转自：</div>'; 
//				if(resource!=null&&resource!=''&&resource!=undefined){
//					html+='<span>'+resource+'</span>'; 
//				} 
//				html+='</div>'; 
//				html+='<div class="news-list-num">'+viewcount+'</div>'; 
//				html+='</div></li>'; 
				if(summary!=null&&summary!=''&&summary!=undefined){
					html+='<h4 class="hcss_1">'+title+'</h4>'; 
					html+='<p class="pyou">'+summary+'</p>'; 
				}else{
					html+='<h4 class="hcss_2">'+title+'</h4>';  
					html+='<p class="pwu"></p>'; 
				} 
				html+='<div class="dibu">';
				html+='<div class="news-list-form">';
				if(resource!=null&&resource!=''&&resource!=undefined){
					html+='<p>转自：<div>'+resource+'</div></p>';
				}else{
					html+='<p>转自：<div></div></p>';
				}
				html+='</div>'; 
				html+='<div class="news-list-num">'+viewcount+'</div>'; 
				html+='</div></li>'; 
			} 
			$("#media-list").append(html);    
		},function(){
			console.log("失败");
		});  
	}  
    $scope.loadImg();  //加载首页头部 
    $scope.loadDown();//加载首页列表数据
});  