mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var jxApp=angular.module('jxApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;
var userId=localStorage.getItem("userId");
jxApp.controller('indexController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.direct=0;          //0表示下拉刷新，1表示上滑加载更多
    $scope.sliderFlag = false;
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    
	$scope.initLoad=function(){    
		//接口参数
		var param={"USER_ID":userInfo.userid,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		console.log("param:"+JSON.stringify(param))
	
	    angularPost($http,  
	    {
			InterfaceId: '2017011',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var group_num = 0;//图片分组
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {
    		group_num += i;
    		var imgArr = d.imgs;
    		var userImg = getDefaultImage(d.USER_IMG,"../../../images/myren/moren.jpg");
    	    dataList += '<div id="'+d.ID+'" class="card facebook-card nearby-a index-d">'
							+ '<div class="card-header no-border">'		
								+ '<div uid="'+d.USER_ID+'" class="facebook-avatar">'
									+ '<img src="'+userImg+'" width="34" height="34">'
								+ '</div>'
								+ '<div class="facebook-name clo-t">'+checkNull(d.REAL_NAME)+'</div>'
								+ '<div class="facebook-date clo-d">'
									+ '<img src="../../../images/editorimg/xz.png" />'
									+ '<span>&nbsp;'+getDateDiff(d.PUBLISH_DATE)+'</span>'
								+ '</div>'
							+ '</div>'
							
							+ '<div class="pyq-detail">'
								+ '<div class="card-content">';
								if( imgArr.length == 1 ){//单张图片
									var height = checkInt(imgArr[0].IMG_H);
									var width = checkInt(imgArr[0].IMG_W);
									var swidth = window.screen.width; 
									var size = getImgSize(height,width,360,swidth);
									var url = getDefaultImage(imgArr[0].IMG_PATH,"../../../images/60x60.gif");
									dataList += '<div style="margin-bottom:5px;max-height:360px;overflow:hidden;">'
													+ '<img class="pb-standalone" src="'+url+'" style="margin:0 auto;width:'+size.width+'px;height:'+size.height+'px;" data-preview-src="" data-preview-group="'+group_num+'"  data-content="">'
												+ '</div>';
								}else{
									dataList += '<div class="row" style="padding:0 2%;">'
										if( imgArr.length == 2 || imgArr.length == 4 ){//2或4张图片
											$.each(imgArr,function(j,img) {	
												var height = checkInt(img.IMG_H);
												var width = checkInt(img.IMG_W);
												var size = getImgSize(height,width,160,120);
												var pic = getDefaultImage(img.IMG_PATH,"../../../images/60x60.gif");
												dataList += '<div style="float:left;margin: 1%;width:48%;">'
												                + '<div style="width:140px;max-height:160px;overflow:hidden;margin: 0 auto;">'
																   + '<img class="pb-standalone" height="'+size.height+'px" width="'+size.width+'px" style="margin:0 auto;" src="'+pic+'" data-preview-src="" data-preview-group="'+group_num+'"  data-content="">'
																+ '</div>'
															+ '</div>';
											})			
														
										}else{
											$.each(imgArr,function(j,img) {	
												var height = checkInt(img.IMG_H);
												var width = checkInt(img.IMG_W);
												var size = getImgSize(height,width,100,100);
												var pic = getDefaultImage(img.IMG_PATH,"../../../images/60x60.gif");
												dataList += '<div  style="margin: 1%;width:31%;float:left;">'
												                    + '<div style="width:100px;max-height:100px;overflow:hidden;margin: 0 auto;">'
																	    + '<img class="pb-standalone" height="'+size.height+'px" width="'+size.width+'px" style="margin:0 auto;" src="'+pic+'" data-preview-src="" data-preview-group="'+group_num+'"  data-content="">'
																    + '</div>'
																+ '</div>';
											})				
										}
									dataList += '</div>';
								}
										
								dataList += '</div>'
								+ '<div class="bottom-content">'
									+ '<div class="card-content" style="margin-top: 10px;">'
										+ '<p class="clo-t fs-b index-a">'+d.CONETENT+'</p>'
									+ '</div>'
									+ '<div class="card-footer no-border bg-clo-f index-b">'
										+ '<a href="#" class="link clo-d"><img src="../../../images/editorimg/dz.png" />&nbsp;'+d.ADDR+'</a>'
									+ '</div>'
									+ '<div class="card-footer no-border bg-clo-f index-c">'
										+ '<div></div>'
										+ '<div>'
											+ '<a href="#" class="link pull-right clo-d">'
												+ '<img src="../../../images/editorimg/xx.png" />&nbsp;评论'
											+ '</a>'
											+ '<a href="#" class="link pull-right clo-d">';
											if( d.isDz == "1" ){
												dataList += '<span class="like hover">赞</span>';
											}else{
												dataList += '<span class="like">赞</span>';
											}
											dataList += '</a>'
										+ '</div>'
									+ '</div>'
								+ '</div>'
							+ '</div>'
						+ '</div>';
    	})
    	if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//暂无动态
		if( $scope.currentPage == 1 && ( data == null || data.length == 0) ){
			$(".no-bg").show();
		}else{
			if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
			$(".no-bg").hide();
		}
		
		//点击头像进入个人中心
		$(".facebook-avatar").on("tap",function(){ 
			var uid=this.getAttribute("uid"); 
			var pame={"USER_ID":uid};
	        	if(pame==userId){
	        		toUrl("../../../html/wode/my.html",pame,false);
	        	}else{
	        		toUrl("../../../html/wode/other.html",pame,false);
	        	} 
		});
		
		//朋友圈详情页
		$(".pyq-detail .bottom-content").on("tap",function(){ 
			setStorage("PYQ_ID",this.parentNode.parentNode.getAttribute("id"));
			toUrl("../Friends/pengyouxq.html"); 
		});
		
		//图片预览
//		$(".card-content").find("img").on("tap",function(){ 
//			markLayer(this);
//			event.stopPropagation();
//          event.preventDefault();
//		});
		
	}
}); 
