var jxApp=angular.module('jxApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jxApp.controller('detailController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath; 
	
	//分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    
    //朋友圈ID
    var PYQ_ID = getStorage("PYQ_ID"); 
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    
    /**************详情接口*****************/
    //接口参数
	$scope.initLoad=function(){    
		var param={"PYQ_ID":PYQ_ID,"USER_ID":userInfo.userid};
	    console.log("param:"+JSON.stringify(param))
	    
	    angularPost($http,  
	    {
			InterfaceId: '2017013',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initData(res);
			
			$scope.loadHome();//加载首页评论
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var comments = 0;//评论数量
    function initData(data) {
    	$("#user_img").parent().attr("id",data.USER_ID);
    	var userImg = getDefaultImage(data.USER_IMG,"../../../images/myren/moren.jpg");
    	$("#user_img").attr("src",userImg);
    	$("#use_name").text(data.REAL_NAME);
    	$("#publish_date").text(" "+getDateDiff(data.PUBLISH_DATE));
    	$("#content P").text(data.CONETENT);
    	$("#address").find("a span").text(data.ADDR);
    	if( data.isDz == "1" ){
    		$(".like").addClass("hover");
    	}
    	
    	var img_content = '';
    	var imgArr = data.imgs;
    	if( imgArr.length == 1 ){//单张图片
//  		var img = getDefaultImage(imgArr[0].IMG_PATH,"../../../images/60x60.gif");
//			img_content += '<div style="margin-bottom:5px;max-height:360px;overflow:hidden;">'
//										+ '<img class="pb-standalone" src="'+img+'"  style="margin:0 auto;max-width:100%;min-height:375px;" data-preview-src="" data-preview-group="2"  data-content="">'
//									+ '</div>';
            var height = checkInt(imgArr[0].IMG_H);
			var width = checkInt(imgArr[0].IMG_W);
			var swidth = window.screen.width; 
			var size = getImgSize(height,width,360,swidth);
			var url = getDefaultImage(imgArr[0].IMG_PATH,"../../../images/60x60.gif");
			img_content += '<div style="margin-bottom:5px;max-height:360px;overflow:hidden;">'
							+ '<img class="pb-standalone" src="'+url+'" style="margin:0 auto;width:'+size.width+'px;height:'+size.height+'px;" data-preview-src="" data-preview-group="2"  data-content="">'
						+ '</div>';
		}else{
//			img_content += '<div class="row" style="padding:0 2%;">'
//				if( imgArr.length == 2 || imgArr.length == 4 ){//2或4张图片
//					$.each(imgArr,function(j,img) {	
//						var pic = getDefaultImage(img.IMG_PATH,"../../../images/60x60.gif");
//						img_content += '<div style="width:48%;float:left;margin: 1%;max-height:160px;overflow:hidden;">'
//										+ '<img class="pb-standalone" src="'+pic+'" data-preview-src="" data-preview-group="2"  data-content="">'
//									+ '</div>';
//					})			
//								
//				}else{
//					$.each(imgArr,function(j,img) {	
//						var pic = getDefaultImage(img.IMG_PATH,"../../../images/60x60.gif");
//						img_content += '<div style="margin: 1%;width:31%;float:left;max-height:100px;overflow:hidden;">'
//											+ '<img class="pb-standalone" src="'+pic+'" data-preview-src="" data-preview-group="2"  data-content="">'
//										+ '</div>';
//					})				
//				}
//			img_content += '</div>';
            img_content += '<div class="row" style="padding:0 2%;">'
			if( imgArr.length == 2 || imgArr.length == 4 ){//2或4张图片
				$.each(imgArr,function(j,img) {	
					var height = checkInt(img.IMG_H);
					var width = checkInt(img.IMG_W);
					var size = getImgSize(height,width,160,120);
					var pic = getDefaultImage(img.IMG_PATH,"../../../images/60x60.gif");
					img_content += '<div style="float:left;margin: 1%;width:48%;">'
					                + '<div style="width:140px;max-height:160px;overflow:hidden;margin: 0 auto;">'
									   + '<img class="pb-standalone" height="'+size.height+'px" width="'+size.width+'px" style="margin:0 auto;" src="'+pic+'" data-preview-src="" data-preview-group="2"  data-content="">'
									+ '</div>'
								+ '</div>';
				})			
							
			}else{
				$.each(imgArr,function(j,img) {	
					var height = checkInt(img.IMG_H);
					var width = checkInt(img.IMG_W);
					var size = getImgSize(height,width,100,100);
					var pic = getDefaultImage(img.IMG_PATH,"../../../images/60x60.gif");
					img_content += '<div  style="margin: 1%;width:31%;float:left;">'
					                    + '<div style="width:100px;max-height:100px;overflow:hidden;margin: 0 auto;">'
										    + '<img class="pb-standalone" height="'+size.height+'px" width="'+size.width+'px" style="margin:0 auto;" src="'+pic+'" data-preview-src="" data-preview-group="2"  data-content="">'
									    + '</div>'
									+ '</div>';
				})				
			}
		    img_content += '</div>';
		}
    	$("#img_content").html(img_content);
    	//图片预览
//		$(".card-content").find("img").on("tap",function(){ 
//			markLayer(this);
//			event.stopPropagation();
//          event.preventDefault();
//		});
    	
    	comments = data.COMMENT_COUNT;
    	console.log("评论总数:"+comments)
    	if( !isNull(comments) && parseInt(comments) > 0 ){
    		if( $("#totalNum").attr("class") != null ){
				$("#totalNum").find("span").text(data.COMMENT_COUNT+"条评论")
			}else{
				var totalList = '<div id="totalNum" num="'+data.COMMENT_COUNT+'" class="card-footer no-border bg-clo-f index-b">'
								+ '<span>'+data.COMMENT_COUNT+' 条评论</span>'
							+ '</div>';
				$("#dataList").before(totalList);			
			}
		}else{
			$scope.sliderFlag = true;
		}
    	$(".firstHide").fadeOut();
    }
    
    
    /**************上拉加载*****************/
    $scope.loadMore=function(){
    	var param={"PYQ_ID":PYQ_ID,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
	    console.log("param:"+JSON.stringify(param))
    	
		angularPost($http,  
	    {
			InterfaceId: '2017014',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initCData(res);
			}
		},function(){
			console.log("失败");
		});   
	} 
	
	/**************下拉加载*****************/
    $scope.loadHome=function(){
    	var param={"PYQ_ID":PYQ_ID,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		console.log("param:"+JSON.stringify(param))
    	
		angularPost($http,  
	    {
			InterfaceId: '2017014',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initCData(res);
		},function(){
			console.log("失败");
		});   
	} 
	
	//$scope.loadHome();//加载首页评论
	function initCData(data) {
		var dataList = '';
		$.each(data,function(i,d) {
			var img = getDefaultImage(d.USER_IMG,"../../../images/60x60.gif");
			dataList += '<div class="comment">'
						+ '<div class="card-header no-border">'
							+ '<div class="facebook-date clo-d pull-right">'+timeStamp2String(d.COMMENT_DATE, "ymdhms")+'</div>'
							+ '<div class="facebook-avatar">'
								+ '<img id="'+d.USER_ID+'" src="'+img+'" width="34" height="34">'
							+ '</div>'
							+ '<div class="facebook-name clo-t">'+d.REAL_NAME+'</div>'								
						+ '</div>'
						+ '<div class="card-content">'
							+ '<div class="card-content-inner">'
								+ '<p class="clo-t fs-b">'+d.CONTENT+'</p>'
							+ '</div>'
						+ '</div>'
					+ '</div>';
		})
		
//		if( comments == "0" ){
//			$("#dataList").html('<div class="ta-c">暂无数据</div>');
//		}else{
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
//		}
		
	}
    
    
    /**************点赞*****************/
    $scope.like=function(){
    	var param={"PYQ_ID":PYQ_ID,"USER_ID":userInfo.userid};
		console.log("param:"+JSON.stringify(param))
		
		angularPost($http,  
	    {
			InterfaceId: '2017016',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("点赞成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			
			if( res.code == "200" ){
				mui.toast("操作成功！");
				
				//点赞
				if( $(".like").hasClass("hover") ){
					$(".like").removeClass("hover");
				}else{
					$(".like").addClass("hover");
				}
				
				//首页点赞
				var page = plus.webview.getWebviewById("../Friends/index.html");
				if( page == null || page == "null" ){
					page = plus.webview.getWebviewById("../Nearby/index.html");
				}
				page.evalJS("like()");
			}else{
				mui.toast("操作成功！");
			}
			
		},function(){
			console.log("失败");
		});   
	} 
}); 
