mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var jxApp=angular.module('jxApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jxApp.controller('indexController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;  
	//分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
	
	$scope.initLoad=function(){//下拉刷新   
		var param={"MORS":2,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
	    angularPost($http,  
	    {
			InterfaceId: '2017003',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result);   
			var res = angular.fromJson(data.result); 
		    initData(res); 
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
     function initData(data) { 
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		} 
    		var dataList = '';
	    	$.each(data,function(i,d) {  
				var date=timeStamp2String(d.PUBLISH_DATE,"ymd2");  
		    	//后台发布的项目
		    	var img = getDefaultImage(d.IMGS,"../../images/60x60.gif",imgPath);
    			dataList +='<div class="in-content" id="'+d.ID+'">' 
							+ '<div class="in-content-iframe">' 
								+ '<div class="in-content-font">'+d.TITLE+'</div>'
								+ '<div class="in-content-resource">'+checkNull(d.RESOURCE)+'</div> '
		 						+ '<div class="info"><img src="'+img+'" height=150; width=100%></div>'
		 					+'</div>'
		 					+ '<div class="in-content-date">'+date+'</div>' 
		 				+ '</div> '  
	    	})  
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			} 
			
			$("#dataList .in-content").on("tap",function(){ 
				var id=this.getAttribute("id");   
            	var page="zixundetails.html"; 
            	var wv = plus.webview.getWebviewById(page);  
				if(wv!=null){//判断页面是否已经存在，若存在则刷新，若不存在则不刷新 
					toUrl(page,id,true);
				}else{ 
					toUrl(page,id,false);
				}    
			});
    	} 
    } 
}); 
 