mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var videoApp=angular.module('videoApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

videoApp.controller('videoController',function($scope,$http){  
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数 
    $scope.sliderFlag = false; 
    
	$scope.initLoad=function(){    
		//接口参数
		var param={"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		console.log("param:"+JSON.stringify(param))
	
	    angularPost($http,  
	    {
			InterfaceId: '2017178',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();    
    
    function initData(data) {
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
	    	var dataList = '';
	    	$.each(data,function(i,d) {  
	    		if(d.URL!=null&&d.URL!=''){
	    			dataList += '<div class="video-content">'
								+ '<div class="card-header no-border">'		
									+ ' <iframe height=200 width=100% src="'+d.URL+'" frameborder=0 "allowfullscreen"></iframe>'
								+ '</div>'
								+ '<div class="item-cont-video" >'
									+ '<div  class="item-cont-title">'+d.TITLE+'</div>'  
								+ '</div>' 
							+ '</div>';
	    		} 
	    	})
	    	if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			} 
		}
	}
});  