var wdApp=angular.module('wdApp',['ngSanitize']);  
var token=localStorage.getItem("token"); 
var userId=localStorage.getItem("userId"); 
var pageSize=10; 

wdApp.controller('WtXqController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
	$scope.currentPage=0;
	$scope.pageSize=pageSize; 
	var wtid=getToUrlParams(); 
	$scope.loadData=function(){  
		var param={"WT_ID":wtid,"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: '2017019',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			$scope.wt=angular.fromJson(data.result);  
			$scope.bqs=angular.fromJson($scope.wt.bqs); 
			var img = $(".zan").css("background-image");
			if($scope.wt.isDz==1){ 
		   		$(".zan").css("background-image", "url(../../../images/wenda/za_2.png)");
			}else{
				$(".zan").css("background-image", "url(../../../images/wenda/za_1.png)");
			}
			var gz = $(".tag-c").css("background-image");
			if($scope.wt.isGz==1){ 
		   		$(".tag-c").css("background-image", "url(../../../images/wenda/guanzhu-01.png)");//已经关注
			}else{
				$(".tag-c").css("background-image", "url(../../../images/wenda/guanzhu.png)");//已经关注
			} 
		},function(){
			console.log("失败");
		});  
	}  
	
	//加载评论方法
	$scope.loadHuiDas=function(){  
		$scope.currentPage++; 
		var param={"WT_ID":wtid,"USER_ID":null,"pageSize":$scope.pageSize,"currentPage":$scope.currentPage};
	    angularPost($http,  
	    {
			InterfaceId: '2017020',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			var hds=angular.fromJson(res.hds);  
			$scope.wtcs=angular.fromJson(res.count);
			var html='';
		    for(var i=0;i<hds.length;i++){
				var hdid = hds[i].ID; 
				var uid=hds[i].USER_ID;
				var img= hds[i].USER_IMG; 
				var name=hds[i].REAL_NAME; 
				var time=timeStamp2String(hds[i].DATE,"ymd"); 
				var content=hds[i].CONTENT; 
				html+='<div class="hf bg-clo-f">'; 
				html+='<div uid="'+uid+'" class="hf-title f-box">';
				html+='<div class="hfr-img">'; 
				if(img!=null&&img!=''&&img!=undefined){
					if(img.indexOf('http://')>=0){
						html+='<img src="'+img+'"/>';
					}else{
						html+='<img src="'+$scope.appimgPath+img+'"/>';
					} 
				}else{
					html+='<img src="../../../images/myren/moren.jpg"/>';
				}  		
				html+='</div>';
				html+='<div class="hfr-name">'+name+'</div>';
				html+='<div class="f1"></div>';
				html+='<div class="hf-date">'+time+'</div>';
				html+='</div>';
				html+='<div hdid="'+hdid+'" class="hf-detail f-beyond3">'+content+'</div>';
				html+='</div>';  
			} 
		    if($scope.currentPage==1){
		    	$(".hf-content").html(html);   
		    }else{
		    	$(".hf-content").append(html);  
		    } 
		    if(hds.length<$scope.pageSize){ 
		    	$("#no_data").text("没有更多数据...");  
		    }else{
		    	$("#no_data").text("下拉加载更多...");  
		    }
		    toUser();
		    toGz();
		    toAgree();
		    toDetail();
		},function(){
			console.log("失败");
		});  
	}
	
	//关注方法
	$scope.editGz=function(){ 
		var param={"WT_ID":wtid,"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: '2017024',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			var res=angular.fromJson(data.result); 
			if(res.code==200){ 
				var img = $(".tag-c").css("background-image");
		   		if( img.indexOf("guanzhu-01") < 0 ){
		   			$(".tag-c").css("background-image", "url(../../../images/wenda/guanzhu-01.png)");//已经关注
		   		}else{
			    	$(".tag-c").css("background-image", "url(../../../images/wenda/guanzhu.png)");//未关注
			    }  
			}
		},function(){
			console.log("失败");
		});  
	} 
	
	//点赞/取消点赞方法
	$scope.addAgree=function(){   
		var param={"WT_ID":wtid,"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: '2017023',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){
			var res=angular.fromJson(data.result);  
			if(res.code=200){ 
				$scope.wt.AGREE_COUNT=res.count;
				console.log("点赞成功！");
				var img = $(".zan").css("background-image");
		   		if( img.indexOf("za_1.png") < 0 ){
		   			$(".zan").css("background-image", "url(../../../images/wenda/za_1.png)");
		   		}else{
			    	$(".zan").css("background-image", "url(../../../images/wenda/za_2.png)");
			    } 
			}else{ 
				console.log("点赞失败！");
			} 
		},function(){
			console.log("失败");
		});  
	}
	
	
	//新增回答方法
	$scope.addHd=function(mid,content){   
		var param={"MEDIA_ID":mid,"USER_ID":userId,"CONTENT":content};
	    angularPost($http,  
	    {
			InterfaceId: '2017007',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){
			var res=angular.fromJson(data.result);  
			if(res.code=200){
				$scope.currentPage=0; 
				$scope.loadComments();
				$("#comments").val(null);
				mui.toast("评论成功！"); 
				console.log("评论成功！");
			}else{
				mui.toast("评论失败！"); 
				console.log("评论失败！");
			} 
		},function(){
			console.log("失败");
		});  
	}
	
	
	//关注
	function toGz(){
		$(".tag-c").on("tap",function(){
			$scope.editGz();
		});
	}
	
	//跳转至个人中心
	function toUser(){
		mui(".hf").on("tap",".hf-title",function(){
        	var uid=this.getAttribute("uid"); 
        	var pame={"USER_ID":uid};
        	if(uid==userId){
        		toUrl("../../../html/wode/my.html",pame,false);
        	}else{
        		toUrl("../../../html/wode/other.html",pame,false);
        	} 
        });  
	}
	
	//跳转至回答详情
	function toDetail(){
		$(".hf-detail").on("tap",function(){  
			var hdid=this.getAttribute("hdid");  
        	toUrl("hf-detail.html",hdid,false);  
		}); 
	}
	
	//点赞
	function toAgree(){
		$(".zan").on("tap",function(){ 
			$scope.addAgree();  
		});
	}
	
    $scope.loadData();  //加载问题详情
    $scope.loadHuiDas();//加载问题回答列表
}); 

wdApp.controller('HdXqController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;    
	var hdid=getToUrlParams(); 
	$scope.loadData=function(){  
		var param={"HD_ID":hdid};
	    angularPost($http,  
	    {
			InterfaceId: '2017021',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			$scope.hd=angular.fromJson(data.result);
			$scope.time=timeStamp2String($scope.hd.DATE,"ymd"); 
			
		},function(){
			console.log("失败");
		});  
	}  
	 
    $scope.loadData();  //加载回答详情 
}); 