mui.plusReady(function() {
	plus.nativeUI.showWaiting();
	//最大loading时间
	setTimeout(function() {
		plus.nativeUI.closeWaiting();
	}, 3000)
});

var zxApp = angular.module("zxApp", ['ngSanitize']); 
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId"); 
var pageSize=10;   

zxApp.controller('mediaDetailController',function($scope,$http){  
	$scope.imgPath =imgPath;  
	$scope.appimgPath =appimgPath;   
	$scope.currentPage=0;
	$scope.pageSize=pageSize; 
	var mid=getToUrlParams(); 
	$scope.loadMedia=function(){  
		var param={"MEDIA_ID":mid,"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: '2017004',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			console.log("查询成功！"+data.result); 
			$scope.media=angular.fromJson(data.result);   
			$scope.media_time=timeStamp2String($scope.media.PUBLISH_DATE,"ymdhm"); 
		},function(){
			console.log("失败");
		});  
	}  
	//加载评论方法
	$scope.loadComments=function(){  
		$scope.currentPage++; 
		var param={"MEDIA_ID":mid,"pageSize":$scope.pageSize,"currentPage":$scope.currentPage};
	    angularPost($http,  
	    {
			InterfaceId: '2017005',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){  
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			var comms=angular.fromJson(res.comments); 
			$scope.commCount=angular.fromJson(res.count); 
			var html='';
		    for(var i=0;i<comms.length;i++){
				var mid = comms[i].ID; 
				var uid=comms[i].USER_ID;
				var img= comms[i].USER_IMG;  
				var name=comms[i].REAL_NAME; 
				var time=timeStamp2String(comms[i].COMMENT_DATE,"ymdhm"); 
				var content=comms[i].CONTENT;
				html+='<div class="zx-pllist">'; 
				html+='<div class="zx-as">';
				html+='<div class="zx-nm">';
				if(img!=null&&img!=''&&img!=undefined){ 
					if(img.indexOf('http://')>=0){
						html+='<a><img uid='+uid+' class="pl-img" src="'+img+'"/></a>';
					}else{
						html+='<a><img uid='+uid+' class="pl-img" src="'+$scope.appimgPath+img+'"/></a>';
					} 
				}else{
					html+='<a><img uid='+uid+' class="pl-img" src="../../../images/myren/moren.jpg"/></a>';
				} 
				html+='<span class="pl-name">'+name+'</span>';
				html+='</div>';
				html+='<div class="pl-time">'+time+'</div>';
				html+='</div>';
				html+='<div class="pl-conetpl">'+content;
				html+='</div></div>'; 
			}
		    if($scope.currentPage==1){
		    	$("#media-comments").html(html);   
		    }else{
		    	$("#media-comments").append(html);  
		    }  
		    if(comms.length<$scope.pageSize){ 
		    	$("#no_data").text("没有更多数据...");  
		    }else{
		    	$("#no_data").text("下拉加载更多...");  
		    }
		    mui(".zx-nm").on("tap",".pl-img",function(){
	        	var uid=this.getAttribute("uid"); 
	        	var pame={"USER_ID":uid};
	        	if(uid==userId){
	        		toUrl("../../../html/wode/my.html",pame,false);
	        	}else{
	        		toUrl("../../../html/wode/other.html",pame,false);
	        	} 
	        }); 
		},function(){
			console.log("失败");
		});  
	}
	
	//收藏方法
	$scope.editCollect=function(mid){ 
		var isCollect=$scope.media.isCollect;
		var param={"OBJECT_ID":mid,"USER_ID":userId,"TYPE":"JL_APP_MEDIA"};
	    angularPost($http,  
	    {
			InterfaceId: '2017006',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			var res=angular.fromJson(data.result); 
			if(res.code==200){
				if(isCollect==0){
					$scope.media.isCollect=1;
					mui.toast("收藏成功！");
				}else{
					$scope.media.isCollect=0;
					mui.toast("取消收藏成功！");
				} 
			}
		},function(){
			console.log("失败");
		});  
	}
	
	//新增评论方法
	$scope.addComments=function(mid,content){   
		var param={"MEDIA_ID":mid,"USER_ID":userId,"CONTENT":content};
	    angularPost($http,  
	    {
			InterfaceId: '2017007',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){
			var res=angular.fromJson(data.result);  
			if(res.code=200){
				$scope.currentPage=0; 
				$scope.loadComments();
				$("#comments").val(null);
				mui.toast("评论成功！"); 
				console.log("评论成功！");
			}else{
				mui.toast("评论失败！"); 
				console.log("评论失败！");
			} 
		},function(){
			console.log("失败");
		});  
	}
	
	//新增分享方法
	$scope.addShare=function(mid){ 
		var param={"MEDIA_ID":mid};
	    angularPost($http,  
	    {
			InterfaceId: '2017008',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			var res=angular.fromJson(data.result);  
			if(res.code=200){
				 //mui.toast("修改分享次数成功！"); 
				console.log("修改分享次数成功！");
			}else{
				 //mui.toast("修改分享次数失败！");
				console.log("修改分享次数失败！");
			}
		},function(){
			console.log("失败");
		});  
	};
	
	//修改查看次数
	$scope.addView=function(){ 
		var param={"MEDIA_ID":mid};
	    angularPost($http,  
	    {
			InterfaceId: '2017026',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){   
			var res=angular.fromJson(data.result);  
			if(res.code=200){ 
				console.log("修改查看次数成功！");
			}else{ 
				console.log("修改查看次数失败！");
			}
		},function(){
			console.log("失败");
		});  
	};
	
    $scope.loadMedia();//加载首页列表数据 
    $scope.loadComments();//加载媒体的评论
    $scope.addView();
});


zxApp.filter('trustHtml', function ($sce) {
    return function (input) {
        return $sce.trustAsHtml(input);
    }
});

