var jyApp=angular.module('genreApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('genreController',function($scope,$http){ 
    $scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017117',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    var sArr = [];//订阅数组
    function initData(data) {
		if( data && data.length > 0 ){
    		//城市
    		var areasList = '';//类型
    		var typeList = '';//子类
    		var active = '';
    		$.each(data, function(i,d) {
    			var checked = '';
    			active = i == 0 ? 'mui-active':'';
    			if( !isNull(d.HY_ID) ){
    				checked = 'checked="true"';
    				sArr.push({"HY_ID":d.HY_ID,"CATE_ID":d.ID,"CATE_PID":d.PID,"FLAG":"1"});
    			}
    			areasList = '<a class="mui-control-item '+active+'" href="#content'+d.ID+'">'+d.NAME+'</a>';
    			$("#segmentedControls").append(areasList);
    			
    			var types = d.childs;
    			typeList = '<div id="content'+d.ID+'" class="mui-control-content '+active+'">'
								+ '<ul class="mui-table-view">';
				if( types && types.length > 0 ){
					$.each(types,function (j,type) {
						if( !isNull(type.HY_ID) ){
		    				checked = 'checked="true"';
		    				sArr.push({"HY_ID":type.HY_ID,"CATE_ID":type.ID,"CATE_PID":type.PID,"FLAG":"1"});
		    			}else{
		    				checked = '';
		    			}
						typeList += '<li class="mui-table-view-cell">'+type.NAME+'<span class="mui-pull-right"><input  id="'+type.ID+'" pid="'+type.PID+'" hy_id="'+type.HY_ID+'" '+checked+' type="checkbox" disabled="disabled"></span></li>';
					})
				}else{
					typeList += '<li class="mui-table-view-cell">'+d.NAME+'<span class="mui-pull-right"><input  id="'+d.ID+'" pid="'+d.PID+'" hy_id="'+d.HY_ID+'" '+checked+' type="checkbox" disabled="disabled"></span></li>';
				}
				typeList += '</ul></div>';
				$("#segmentedControlContents").append(typeList);
    		});
    		
    		$(".mui-table-view").find("li").on("tap", function() {
    			var ID = $(this).find("input").attr("id");
    			var parentid = $(this).find("input").attr("pid");
    			var HY_ID = $(this).find("input").attr("hy_id");
    			if( $(this).find("input").is(':checked') ){//取消选中
    				$.each(sArr,function (i,d) {//遍历订阅数组
    					if( d.CATE_ID == ID ){//订阅数组中存在当前城市
    						if( d.FLAG == 1 ){//FLAG=1:已订阅
    							d.FLAG = 0;//重置FLAG=0：不再订阅
    						}else{//FLAG=0:未订阅
    							sArr.splice(i,1);//删除订阅数组中订阅城市。
    						}
    					}
    				})
    				$(this).find("input").prop("checked",false);
    			}else{//选中
    				if( sArr.length > 0 ){//未订阅过
    					var isDy = false;
    					$.each(sArr,function (i,d) {//遍历订阅数组
	    					if( d.CATE_ID == ID ){//订阅数组中存在当前城市
	    						if( d.FLAG == 0 ){//已订阅被取消订阅的城市，重新订阅
	    							d.FLAG = 1;//重置FLAG=1：已订阅
	    							isDy = true;
	    						}
	    					}
	    				})
    					if( !isDy  ){
    						sArr.push({"HY_ID":HY_ID,"CATE_ID":ID,"CATE_PID":parentid,"FLAG":""});//push到订阅数组中
    					}
    				}else{
    					sArr.push({"HY_ID":HY_ID,"CATE_ID":ID,"CATE_PID":parentid,"FLAG":""});//push到订阅数组中
    				}
    				$(this).find("input").prop("checked",true);
    			}
			});
    	}	
    }
    
    //添加
    $scope.add=function(obj){ 
		//接口参数
		var param={"USER_ID":userInfo.userid};
		if( obj && obj.hys != null  ){
			param.hys = obj.hys;
		}else{
			return;
		}
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017116',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("订阅成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				//管理订阅
				var page = plus.webview.getWebviewById("subscribe.html");
				var str = '';
				$(".mui-table-view").find("li").each(function (i,d) {
					if( $(this).find("input").is(':checked') ){
						str += $(d).text()+"\/";
					}
				})
				page.evalJS("setText('#sub3','"+str+"')");
				
				//重新加载交易首页
				var index = plus.webview.getWebviewById("html/Transaction/index.html");
				index.evalJS("refreshStop(true,true)");
				
				mui.toast("订阅成功！");
				setTimeout(function () {
					mui.back();
				},1000)
			}else{
				mui.toast("订阅失败！");
			}
			
		},function(){
			console.log("订阅失败");
		});  
	} 
	
    $("#submitBtn").on("tap", function() {
    	if( sArr.length <= 0 ){
    		mui.toast("请选择订阅行业！");
    	}else{
    		var btnArray = ['确定', '取消']; 
			mui.confirm('是否确定订阅？', '提示', btnArray, function(e) { 
	            if (e.index == 0) { 
	                var hys = {"hys":sArr};
    		        $scope.add(hys);
	            }  
	        }); 
    	}
	});
}); 
