var jxApp=angular.module('jfApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId"); 
var pageSize=10;

jfApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(data){ 
		//接口参数
		//项目管理
		//flag判断我发布的项目（01我发布的，02我参与的），用户ID：USER_ID，页码：currentPage,条数：pageSize
		var param={
			"flag":data,
			"USER_ID":userId,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};

	    angularPost($http,  
	    {
			InterfaceId: '',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回参数
			 *
			 * 
			 * xmlist，我的积分
			 * 参数：项目名称：PROJECT_NAME，发布时间：RELEASE_DATE，项目内容：PROJECT_CONTENT，状态：STATUS,进度：SCHEDULE，价格：START_PRICE，统计参与人数:cycont
			 * */
			
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    				dataList += '<div class="t-a">'
	    	    				+'<div class="ct-a" id="'+d.ID+'">'
			      				+ '<p>'+d.PROJECT_NAME+'</p>'
								+ '<div class="text">'+d.PROJECT_CONTENT+'</div>'
								+ '<div class="conet-btom">'
									+ '<div class="bto-1">'+d.STAGE_NAME+'</div>'
									+ '<div class="bto-1"><span class="bto-1-num">'+d.START_PRICE+'</span>万</div>'
									+ '<div class="bto-2">已参与<span class="bto-1-num">'+checkInt(d.TOTAL_BIDDER)+'</span>人</div>'
									+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(d.CREATE_DATE)+'</span></div>'
								+ '</div>'
									+'</div>';
								if( d.IS_HOT == "1" ){
								dataList += '<div class="you">'
											  + '<span>优</span>'
											+ '</div>';
									}
			      			dataList += '</div>';
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
    	}
		
    }
}); 