var jyApp=angular.module('jyApp',[]);  
var pageSize=10;

jyApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token");
        var userInfo = getObjStorage("loginUser") || {}; 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017046',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			subscribe();
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		var user_id=d.USER_ID;
	    	    var create_by=d.CREATE_BY;
	    	    var pro_img="";
	    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
	    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
		    	}
		    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
		    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
		    	}
				dataList += '<div class="t-a">'
    				+'<div class="ct-a" id="'+d.ID+'">'
	      				//+ '<p>'+d.PROJECT_NAME+'</p>'
						//+ '<div class="text">'+d.PROJECT_CONTENT+'</div>'
					+ '<div class="shoucang">'
			 			+ '<div class="shoucang_img">'
			 				+ '<img src="'+pro_img+'"/>'
			 			+ '</div>'
			 			+ '<div class="shoucang_name">'
			 			+ '<p>'+d.PROJECT_NAME+'</p>'
			 			+ '<div class="text">'+d.PROJECT_CONTENT+'</div>'
			 			+ '</div>'
	 		        + '</div>'
					+ '<div class="conet-btom">'
						+ '<div class="bto-1">'+d.STAGE_NAME+'</div>'
						+ '<div class="bto-3"><span class="bto-1-num">'+d.START_PRICE+'</span>万</div>'
						+ '<div class="bto-2">已参与<span class="bto-1-num">'+checkInt(d.TOTAL_BIDDER)+'</span>人</div>'
						+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(d.CREATE_DATE)+'</span></div>'
					+ '</div>'
						+'</div>';
					if( d.IS_HOT == "1" ){
					dataList += '<div class="you">'
								  + '<span>优</span>'
								+ '</div>';
						}
      			dataList += '</div>';
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			$("#dataList .ct-a").on("tap",function(){ 
				setStorage("PRO_ID",this.getAttribute("id"));
				toUrl("details.html");
			});
    	}
		
		//马上订阅
		if( $scope.currentPage == 1 && ( data == null || data.length == 0) ){
			subscribe();
		}else{
			refreshStop(false);
		}
    }
    
    function subscribe() {
    	refreshStop(true);
		var dataList = '<div class="dingyue">'
					      + '<div class="dingyue-c"><img src="../../images/editorimg/dingyue.png"/></div>'
					      + '<div class="dingyue-b">订阅适合您跟进的项目</div>'
					      + '<div class="dingyue-a nearby-f">'
					        + '<p style="color: #fff;">马上订阅</p>'
					      + '</div>'
					    + '</div>';
		$("#dataList").html(dataList);
		
		$(".dingyue").on("tap", function() {
			if( verifyUserInfo() ){
				toUrl("subscribe.html");
			}else{
				toLogin();  
			}
		});
    }
}); 
 