var jyApp=angular.module('statusApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('statusController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    //项目ID
    var PRO_ID = getStorage("PRO_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017035',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    $scope.delPro=function(){ 
		//接口参数
		var param={
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017039',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("操作成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("删除成功！");
				//项目管理删除节点
				//var xmtz = plus.webview.getWebviewById("xmtz.html");
				//xmtz.evalJS("delObj('"+PRO_ID+"')");
                
                //刷新已参与列表页
                var page = plus.webview.currentWebview().opener();
				page.evalJS("delPro('#"+PRO_ID+"')");
				setTimeout(function () {
					mui.back();
				},1000)
			}else{
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    
    function initData(data) {
    	//交易状态
    	var status = data.STATUS;
    	var dueStatus = data.DUE_STATUS;
    	var text = "";
    	isAllow = false;
		if( status == "1" ){
    		text = "审核中";
    	}else if( status == "2" ){
    		text = "审核失败";
    		isAllow = true;
    		$(".btn-body").animate({opacity:1},500).css({flter:"Alpha(Opacity=100)"});
    		$("#pro_failure").removeClass("dp-n");
    		$("#pro_failure").find(".clo-sb").text(checkNull(data.NO_PASS_REASON));
    	}else if( status == "3" ){
    		text = "审核通过";
    	}else if( status == "4" ){
    		text = "已分配";
    		if( dueStatus == "0" ){
	    		text = "已截止";
	    	}
    	}else if( status == "5" ){
    		text = "确认中";
    	}else if( status == "6" ){
    		text = "交易完成";
    	}
    	$("#statusLabel .text").text(text);
    	
    	/**星级**/
    	var starLevel = checkInt(data.STAR_LEVEL);
    	$(".icons .mui-icon").each(function (i,d) {
    		if( i <= starLevel-1 ){
    			$(d).removeClass("mui-icon-star").addClass("mui-icon-star-filled");
    		}
    	});
    	
        $("#pro_name .f1").text(data.PROJECT_NAME);
    	$("#pro_modify_date").text(timeStamp2String(data.MODIFY_DATE, "ymd"));
    	$("#pro_cycle").text(timeStamp2String(data.START_DATE,"ym")+" 至 "+timeStamp2String(data.DUE_DATE,"ym"));
    	$("#pro_type").text(data.LX_NAME);
    	$("#pro_level").text(data.PRO_LEVEL_NAME);
    	$("#requir_level").text(data.BID_NAME); 
    	$("#total_bidder").text(data.TOTAL_BIDDER+"人"); 
    	$("#pro_floor").text(data.BUILD_LAYERS+"层");
    	$("#pro_floor_area").text(data.BUILD_AREA+"平方");
    	$("#pro_area").text(data.FLOOR_AREA+"平方");
    	$("#pro_valuation").text(data.START_PRICE+"万");
        var pre = checkNull(data.PROJECT_CONTENT)//$('<pre class="wb-a wb-w of-h">'+checkNull(data.PROJECT_CONTENT)+'</pre>');
    	$("#pro_describe").html(pre);
    	pre = checkNull(data.AVAILABLE_MATERIALS)//$('<pre class="wb-a wb-w of-h>'+checkNull(data.AVAILABLE_MATERIALS)+'</pre>');
    	$("#pro_material").html(pre);
    	/**缩放按钮展示隐藏**/
    	textScaling();
    	
    	var user_id=data.USER_ID;
    	var create_by=data.CREATE_BY;
    	//封面
		var pro_img="../../images/60x60.gif";
    	if( !isNull(user_id) ){//app端发布的项目
	    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif");
    	}
    	if( !isNull(create_by) ){//后台发布的项目
	    	pro_img= getDefaultImage(data.COVER_PATH,"../../images/60x60.gif",imgPath);	 
    	} 
		
    	//图片 
    	var imgs = data.imgs || [];
    	var imgHtml = '';
		$.each(imgs, function(i,d) { 
			var id = i == 0 ? ' id="COVERPATH" ' : "";
			var ask = i == 0 ? "ask" : "";
    		var img = "../../images/60x60.gif";
    		if( !isNull(user_id) ){//app端发布的项目
    			img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
    		}else if( !isNull(create_by) ){//后台发布的项目
    			img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    		}
    		if( i == 0 ){
    			$("#slider").find("img").attr("src",img);	
    		}
    		imgHtml += '<div class="details-img-li" onclick="addimg(this)">'
						+ '<img '+id+' src="'+img+'" alt="">'
						+ '<div class="details-img-li-ask '+ask+'"></div>'
					+ '</div>';
    	});
    	$("#pro_img").html(imgHtml);
    	
    	//项目联系人
    	var phone=data.MANAGER_PHONE;
    	if( !isNull(phone) ){
    		$("#MANAGER_PHONE").attr("phone",phone);
    	}
    	
    	//项目动态
    	var sches = data.sches;
    	$.each(sches, function(i,d) {
    		if( !isNull(d.SCHEDULE) ){
    			if( i < sches.length-1 ){
	    			$("#schedule_"+d.SCHEDULE).addClass("jindu-green");
	    		}else if( i == sches.length-1 ){
	    			$("#schedule_"+d.SCHEDULE).addClass("jindu-orange");
	    		}
	    		$("#schedule_"+d.SCHEDULE).find(".details-jindu-li-2").text(checkNull(d.DESCRIPTION));
    		    var dateStr = isNull(d.DATE) ? "" : timeStamp2String(d.DATE, "ymd");
	    		$("#schedule_"+d.SCHEDULE).find(".f-r").text(dateStr);
    		}
    	});
    	
    }
}); 
