var modifyApp=angular.module('modifyApp',[]);  
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId"); 
modifyApp.controller('modifyController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
    //项目ID
    var PRO_ID = getStorage("PRO_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"PRO_ID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017035',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			
			if( res.length == 0 ){
				$scope.sliderFlag = true;
			}else{
				initData(res);
			}
			
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    $scope.addxq=function(param){  
		//接口参数
		param.USER_ID = userId;
		param.PRO_ID = PRO_ID;
		console.log("param:"+JSON.stringify(param));
		
	    angularPost($http,  
	    {
			InterfaceId: '2017038',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("编辑成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("编辑成功");
				//重新加载项目详情页
				var page = plus.webview.getWebviewById("require_edit.html");
				page.evalJS("reloadData()");
				
				//重新加载已发布项目页面
				var release = plus.webview.getWebviewById("jy-yifabu.html");
				if( release ){
					release.evalJS("pulldownRefresh('#"+PRO_ID+"')");
				}
				setTimeout(function () {
					mui.back();
				},1600)
			}else{
				mui.toast("编辑失败");
			}
		},function(){
			console.log("编辑失败");
		});  
	}   
    
    function initData(data) {
    	var user_id=data.USER_ID;
    	var create_by=data.CREATE_BY;
        //项目详情
    	$("#PROJECT_NAME").val(data.PROJECT_NAME);
    	$("#START_DATE").text(timeStamp2String(data.START_DATE, "ymd"));
    	$("#START_DATE").attr("flag","1");
    	$("#DUE_DATE").text(timeStamp2String(data.DUE_DATE, "ymd"));
    	$("#DUE_DATE").attr("flag","1");
    	
    	//项目概况
    	$("#PART_COUNT").val(data.PART_COUNT);
    	$("#START_PRICE").val(data.START_PRICE);
    	$("#PROJECT_CONTENT").val(checkNull(data.PROJECT_CONTENT));
    	//图片
    	var imgs = data.imgs;
    	var imgHtml = '';
    	$.each(imgs, function(i,d) {
	    	var pro_img="";
	    	if( !isNull(user_id) ){//app端发布的项目
		    	pro_img= getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
	    	}
	    	if( !isNull(create_by) ){//后台发布的项目
		    	pro_img= getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);	 
	    	} 
    		my.imgArr.push(d.IMG_PATH);
    		imgHtml += '<div path="'+d.IMG_PATH+'" class="upload-img">'
    		             + '<img src="'+pro_img+'" data-preview-src="" data-preview-group="2"  data-content=""/>'
						 + '<div class="del"></div>'
					+ '</div>';
    	});
    	$(".renwu-dl-val .add-img").before(imgHtml);
    	
    	$(".renwu-dl-val .upload-img").find(".del").on("tap",function () {
			//清除uploadImg数组中img
			var path = $(this).parent().attr("path");
			my.clearImgArr(path);//清除图片
			if( my.imgArr.length < my.maxLen && $(".renwu-dl-val .add-img").hasClass("dp-n") ){
				$(".renwu-dl-val .add-img").removeClass("dp-n");
			}
			//清除页面元素
			$(this).parent().remove();
		})
    }
    
}); 
