var jyApp=angular.module('orderApp',[]);  
var token=localStorage.getItem("token");

jyApp.controller('orderController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param=null;
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017045',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			var res = angular.fromJson(data.result); 
			console.log("查询成功！"+JSON.stringify(res));
			
			//地区、类型
			initData(res);
			
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    //基本信息
//  {
//  	PROJECT_NAME,
//	    CITY,
//	    ADDR,	
//	    START_DATE,
//	    DUE_DATE,	
//	    //基本概况
//	    TOTAL_BIDDER,
//	    PROJECT_TYPE_ID,
//	    BUILD_LAYERS,
//	    BUILD_AREA,
//		FLOOR_AREA,
//		START_PRICE,
//		RESOURCE,          
//		PROJECT_CONTENT,
//		AVAILABLE_MATERIALS
//  }
    $scope.addOrder=function(param){ 
		//接口参数
		param.USER_ID = userInfo.userid;
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017038',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("下单成功！"+data.result);
			var res = angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("下单成功");
				setStorage("PRO_ID",res.PRO_ID); 
				setTimeout(function () {
					toUrl("status_my.html");
				},1000)
				setTimeout(function () {
					plus.webview.currentWebview().close();
				},1500)
			}else{
				mui.toast("下单失败");
			}
		},function(){
			console.log("下单失败");
		});  
	}  
    
    function initData(data) {
    	var areas = data.areas
    	if( areas && areas.length > 0 ){
    		$.each(areas,function (i,d) {
    			if( d.value == "110000"||
				    d.value == "120000"||
				    d.value == "310000"||
				    d.value == "500000" ){
				    	d.children = [{"text":d.text,"value":d.value}];
				}
    		})
    	}
		cityPicker.setData(areas);
		var showCityPickerButton = document.getElementById('CITY');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker.show(function(items) {
				if( items.length > 1 ){
					showCityPickerButton.innerText = items[1].text;
				}else{
					showCityPickerButton.innerText = items[0].text;
				}
				showCityPickerButton.setAttribute("flag","1");
                
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
		
		typePicker.setData(data.types);
		var showTypePickerButton = document.getElementById('PROJECT_TYPE_ID');
		showTypePickerButton.addEventListener('tap', function(event) {
			typePicker.show(function(items) {
				if( items.length > 1 ){
					showTypePickerButton.innerText = items[1].text;
				    showTypePickerButton.setAttribute("typeId",items[1].value);
				}else{
					showTypePickerButton.innerText = items[0].text;
				    showTypePickerButton.setAttribute("typeId",items[0].value);
				}
				
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
		
		category.setData(data.cates);
		var showCatePickerButton = document.getElementById('CATEGORY_ID');
		showCatePickerButton.addEventListener('tap', function(event) {
			category.show(function(items) {
				if( items.length > 1 ){
					showCatePickerButton.innerText = items[1].text;
				    showCatePickerButton.setAttribute("cateId",items[1].value);
				}else{
					showCatePickerButton.innerText = items[0].text;
				    showCatePickerButton.setAttribute("cateId",items[0].value);
				}
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
    }
    
}); 
