var jyApp=angular.module('searchApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

jyApp.controller('searchController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = true;//上拉下滑加载参数
    //用户信息
    var userInfo = getObjStorage("loginUser"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017047',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initWords(res);
		},function(){
			console.log("失败");
		});  
	}  
	$scope.initLoad();
	
	function initWords(data) {
		var li = '';
		$.each(data, function(i,d) {
			li += '<li>'+d.NAME+'</li>';
		});
		$("#searchWords").find("ul").append(li);
		
		$("#searchWords").find("ul li").on("tap",function(){ 
			var val = this.innerHTML;
			if( !isNull(val) ){
				search(val);
			}
		}); 
		
	}
	
	$scope.search=function(val){ 
		//接口参数
		var param={"USER_ID":null,"PROJECT_NAME":val,"CITY":null,"PROJECT_STAGE_ID":null,"PROJECT_TYPE_ID":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		setStorage("searchParam",JSON.stringify(param));
		console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017034',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
			initData(res);
		},function(){
			console.log("失败");
		});  
	}
    
    //数据加载
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {
            var user_id=d.USER_ID;
    	    var create_by=d.CREATE_BY;
    	    var pro_img="";
    	    if(user_id!=null&&user_id!=''&&user_id!=undefined){//app端发布的项目
    		   pro_img=getDefaultImage(d.COVER_PATH,"../../images/60x60.gif");
	    	}
	    	if(create_by!=null&&create_by!=''&&create_by!=undefined){//后台发布的项目
	    	   pro_img = getDefaultImage(d.COVER_PATH,"../../images/60x60.gif",imgPath);
	    	}
    		dataList += '<div id="'+d.ID+'" flag="'+d.IS_RESOURCE+'" class="ct-a">';
			 		        if( d.IS_RESOURCE == "1" ){
		    					dataList += '<p>'+d.PROJECT_NAME+'</p>'
						                 + '<div class="text">'+d.PROJECT_CONTENT+'</div>';
							}else{
							    dataList += '<div class="shoucang">'
								 			+ '<div class="shoucang_img">'
								 				+ '<img src="'+pro_img+'"/>'
								 			+ '</div>'
								 			+ '<div class="shoucang_name">'
								 			+ '<p>'+d.PROJECT_NAME+'</p>'
								 			+ '<div class="text">'+d.PROJECT_CONTENT+'</div>'
								 			+ '</div>'
						 		         + '</div>';
							}
							dataList += '<div class="conet-btom">'
								+ '<div class="bto-1">'+d.STAGE_NAME+'</div>'
								+ '<div class="bto-1"><span class="bto-1-num">'+d.START_PRICE+'</span>万</div>'
								+ '<div class="bto-1">已参与<span class="bto-1-time">'+checkInt(d.TOTAL_BIDDER)+'</span>人</div>'
								+ '<div class="bto-2"><span class="bto-1-time">'+getDateDiff(d.CREATE_DATE)+'</span></div>'
							+ '</div>'
						+ '</div>';
    	})
		if( $scope.currentPage == 1 ){
			if( dataList == '' ){
				$scope.sliderFlag = true;
			}else if( data.length == pageSize ){
				refreshStop(false);//开启滚动
			}
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//朋友圈详情页
		$("#dataList .ct-a").on("tap",function(){ 
			setStorage("PRO_ID",this.getAttribute("id"));
			var flag = this.getAttribute("flag");
			if( flag == "1" ){
				toUrl("need_detail.html");
			}else{
				toUrl("details.html");
			}
		});
  }

}); 
