var jlApp=angular.module('jlApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jlApp.controller('applyController',function($scope,$http){ 
	var SE_ID = getStorage("SE_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={"SE_ID":SE_ID};
	    angularPost($http,  
	    {
			InterfaceId: '2017171',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    function initData(data) {
    	if( data ){
    		/****/
	    	typePicker.setData(data.types);
			var showTypePickerButton = document.getElementById('TYPE');
			showTypePickerButton.addEventListener('tap', function(event) {
				typePicker.show(function(items) {
					showTypePickerButton.innerText = items[0].text;
					showTypePickerButton.setAttribute("type",items[0].value);
				});
			}, false);
			/****/
			$scope.com = data;
			/**计算计步器**/
			var ci = checkNull(data.COMPANY_INTRODUCTION);
			var ps = $("#pedometer").text();
			$("#pedometer").text(checkInt(ps)-ci.length);
			
			var path = data.LOGO;
			if( !isNull(path) ){
				$("#COVER_PATH").hide();
				var img = '<div id="COVERPATH" class="upload-img" path="'+path+'" >'
				             + '<img src="'+appimgPath+path+'" data-preview-src="" data-preview-group="1"  data-content="封面"/>'
							 + '<div class="del"></div>'
						+ '</div>';
				$("#COVER_PATH").before(img);	
				
				$("#COVERPATH").find(".del").on("tap",function () {
					//清除页面元素
					$(this).parent().remove();
					$("#COVER_PATH").show();
				})
			}
		}
    }
    
    /**提交**/
	$scope.submit=function(param){ 
		//用户信息
        var userInfo = getObjStorage("loginUser") || {};
		param.USER_ID = userInfo.userid;
		param.SE_ID = SE_ID;
	    angularPost($http,  
	    {
			InterfaceId: '2017158',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("提交成功！");
				//刷新我的页面
				var my = plus.webview.getWebviewById("my-release.html");
				my.evalJS("pulldownRefresh()");
				
				//关闭修改详情页
				var page = plus.webview.currentWebview().opener();
				page.close();
				
				//关闭当前页面
				setTimeout(function () {
					mui.back();
				},1600);
			}else{
				mui.toast("提交失败！");
			}
		},function(){
			console.log("提交失败");
		});  
	} 
}); 
