var jlApp=angular.module('jlApp',[]);
var token=localStorage.getItem("token");
var pageSize=10;

jlApp.controller('detailController',function($scope,$http){ 
    
    //用户信息
    var userInfo = getObjStorage("loginUser") || {}; 
    //项目ID
    var CYY_ID = getStorage("CYY_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"IN_ID":CYY_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017153',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res ){
				initData(res);
			}
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();  
    
    function initData(data) {
    	var cont = data.cont || {};
    	$("#PARK_NAME").text(checkNull(cont.PARK_NAME));
    	$("#TO_EXAMINE_DATE").text(timeStamp2String(cont.AUDIT_DATE, "ymdhm"));
    	$("#JIEBIE").text(checkNull(cont.LEVEL_NAME));
    	$("#RELATED_URL").text(checkNull(cont.RELATED_URL));
    	$("#DESCRIPTION").text(""); 
    	$("#PROJECT_DESCRIPTION").text(checkNull(cont.PROJECT_DESCRIPTION)); 
    	$("#NOPASS").text(""); 
    	$("#NOPASS_REASON").text(checkNull(cont.NOPASS_REASON)); 
    	
    	//图片 
    	var user_id=data.USER_ID;
    	var create_by=data.CREATE_BY;
    	var imgs = data.imgs || [];
    	var imgHtml = '';
		$.each(imgs, function(i,d) { 
			var id = i == 0 ? ' id="COVERPATH" ' : "";
			var ask = i == 0 ? "ask" : "";
    		var img = "../../images/60x60.gif";
    		if( !isNull(user_id) ){//app端发布的项目
    			img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
    		}else if( !isNull(create_by) ){//后台发布的项目
    			img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    		}
    		imgHtml += '<div class="details-img-li" onclick="addimg(this)">'
						+ '<img '+id+' src="'+img+'" alt="">'
						+ '<div class="details-img-li-ask '+ask+'"></div>'
					+ '</div>';
    	});
    	$("#imgsList").html(imgHtml);
    	
    	/**允许编辑**/
    	isAllow = true;
    	$("#editBtn").animate({opacity:1},500).css({flter:"Alpha(Opacity=100)"});
    }
    
}); 
