var jlApp=angular.module('jlApp',[]);  
var pageSize=10;

jlApp.controller('iamparkController',function($scope,$http){ 
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
	$scope.initLoad=function(){ 
		var token=localStorage.getItem("token");
        var userInfo = getObjStorage("loginUser") || {}; 
        
        var BELONG = $(".mui-active").attr("flag");
		//接口参数
		var param={
			"BELONG":BELONG,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017165',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res ){
				initData(res.products);
			}
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data || data.length < pageSize ){
    		$scope.sliderFlag = true;
    	}
		var dataList = '';
    	$.each(data,function(i,d) {
    		var pro_img = "../../images/60x60.gif";
    		if( !isNull(d.USER_ID) ){
    			pro_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif");
    		}
    		if( !isNull(d.CREATE_BY) ){
    			pro_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath);
    		}
			dataList += '<li id="'+d.ID+'" class="mui-table-view-cell mui-media">'
							+ '<a href="javascript:;">'
								+ '<div class=" mui-pull-left">'
									+ '<img  src="'+pro_img+'">'
								+ '</div>'
								+ '<div class="mui-media-body">'
								    + '<span>'+checkNull(d.PARK_NAME)+'</span>'
									+ '<div class="f-box">'
										+ '<p>'+checkNull(d.JIBIE)+'</p>'
										+ '<p class="f1 ta-r">'+timeStamp2String(d.AUDIT_DATE, "ymd")+'</p>'
									+ '</div>'
								+ '</div>'
							+ '</a>'
						+ '</li>';
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		$("#dataList li").on("tap",function(){ 
			setStorage("CYY_ID",this.getAttribute("id"));
			toUrl("details.html");
		});
    }
    
}); 
 