var jlApp=angular.module('jlApp',[]); 
var token=localStorage.getItem("token");
var pageSize=10;
var isClick = false;

jlApp.controller('myController',function($scope,$http){ 
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    
    /**用户信息**/
    var userInfo = getObjStorage("loginUser") || {}; 
    
	$scope.initLoad=function(){ 
        //2017164:我发布的招商信息
        //2017155：我发布的入驻信息
        //2017159:我发布的服务信息
        var flag = $("#firstContent .mui-active").attr("flag");
        var InterfaceId = flag == "0" ? "2017164" : flag == "1" ? "2017155" : flag == "2" ? "2017159" : null;
        if(isNull(InterfaceId)) return;
		//接口参数
		var param={
			"USER_ID":userInfo.userid,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( flag == "0" ){
				initPark(res);
			}else if( flag == "1" ){
				initSettled(res);
			}else if( flag == "2" ){
				initService(res);
			}
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
	/**获取审核状态**/
    function getStatus(sta) {
    	var status01 = '<span class="mui-h6 btn-status bd01">待审核</span>';
    	var status02 = '<span class="mui-h6 btn-status bd02">审核失败</span>';
    	var status03 = '<span class="mui-h6 btn-status bd03">审核成功</span>';
    	return sta == "01" ? status01 : sta == "02" ? status02 : sta == "03" ? status03 : "";
    }
    
    /**审核成功**/
    function initSuccess(obj) {
    	var dataList = '';
    	if( obj ){
    		var pro_img = getDefaultImage(obj.logo,"../../images/60x60.gif");
			dataList += '<li id="'+obj.id+'" type="'+obj.type+'" status="'+obj.status+'" class="mui-table-view-cell mui-media my-li">'
						+ '<a href="javascript:;">'
							+ '<img class="mui-media-object mui-pull-left" src="'+pro_img+'">'
							+ '<div class="mui-media-body">'
								+ '<div class="mui-ellipsis-2 my-li-name">'+checkNull(obj.title)+'</div>'
								+ '<div class="mui-table my-li-text">'
									+ '<div class="mui-table-cell mui-col-xs-6">'
										+ '<span class="mui-h6">'+checkNull(obj.value)+'</span>'
									+ '</div>'
									+ '<div class="mui-table-cell mui-col-xs-6">'+getStatus(obj.status)+'</div>'
								+ '</div>'
							+ '</div>'
						+ '</a>'
					+ '</li>';
    	}
    	return dataList;
    }
    
    /**审核失败**/
    function initFfailed(obj) {
    	var dataList = '';
    	if( obj ){
    		var pro_img = getDefaultImage(obj.logo,"../../images/60x60.gif");
			dataList += '<li id="'+obj.id+'" type="'+obj.type+'" status="'+obj.status+'" class="mui-table-view-cell">'
					+ '<div class="mui-slider-right mui-disabled">'
						+ '<a class="mui-btn mui-btn-red">删除</a>'
					+ '</div>'
					+ '<div class="mui-slider-handle">'
						+ '<a href="javascript:;">'
							+ '<img class="mui-media-object mui-pull-left" src="'+pro_img+'">'
							+ '<div class="mui-media-body">'
								+ '<div class="mui-ellipsis-2 my-li-name">'+checkNull(obj.title)+'</div>'
								+ '<div class="mui-table my-li-text">'
									+ '<div class="mui-table-cell mui-col-xs-4">'
										+ '<span class="mui-h6 f-beyond">'+checkNull(obj.value)+'</span>'
									+ '</div>'
									+ '<div class="mui-table-cell mui-col-xs-4">'+getStatus(obj.status)+'</div>'
									+ '<div class="mui-table-cell mui-col-xs-4 mui-text-right">'
										+ '<span class="mui-h6 my-delete">左滑删除</span>'
									+ '</div>'
								+ '</div>'
							+ '</div>'
						+ '</a>'
					+ '</div>'
				+ '</li>';
    	}
    	return dataList;
    }
    
    /**我是园区**/
    function initPark(data) {
    	if( !data || data.length < pageSize ){
    		$scope.sliderFlag = true;
    	}
		var dataList = '';
    	$.each(data,function(i,d) {
    		var obj = {"id":d.ID,"title":d.PARK_NAME,"value":d.TYPE_NAME,"logo":d.IMG_PATH,"status":d.STATUS};
    		if( obj.status == "02" ){
    			dataList += initFfailed(obj);
    		}else{
    			dataList += initSuccess(obj);
    		}		
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		/**获取删除操作**/
		getDelEvent(0);
		
		/**编辑页**/
		$("#dataList li").find(".mui-slider-handle").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			var status = $(this).parent().attr("status");
			var id = $(this).parent().attr("id");
			setStorage("CYY_ID",id);
			if( status == "02" ){
				toUrl("details-edit.html");
			}else{
				toUrl("details.html");
			}
			
			setTimeout(function () {
				isClick = false;
			},500)
		});
		
		/**详情页**/
		$("#dataList").find(".mui-table-view-cell.mui-media.my-li").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			setStorage("CYY_ID",this.getAttribute("id"));
			toUrl("details.html");
			
			setTimeout(function () {
				isClick = false;
			},500)
		});
    }
    
    /**入驻园区**/
    function initSettled(data) {
    	if( !data || data.length < pageSize ){
    		$scope.sliderFlag = true;
    	}
    	var dataList = '';
    	$.each(data,function(i,d) {
    		var SETTLED_NAME = d.SETTLED_TYPE == 1 ? "创业者" : "企业";
    		var NAME = d.SETTLED_TYPE == 1 ? checkNull(d.PROJECT_NAME) : checkNull(d.ENTERPRISE_NAME);
    		var obj = {"id":d.ID,"title":NAME,"type":d.SETTLED_TYPE,"value":SETTLED_NAME,"logo":d.LOGO,"status":d.STATUS};
    		if( obj.status == "02" ){
    			dataList += initFfailed(obj);
    		}else{
    			dataList += initSuccess(obj);
    		}		
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		/**获取删除操作**/
		getDelEvent(1);
		
		/**编辑页**/
		$("#dataList li").find(".mui-slider-handle").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			var status = $(this).parent().attr("status");
			var type = $(this).parent().attr("type");
			var id = $(this).parent().attr("id");
			setStorage("RZ_ID",id);
			if( status == "02" ){
				if( type == "1" ){
					toUrl("park-details-person-edit.html");
				}else{
					toUrl("park-details-edit.html");
				}
			}else{
				if( type == "1" ){
					toUrl("park-details-person.html");
				}else{
					toUrl("park-details.html");
				}
			}
			setTimeout(function () {
				isClick = false;
			},500)
		});
		
		/**详情页**/
		$("#dataList").find(".mui-table-view-cell.mui-media.my-li").on("tap",function(){
			if( isClick == true ) return;
			isClick = true;
			
			var type = this.getAttribute("type");
			setStorage("RZ_ID",this.getAttribute("id"));
			if( type == "1" ){
				toUrl("park-details-person.html");
			}else{
				toUrl("park-details.html");
			}
			
			setTimeout(function () {
				isClick = false;
			},500)
		});
    }
    
    /**园区服务**/
    function initService(data) {
    	if( !data || data.length == 0 ){
    		$scope.sliderFlag = true;
    	}
    	var dataList = '';
    	$.each(data,function(i,d) {
    		var obj = {"id":d.ID,"title":d.COMPANY_NAME,"value":d.TYPE_NAME,"logo":d.LOGO,"status":d.STATUS};
    		if( obj.status == "02" ){
    			dataList += initFfailed(obj);
    		}else{
    			dataList += initSuccess(obj);
    		}	
    	})
		if( $scope.currentPage == 1 ){
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		/**获取删除操作**/
		getDelEvent(2);
		
		/**编辑页**/
		$("#dataList li").find(".mui-slider-handle").on("tap",function(){ 
			if( isClick == true ) return;
			isClick = true;
			
			var status = $(this).parent().attr("status");
			var id = $(this).parent().attr("id");
			setStorage("SE_ID",id);
			if( status == "02" ){
				toUrl("service-edit.html");
			}else{
				toUrl("service-details.html");
			}
			
			setTimeout(function () {
				isClick = false;
			},500)
		});
		
		/**详情页**/
		$("#dataList").find(".mui-table-view-cell.mui-media.my-li").on("tap",function(){ 
		    if( isClick == true ) return;
			isClick = true;
			
			setStorage("SE_ID",this.getAttribute("id"));
			toUrl("service-details.html");
			
			setTimeout(function () {
				isClick = false;
			},500)
		});
    }
    
    /**删除**/
	$scope.del = function(id,flag){ 
	    var InterfaceId = flag == 0 ? "2017173" : flag == 1 ? "2017175" : flag == 2 ? "2017174" :"";
	    if(isNull(InterfaceId)) return;
	    //接口参数
	    var param = flag == 0 ? {"IN_ID":id} : flag == 1 ? {"RZ_ID":id} : flag == 2 ? {"SE_ID":id} :{};
		console.log("param:"+JSON.stringify(param));
		
	    angularPost($http,  
	    {
			InterfaceId: InterfaceId,
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("删除成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				$("#"+id).remove();
				mui.toast("删除成功！");
			}else{
				mui.toast("删除失败！");
			}
		},function(){
			console.log("删除失败");
		});  
	} 
	
	/**获取删除操作**/
    function getDelEvent(flag) {
		$("#dataList li").find(".mui-slider-right").on("tap",function(){ 
			var id = $(this).parent().attr("id");
			var btnArray = ['确认', '取消'];
			mui.confirm('确认删除该条记录？', '温馨提示', btnArray, function(e) {
				if (e.index == 0) {
					$scope.del(id,flag);
				} else {
					setTimeout(function() {
						$.swipeoutClose($(this).parent());
					}, 0);
				}
			});
		});
    }
    
}); 
 