var pppApp=angular.module('pppApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;
var userId=localStorage.getItem("userId");
pppApp.controller('indexController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
	//城市建联全部成员
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;
    //项目ID
    var PRO_ID = getStorage("PRO_ID"); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"PID":PRO_ID,
			"currentPage":$scope.currentPage,
			"pageSize":$scope.pageSize
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017183',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回参数
			 *qbcylist，全部成员
			 * 参数：用户id:userid,用户头像：img,公司名称：COMPANY_NAME，职务：POSITION
			 * */
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
		    initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
    
    function initData(data) {
    	if( !data  ){
    		$scope.sliderFlag = true;
    	}else{
    		if( data.length == 0 ){
    			$scope.sliderFlag = true;
    		}
    		var dataList = '';
	    	$.each(data,function(i,d) {
	    		var user_flag=d.FLAG;
	    		var level_name = "";
	    		if( user_flag == 1 ){//显示身份标识
	    			level_name = checkNull(d.SHOW_NAME);
	    		}else{//显示等级
	    			level_name = getLevelName(d.VIP_LEVEL);
	    		}
			    var userImg = getDefaultImage(d.IMG,"../../images/myren/moren.jpg");
			    dataList += '<div class="cy_list">'
						+'<div class="cy_tx" uid="'+d.ID+'">'
							+'<div class="cy_size">'
								+'<img class="cy_img" src="'+userImg+'" />'
							+'</div>'
						+'</div>'
						+'<div class="cy_xinxi">'
							+'<div class="cy_mc_dj">'
								+'<div class="cy_mc">'
									+'<span class="font_size_16 mc_color">'+d.REAL_NAME+'</span>'
								+'</div>'
								+'<div class="cy_dj">'
								if(checkNull(level_name)){
									dataList+='<span class="cy_dj_text color_white font_size_14 background_color_fcd">'+level_name+'</span>'
								} 
								dataList+='</div>'
							+'</div>'
							+'<div class="cy_gs_zw font_size_14 gs_zw_color">'
								+'<div class="cy_gs">'+checkNull(d.COMPANY_NAME)+'</div>'
								+'<div class="cy_zw">'+checkNull(d.POSITION)+'</div>'
							+'</div>'
						+'</div>'
				dataList += '</div>';
	    					
	    	})
			if( $scope.currentPage == 1 ){
				$("#dataList").html(dataList);
			}else{
				$("#dataList").append(dataList);
			}
			
			//点击头像进入个人中心
			$(".cy_tx").on("tap",function(){
                var userInfo = getObjStorage("loginUser") || {}; 
				var USER_ID=this.getAttribute("uid"); 
		    	if( USER_ID == userInfo.userid ){
		    		toUrl("../wode/my.html",{"USER_ID":USER_ID},false);  
		    	}else{
		    		toUrl("../wode/other.html",{"USER_ID":USER_ID},false); 
		    	} 
			});
    	}
		
    }
}); 
 