var pppApp=angular.module('pppApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

pppApp.controller('stateController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;   
	
    //用户信息
    var userInfo = getObjStorage("loginUser") || {}; 
    var PRO_ID = getStorage("PRO_ID"); 
    var proParam = getObjStorage("proParam") || []; 
    var phone=null;
	$.each(proParam, function(i,d) {
		if( d.PID == PRO_ID ){
			 phone=d.PHONE;
		}
	}); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":checkNull(userInfo.userid),
			"PHONE":checkNull(phone),
			"PID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017176',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
    function initData(data) {
    	var dataList = '';
		if( data ){ 
			//参与状态
			var pro = data.pro || {};//项目
			var bidder = data.bidder;//竞标人
			var status = pro.STATUS;//项目状态
			//var cHour = pro.CONTACT_HOUR || "24";//联系时间
			//var telephone = pro.SERVICE_PHONE;//客服电话
			//var statusStr = "参与成功";
			/*if( !isNull(telephone) ){
				$("#phone").attr("phone",telephone);
			}*/
			if( bidder&&checkInt(status)==4&&bidder.IS_PHONED==0){
				$("#success-state").removeClass("success-h"); 
			} 
			
			//项目流程
			var isCy = data.isCy;
			var statusInt = checkInt(status);
			var winner = pro.BIDDER; 
			if( verifyUserInfo() ){ 
				//等待项目经理联系
                if( bidder ){
                	var PHONE_DATE = bidder.PHONE_DATE;//确认时间
                	var INGROUP_DATE = bidder.INGROUP_DATE;//加入讨论组时间
                	
                	if( statusInt == 4 ){
	                	if( !isNull(INGROUP_DATE) ){//项目讨论组洽谈
	                		$("#li0").attr("class","status-three-li-text-green");
	                		$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
	                		$("#li1").attr("class","status-three-li-text-green");
	                		$("#li1").find(".status-three-li-right").text(timeStamp2String(PHONE_DATE,"ymdhm"));
	                		$("#li2").attr("class","status-three-li-text-orange");
	                		$("#li2").find(".status-three-li-right").text(timeStamp2String(INGROUP_DATE,"ymdhm"));
	                	}else if( !isNull(PHONE_DATE) ){//等待项目小组确认
	                		$("#li0").attr("class","status-three-li-text-green");
	                		$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
	                		$("#li1").attr("class","status-three-li-text-orange");
	                		$("#li1").find(".status-three-li-right").text(timeStamp2String(PHONE_DATE,"ymdhm"));
	                	}else{//等待项目经理联系
	                		$("#li0").attr("class","status-three-li-text-orange");
	                		$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
	                	}
					}
                } 
				if( !isNull(winner) ){
					$("#li0").attr("class","status-three-li-text-green");
            		$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
            		$("#li1").attr("class","status-three-li-text-green");
            		$("#li1").find(".status-three-li-right").text(timeStamp2String(PHONE_DATE,"ymdhm"));
            		$("#li2").attr("class","status-three-li-text-green");
            		$("#li2").find(".status-three-li-right").text(timeStamp2String(INGROUP_DATE,"ymdhm"));
					if( winner == userInfo.userid ){
						//确认竞标人
						if( statusInt == 5 ){
							$("#li3").attr("class","status-three-li-text-orange");
							$("#li3").find(".status-three-li-right").text(timeStamp2String(pro.BIDDER_DATE,"ymdhm"));
						}
						//签署项目
						if( checkInt(pro.IS_SIGNED) == 1 ){
							$("#li3").attr("class","status-three-li-text-green");
							$("#li3").find(".status-three-li-right").text(timeStamp2String(pro.BIDDER_DATE,"ymdhm"));
							$("#li4").attr("class","status-three-li-text-orange");
							$("#li4").find(".status-three-li-right").text(timeStamp2String(pro.SIGNE_DATE,"ymdhm"));
						}
						//交易完成
						if( statusInt == 6 ){
							$("#li3").attr("class","status-three-li-text-green");
							$("#li3").find(".status-three-li-right").text(timeStamp2String(pro.BIDDER_DATE,"ymdhm"));
							$("#li4").attr("class","status-three-li-text-green");
							$("#li4").find(".status-three-li-right").text(timeStamp2String(pro.SIGNE_DATE,"ymdhm"));
							$("#li5").attr("class","status-three-li-text-orange");
							$("#li5").find(".status-three-li-right").text(timeStamp2String(pro.COMPLETE_DATE,"ymdhm"));
						}
					}else{//项目结束
						$(".status-three-li-text").each(function (i,d) {
							if( $(this).parent().hasClass("dp-n") ){
								$(this).parent().removeClass("dp-n");
							}else{
								$(this).parent().addClass("dp-n");
							}
						});
					}
				}
			}else{//未登录
				var isPart = false; 
				$.each(proParam, function(i,p) {
					if( p && p.PID == PRO_ID ){
						isPart = true;
					}
				});
				
				if( isPart ){//是否参与项目
					if( statusInt == 4 ){
						var PHONE_DATE=null;
						var INGROUP_DATE=null;
						if(bidder){
							PHONE_DATE = bidder.PHONE_DATE;//确认时间
                			INGROUP_DATE = bidder.INGROUP_DATE;//加入讨论组时间	
						} 
						if( !isNull(INGROUP_DATE) ){//项目讨论组洽谈
	                		$("#li0").attr("class","status-three-li-text-green");
	                		$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
	                		$("#li1").attr("class","status-three-li-text-green");
	                		$("#li1").find(".status-three-li-right").text(timeStamp2String(PHONE_DATE,"ymdhm"));
	                		$("#li2").attr("class","status-three-li-text-orange");
	                		$("#li2").find(".status-three-li-right").text(timeStamp2String(INGROUP_DATE,"ymdhm"));
	                	}else if( !isNull(PHONE_DATE) ){//等待项目小组确认
	                		$("#li0").attr("class","status-three-li-text-green");
	                		$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
	                		$("#li1").attr("class","status-three-li-text-orange");
	                		$("#li1").find(".status-three-li-right").text(timeStamp2String(PHONE_DATE,"ymdhm"));
	                	}else{//等待项目经理联系
	                		$("#li0").attr("class","status-three-li-text-orange");
	                		$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
	                	} 
					}else{
						$("#li0").attr("class","status-three-li-text-green");
            			$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
            			$("#li1").attr("class","status-three-li-text-green");
            			$("#li2").attr("class","status-three-li-text-green");
						$(".status-three-li-text").each(function (i,d) {
							if( $(this).parent().hasClass("dp-n") ){
								$(this).parent().removeClass("dp-n");
							}else{
								$(this).parent().addClass("dp-n");
							}
						});
					} 
				}else{
					//确认竞标人
					if( statusInt == 5 ){
						$("#li3").attr("class","status-three-li-text-orange");
						$("#li3").find(".status-three-li-right").text(timeStamp2String(pro.BIDDER_DATE,"ymdhm"));
					}
					//签署项目
					if( checkInt(pro.IS_SIGNED) == 1 ){
						$("#li3").attr("class","status-three-li-text-green");
						$("#li3").find(".status-three-li-right").text(timeStamp2String(pro.BIDDER_DATE,"ymdhm"));
						$("#li4").attr("class","status-three-li-text-orange");
						$("#li4").find(".status-three-li-right").text(timeStamp2String(pro.SIGNE_DATE,"ymdhm"));
					}
					//交易完成
					if( statusInt == 6 ){
						$("#li3").attr("class","status-three-li-text-green");
						$("#li3").find(".status-three-li-right").text(timeStamp2String(pro.BIDDER_DATE,"ymdhm"));
						$("#li4").attr("class","status-three-li-text-green");
						$("#li4").find(".status-three-li-right").text(timeStamp2String(pro.SIGNE_DATE,"ymdhm"));
						$("#li5").attr("class","status-three-li-text-orange");
						$("#li5").find(".status-three-li-right").text(timeStamp2String(pro.COMPLETE_DATE,"ymdhm"));
					}
				} 
			}	 
    	}	
    }
    
}); 
