var pppApp=angular.module('pppApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

pppApp.controller('stateController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;    
    //用户信息
    var userInfo = getObjStorage("loginUser") || {}; 
    var PRO_ID = getStorage("PRO_ID");
    var proParam = getObjStorage("proParam") || []; 
    var phone=null;
	$.each(proParam, function(i,d) {
		if( d.PRO_ID == PRO_ID ){
			 phone=d.PHONE;
		}
	}); 
	$scope.initLoad=function(){ 
		//接口参数
		var param={
			"USER_ID":checkNull(userInfo.userid),
			"PHONE":checkNull(phone),
			"PID":PRO_ID
		};
		console.log("param:"+JSON.stringify(param));

	    angularPost($http,  
	    {
			InterfaceId: '2017176',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	} 
	$scope.initLoad();
	
    function initData(data) { 
    	var dataList = '';
		if( data ){ 
			//下单状态
			var pro = data.pro || {};//项目
			var status = pro.STATUS;//项目状态
			 
			//项目流程
			var statusInt = checkInt(status);
			if( statusInt == 1 ){//等待项目经理联系
        		$("#li0").attr("class","status-three-li-text-orange"); 
				$("#success-state").removeClass("success-h");  
        	}
			if( statusInt > 1 ){
				$("#li0").attr("class","status-three-li-text-green");
			}
			$("#li0").find(".status-three-li-right").text(timeStamp2String(pro.CREATE_DATE,"ymdhm"));
			
			if( statusInt == 2 ){
				$(".status-three-li-text").each(function () {
					if( $(this).parent().hasClass("dp-n") ){
						$(this).parent().removeClass("dp-n");
					}else{
						$(this).parent().addClass("dp-n");
					}
				});
				$("#li6").find(".status-three-li-right").text(timeStamp2String(pro.AUDIT_DATE,"ymdhm"));
			}else{
				if( statusInt == 3 ){
				   $("#li1").attr("class","status-three-li-text-orange");
				}
				if( statusInt > 3 ){
					$("#li1").attr("class","status-three-li-text-green");
				}
				$("#li1").find(".status-three-li-right").text(timeStamp2String(pro.AUDIT_DATE,"ymdhm"));
				
				if( statusInt == 4 ){
					$("#li2").attr("class","status-three-li-text-orange");
					$("#li2").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
				}
				if( statusInt > 4 ){
					$("#li2").attr("class","status-three-li-text-green");
					$("#li2").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
				} 
				if( statusInt == 5 && checkInt(pro.IS_SIGNED) == 0 ){
					$("#li3").attr("class","status-three-li-text-orange");
				}
				if( statusInt > 5 ){
					$("#li3").attr("class","status-three-li-text-green");
				}
				$("#li3").find(".status-three-li-right").text(timeStamp2String(pro.RELEASE_TIME,"ymdhm"));
				
				//签署项目
				if( checkInt(pro.IS_SIGNED) == 1 ){
					$("#li3").attr("class","status-three-li-text-green");
					$("#li4").attr("class","status-three-li-text-orange");
				}
				$("#li4").find(".status-three-li-right").text(timeStamp2String(pro.SIGNE_DATE,"ymdhm"));
				//交易完成
				if( statusInt == 6 ){
					$("#li4").attr("class","status-three-li-text-green");
					$("#li5").attr("class","status-three-li-text-orange");
					$("#li5").find(".status-three-li-right").text(timeStamp2String(pro.COMPLETE_DATE,"ymdhm"));
				}
			}
    	}	
    }
    
}); 
