var jlApp=angular.module('jlApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");

jlApp.controller('auditController',function($scope,$http){  
	var userInfo= getObjStorage("loginUser");  
	$scope.initLoad=function(){  
		var param={"USER_ID":userId};
	    angularPost($http,  
	    {
			InterfaceId: '2017187',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData(data) {
    	var conns = data.conns || {};
    	$scope.conns = conns;
    	var lev = checkNull(conns.VIP_LEVEL);
    	if( !isNull(conns.PHONE) && checkReg(conns.PHONE,4) ){
    		$("#phone").attr("readonly","true");
    	}else{
    		$("#verifyBody").removeClass("dp-n");
    	}
    	if( !isNull(conns.IMG_PATH) ){
    		$("#IMG_PATH").attr("src",appimgPath+conns.IMG_PATH);
	        $("#IMG_PATH").attr("path",conns.IMG_PATH);
    	}
    	
    	//行业
    	if( data && data.cates && lev == "02" ){//普通用户
			catePicker.setData(data.cates);
			var showCatePickerButton = document.getElementById('CATEGORY_ID');
			showCatePickerButton.addEventListener('tap', function(event) {
				catePicker.show(function(items) {
					if( items.length > 1 && !isNull(items[1].text) ){
						showCatePickerButton.setAttribute("cateId",items[1].value);
						showCatePickerButton.value = items[1].text;
					}else{
						showCatePickerButton.setAttribute("cateId",items[0].value);
						showCatePickerButton.value = items[0].text;
					}
				});
			}, false);
		}
    	
    	//建联
    	if( data && data.areas && lev == "02" ){//普通用户
    		cityPicker.setData(data.areas);
			var showCityPickerButton = document.getElementById('CLAN_ID');
			showCityPickerButton.addEventListener('tap', function(event) {
				cityPicker.show(function(items) {
					if( items.length > 1 && !isNull(items[1].text) ){
						showCityPickerButton.value = items[1].text;
						showCityPickerButton.setAttribute("clanId",items[1].value);
					}else{
						showCityPickerButton.value = items[0].text;
						showCityPickerButton.setAttribute("clanId",items[0].value);
					}
				});
			}, false);
    	}
    }
    
    $scope.bdPhone=function(param){ 
    	param.USER_ID = userId;
		console.log("param:"+JSON.stringify(param)); 
	    angularPost($http,  
	    {
			InterfaceId: '2017188',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("完善信息成功！"+data);
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				mui.toast("完善信息成功!");
				if( !isNull(res.token) ){
					localStorage.setItem("token",res.token); 
			        localStorage.setItem("userId",res.result.userid); 
			        setStorage("loginUser",res.result);
				}else{
					var userInfo = getObjStorage("loginUser"); 
					userInfo.PHONE = param.PHONE;
					setStorage("loginUser",userInfo);
				}
				
				//会员中心清除完善信息按钮及温馨提示
				var hyzx = plus.webview.getWebviewById("hyzx.html");
				if( hyzx ){
					hyzx.evalJS("removeSth()");
				}
				
				//刷新我的页面
				var main = plus.webview.getWebviewById("html/wode/index.html"); 
				if(main!=null){
					main.evalJS("reInitData()");
				}
				//完善成功后，修改缓存；支付成功后，根据isComplete判断是否提示完善信息
				setStorage("isComplete",1);
				
				setTimeout(function () {
					mui.back();
				},1600)
			}else{
				mui.toast("完善信息失败");
			}
		},function(){
			console.log("完善信息失败");
		});  
	}
    
    //获取验证码
	$scope.sendMsg = function () {
		if( verifyCode() == false ){return;}
		var mobile = $("#phone").val();//手机号码
		var template = "3064129";//短信模板ID
		var param = {"template":template,"mobile":mobile}; 
		angularPost($http,  
	    {
			InterfaceId: '2017093',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
	    function(data){
	    	var res=angular.fromJson(data.result); 
	    	if( res && res.code == 200 ){
				$("#verifyCode").val(res.obj);
				changeNum(60); 
			}else{
				mui.toast("获取验证码失败！");
			}
			console.log("data1:"+res);
		},function(){  
		   mui.toast("获取验证码失败！"); 
		}); 
	}
}); 