var fbxqApp=angular.module('fbxqApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");

fbxqApp.controller('fbxqController',function($scope,$http){  
	//查询个人荣誉
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170101',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){  
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result);
			initData(res);
			console.log("res:"+JSON.stringify(res));
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();
    
    function initData(res){
    	if(res.length>0){
			var html='';
		    for(var i=0;i<res.length;i++){ 
				var NEED_NAME = res[i].NEED_NAME;  
				var num=i+1; 
				html+='<div class="form_border" num='+num+'>';
					html+='<div class="form_border_val"><input value="'+NEED_NAME+'" class="form_border_input" id="form_border_input'+num+'" type="text" placeholder="请填写需求"></div>';
					html+='<div class="form_border_name"><span>20</span></div>';
					html+='<div class="fb_icon"><span class="mui-icon mui-icon-closeempty"></span></div>';
				html+='</div>';
		    }  
			$('#resource-con').html(html);
			$('.fb_icon').on('tap',function(){
					$(this).parent().remove();
			})
		}
    	 
    	$('#form_add').on('tap',function(){
			var num =parseInt($('.form_border').length)+1;
			if (num==6) {mui.toast('最多只能添加5个'); return;}
			var html=''
			html+='<div class="form_border" num='+num+'>';
				html+='<div class="form_border_val"><input class="form_border_input" id="form_border_input'+num+'" type="text" placeholder="请填写需求"></div>';
				html+='<div class="form_border_name"><span>20</span></div>';
				html+='<div class="fb_icon"><span class="mui-icon mui-icon-closeempty"></span></div>';
			html+='</div>'; 
			$('#new_add').before(html);

			$('.fb_icon').on('tap',function(){
					$(this).parent().remove();
			})
			
			var name= '#form_border_input'+num;
			$(name).on('focus',function(){
				$(this).attr('placeholder','');
			})
			$(name).on('blur',function(){
				$(this).attr('placeholder','请填写需求');
			})
			$(name).bind('input propertychange',function(){
				var curLength = $(this).val().length;
				if(curLength > 20) {
					var val = $(this).val().substr(0, 20);
					$(this).val(val);
					$(this).parent().next().find('span').text(0);
				} else {
					$(this).parent().next().find('span').text(20 - $(this).val().length);
				}
			}) 
		})
    }
	 
	 /*
	 *传给后台参数
	 *说明：发布需求
	 *参数：USER_ID:userId，需求名称：NEED_NAME	 
	 */
    //var	param={"USER_ID":"userId","fbxq":[{"NEED_NAME":NEED_NAME},{"NEED_NAME":NEED_NAME},{"NEED_NAME":NEED_NAME},{"NEED_NAME":NEED_NAME},{"NEED_NAME":NEED_NAME}]};
	$scope.addxq=function(param){  
		param.USER_ID = userId;
	    angularPost($http,  
	    {
			InterfaceId: '20170517003',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("发布需求成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("发布需求成功");
				var page = plus.webview.getWebviewById("my.html");
				page.evalJS("zyCallback("+JSON.stringify(param.fbxq)+",1)");
				setTimeout(function () {
					mui.back();
				},1600)
			}else{
				mui.toast("发布需求失败");
			}
		},function(){
			console.log("失败");
		});  
	}  
}); 
