var xgxxApp=angular.module('xgxxApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId"); 

xgxxApp.controller('indexController',function($scope,$http){  
	//个人信息查询
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017091',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){  
			console.log("查询成功！"+data.result); 
			var  res=angular.fromJson(data.result); 
			var user=angular.fromJson(res.user);  
			$scope.clans=angular.fromJson(res.areas); 
			//初始化数据
			initData(user);
			//加入建联
			$("#chose-clan").on("tap",function(){ 
				var isvip=user.IS_VIP;
				var clanname=$(this).val();
				if(isvip!=0 && isvip!=3){ 
					$(this).attr({ readonly: 'true' }); 
					mui.toast("您已确认加入"+clanname+"，无法进行修改!");
				}else{
					initClans($scope.clans);
				}
			}) 
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad(); 
    
    function initData(data){
    	console.log(JSON.stringify(data)); 
    	$("#username").val(checkNull(data.REAL_NAME)); 
		$("#textarea").val(checkNull(data.SUMMARY)); 
		$("input[name='sex'][value='"+data.SEX+"']").attr("checked",true); 
		if( !isNull(data.CLAN_ID) ){
			$("#chose-clan").text(data.NAME);
			$("#chose-clan").attr("clanId",data.CLAN_ID);
		}
    }
    
    function initClans(data){ 
		cityPicker.setData(data);
		var showCityPickerButton = document.getElementById('chose-clan');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker.show(function(items) {
				if( items.length > 1 ){
					showCityPickerButton.innerText = items[1].text;
					showCityPickerButton.setAttribute("clanId",items[1].value);
				}else{
					showCityPickerButton.innerText = items[0].text;
					showCityPickerButton.setAttribute("clanId",items[1].value);
				}
				showCityPickerButton.setAttribute("flag","1");
                
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);
    }
    
     $scope.editUser=function(param){
//   	//接口参数
		param.USER_ID = userId; 
		console.log("param:"+JSON.stringify(param)); 
	    angularPost($http,  
	    {
			InterfaceId: '20170515003',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("编辑个人信息成功！"+data.result);
			var res = angular.fromJson(data.result); 
			if( res.code == "200" ){
				//重置缓存数据 
				var userInfo = getObjStorage("loginUser"); 
				userInfo.REAL_NAME = param.REAL_NAME;
				userInfo.NAME = param.NAME;
				userInfo.CLAN_ID = param.CLAN_ID;
				userInfo.SUMMARY = param.SUMMARY;
				userInfo.SEX = param.SEX;
				setStorage("loginUser",userInfo);
				//刷新金融页面个人信息
				var wv = plus.webview.getWebviewById("template/finance/index.html");  
				if(wv!=null){
					wv.evalJS("initData()");
				}
				
				mui.toast("编辑个人信息成功!");
				setTimeout(function(){
					mui.back(); 
				},500); 
			}else{
				mui.toast("编辑个人信息失败!");
			}
		},function(){
			console.log("编辑个人信息失败!");
		});  
	}  
}); 