var hyzxApp=angular.module('hyzxApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId");
hyzxApp.controller('hyzxController',function($scope,$http){  
//	升级入会
	var param={"USER_ID":userId};
	console.log(JSON.stringify(param));
	$scope.initLoad=function(){  
		var user = getObjStorage("loginUser");
    	$(".bjtx").attr("src",getDefaultImage(user.IMG,"../../images/myren/moren.jpg"));
    	$(".yhzs").text(checkNull(user.REAL_NAME));
    	
	    angularPost($http,  
	    {
			InterfaceId: '2017106',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*需要返回参数
			 * 参数：VIP_LEVEL:会员等级,NAME:等级名称
			 * 
			 * 返回每个等级的集合，钱数
			 * 参数：VIP_LEVEL:会员等级,NAME:等级名称，价格：PRICE
			 * */
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			initData(res);
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    var isClick = false;
    var appliedParam = [];//已申请记录，用于会员权益页面升级判断
    function initData(data) {
    	//行业
    	if( data && data.cates && checkNull(data.clan.VIP_LEVEL) == "02" ){//普通用户
			catePicker.setData(data.cates);
			var showCatePickerButton = document.getElementById('CATEGORY_ID');
			showCatePickerButton.addEventListener('tap', function(event) {
				catePicker.show(function(items) {
					if( items.length > 1 && !isNull(items[1].text) ){
						showCatePickerButton.setAttribute("cateId",items[1].value);
						showCatePickerButton.innerText = items[1].text;
					}else{
						showCatePickerButton.setAttribute("cateId",items[0].value);
						showCatePickerButton.innerText = items[0].text;
					}
					$scope.queryVacancy();
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
		}
    	
    	//建联
    	if( data && data.areas && checkNull(data.clan.VIP_LEVEL) == "02" ){//普通用户
    		cityPicker.setData(data.areas);
			var showCityPickerButton = document.getElementById('CLAN_ID');
			showCityPickerButton.addEventListener('tap', function(event) {
				cityPicker.show(function(items) {
					if( items.length > 1 && !isNull(items[1].text) ){
						showCityPickerButton.innerText = items[1].text;
						showCityPickerButton.setAttribute("clanId",items[1].value);
					}else{
						showCityPickerButton.innerText = items[0].text;
						showCityPickerButton.setAttribute("clanId",items[0].value);
					}
					$scope.queryVacancy();
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
    	}
    	
    	//用户信息
        if( data && data.clan ){
        	var clan = data.clan;
        	$("#LEVEL_NAME").text(checkNull(clan.VIP_LEVELNAME));
        	$("#LEVEL_NAME").attr("level",clan.VIP_LEVEL);
        	$("#LEVEL_NAME").attr("flag",clan.VIP);//入会时间是否超过三个月：00、是，01、否。
        	
        	//行业、建联
        	if( !isNull(clan.CLANNAME) ){
        		$("#CLAN_ID").text(clan.CLANNAME);
        	    $("#CLAN_ID").attr("clanId",clan.CLAN_ID);
        	}
        	if( !isNull(clan.CATENAME) ){
        		$("#CATEGORY_ID").text(clan.CATENAME);
                $("#CATEGORY_ID").attr("cateId",clan.CATEGORY_ID);
        	}
            
            //对应等级空缺人数
            showVacancy(data.vacancy);
            
            /**用户信息未完善提示**/
            var num = checkInt(data.isComplete);
            if( num == 0 ){
            	setStorage("isComplete",num);//用户信息是否完善：0、未完善，1、已完善，支付成功后根据isComplete，提示是否完善信息
            	var html = '<div id="bounce" class="bounced bounceInLeft"><span>温馨提示：完善个人信息，可以提高审核进度哦</span><span class="kill-self"></span></div>';
                $(".bounced-box").append(html);
                
                $("#bounce").on("tap",function(){ 
					$(this).fadeOut();
				}); 
            }
            
            /**审核记录**/
            var upgrades = data.upgrades || {};
            var dataList = '';
            $.each(upgrades, function(i,d) {
            	setAppliedParam(d)//申请记录缓存
            	var status = checkNull(d.STATUS);
            	var name = checkNull(d.LEVEL_NAME);
            	dataList += '<li id="'+d.ID+'" status="'+status+'" class="mui-table-view-cell f-box">';
					if( status == "00" ){
						dataList += '<p class="mui-navigate-right f1 f-beyond clo-jy">正在申请：'+name+'，'+checkNull(d.STATUS_NAME)+'</p>';
						dataList += num == 0 ? '<span class="ml-25 t-d clo-jy">完善信息</span>' : '';
					}else{
						var styleStr = status=="01" ? "clo-jy" : status=="02" ? "clo-sb" : "clo-c9";
            	        var tips = status=="01" ? "，审核中" : status=="02" ? "，审核失败" : "，退款中";
						dataList += '<p class="mui-navigate-right f1 f-beyond '+styleStr+'">正在申请：'+name+tips+'</p>';
						dataList += num == 0 && status != "04" ? '<span class="ml-25 t-d '+styleStr+'">完善信息</span>' : '';
					}
			    dataList += '</li>';
            });
            $("#datalist").html(dataList);
            
            /**缓存会员权益页面判断参数**/
            setStorage("appliedParam",appliedParam);
            
            /****/
			$(".mui-table-view-cell p").on("tap",function(){ 
				var id = $(this).parent().attr("id");
				var status = $(this).parent().attr("status");
				if( status == "00" ){
					toUrl("zhifu.html",id);
				}else{
					toUrl("record.html",id);
				}
			}); 
			
			$(".mui-table-view-cell span").on("tap",function(){ 
				toUrl("audit-info.html");
			}); 
			
			function setAppliedParam(d) {
				var sta = checkNull(d.STATUS);
				if( sta == "00" || sta == "01" ){
					appliedParam.push({"id":d.ID,"status":sta,"lev":d.UPGRADE_LEVEL,"oid":d.ORDER_ID});
				}
			}
        }
    }
    
    //修改所属行业及建联
    $scope.editUCInfo=function(param){  
    	param.USER_ID=userId;
    	console.log("param:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017107',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("提交成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			if( res && res.code == "200" ){
				var user = getObjStorage("loginUser");
				user.CLAN_ID = param.CLAN_ID;
				user.CATEGORY_ID = param.CATEGORY_ID;
				user.NAME = param.CATENAME;
				setStorage("loginUser",user);
				setTimeout(function () {
					toUrl("jlht.html");
				},50);
			}else{
				mui.toast("提交失败！");
			}
		},function(){
			console.log("提交失败！");
		});  
	}  
	
	//根据所属行业及建联查询空余席位
    $scope.queryVacancy=function(){
    	var clanId = $("#CLAN_ID").attr("clanId");
	    if( isNull(clanId) ){
			return;
		}
	    var cateId = $("#CATEGORY_ID").attr("cateId");
	    if( isNull(cateId) ){
			return;
		}
    	var param = {"CLAN_ID":clanId,"CATEGORY_ID":cateId};
    	console.log("params:"+JSON.stringify(param));
	    angularPost($http,  
	    {
			InterfaceId: '2017108',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			showVacancy(res);
		},function(){
			console.log("查询失败！");
		});  
	}
    
    function showVacancy(data) {
    	var param = {"pv":0,"ev":0,"vv":0};
    	if( data ){
    		param = {"pv":checkInt(data.PRESIDENT_VACANCY),"ev":checkInt(data.EXE_VICE_PRE_VACANCY),"vv":checkInt(data.VICE_PRE_VACANCY)};
    		setStorage("vacancyPram",param);
	    	$(".level-box .level").each(function (i,d) {
                var lev = this.getAttribute("level");
                var mylev = $("#LEVEL_NAME").attr("level");
                var levNum = checkInt(lev);
        	    var mylevNum = checkInt(mylev);
                if( lev == "03" && levNum > mylevNum ){
                	if( checkInt(data.VICE_PRE_VACANCY) <= 0 ){
                		$(this).find(".level-footer span").text("暂无席位，快去申请其他等级吧！");
                	}else{
                		$(this).find(".level-footer span").text("还有空余席位，快来申请吧！");
                	}
	    		}else if( lev == "04" && levNum > mylevNum ){
	    			if( checkInt(data.EXE_VICE_PRE_VACANCY) <= 0 ){
                		$(this).find(".level-footer span").text("暂无席位，快去申请其他等级吧！");
                	}else{
                		$(this).find(".level-footer span").text("还有空余席位，快来申请吧！");
                	}
	    		}else if( lev == "05" && levNum > mylevNum ){
                	if( checkInt(data.VICE_PRE_VACANCY) <= 0 ){
                		$(this).find(".level-footer span").text("暂无席位，快去申请其他等级吧！");
                	}else{
                		$(this).find(".level-footer span").text("还有空余席位，快来申请吧！");
                	}
	    		}
	    	})
    	}
    }
}); 