var myApp=angular.module('myApp',[]);
var token=localStorage.getItem("token");
var userId=localStorage.getItem("userId"); 
myApp.controller('myController',function($scope,$http){  
	//查看他人信息或个人信息展示
	$scope.imgPath =imgPath;
	$scope.appimgPath =appimgPath;
	var param={"USER_ID":userId};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '20170516008',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回参数
			 * 参数：用户id:userid,用户头像：img,等级名称：VIP_LEVEL，个人简介：POSITION,公司名称:COMPANY_NAME,职务：POSITION，我的助理电话：PHONE
			 * 
			 * 返回集合个人荣誉
			 * 参数：时间：GET_DATE,荣誉：HONOR
			 * 
			 * 资源，分组查询，供给分一组，需求一组
			 * 
			 * 别人眼中的我返回数组逗号隔开
			 * 
			 * 
			 * */
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			initData(res); 
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData (data) {
    	//用户信息
        var userInfo = getObjStorage("loginUser");  
    	if( data ){
    		$("#USER_IMG").attr("src",getDefaultImage(userInfo.IMG,"../../images/myren/moren.jpg"));
    		$("#USER_NAME").text(checkNull(userInfo.REAL_NAME));
    		var user_flag=userInfo.FLAG;
    		if(user_flag==1){//显示身份标识
    			$("#NAME").text(userInfo.SHOW_NAME);
    		}else{//显示等级
    			$("#NAME").text(getLevelName(userInfo.VIP_LEVEL));
    		}  
    		$("#DESCRIPTION").text(checkNull(data.SUMMARY));
    		$("#COMPANY_NAME").text(checkNull(data.COMPANY_NAME));
    		$("#POSITION").text(checkNull(data.POSITION));
    		$("#assistant").attr("phone",checkNull(data.PHONE));
    		
    		//荣誉
    		var HONORS = data.HONOR;
    		var honerList = '';
    		if( HONORS && HONORS.length > 0 ){ 
    			$.each(HONORS,function (i,d) {
    				var getDate = d.GET_DATE;
    				var dateStr = getDate.length > 10 ? getDate.substring(0,11) : getDate;
    				honerList += '<div class="tab-tr mtb-5">'
									+ '<div class="tab-td mlr-10 font_size_14">'+dateStr+'</div>'
									+ '<div class="tab-td-f ml-50 font_size_14">'+d.HONOR+'</div>'
								+ '</div>';
    			}) 
    		}
    		$("#honerList").html(honerList);
    		
    		//供
    		var RESOURCES = data.RESOURCE;
    		if( !isNull(RESOURCES) ){
    			var arr = RESOURCES.split(",");
    			var gong = '';
    			$.each(arr,function (i,d) {
    				gong += '<span>'+d+'</span>';
    			})
    			$("#gong .right").html(gong);
    		}
    		//需
    		var NEED_NAMES = data.NEED_NAME;
    		if( !isNull(NEED_NAMES) ){
    			var arr = NEED_NAMES.split(",");
    			var xu = '';
    			$.each(arr,function (i,d) {
    				xu += '<span>'+d+'</span>';
    			})
    			$("#xu .right").html(xu);
    		}
    		//评价
    		var ASSESS = data.ASSESS;
    		if( !isNull(ASSESS) ){
    			var arr = ASSESS.split(",");
    			var impressList = '';
    			$.each(arr,function (i,d) {
    				if( !isNull(d) ){
    					impressList += '<li class="yx" id="li'+i+'">'+d+'</li>';
    				}
    			})
    			$("#impressList").html(impressList);
    			
    			//长按删除
    			if( data.USER_ID == userId ){
    				$("#impressList li").on("longtap",function(){ 
	    				this.setAttribute("class","yx_hover");
	    				var id = this.getAttribute("id");
	    				var str = this.innerHTML;
	    				delByEle(str,arr);
	    				var access = arr.length == 0 ? "" : arr.join(",");
	    				var param ={"ASSESS":access,"CONTRACT_ID":userId,"id":id};
	    				$scope.delImpress(param);
					});
    			}
    		}
    	}
    }
    
    /**修改头像**/
    $scope.uploadUserImg=function(path){  
    	console.log("修改头像:");
   	    //用户信息
        var userInfo = getObjStorage("loginUser"); 
   	    var param = {"USER_ID":userInfo.userid,"IMG":path};
   	    console.log("param:"+JSON.stringify(param))
	    angularPost($http,  
	    {
			InterfaceId: '20170515006',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("修改成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			if( res.code == "200" ){
				var img = getDefaultImage(path,"../../images/myren/moren.jpg");
			    $("#USER_IMG").attr("src",img);	
			    var page = plus.webview.currentWebview().opener();
				page.evalJS("resetHead('"+img+"')");
				
				var wv = plus.webview.getWebviewById("template/finance/index.html");  
				if(wv!=null){
					wv.evalJS("initData()");
				}
			    
			    //重置用户信息
			    userInfo.IMG = path;
			    setStorage("loginUser",userInfo);
			}else{
				mui.toast("修改头像失败！");
			}
		},function(){
			console.log("失败");
		});  
	}  
	
	/**删除印象**/
    $scope.delImpress=function(param){  
    	console.log("删除印象:");
   	    //用户信息
   	    //var param ={"ASSESS":access,"CONTRACT_ID":userId};
   	    console.log("param:"+JSON.stringify(param))
	    angularPost($http,  
	    {
			InterfaceId: '2017082',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("删除成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			if( res.code == "200" ){
				mui.toast("删除成功！");
				$("#"+param.id).remove();
			}else{
				mui.toast("删除失败！");
			}
		},function(){
			console.log("删除失败");
		});  
	} 
	
}); 

//查看他人资料
myApp.controller('otherController',function($scope,$http){  
	//查看他人信息或个人信息展示
	$scope.imgPath =imgPath;
	$scope.appimgPath =appimgPath;
	
	var obj = getToUrlParams();
	var param={"USER_ID":userId,"CONTRACT_ID":obj.USER_ID};
	$scope.initLoad=function(){  
	    angularPost($http,  
	    {
			InterfaceId: '2017081',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			/*返回参数
			 * 参数：用户id:userid,用户头像：img,等级名称：VIP_LEVEL，个人简介：POSITION,公司名称:COMPANY_NAME,职务：POSITION，我的助理电话：PHONE
			 * 
			 * 返回集合个人荣誉
			 * 参数：时间：GET_DATE,荣誉：HONOR
			 * 
			 * 资源，分组查询，供给分一组，需求一组
			 * 
			 * 别人眼中的我返回数组逗号隔开
			 * 
			 * 
			 * */
			console.log("查询成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			initData(res); 
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initLoad();   
    
    function initData (data) {
    	if( data ){
    		//关注按钮
    		$("#focuson").attr("rmid",data.USER_ID);
    		$("#USER_IMG").attr("src",getDefaultImage(data.IMG,"../../images/myren/moren.jpg"));
    		$("#USER_NAME").text(checkNull(data.REAL_NAME));
    		$("#NAME").text(checkNull(data.VIP_LEVEL));
    		$("#DESCRIPTION").text(checkNull(data.SUMMARY));
    		$("#COMPANY_NAME").text(checkNull(data.COMPANY_NAME));
    		$("#POSITION").text(checkNull(data.POSITION));
    		$("#assistant").attr("phone",checkNull(data.PHONE));
    		$("#impression").attr("rmid",data.USER_ID);
    		if( data.isGz == 0 ){
    			$("#focuson span").text("立即关注");
    			$("#focuson").attr("flag","0");
    		}else{
    			$("#focuson span").text("取消关注");
    			$("#focuson").attr("flag","1");
    		}
    		$("#btBtn").removeClass("dp-n");
    		
    		//荣誉
    		var HONORS = data.HONOR;
    		if( HONORS && HONORS.length > 0 ){
    			var honerList = '';
    			$.each(HONORS,function (i,d) {
    				var getDate = d.GET_DATE;
    				var dateStr = getDate.length > 10 ? getDate.substring(0,11) : getDate;
    				honerList += '<div class="tab-tr mtb-5">'
									+ '<div class="tab-td mlr-10">'+dateStr+'</div>'
									+ '<div class="tab-td-f ml-50">'+d.HONOR+'</div>'
								+ '</div>';
    			})
    			$("#honerList").html(honerList);
    		}
    		
    		//供
    		var RESOURCES = data.RESOURCE;
    		if( !isNull(RESOURCES) ){
    			var arr = RESOURCES.split(",");
    			var gong = '';
    			$.each(arr,function (i,d) {
    				gong += '<span>'+d+'</span>';
    			})
    			$("#gong .right").html(gong);
    		}
    		//需
    		var NEED_NAMES = data.NEED_NAME;
    		if( !isNull(NEED_NAMES) ){
    			var arr = NEED_NAMES.split(",");
    			var xu = '';
    			$.each(arr,function (i,d) {
    				xu += '<span>'+d+'</span>';
    			})
    			$("#xu .right").html(xu);
    		}
    		//评价
    		var ASSESS = data.ASSESS;
    		if( !isNull(ASSESS) ){
    			var arr = ASSESS.split(",");
    			var impressList = '';
    			$.each(arr,function (i,d) {
    				if( !isNull(d) ){
    					impressList += '<li class="yx">'+d+'</li>';
    				}
    			})
    			$("#impressList").html(impressList);
    		}
    	}
    }
	
	/**关注、取消关注**/
    $scope.focuson=function(param){  
    	console.log("关注、取消关注:");
   	    param.USER_ID=userId;
   	    console.log("param:"+JSON.stringify(param))
	    angularPost($http,  
	    {
			InterfaceId: '2017072',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("操作成功！"+data.result); 
			var res=angular.fromJson(data.result); 
			if( res.code == "200" ){
				var flag = $("#focuson").attr("flag");
				if( flag == "0" ){
	    			$("#focuson span").text("取消关注");
	    			$("#focuson").attr("flag","1");
	    		}else{
	    			$("#focuson span").text("立即关注");
	    			$("#focuson").attr("flag","0");
	    		}
			}else{
				mui.toast("操作失败");
			}
		},function(){
			console.log("操作失败");
		});  
	} 
}); 