var listApp=angular.module('listApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

listApp.controller('listController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;//上拉下滑加载参数
    var type_id=getToUrlParams(); 
    $scope.initConditions=function(){ 
		//接口参数
		var param={"P_TYPE_ID":type_id,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
	   angularPost($http,
	    {
			InterfaceId: '2017163',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			var res = angular.fromJson(data.result); 
			console.log("条件:"+JSON.stringify(res.types)); 
			console.log("条件:"+JSON.stringify(res.pros)); 
			initConditions(res); 
			initData(res.pros); 
		},function(){
			console.log("失败");
		});  
	}  
    $scope.initConditions();
    
	$scope.initLoad=function(obj){ 
		//接口参数 
		var param={"P_TYPE_ID":type_id,"PRO_NAME":null,"CITY":null,"TYPE_ID":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
		if( obj ){//传参
			if( !isNull(obj.CITY) ){
				param.CITY = obj.CITY;
			}
			if( !isNull(obj.TYPE_ID) ){
				param.TYPE_ID = obj.TYPE_ID;
			} 
		} 
		console.log("param:"+JSON.stringify(param)); 
	    angularPost($http,  
	    {
			InterfaceId: '2017142',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
//			if( res.length == 0 ){
//				$scope.sliderFlag = true;
//			}else{
				initData(res);
//			}
		},function(){
			console.log("失败");
		});  
	} 
    //数据加载
    var isClick = false;
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {  
	    	var pro_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath); 
    		dataList += '<div class="list-li" id="'+d.ID+'">' 
					 		+ '<div class="list-li-left">' 
						 			+ '<img src="'+pro_img+'"/>'
						 	+ '</div>'
						 	+ '<div class="list-li-right">'
					 			+ '<div class="list-li-right-t">'
					 				+ '<div class="list-li-title">'+d.PRO_NAME+'</div>'
					 			+ '</div>'
					 			+ '<div class="list-li-right-b">'
					 				+ '<div class="list-li-right-b-l">'+d.TYPE_NAME+'</div>'
					 				+ '<div class="list-li-right-b-r">'+getDateDiff(d.PUBLISH_DATE)+'</div>'
					 			+ '</div>'
					 		+ '</div>'
			 		    + '</div>';  
    	})
    	console.log(dataList);
		if( $scope.currentPage == 1 ){ 
			$scope.sliderFlag = true; 
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//政府招商项目详情页
		$("#dataList .list-li").on("tap",function(){ 
			var zf_id=this.getAttribute("id");  
			if( isClick == true ) return;
		    isClick = true;
		    localStorage.setItem("id",zf_id);
			toUrl("government_details.html");
			setTimeout(function () {
				isClick = false;
			},500);
		}); 
   }
    
    //获取接口参数
    $scope.loadMore=function() {
    	//接口参数
    	var obj = {};
    	var city = $('.Regional').find('span').text();
    	var cityId = $('.Regional').attr("cityId");
		var typeId = $('.Brand').attr("typeId");  
		obj.CITY = isNull(cityId)?null:city; 
		obj.TYPE_ID = isNull(typeId)?null:typeId;
		$scope.initLoad(obj); 
    }
    
    //条件加载
    function initConditions(data) {
    	if( data  ){
    		//城市
    		var areas = data.areas; 
    		var areasList = '';//省份
    		var cityList = '';//城市
    		$.each(areas, function(i,d) {
    			areasList = '<a class="mui-control-item" href="#content'+d.id+'">'+d.areaname+'</a>';
    			$("#ask-1-title").append(areasList);
    			
    			var citys = d.citys;
    			cityList = '<div id="content'+d.id+'" class="mui-control-content">'
								+ '<ul class="mui-table-view">'; 
				if( citys && citys.length > 0 ){
					//北京:110000、天津:120000、上海：310000、重庆：500000
					if(d.areacode == "110000"||
					    d.areacode == "120000"||
					    d.areacode == "310000"||
					    d.areacode == "500000" ){
						cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+d.areaname+'</li>'
					}else{
						$.each(citys,function (j,city) {
							cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+city.areaname+'</li>';
						})
					}
				}else{
					cityList += '<li id="'+d.id+'" class="mui-table-view-cell Regional-val">'+d.areaname+'</li>'
				}
				cityList += '</ul></div>';
				$("#ask-1-content").append(cityList);
    		});
    		
    		//城市选择
    		$('.Regional-val').on('click', function() {
    			$("#ask-1-content .mui-active").removeClass(".mui-active");
    			$(this).parent().parent().addClass(".mui-active");
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Regional').find('span').text(val);
				$('.Regional').attr("cityId",this.getAttribute("id"));
				$('.Regional').find('i').css('top', '25%');
				$('.Regional').find('i').css('border-style', 'solid dashed dashed dashed');
				$('.Regional').find('i').css('border-color', '#555 transparent transparent transparent');
				$('.Regional').find('i').attr('wd', '1');
				$(".ask-1").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			})
    		
    		//类型
    		var types = data.types;
    		var typesList = '';
    		var typeContent = '';
    		$.each(types, function(i,d) {
    			typesList = '<a class="mui-control-item" href="#con'+d.ID+'">'+d.TYPE_NAME+'</a>'
    			$("#ask-2-title").append(typesList);
    			
    			var lxs = d.lxs;
    			if( lxs && lxs.length > 0 ){
					typeContent = '<div id="con'+d.ID+'" class="mui-control-content">'
							+ '<ul class="mui-table-view">';
					$.each(lxs,function (j,lx) {
						typeContent += '<li id="'+lx.ID+'" class="mui-table-view-cell Brand-val">'+lx.SUBCLASS+'</li>';
			        })
					typeContent += '</ul></div>';	
    			}else{
    				typeContent = '<div id="con'+d.ID+'" class="mui-control-content">'
									+ '<ul class="mui-table-view">'
										+ '<li id="'+d.ID+'" class="mui-table-view-cell Brand-val">'+d.TYPE_NAME+'</li>'
									+ '</ul>'
								+ '</div>';	
    			}
				
				$("#ask-2-content").append(typeContent);
    		});
    		
    		//类型选择
    		$('.Brand-val').on('click', function() {
    			$("#ask-2-content .mui-active").removeClass("mui-active");
    			$(this).parent().parent().addClass("mui-active");
				var val = $(this).text();
				val = val.length <= 4 ? val : val.substring(0,4)+"...";
				$('.Brand').find('span').text(val);
				$('.Brand').attr("typeId",this.getAttribute("id"));
				$('.Brand').find('i').css('top', '25%');
				$('.Brand').find('i').css('border-style', 'solid dashed dashed dashed');
				$('.Brand').find('i').css('border-color', '#555 transparent transparent transparent');
				$('.Brand').find('i').attr('wd', '1');
				$("#ask-2").hide();
				$scope.currentPage=1;//页码重置
				$scope.loadMore();//查询
			}) 
    	}
    }
}); 
