var searchApp=angular.module('searchApp',[]);  
var token=localStorage.getItem("token");
var pageSize=10;

searchApp.controller('searchController',function($scope,$http){ 
	$scope.imgPath=imgPath;  
	$scope.appimgPath=appimgPath;  
    //分页参数
    $scope.currentPage=1;     //页码
    $scope.pageSize=pageSize; //条数
    $scope.sliderFlag = false;//上拉下滑加载参数   
    
	$scope.initLoad=function(data){ 
		//接口参数
		var param={"P_TYPE_ID":null,"PRO_NAME":data,"CITY":null,"TYPE_ID":null,"currentPage":$scope.currentPage,"pageSize":$scope.pageSize};
	    angularPost($http,  
	    {
			InterfaceId: '2017142',
			Token: token,
			params: Encrypt(JSON.stringify(param)), 
      		md5_str: faultylabs.MD5(JSON.stringify(param)),
			timestamp:''
	    },
		function(data){ 
			console.log("查询成功！"+data.result); 
			var res = angular.fromJson(data.result); 
			console.log(JSON.stringify(res));
//			if( res.length == 0 ){
//				$scope.sliderFlag = true;
//			}else{
				initData(res);
//			}
		},function(){
			console.log("失败");
		});  
	} 
    //数据加载
    var isClick = false;
    function initData(data) {
    	var dataList = '';
    	$.each(data,function(i,d) {  
	    	var pro_img = getDefaultImage(d.IMG_PATH,"../../images/60x60.gif",imgPath); 
    		dataList += '<div class="list-li" id="'+d.ID+'">' 
					 		+ '<div class="list-li-left">' 
						 			+ '<img src="'+pro_img+'"/>'
						 	+ '</div>'
						 	+ '<div class="list-li-right">'
					 			+ '<div class="list-li-right-t">'
					 				+ '<div class="list-li-title">'+d.PRO_NAME+'</div>'
					 			+ '</div>'
					 			+ '<div class="list-li-right-b">'
					 				+ '<div class="list-li-right-b-l">'+d.TYPE_NAME+'</div>'
					 				+ '<div class="list-li-right-b-r">'+getDateDiff(d.PUBLISH_DATE)+'</div>'
					 			+ '</div>'
					 		+ '</div>'
			 		    + '</div>';  
    	})
    	console.log(dataList);
		if( $scope.currentPage == 1 ){ 
			$scope.sliderFlag = true; 
			$("#dataList").html(dataList);
		}else{
			$("#dataList").append(dataList);
		}
		
		//政府招商项目详情页
		$("#dataList .list-li").on("tap",function(){ 
			var zf_id=this.getAttribute("id");  
			if( isClick == true ) return;
		    isClick = true;
		    localStorage.setItem("id",zf_id);
			toUrl("government_details.html");
			setTimeout(function () {
				isClick = false;
			},500);
		}); 
    } 
}); 
